/* NOTE: Do not edit this file, it is generated by a script:
   Export.py --api gl 4.2 --api wgl 4.0 --api glx 4.0 --api cgl 1.4 --api egl 1.0 --outdir .
*/

/*
  Copyright (c) 2011-2013 NVIDIA Corporation
  Copyright (c) 2011-2013 Cass Everitt
  Copyright (c) 2012-2013 Scott Nations
  Copyright (c) 2012 Mathias Schott
  Copyright (c) 2012-2013 Nigel Stewart
  Copyright (c) 2012-2013 Google Inc.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification,
  are permitted provided that the following conditions are met:

    Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.

    Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
  OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
  Intended formatting conventions:
  $ astyle --style=allman --indent=spaces=2 --indent-switches
*/

#include "pch.h" /* For MS precompiled header support */

#include "RegalUtil.h"

REGAL_GLOBAL_BEGIN

#include "RegalLog.h"
#include "RegalMac.h"
#include "RegalInit.h"
#include "RegalIff.h"
#include "RegalPush.h"
#include "RegalToken.h"
#include "RegalState.h"
#include "RegalClientState.h"
#include "RegalHelper.h"
#include "RegalPrivate.h"
#include "RegalDebugInfo.h"
#include "RegalContextInfo.h"
#include "RegalCacheShader.h"
#include "RegalCacheTexture.h"
#include "RegalScopedPtr.h"
#include "RegalFrame.h"
#include "RegalMarker.h"

using namespace REGAL_NAMESPACE_INTERNAL;
using namespace ::REGAL_NAMESPACE_INTERNAL::Logging;
using namespace ::REGAL_NAMESPACE_INTERNAL::Token;

extern "C" {

  /* GL_VERSION_1_0 */

  REGAL_DECL void REGAL_CALL glAccum(GLenum op, GLfloat value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAccum","(", toString(op), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAccum)(op, value);
  }

  REGAL_DECL void REGAL_CALL glAlphaFunc(GLenum func, GLclampf ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFunc","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFunc)(func, ref);
  }

  REGAL_DECL void REGAL_CALL glBegin(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBegin","(", toString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthBeginEnd++;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBegin)(mode);
  }

  REGAL_DECL void REGAL_CALL glBitmap(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBitmap","(", width, ", ", height, ", ", xorig, ", ", yorig, ", ", xmove, ", ", ymove, ", ", boost::print::optional(bitmap,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBitmap)(width, height, xorig, yorig, xmove, ymove, bitmap);
  }

  REGAL_DECL void REGAL_CALL glBlendFunc(GLenum sfactor, GLenum dfactor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFunc","(", toString(sfactor), ", ", toString(dfactor), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunc)(sfactor, dfactor);
  }

  REGAL_DECL void REGAL_CALL glCallList(GLuint list)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCallList","(", list, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCallList)(list);
  }

  REGAL_DECL void REGAL_CALL glCallLists(GLsizei n, GLenum type, const GLvoid *lists)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCallLists","(", n, ", ", toString(type), ", ", boost::print::array(reinterpret_cast<const GLubyte *>(lists),helper::size::callLists(n, type)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCallLists)(n, type, lists);
  }

  REGAL_DECL void REGAL_CALL glClear(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClear","(", GLclearToString(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClear)(mask);
  }

  REGAL_DECL void REGAL_CALL glClearAccum(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearAccum","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearAccum)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColor)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearDepth(GLclampd depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearDepth","(", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepth)(depth);
  }

  REGAL_DECL void REGAL_CALL glClearIndex(GLfloat c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearIndex","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearIndex)(c);
  }

  REGAL_DECL void REGAL_CALL glClearStencil(GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearStencil","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearStencil)(s);
  }

  REGAL_DECL void REGAL_CALL glClipPlane(GLenum plane, const GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClipPlane","(", toString(plane), ", ", boost::print::array(equation,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClipPlane)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glColor3b(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3b","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3b)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3d(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3d","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3d)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3f(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3f","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3f)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3i(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3i","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3i)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3s(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3s","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3s)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3ub(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3ub","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ub)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3ubv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3ui(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3ui","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ui)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3uiv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3us(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3us","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3us)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3usv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3usv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4b(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4b","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4b)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4bv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4bv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4d(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4d","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4d)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4f","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4f)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4i(GLint red, GLint green, GLint blue, GLint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4i","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4i)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4s(GLshort red, GLshort green, GLshort blue, GLshort alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4s","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4s)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ub","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ub)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ubv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4ui(GLuint red, GLuint green, GLuint blue, GLuint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ui","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ui)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4uiv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4us(GLushort red, GLushort green, GLushort blue, GLushort alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4us","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4us)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4usv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4usv)(v);
  }

  REGAL_DECL void REGAL_CALL glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorMask","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMask)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColorMaterial(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorMaterial","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaterial)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glCopyPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyPixels)(x, y, width, height, type);
  }

  REGAL_DECL void REGAL_CALL glCullFace(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCullFace","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullFace)(mode);
  }

  REGAL_DECL void REGAL_CALL glDeleteLists(GLuint list, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteLists","(", list, ", ", range, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteLists)(list, range);
  }

  REGAL_DECL void REGAL_CALL glDepthFunc(GLenum func)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthFunc","(", toString(func), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthFunc)(func);
  }

  REGAL_DECL void REGAL_CALL glDepthMask(GLboolean flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthMask","(", toString(flag), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthMask)(flag);
  }

  REGAL_DECL void REGAL_CALL glDepthRange(GLclampd zNear, GLclampd zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRange","(", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRange)(zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glDisable(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisable","(", toString(cap), ")");
    if (!_context) return;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    Logging::enableError    = false; return;
      case GL_LOG_WARNING_REGAL:  Logging::enableWarning  = false; return;
      case GL_LOG_INFO_REGAL:     Logging::enableInfo     = false; return;
      case GL_LOG_APP_REGAL:      Logging::enableApp      = false; return;
      case GL_LOG_DRIVER_REGAL:   Logging::enableDriver   = false; return;
      case GL_LOG_INTERNAL_REGAL: Logging::enableInternal = false; return;
      case GL_LOG_HTTP_REGAL:     Logging::enableHttp     = false; return;
      default: break;
    }
    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        _context->dispatcher.disable(_context->dispatcher.error);
        #endif
        return;

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        _context->dispatcher.disable(_context->dispatcher.debug);
        #endif
        return;

      case GL_LOG_REGAL:
        #if REGAL_LOG
        _context->dispatcher.disable(_context->dispatcher.logging);
        #endif
        return;

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        _context->dispatcher.disable(_context->dispatcher.emulation);
        #endif
        return;

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        _context->dispatcher.disable(_context->dispatcher.driver);
        #endif
        return;

      default: break;
    }
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisable)(cap);
  }

  REGAL_DECL void REGAL_CALL glDrawBuffer(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffer","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffer)(mode);
  }

  REGAL_DECL void REGAL_CALL glDrawPixels(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawPixels","(", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawPixels)(width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlag(GLboolean flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlag","(", toString(flag), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlag)(flag);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagv(const GLboolean *flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlagv","(", boost::print::array(flag,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagv)(flag);
  }

  REGAL_DECL void REGAL_CALL glEnable(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnable","(", toString(cap), ")");
    if (!_context) return;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    Logging::enableError    = true; return;
      case GL_LOG_WARNING_REGAL:  Logging::enableWarning  = true; return;
      case GL_LOG_INFO_REGAL:     Logging::enableInfo     = true; return;
      case GL_LOG_APP_REGAL:      Logging::enableApp      = true; return;
      case GL_LOG_DRIVER_REGAL:   Logging::enableDriver   = true; return;
      case GL_LOG_INTERNAL_REGAL: Logging::enableInternal = true; return;
      case GL_LOG_HTTP_REGAL:     Logging::enableHttp     = true; return;
      default: break;
    }
    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        _context->dispatcher.enable(_context->dispatcher.error);
        #endif
        return;

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        _context->dispatcher.enable(_context->dispatcher.debug);
        if (!_context->dbg)
        {
          _context->dbg = new DebugInfo();
          _context->dbg->Init(_context);
        }
        #endif
        return;

      case GL_LOG_REGAL:
        #if REGAL_LOG
        _context->dispatcher.enable(_context->dispatcher.logging);
        #endif
        return;

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        _context->dispatcher.enable(_context->dispatcher.emulation);
        #endif
        return;

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        _context->dispatcher.enable(_context->dispatcher.driver);
        #endif
        return;

      default: break;
    }
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnable)(cap);
  }

  REGAL_DECL void REGAL_CALL glEnd(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
      _context->depthBeginEnd--;
    App("glEnd","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnd)();
  }

  REGAL_DECL void REGAL_CALL glEndList(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
      _context->depthNewList--;
    App("glEndList","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndList)();
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1d(GLdouble u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord1d","(", u, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1d)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1dv(const GLdouble *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord1dv","(", boost::print::array(u,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1dv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1f(GLfloat u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord1f","(", u, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1f)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1fv(const GLfloat *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord1fv","(", boost::print::array(u,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1fv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2d(GLdouble u, GLdouble v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord2d","(", u, ", ", v, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2d)(u, v);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2dv(const GLdouble *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord2dv","(", boost::print::array(u,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2dv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2f(GLfloat u, GLfloat v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord2f","(", u, ", ", v, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2f)(u, v);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2fv(const GLfloat *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalCoord2fv","(", boost::print::array(u,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2fv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalMesh1(GLenum mode, GLint i1, GLint i2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalMesh1","(", toString(mode), ", ", i1, ", ", i2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMesh1)(mode, i1, i2);
  }

  REGAL_DECL void REGAL_CALL glEvalMesh2(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalMesh2","(", toString(mode), ", ", i1, ", ", i2, ", ", j1, ", ", j2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMesh2)(mode, i1, i2, j1, j2);
  }

  REGAL_DECL void REGAL_CALL glEvalPoint1(GLint i)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalPoint1","(", i, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalPoint1)(i);
  }

  REGAL_DECL void REGAL_CALL glEvalPoint2(GLint i, GLint j)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalPoint2","(", i, ", ", j, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalPoint2)(i, j);
  }

  REGAL_DECL void REGAL_CALL glFeedbackBuffer(GLsizei size, GLenum type, GLfloat *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFeedbackBuffer","(", size, ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFeedbackBuffer)(size, type, buffer);
  }

  REGAL_DECL void REGAL_CALL glFinish(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinish","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinish)();
  }

  REGAL_DECL void REGAL_CALL glFlush(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlush","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlush)();
  }

  REGAL_DECL void REGAL_CALL glFogf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFogfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogfv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFogi(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogi","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogi)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFogiv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogiv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogiv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFrontFace(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrontFace","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrontFace)(mode);
  }

  REGAL_DECL void REGAL_CALL glFrustum(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrustum","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrustum)(left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL GLuint REGAL_CALL glGenLists(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenLists","(", range, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenLists)(range);
  }

  REGAL_DECL void REGAL_CALL glGetBooleanv(GLenum pname, GLboolean *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBooleanv","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleanv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlane(GLenum plane, GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetClipPlane","(", toString(plane), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetClipPlane)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glGetDoublev(GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDoublev","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublev)(pname, params);
  }

  REGAL_DECL GLenum REGAL_CALL glGetError(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetError","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetError)();
  }

  REGAL_DECL void REGAL_CALL glGetFloatv(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFloatv","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloatv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerv(GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegerv","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetLightfv(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLightfv","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLightfv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetLightiv(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLightiv","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLightiv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapdv(GLenum target, GLenum query, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapdv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapdv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMapfv(GLenum target, GLenum query, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapfv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapfv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMapiv(GLenum target, GLenum query, GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapiv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapiv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMaterialfv(GLenum face, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMaterialfv","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMaterialfv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMaterialiv(GLenum face, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMaterialiv","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMaterialiv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapfv(GLenum map, GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelMapfv","(", toString(map), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapfv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapuiv(GLenum map, GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelMapuiv","(", toString(map), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapuiv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapusv(GLenum map, GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelMapusv","(", toString(map), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapusv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPolygonStipple(GLubyte *mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPolygonStipple","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPolygonStipple)(mask);
  }

  REGAL_DECL const GLubyte *REGAL_CALL glGetString(GLenum name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetString","(", toString(name), ")");
    if (!_context) return NULL;
    RegalAssert(_context->info);
    // Regal interceptions
    switch (name)
    {
      case GL_VENDOR:     return reinterpret_cast<const GLubyte *>(_context->info->regalVendor.c_str());
      case GL_RENDERER:   return reinterpret_cast<const GLubyte *>(_context->info->regalRenderer.c_str());
      case GL_VERSION:    return reinterpret_cast<const GLubyte *>(_context->info->regalVersion.c_str());
      case GL_EXTENSIONS: return reinterpret_cast<const GLubyte *>(_context->info->regalExtensions.c_str());
      default:
        break;
    }
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetString)(name);
  }

  REGAL_DECL void REGAL_CALL glGetTexEnvfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexEnvfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexEnvfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexEnviv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexEnviv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexEnviv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGendv(GLenum coord, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGendv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGendv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenfv(GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGenfv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenfv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGeniv(GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGeniv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGeniv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexImage","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexImage)(target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexLevelParameterfv","(", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexLevelParameterfv)(target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexLevelParameteriv","(", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexLevelParameteriv)(target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glHint(GLenum target, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glHint","(", toString(target), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHint)(target, mode);
  }

  REGAL_DECL void REGAL_CALL glIndexMask(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexMask","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexMask)(mask);
  }

  REGAL_DECL void REGAL_CALL glIndexd(GLdouble c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexd","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexd)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexdv(const GLdouble *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexdv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexdv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexf(GLfloat c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexf","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexf)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexfv(const GLfloat *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexfv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexfv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexi(GLint c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexi","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexi)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexiv(const GLint *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexiv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexiv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexs(GLshort c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexs","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexs)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexsv(const GLshort *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexsv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexsv)(c);
  }

  REGAL_DECL void REGAL_CALL glInitNames(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInitNames","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInitNames)();
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabled(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsEnabled","(", toString(cap), ")");
    if (!_context) return GL_FALSE;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    return Logging::enableError    ? GL_TRUE : GL_FALSE;
      case GL_LOG_WARNING_REGAL:  return Logging::enableWarning  ? GL_TRUE : GL_FALSE;
      case GL_LOG_INFO_REGAL:     return Logging::enableInfo     ? GL_TRUE : GL_FALSE;
      case GL_LOG_APP_REGAL:      return Logging::enableApp      ? GL_TRUE : GL_FALSE;
      case GL_LOG_DRIVER_REGAL:   return Logging::enableDriver   ? GL_TRUE : GL_FALSE;
      case GL_LOG_INTERNAL_REGAL: return Logging::enableInternal ? GL_TRUE : GL_FALSE;
      case GL_LOG_HTTP_REGAL:     return Logging::enableHttp     ? GL_TRUE : GL_FALSE;
      default: break;
    }
    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        return _context->dispatcher.isEnabled(_context->dispatcher.error) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        return _context->dispatcher.isEnabled(_context->dispatcher.debug) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_LOG_REGAL:
        #if REGAL_LOG
        return _context->dispatcher.isEnabled(_context->dispatcher.logging) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        return _context->dispatcher.isEnabled(_context->dispatcher.emulation) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        return _context->dispatcher.isEnabled(_context->dispatcher.driver) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      default: break;
    }
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabled)(cap);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsList(GLuint list)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsList","(", list, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsList)(list);
  }

  REGAL_DECL void REGAL_CALL glLightModelf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModelf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModelf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightModelfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModelfv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModelfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightModeli(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModeli","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModeli)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightModeliv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModeliv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModeliv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightf(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightf","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightf)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightfv(GLenum light, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightfv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightfv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLighti(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLighti","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLighti)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightiv(GLenum light, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightiv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightiv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLineStipple(GLint factor, GLushort pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLineStipple","(", factor, ", ", pattern, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLineStipple)(factor, pattern);
  }

  REGAL_DECL void REGAL_CALL glLineWidth(GLfloat width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLineWidth","(", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLineWidth)(width);
  }

  REGAL_DECL void REGAL_CALL glListBase(GLuint base)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glListBase","(", base, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListBase)(base);
  }

  REGAL_DECL void REGAL_CALL glLoadIdentity(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadIdentity","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadIdentity)();
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadName(GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadName","(", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadName)(name);
  }

  REGAL_DECL void REGAL_CALL glLogicOp(GLenum opcode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLogicOp","(", toString(opcode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLogicOp)(opcode);
  }

  REGAL_DECL void REGAL_CALL glMap1d(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMap1d","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap1d)(target, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMap1f(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMap1f","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap1f)(target, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMap2d(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMap2d","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap2d)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMap2f(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMap2f","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap2f)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMapGrid1d(GLint un, GLdouble u1, GLdouble u2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapGrid1d","(", un, ", ", u1, ", ", u2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid1d)(un, u1, u2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid1f(GLint un, GLfloat u1, GLfloat u2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapGrid1f","(", un, ", ", u1, ", ", u2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid1f)(un, u1, u2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid2d(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapGrid2d","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid2d)(un, u1, u2, vn, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid2f(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapGrid2f","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid2f)(un, u1, u2, vn, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glMaterialf(GLenum face, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMaterialf","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialf)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMaterialfv(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMaterialfv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialfv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMateriali(GLenum face, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMateriali","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMateriali)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMaterialiv(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMaterialiv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialiv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMatrixMode(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixMode","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMode)(mode);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glNewList(GLuint list, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNewList","(", list, ", ", toString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthNewList++;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNewList)(list, mode);
  }

  REGAL_DECL void REGAL_CALL glNormal3b(GLbyte nx, GLbyte ny, GLbyte nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3b","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3b)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3d(GLdouble nx, GLdouble ny, GLdouble nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3d","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3d)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3f","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3f)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3i(GLint nx, GLint ny, GLint nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3i","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3i)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3s(GLshort nx, GLshort ny, GLshort nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3s","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3s)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glOrtho(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glOrtho","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glOrtho)(left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glPassThrough(GLfloat token)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPassThrough","(", token, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPassThrough)(token);
  }

  REGAL_DECL void REGAL_CALL glPixelMapfv(GLenum map, GLsizei mapsize, const GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelMapfv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapfv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelMapuiv(GLenum map, GLsizei mapsize, const GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelMapuiv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapuiv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelMapusv(GLenum map, GLsizei mapsize, const GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelMapusv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapusv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelStoref(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelStoref","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelStoref)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelStorei(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelStorei","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelStorei)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransferf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransferf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransferf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransferi(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransferi","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransferi)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelZoom(GLfloat xfactor, GLfloat yfactor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelZoom","(", xfactor, ", ", yfactor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelZoom)(xfactor, yfactor);
  }

  REGAL_DECL void REGAL_CALL glPointSize(GLfloat size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointSize","(", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointSize)(size);
  }

  REGAL_DECL void REGAL_CALL glPolygonMode(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPolygonMode","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonMode)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glPolygonStipple(const GLubyte *mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPolygonStipple","(", boost::print::optional(mask,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonStipple)(mask);
  }

  REGAL_DECL void REGAL_CALL glPopAttrib(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
      _context->depthPushAttrib--;
    App("glPopAttrib","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopAttrib)();
  }

  REGAL_DECL void REGAL_CALL glPopMatrix(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
      _context->depthPushMatrix--;
    App("glPopMatrix","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopMatrix)();
  }

  REGAL_DECL void REGAL_CALL glPopName(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPopName","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopName)();
  }

  REGAL_DECL void REGAL_CALL glPushAttrib(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPushAttrib","(", GLpushAttribToString(mask), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushAttrib++;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushAttrib)(mask);
  }

  REGAL_DECL void REGAL_CALL glPushMatrix(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPushMatrix","()");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushMatrix++;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushMatrix)();
  }

  REGAL_DECL void REGAL_CALL glPushName(GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPushName","(", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushName)(name);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4d","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4d)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4f","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4f)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4i(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4i","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4i)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4s(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4s","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4s)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRasterPos4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glReadBuffer(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadBuffer","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBuffer)(mode);
  }

  REGAL_DECL void REGAL_CALL glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadPixels)(x, y, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glRectd(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectd","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectd)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectdv(const GLdouble *v1, const GLdouble *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectdv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectdv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRectf(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectf","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectf)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectfv(const GLfloat *v1, const GLfloat *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectfv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectfv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRecti(GLint x1, GLint y1, GLint x2, GLint y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRecti","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRecti)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectiv(const GLint *v1, const GLint *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectiv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectiv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRects(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRects","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRects)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectsv(const GLshort *v1, const GLshort *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRectsv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectsv)(v1, v2);
  }

  REGAL_DECL GLint REGAL_CALL glRenderMode(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderMode","(", toString(mode), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glRenderMode)(mode);
  }

  REGAL_DECL void REGAL_CALL glRotated(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRotated","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRotated)(angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRotatef","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRotatef)(angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScaled(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScaled","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScaled)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScalef(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScalef","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScalef)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScissor(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScissor","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissor)(x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glSelectBuffer(GLsizei size, GLuint *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSelectBuffer","(", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSelectBuffer)(size, buffer);
  }

  REGAL_DECL void REGAL_CALL glShadeModel(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShadeModel","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShadeModel)(mode);
  }

  REGAL_DECL void REGAL_CALL glStencilFunc(GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilFunc","(", toString(func), ", ", boost::print::hex(mask), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFunc)(func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilMask(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilMask","(", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilMask)(mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilOp","(", toString(fail), ", ", toString(zfail), ", ", toString(zpass), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOp)(fail, zfail, zpass);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1d(GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1d","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1d)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1dv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1f(GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1f","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1f)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1fv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1i(GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1i","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1i)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1iv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1s(GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1s","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1s)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1sv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2d(GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2d","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2d)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2f(GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2f","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2f)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2i(GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2i","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2i)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2s(GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2s","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2s)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3d(GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3d","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3d)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3f(GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3f","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3f)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3i(GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3i","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3i)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3s(GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3s","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3s)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4d(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4d","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4d)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4f(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4f","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4f)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4i(GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4i","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4i)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4s(GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4s","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4s)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexEnvf(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnvf","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvf)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexEnvfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnvfv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexEnvi(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnvi","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvi)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexEnviv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnviv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnviv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGend(GLenum coord, GLenum pname, GLdouble param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGend","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGend)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGendv(GLenum coord, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGendv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGendv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenf(GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenf","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenf)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenfv(GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenfv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGeni(GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGeni","(", toString(coord), ", ", toString(pname), ", ", GLenumToString(static_cast<GLenum>(param)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeni)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGeniv(GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGeniv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeniv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexImage1D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage1D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage1D)(target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage2D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2D)(target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexParameterf(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterf","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterf)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterfv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameteri(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameteri","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameteri)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameteriv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTranslated(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTranslated","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTranslated)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTranslatef(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTranslatef","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTranslatef)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4d","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4d)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4f","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4f)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4i(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4i","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4i)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4s(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4s","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4s)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glViewport(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glViewport","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewport)(x, y, width, height);
  }

  /* GL_VERSION_1_1 */

  REGAL_DECL GLboolean REGAL_CALL glAreTexturesResident(GLsizei n, const GLuint *textures, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAreTexturesResident","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreTexturesResident)(n, textures, residences);
  }

  REGAL_DECL void REGAL_CALL glArrayElement(GLint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glArrayElement","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayElement)(index);
  }

  REGAL_DECL void REGAL_CALL glBindTexture(GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTexture","(", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    if (REGAL_CACHE && REGAL_CACHE_TEXTURE)
    {
      Cache::bindTexture(_next->call(&_next->glBindTexture),_next->call(&_next->glGetTexLevelParameteriv),_next->call(&_next->glGetTexImage), target, texture);
      return;
    }
    _next->call(&_next->glBindTexture)(target, texture);
  }

  REGAL_DECL void REGAL_CALL glColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage1D)(target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage2D)(target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage1D)(target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage2D)(target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDeleteTextures(GLsizei n, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteTextures","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTextures)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glDisableClientState(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableClientState","(", toString(cap), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientState)(cap);
  }

  REGAL_DECL void REGAL_CALL glDrawArrays(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArrays","(", toString(mode), ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArrays)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElements","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(indices),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElements)(mode, count, type, indices);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointer(GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlagPointer","(", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointer)(stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glEnableClientState(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableClientState","(", toString(cap), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientState)(cap);
  }

  REGAL_DECL void REGAL_CALL glGenTextures(GLsizei n, GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenTextures","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTextures)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glGetPointerv(GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPointerv","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointerv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glIndexPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glIndexub(GLubyte c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexub","(", c, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexub)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexubv(const GLubyte *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexubv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexubv)(c);
  }

  REGAL_DECL void REGAL_CALL glInterleavedArrays(GLenum format, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInterleavedArrays","(", toString(format), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInterleavedArrays)(format, stride, pointer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTexture(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsTexture","(", texture, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glNormalPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glPolygonOffset(GLfloat factor, GLfloat units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPolygonOffset","(", factor, ", ", units, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonOffset)(factor, units);
  }

  REGAL_DECL void REGAL_CALL glPopClientAttrib(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPopClientAttrib","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopClientAttrib)();
  }

  REGAL_DECL void REGAL_CALL glPrioritizeTextures(GLsizei n, const GLuint *textures, const GLclampf *priorities)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPrioritizeTextures","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrioritizeTextures)(n, textures, priorities);
  }

  REGAL_DECL void REGAL_CALL glPushClientAttrib(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPushClientAttrib","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushClientAttrib)(mask);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage1D)(target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage2D)(target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glVertexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointer)(size, type, stride, pointer);
  }

  /* GL_VERSION_1_2 */

  REGAL_DECL void REGAL_CALL glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendColor)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquation(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquation","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquation)(mode);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3D)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawRangeElements","(", toString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElements)(mode, start, end, count, type, indices);
  }

  REGAL_DECL void REGAL_CALL glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage3D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3D)(target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3D)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_VERSION_1_3 */

  REGAL_DECL void REGAL_CALL glActiveTexture(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveTexture","(", toString(texture), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glClientActiveTexture(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientActiveTexture","(", toString(texture), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage1D)(target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage2D)(target, level, internalformat, width, height, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage3D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3D)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage1D)(target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage2D)(target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3D)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTexImage(GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCompressedTexImage","(", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTexImage)(target, lod, img);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadTransposeMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadTransposeMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultTransposeMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultTransposeMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1d(GLenum target, GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1d","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1d)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1dv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1f(GLenum target, GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1f","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1f)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1fv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1i(GLenum target, GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1i","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1i)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1iv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1s(GLenum target, GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1s","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1s)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1sv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2d(GLenum target, GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2d","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2d)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2dv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2f(GLenum target, GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2f","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2f)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2fv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2i(GLenum target, GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2i","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2i)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2iv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2s(GLenum target, GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2s","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2s)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2sv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3d(GLenum target, GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3d","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3d)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3dv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3f(GLenum target, GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3f","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3f)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3fv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3i(GLenum target, GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3i","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3i)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3iv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3s(GLenum target, GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3s","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3s)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3sv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4d(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4d","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4d)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4dv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4f","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4f)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4fv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4i(GLenum target, GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4i","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4i)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4iv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4s(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4s","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4s)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4sv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glSampleCoverage(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleCoverage","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleCoverage)(value, invert);
  }

  /* GL_VERSION_1_4 */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparate(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparate","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparate)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  REGAL_DECL void REGAL_CALL glFogCoordPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glFogCoordd(GLdouble coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordd","(", coord, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordd)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddv(const GLdouble *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoorddv","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddv)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordf(GLfloat coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordf","(", coord, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordf)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfv(const GLfloat *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordfv","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfv)(coord);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawArrays(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawArrays","(", toString(mode), ", ", boost::print::array(first,primcount), ", ", boost::print::array(count,primcount), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArrays)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElements(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElements","(", toString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElements)(mode, count, type, indices, primcount);
  }

  REGAL_DECL void REGAL_CALL glPointParameterf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPointParameteri(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameteri","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteri)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameteriv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameteriv","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteriv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3b(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3b","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3b)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3d(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3d","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3d)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3f(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3f","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3f)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3i(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3i","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3i)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3s(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3s","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3s)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ub(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ub","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ub)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ubv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ui(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ui","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ui)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3uiv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3us(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3us","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3us)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3usv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dv(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2dv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fv(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2fv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iv(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2iv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sv(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2sv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dv(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3dv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fv(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3fv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iv(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3iv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sv(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3sv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sv)(p);
  }

  /* GL_VERSION_1_5 */

  REGAL_DECL void REGAL_CALL glBeginQuery(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginQuery","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQuery)(target, id);
  }

  REGAL_DECL void REGAL_CALL glBindBuffer(GLenum target, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBuffer","(", toString(target), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBuffer)(target, buffer);
  }

  REGAL_DECL void REGAL_CALL glBufferData(GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferData","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferData)(target, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferSubData","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferSubData)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glDeleteBuffers(GLsizei n, const GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteBuffers","(", n, ", ", boost::print::array(buffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBuffers)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueries(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteQueries","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueries)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQuery(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndQuery","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQuery)(target);
  }

  REGAL_DECL void REGAL_CALL glGenBuffers(GLsizei n, GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenBuffers","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenBuffers)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGenQueries(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenQueries","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueries)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferPointerv(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferPointerv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointerv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferSubData","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferSubData)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectiv(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectiv","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectiv)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectuiv","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuiv)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryiv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryiv)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBuffer(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsBuffer","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBuffer)(buffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQuery(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsQuery","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQuery)(id);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBuffer(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapBuffer","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBuffer)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBuffer(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnmapBuffer","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBuffer)(target);
  }

  /* GL_VERSION_2_0 */

  REGAL_DECL void REGAL_CALL glAttachShader(GLuint program, GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAttachShader","(", program, ", ", shader, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAttachShader)(program, shader);
  }

  REGAL_DECL void REGAL_CALL glBindAttribLocation(GLuint program, GLuint index, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindAttribLocation","(", program, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindAttribLocation)(program, index, name);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparate","(", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparate)(modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glCompileShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompileShader","(", shader, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShader)(shader);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateProgram(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateProgram","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateProgram)();
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShader(GLenum type)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateShader","(", toString(type), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShader)(type);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteProgram","(", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glDeleteShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteShader","(", shader, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteShader)(shader);
  }

  REGAL_DECL void REGAL_CALL glDetachShader(GLuint program, GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDetachShader","(", program, ", ", shader, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetachShader)(program, shader);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexAttribArray(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVertexAttribArray","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribArray)(index);
  }

  REGAL_DECL void REGAL_CALL glDrawBuffers(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffers","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffers)(n, bufs);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribArray(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVertexAttribArray","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribArray)(index);
  }

  REGAL_DECL void REGAL_CALL glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveAttrib","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAttrib)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniform(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniform","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniform)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetAttachedShaders(GLuint program, GLsizei maxCount, GLsizei *count, GLuint *shaders)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetAttachedShaders","(", program, ", ", maxCount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetAttachedShaders)(program, maxCount, count, shaders);
  }

  REGAL_DECL GLint REGAL_CALL glGetAttribLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetAttribLocation","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetAttribLocation)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramInfoLog(GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramInfoLog","(", program, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramInfoLog)(program, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetProgramiv(GLuint program, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramiv","(", program, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramiv)(program, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetShaderInfoLog(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetShaderInfoLog","(", shader, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderInfoLog)(shader, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetShaderSource(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetShaderSource","(", shader, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderSource)(shader, bufSize, length, source);
  }

  REGAL_DECL void REGAL_CALL glGetShaderiv(GLuint shader, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetShaderiv","(", shader, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderiv)(shader, pname, params);
  }

  REGAL_DECL GLint REGAL_CALL glGetUniformLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformLocation","(", program, ", ", boost::print::quote(reinterpret_cast<const char *>(name),'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformLocation)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformfv(GLuint program, GLint location, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformfv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformfv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformiv(GLuint program, GLint location, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformiv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformiv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointerv(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribPointerv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointerv)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribdv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribfv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribiv(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribiv)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsProgram","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgram)(program);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsShader","(", shader, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsShader)(shader);
  }

  REGAL_DECL void REGAL_CALL glLinkProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLinkProgram","(", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLinkProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glShaderSource(GLuint shader, GLsizei count, const GLchar * const *string, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderSource","(", shader, ", ", count, ", ", boost::print::array(reinterpret_cast<const char * const *>(string),string ? count : 0,"\""), ", ", boost::print::array(length,length ? count : 0), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    if (REGAL_CACHE && REGAL_CACHE_SHADER)
    {
      Cache::shaderSource(_next->call(&_next->glShaderSource), shader, count, string, length);
      return;
    }
    _next->call(&_next->glShaderSource)(shader, count, string, length);
  }

  REGAL_DECL void REGAL_CALL glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilFuncSeparate","(", toString(face), ", ", toString(func), ", ", boost::print::hex(mask), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFuncSeparate)(face, func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilMaskSeparate(GLenum face, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilMaskSeparate","(", toString(face), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilMaskSeparate)(face, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilOpSeparate","(", toString(face), ", ", toString(fail), ", ", toString(zfail), ", ", toString(zpass), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpSeparate)(face, fail, zfail, zpass);
  }

  REGAL_DECL void REGAL_CALL glUniform1f(GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1f","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1f)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1fv","(", location, ", ", count, ", ", boost::print::array(value,1 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1i(GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1i","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1iv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2f(GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2f","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2f)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2fv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2i(GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2i","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2iv","(", location, ", ", count, ", ", boost::print::array(value,2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3f","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3f)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3fv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3i(GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3i","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3iv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4f","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4f)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4fv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4i(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4i","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4iv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUseProgram","(", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glValidateProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glValidateProgram","(", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1d(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1d","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1d)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1dv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1f(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1f","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1f)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1fv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1s(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1s","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1s)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1sv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2d(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2d","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2d)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2dv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2f(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2f","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2f)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2fv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2s(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2s","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2s)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2sv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3d","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3d)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3dv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3f(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3f","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3f)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3fv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3s(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3s","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3s)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3sv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nbv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nbv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nbv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Niv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Niv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Niv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nsv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nsv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nsv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nub","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nub)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nuiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nuiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nuiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nusv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4Nusv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nusv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4bv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4bv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4bv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4d)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4dv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4f(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4f","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4f)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4fv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4iv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4s(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4s","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4s)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4sv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4ubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4uiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4usv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4usv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4usv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointer(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribPointer","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointer)(index, size, type, normalized, stride, pointer);
  }

  /* GL_VERSION_2_1 */

  REGAL_DECL void REGAL_CALL glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x3fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x3fv)(location, count, transpose, value);
  }

  /* GL_VERSION_3_0 */

  REGAL_DECL void REGAL_CALL glBeginConditionalRender(GLuint id, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginConditionalRender","(", id, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRender)(id, mode);
  }

  REGAL_DECL void REGAL_CALL glBeginTransformFeedback(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginTransformFeedback","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedback)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindFragDataLocation(GLuint program, GLuint color, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFragDataLocation","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocation)(program, color, name);
  }

  REGAL_DECL void REGAL_CALL glClampColor(GLenum target, GLenum clamp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClampColor","(", toString(target), ", ", toString(clamp), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClampColor)(target, clamp);
  }

  REGAL_DECL void REGAL_CALL glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferfi","(", toString(buffer), ", ", drawbuffer, ", ", depth, ", ", stencil, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferfi)(buffer, drawbuffer, depth, stencil);
  }

  REGAL_DECL void REGAL_CALL glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferfv","(", toString(buffer), ", ", drawbuffer, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferfv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferiv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferiv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferuiv","(", toString(buffer), ", ", drawbuffer, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferuiv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glColorMaski(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorMaski","(", index, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaski)(index, r, g, b, a);
  }

  REGAL_DECL void REGAL_CALL glDisablei(GLenum cap, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisablei","(", toString(cap), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisablei)(cap, index);
  }

  REGAL_DECL void REGAL_CALL glEnablei(GLenum cap, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnablei","(", toString(cap), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnablei)(cap, index);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRender(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndConditionalRender","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRender)();
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndTransformFeedback","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedback)();
  }

  REGAL_DECL void REGAL_CALL glGetBooleani_v(GLenum target, GLuint index, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBooleani_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleani_v)(target, index, data);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragDataLocation","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataLocation)(program, name);
  }

  REGAL_DECL const GLubyte *REGAL_CALL glGetStringi(GLenum name, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetStringi","(", toString(name), ", ", index, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetStringi)(name, index);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIiv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterIiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterIuiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIuiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTransformFeedbackVarying","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVarying)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformuiv(GLuint program, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformuiv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformuiv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIiv(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribIiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIiv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribIuiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIuiv)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabledi(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsEnabledi","(", toString(target), ", ", index, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabledi)(target, index);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIiv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterIiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIuiv(GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterIuiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIuiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * const *varyings, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTransformFeedbackVaryings","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryings)(program, count, varyings, bufferMode);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui(GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1ui","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1uiv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui(GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2ui","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3ui","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4ui","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1i(GLuint index, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1i","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1i)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1iv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1ui(GLuint index, GLuint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1ui","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1ui)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1uiv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2i(GLuint index, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2i","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2i)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2iv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2ui(GLuint index, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2ui","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2ui)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2uiv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3i(GLuint index, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3i","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3i)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3iv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3ui(GLuint index, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3ui","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3ui)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3uiv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4bv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4bv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4bv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4i(GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4i","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4i)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4iv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4sv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4ubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ui(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4ui","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ui)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4uiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4usv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4usv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4usv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribIPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIPointer)(index, size, type, stride, pointer);
  }

  /* GL_VERSION_3_1 */

  REGAL_DECL void REGAL_CALL glDrawArraysInstanced(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysInstanced","(", toString(mode), ", ", start, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstanced)(mode, start, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstanced(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstanced","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstanced)(mode, count, type, indices, primcount);
  }

  REGAL_DECL void REGAL_CALL glPrimitiveRestartIndex(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPrimitiveRestartIndex","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartIndex)(index);
  }

  REGAL_DECL void REGAL_CALL glTexBuffer(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBuffer","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBuffer)(target, internalformat, buffer);
  }

  /* GL_VERSION_3_2 */

  REGAL_DECL void REGAL_CALL glFramebufferTexture(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureFace(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureFace","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureFace)(target, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferParameteri64v","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameteri64v)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64i_v(GLenum target, GLuint index, GLint64 *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInteger64i_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64i_v)(target, index, data);
  }

  /* GL_VERSION_3_3 */

  REGAL_DECL void REGAL_CALL glVertexAttribDivisor(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribDivisor","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisor)(index, divisor);
  }

  /* GL_VERSION_4_0 */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparatei(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparatei","(", buf, ", ", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparatei)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationi(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationi","(", buf, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationi)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparatei(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparatei","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparatei)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFunci(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFunci","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunci)(buf, src, dst);
  }

  /* GL_3DFX_tbuffer */

  REGAL_DECL void REGAL_CALL glTbufferMask3DFX(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTbufferMask3DFX","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTbufferMask3DFX)(mask);
  }

  /* GL_AMD_debug_output */

  REGAL_DECL void REGAL_CALL glDebugMessageCallbackAMD(GLDEBUGPROCAMD callback, GLvoid *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageCallbackAMD","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallbackAMD)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageEnableAMD","(", toString(category), ", ", toString(severity), ", ", count, ", ", ids, ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageEnableAMD)(category, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsertAMD(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringEXT(length, buf);
    App("glDebugMessageInsertAMD","(", toString(category), ", ", toString(severity), ", ", id, ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (_context->info->gl_amd_debug_output)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsertAMD)(category, severity, id, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum *categories, GLuint *severities, GLuint *ids, GLsizei *lengths, GLchar *message)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDebugMessageLogAMD","(", count, ", ", bufsize, ", ", categories, ", ", severities, ", ", ids, ", ", lengths, ", ", boost::print::quote(message,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLogAMD)(count, bufsize, categories, severities, ids, lengths, message);
  }

  /* GL_AMD_draw_buffers_blend */

  REGAL_DECL void REGAL_CALL glBlendEquationIndexedAMD(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationIndexedAMD","(", buf, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationIndexedAMD)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateIndexedAMD(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparateIndexedAMD","(", buf, ", ", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateIndexedAMD)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncIndexedAMD(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncIndexedAMD","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncIndexedAMD)(buf, src, dst);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateIndexedAMD(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparateIndexedAMD","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateIndexedAMD)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  /* GL_AMD_multi_draw_indirect */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysIndirectAMD(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawArraysIndirectAMD","(", toString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysIndirectAMD)(mode, indirect, primcount, stride);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsIndirectAMD(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElementsIndirectAMD","(", toString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsIndirectAMD)(mode, type, indirect, primcount, stride);
  }

  /* GL_AMD_name_gen_delete */

  REGAL_DECL void REGAL_CALL glDeleteNamesAMD(GLenum identifier, GLuint num, const GLuint *names)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteNamesAMD","(", toString(identifier), ", ", num, ", ", names, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteNamesAMD)(identifier, num, names);
  }

  REGAL_DECL void REGAL_CALL glGenNamesAMD(GLenum identifier, GLuint num, GLuint *names)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenNamesAMD","(", toString(identifier), ", ", num, ", ", names, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenNamesAMD)(identifier, num, names);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNameAMD(GLenum identifier, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsNameAMD","(", toString(identifier), ", ", name, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNameAMD)(identifier, name);
  }

  /* GL_AMD_performance_monitor */

  REGAL_DECL void REGAL_CALL glBeginPerfMonitorAMD(GLuint monitor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginPerfMonitorAMD","(", monitor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginPerfMonitorAMD)(monitor);
  }

  REGAL_DECL void REGAL_CALL glDeletePerfMonitorsAMD(GLsizei n, GLuint *monitors)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeletePerfMonitorsAMD","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeletePerfMonitorsAMD)(n, monitors);
  }

  REGAL_DECL void REGAL_CALL glEndPerfMonitorAMD(GLuint monitor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndPerfMonitorAMD","(", monitor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndPerfMonitorAMD)(monitor);
  }

  REGAL_DECL void REGAL_CALL glGenPerfMonitorsAMD(GLsizei n, GLuint *monitors)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenPerfMonitorsAMD","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenPerfMonitorsAMD)(n, monitors);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint *data, GLint *bytesWritten)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorCounterDataAMD","(", monitor, ", ", toString(pname), ", ", dataSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterDataAMD)(monitor, pname, dataSize, data, bytesWritten);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterInfoAMD(GLuint group, GLuint counter, GLenum pname, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorCounterInfoAMD","(", group, ", ", counter, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterInfoAMD)(group, counter, pname, data);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei *length, GLchar *counterString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorCounterStringAMD","(", group, ", ", counter, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterStringAMD)(group, counter, bufSize, length, counterString);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCountersAMD(GLuint group, GLint *numCounters, GLint *maxActiveCounters, GLsizei countersSize, GLuint *counters)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorCountersAMD","(", group, ", ", countersSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCountersAMD)(group, numCounters, maxActiveCounters, countersSize, counters);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei *length, GLchar *groupString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorGroupStringAMD","(", group, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorGroupStringAMD)(group, bufSize, length, groupString);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorGroupsAMD(GLint *numGroups, GLsizei groupsSize, GLuint *groups)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPerfMonitorGroupsAMD","(", groupsSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorGroupsAMD)(numGroups, groupsSize, groups);
  }

  REGAL_DECL void REGAL_CALL glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint *counterList)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSelectPerfMonitorCountersAMD","(", monitor, ", ", toString(enable), ", ", group, ", ", numCounters, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSelectPerfMonitorCountersAMD)(monitor, enable, group, numCounters, counterList);
  }

  /* GL_AMD_sample_positions */

  REGAL_DECL void REGAL_CALL glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetMultisamplefvAMD","(", toString(pname), ", ", index, ", ", val, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetMultisamplefvAMD)(pname, index, val);
  }

  /* GL_AMD_stencil_operation_extended */

  REGAL_DECL void REGAL_CALL glStencilOpValueAMD(GLenum face, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilOpValueAMD","(", toString(face), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpValueAMD)(face, value);
  }

  /* GL_AMD_vertex_shader_tessellator */

  REGAL_DECL void REGAL_CALL glTessellationFactorAMD(GLfloat factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTessellationFactorAMD","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTessellationFactorAMD)(factor);
  }

  REGAL_DECL void REGAL_CALL glTessellationModeAMD(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTessellationModeAMD","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTessellationModeAMD)(mode);
  }

  /* GL_ANGLE_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferANGLE(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlitFramebufferANGLE","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferANGLE)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_ANGLE_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleANGLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisampleANGLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleANGLE)(target, samples, internalformat, width, height);
  }

  /* GL_ANGLE_instanced_arrays */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedANGLE(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysInstancedANGLE","(", toString(mode), ", ", first, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedANGLE)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedANGLE(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedANGLE","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedANGLE)(mode, count, type, indices, primcount);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribDivisorANGLE(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribDivisorANGLE","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisorANGLE)(index, divisor);
  }

  /* GL_ANGLE_translated_shader_source */

  REGAL_DECL void REGAL_CALL glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei *length, GLchar *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTranslatedShaderSourceANGLE","(", shader, ", ", bufsize, ", ", length, ", ", boost::print::quote(source,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTranslatedShaderSourceANGLE)(shader, bufsize, length, source);
  }

  /* GL_APPLE_copy_texture_levels */

  REGAL_DECL void REGAL_CALL glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureLevelsAPPLE","(", destinationTexture, ", ", sourceTexture, ", ", sourceBaseLevel, ", ", sourceLevelCount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureLevelsAPPLE)(destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount);
  }

  /* GL_APPLE_element_array */

  REGAL_DECL void REGAL_CALL glDrawElementArrayAPPLE(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementArrayAPPLE","(", toString(mode), ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementArrayAPPLE)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawRangeElementArrayAPPLE","(", toString(mode), ", ", start, ", ", end, ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementArrayAPPLE)(mode, start, end, first, count);
  }

  REGAL_DECL void REGAL_CALL glElementPointerAPPLE(GLenum type, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glElementPointerAPPLE","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glElementPointerAPPLE)(type, pointer);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementArrayAPPLE(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElementArrayAPPLE","(", toString(mode), ", ", boost::print::optional(first,Logging::pointers), ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementArrayAPPLE)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawRangeElementArrayAPPLE","(", toString(mode), ", ", start, ", ", end, ", ", boost::print::optional(first,Logging::pointers), ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawRangeElementArrayAPPLE)(mode, start, end, first, count, primcount);
  }

  /* GL_APPLE_fence */

  REGAL_DECL void REGAL_CALL glDeleteFencesAPPLE(GLsizei n, const GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFencesAPPLE","(", n, ", ", fences, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFencesAPPLE)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glFinishFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishFenceAPPLE","(", fence, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishFenceAPPLE)(fence);
  }

  REGAL_DECL void REGAL_CALL glFinishObjectAPPLE(GLenum object, GLint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishObjectAPPLE","(", toString(object), ", ", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishObjectAPPLE)(object, name);
  }

  REGAL_DECL void REGAL_CALL glGenFencesAPPLE(GLsizei n, GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFencesAPPLE","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFencesAPPLE)(n, fences);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsFenceAPPLE","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFenceAPPLE)(fence);
  }

  REGAL_DECL void REGAL_CALL glSetFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetFenceAPPLE","(", fence, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFenceAPPLE)(fence);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTestFenceAPPLE","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestFenceAPPLE)(fence);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestObjectAPPLE(GLenum object, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTestObjectAPPLE","(", toString(object), ", ", name, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestObjectAPPLE)(object, name);
  }

  /* GL_APPLE_flush_buffer_range */

  REGAL_DECL void REGAL_CALL glBufferParameteriAPPLE(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferParameteriAPPLE","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferParameteriAPPLE)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRangeAPPLE(GLenum target, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushMappedBufferRangeAPPLE","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRangeAPPLE)(target, offset, size);
  }

  /* GL_APPLE_flush_render */

  REGAL_DECL void REGAL_CALL glFinishRenderAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishRenderAPPLE","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishRenderAPPLE)();
  }

  REGAL_DECL void REGAL_CALL glFlushRenderAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushRenderAPPLE","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushRenderAPPLE)();
  }

  REGAL_DECL void REGAL_CALL glSwapAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSwapAPPLE","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSwapAPPLE)();
  }

  /* GL_APPLE_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleAPPLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisampleAPPLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleAPPLE)(target, samples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glResolveMultisampleFramebufferAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResolveMultisampleFramebufferAPPLE","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResolveMultisampleFramebufferAPPLE)();
  }

  /* GL_APPLE_object_purgeable */

  REGAL_DECL void REGAL_CALL glGetObjectParameterivAPPLE(GLenum objectType, GLuint name, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectParameterivAPPLE","(", toString(objectType), ", ", name, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterivAPPLE)(objectType, name, pname, params);
  }

  REGAL_DECL GLenum REGAL_CALL glObjectPurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glObjectPurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glObjectPurgeableAPPLE)(objectType, name, option);
  }

  REGAL_DECL GLenum REGAL_CALL glObjectUnpurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glObjectUnpurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glObjectUnpurgeableAPPLE)(objectType, name, option);
  }

  /* GL_APPLE_sync */

  REGAL_DECL GLenum REGAL_CALL glClientWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientWaitSyncAPPLE","(", sync, ", ", flags, ", ", timeout, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glClientWaitSyncAPPLE)(sync, flags, timeout);
  }

  REGAL_DECL void REGAL_CALL glDeleteSyncAPPLE(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteSyncAPPLE","(", sync, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSyncAPPLE)(sync);
  }

  REGAL_DECL GLsync REGAL_CALL glFenceSyncAPPLE(GLenum condition, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFenceSyncAPPLE","(", toString(condition), ", ", flags, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFenceSyncAPPLE)(condition, flags);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64vAPPLE(GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInteger64vAPPLE","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64vAPPLE)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSyncivAPPLE(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSyncivAPPLE","(", sync, ", ", toString(pname), ", ", bufSize, ", ", length, ", ", boost::print::optional(values,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSyncivAPPLE)(sync, pname, bufSize, length, values);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSyncAPPLE(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsSyncAPPLE","(", sync, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSyncAPPLE)(sync);
  }

  REGAL_DECL void REGAL_CALL glWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWaitSyncAPPLE","(", sync, ", ", flags, ", ", timeout, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWaitSyncAPPLE)(sync, flags, timeout);
  }

  /* GL_APPLE_texture_range */

  REGAL_DECL void REGAL_CALL glGetTexParameterPointervAPPLE(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterPointervAPPLE","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterPointervAPPLE)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureRangeAPPLE(GLenum target, GLsizei length, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureRangeAPPLE","(", toString(target), ", ", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureRangeAPPLE)(target, length, pointer);
  }

  /* GL_APPLE_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArrayAPPLE(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVertexArrayAPPLE","(", array, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArrayAPPLE)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArraysAPPLE(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteVertexArraysAPPLE","(", n, ", ", arrays, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArraysAPPLE)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArraysAPPLE(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenVertexArraysAPPLE","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArraysAPPLE)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArrayAPPLE(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsVertexArrayAPPLE","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArrayAPPLE)(array);
  }

  /* GL_APPLE_vertex_array_range */

  REGAL_DECL void REGAL_CALL glFlushVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushVertexArrayRangeAPPLE","(", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushVertexArrayRangeAPPLE)(length, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayParameteriAPPLE(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayParameteriAPPLE","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayParameteriAPPLE)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayRangeAPPLE","(", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayRangeAPPLE)(length, pointer);
  }

  /* GL_APPLE_vertex_program_evaluators */

  REGAL_DECL void REGAL_CALL glDisableVertexAttribAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribAPPLE)(index, pname);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribAPPLE)(index, pname);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexAttribEnabledAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsVertexAttribEnabledAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexAttribEnabledAPPLE)(index, pname);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib1dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapVertexAttrib1dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib1dAPPLE)(index, size, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib1fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapVertexAttrib1fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib1fAPPLE)(index, size, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib2dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapVertexAttrib2dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib2dAPPLE)(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib2fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapVertexAttrib2fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib2fAPPLE)(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  /* GL_ARB_ES2_compatibility */

  REGAL_DECL void REGAL_CALL glClearDepthf(GLclampf d)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearDepthf","(", d, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthf)(d);
  }

  REGAL_DECL void REGAL_CALL glDepthRangef(GLclampf n, GLclampf f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangef","(", n, ", ", f, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangef)(n, f);
  }

  REGAL_DECL void REGAL_CALL glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetShaderPrecisionFormat","(", toString(shadertype), ", ", toString(precisiontype), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderPrecisionFormat)(shadertype, precisiontype, range, precision);
  }

  REGAL_DECL void REGAL_CALL glReleaseShaderCompiler(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReleaseShaderCompiler","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReleaseShaderCompiler)();
  }

  REGAL_DECL void REGAL_CALL glShaderBinary(GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderBinary","(", count, ", ", boost::print::array(shaders,count), ", ", toString(binaryformat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderBinary)(count, shaders, binaryformat, binary, length);
  }

  /* GL_ARB_base_instance */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedBaseInstance(GLenum mode, GLint first, GLsizei count, GLsizei primcount, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysInstancedBaseInstance","(", toString(mode), ", ", first, ", ", count, ", ", primcount, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedBaseInstance)(mode, first, count, primcount, baseinstance);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedBaseInstance","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseInstance)(mode, count, type, indices, primcount, baseinstance);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseVertexBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedBaseVertexBaseInstance","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseVertexBaseInstance)(mode, count, type, indices, primcount, basevertex, baseinstance);
  }

  /* GL_ARB_blend_func_extended */

  REGAL_DECL void REGAL_CALL glBindFragDataLocationIndexed(GLuint program, GLuint colorNumber, GLuint index, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFragDataLocationIndexed","(", program, ", ", colorNumber, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocationIndexed)(program, colorNumber, index, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataIndex(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragDataIndex","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataIndex)(program, name);
  }

  /* GL_ARB_cl_event */

  REGAL_DECL GLsync REGAL_CALL glCreateSyncFromCLeventARB(cl_context context, cl_event event, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateSyncFromCLeventARB","(", context, ", ", event, ", ", flags, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateSyncFromCLeventARB)(context, event, flags);
  }

  /* GL_ARB_clear_buffer_object */

  REGAL_DECL void REGAL_CALL glClearBufferData(GLenum target, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferData","(", toString(target), ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferData)(target, internalformat, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearBufferSubData(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearBufferSubData","(", toString(target), ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferSubData)(target, internalformat, offset, size, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearNamedBufferDataEXT","(", buffer, ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferDataEXT)(buffer, internalformat, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferSubDataEXT(GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearNamedBufferSubDataEXT","(", buffer, ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferSubDataEXT)(buffer, internalformat, offset, size, format, type, data);
  }

  /* GL_ARB_color_buffer_float */

  REGAL_DECL void REGAL_CALL glClampColorARB(GLenum target, GLenum clamp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClampColorARB","(", toString(target), ", ", toString(clamp), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClampColorARB)(target, clamp);
  }

  /* GL_ARB_compute_shader */

  REGAL_DECL void REGAL_CALL glDispatchCompute(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDispatchCompute","(", num_groups_x, ", ", num_groups_y, ", ", num_groups_z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDispatchCompute)(num_groups_x, num_groups_y, num_groups_z);
  }

  REGAL_DECL void REGAL_CALL glDispatchComputeIndirect(GLintptr indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDispatchComputeIndirect","(", indirect, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDispatchComputeIndirect)(indirect);
  }

  /* GL_ARB_copy_buffer */

  REGAL_DECL void REGAL_CALL glCopyBufferSubData(GLenum readtarget, GLenum writetarget, GLintptr readoffset, GLintptr writeoffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyBufferSubData","(", toString(readtarget), ", ", toString(writetarget), ", ", readoffset, ", ", writeoffset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyBufferSubData)(readtarget, writetarget, readoffset, writeoffset, size);
  }

  /* GL_ARB_copy_image */

  REGAL_DECL void REGAL_CALL glCopyImageSubData(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyImageSubData","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyImageSubData)(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth);
  }

  /* GL_ARB_debug_output */

  REGAL_DECL void REGAL_CALL glDebugMessageCallbackARB(GLDEBUGPROCARB callback, const GLvoid *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageCallbackARB","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallbackARB)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageControlARB(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageControlARB","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", boost::print::array(ids,count>0 && ids ? count : 0), ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageControlARB)(source, type, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsertARB(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringEXT(length, buf);
    App("glDebugMessageInsertARB","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (_context->info->gl_arb_debug_output)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsertARB)(source, type, id, severity, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLogARB(GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDebugMessageLogARB","(", count, ", ", bufsize, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLogARB)(count, bufsize, sources, types, ids, severities, lengths, messageLog);
  }

  /* GL_ARB_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersARB(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffersARB","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersARB)(n, bufs);
  }

  /* GL_ARB_draw_buffers_blend */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateiARB(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparateiARB","(", buf, ", ", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateiARB)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationiARB(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationiARB","(", buf, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationiARB)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateiARB(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparateiARB","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateiARB)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFunciARB(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFunciARB","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunciARB)(buf, src, dst);
  }

  /* GL_ARB_draw_elements_base_vertex */

  REGAL_DECL void REGAL_CALL glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsBaseVertex","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsBaseVertex)(mode, count, type, indices, basevertex);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedBaseVertex","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseVertex)(mode, count, type, indices, primcount, basevertex);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawRangeElementsBaseVertex","(", toString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementsBaseVertex)(mode, start, end, count, type, indices, basevertex);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsBaseVertex(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, const GLint *basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElementsBaseVertex","(", toString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ", ", boost::print::array(basevertex,primcount), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsBaseVertex)(mode, count, type, indices, primcount, basevertex);
  }

  /* GL_ARB_draw_indirect */

  REGAL_DECL void REGAL_CALL glDrawArraysIndirect(GLenum mode, const GLvoid *indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysIndirect","(", toString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysIndirect)(mode, indirect);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsIndirect","(", toString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsIndirect)(mode, type, indirect);
  }

  /* GL_ARB_draw_instanced */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedARB(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysInstancedARB","(", toString(mode), ", ", start, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedARB)(mode, start, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedARB","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedARB)(mode, count, type, indices, primcount);
  }

  /* GL_ARB_framebuffer_no_attachments */

  REGAL_DECL void REGAL_CALL glFramebufferParameteri(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferParameteri","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferParameteri)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFramebufferParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferParameterivEXT)(framebuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferParameteriEXT(GLuint framebuffer, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferParameteriEXT","(", framebuffer, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferParameteriEXT)(framebuffer, pname, param);
  }

  /* GL_ARB_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebuffer(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFramebuffer","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebuffer)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbuffer(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindRenderbuffer","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbuffer)(target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlitFramebuffer","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebuffer)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatus(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCheckFramebufferStatus","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatus)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffers(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFramebuffers","(", n, ", ", boost::print::array(framebuffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffers)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffers(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteRenderbuffers","(", n, ", ", boost::print::array(renderbuffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffers)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferRenderbuffer","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbuffer)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture1D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture1D)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture2D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2D)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture3D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3D)(target, attachment, textarget, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayer(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureLayer","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayer)(target, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffers(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFramebuffers","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffers)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffers(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenRenderbuffers","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffers)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmap(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenerateMipmap","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmap)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFramebufferAttachmentParameteriv","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameteriv)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetRenderbufferParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameteriv)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebuffer(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsFramebuffer","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebuffer)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbuffer(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsRenderbuffer","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbuffer)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorage","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorage)(target, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisample)(target, samples, internalformat, width, height);
  }

  /* GL_ARB_geometry_shader4 */

  REGAL_DECL void REGAL_CALL glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureARB)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureFaceARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureFaceARB)(target, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayerARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureLayerARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayerARB)(target, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteriARB(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameteriARB","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteriARB)(program, pname, value);
  }

  /* GL_ARB_get_program_binary */

  REGAL_DECL void REGAL_CALL glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramBinary","(", program, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramBinary)(program, bufSize, length, binaryFormat, binary);
  }

  REGAL_DECL void REGAL_CALL glProgramBinary(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramBinary","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBinary)(program, binaryFormat, binary, length);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteri(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameteri","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteri)(program, pname, value);
  }

  /* GL_ARB_gpu_shader_fp64 */

  REGAL_DECL void REGAL_CALL glGetUniformdv(GLuint program, GLint location, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformdv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformdv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glUniform1d(GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1d","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1d)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1dv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2d(GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2d","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2d)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2dv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3d(GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3d","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3d)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3dv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4d(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4d","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4d)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4dv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x3dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x3dv)(location, count, transpose, value);
  }

  /* GL_ARB_imaging */

  REGAL_DECL void REGAL_CALL glColorSubTable(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorSubTable","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorSubTable)(target, start, count, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glColorTable(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTable","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTable)(target, internalformat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableParameterfv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter1D(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter1D)(target, internalformat, width, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter2D)(target, internalformat, width, height, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterf(GLenum target, GLenum pname, GLfloat params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameterf","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterf)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameterfv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteri(GLenum target, GLenum pname, GLint params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameteri","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteri)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glCopyColorSubTable(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyColorSubTable","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorSubTable)(target, start, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyColorTable(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyColorTable","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorTable)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter1D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter1D)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter2D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter2D)(target, internalformat, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glGetColorTable(GLenum target, GLenum format, GLenum type, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTable","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTable)(target, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionFilter(GLenum target, GLenum format, GLenum type, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionFilter)(target, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogram(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogram","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogram)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogramParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogramParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmax(GLenum target, GLboolean reset, GLenum format, GLenum types, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmax","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(types), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmax)(target, reset, format, types, values);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmaxParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmaxParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSeparableFilter(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSeparableFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSeparableFilter)(target, format, type, row, column, span);
  }

  REGAL_DECL void REGAL_CALL glHistogram(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glHistogram","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHistogram)(target, width, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glMinmax(GLenum target, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMinmax","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinmax)(target, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glResetHistogram(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResetHistogram","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetHistogram)(target);
  }

  REGAL_DECL void REGAL_CALL glResetMinmax(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResetMinmax","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetMinmax)(target);
  }

  REGAL_DECL void REGAL_CALL glSeparableFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSeparableFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSeparableFilter2D)(target, internalformat, width, height, format, type, row, column);
  }

  /* GL_ARB_instanced_arrays */

  REGAL_DECL void REGAL_CALL glVertexAttribDivisorARB(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribDivisorARB","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisorARB)(index, divisor);
  }

  /* GL_ARB_internalformat_query */

  REGAL_DECL void REGAL_CALL glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInternalformativ","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInternalformativ)(target, internalformat, pname, bufSize, params);
  }

  /* GL_ARB_internalformat_query2 */

  REGAL_DECL void REGAL_CALL glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInternalformati64v","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInternalformati64v)(target, internalformat, pname, bufSize, params);
  }

  /* GL_ARB_invalidate_subdata */

  REGAL_DECL void REGAL_CALL glInvalidateBufferData(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateBufferData","(", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateBufferData)(buffer);
  }

  REGAL_DECL void REGAL_CALL glInvalidateBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateBufferSubData","(", buffer, ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateBufferSubData)(buffer, offset, length);
  }

  REGAL_DECL void REGAL_CALL glInvalidateFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateFramebuffer)(target, numAttachments, attachments);
  }

  REGAL_DECL void REGAL_CALL glInvalidateSubFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateSubFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateSubFramebuffer)(target, numAttachments, attachments, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glInvalidateTexImage(GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateTexImage","(", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateTexImage)(texture, level);
  }

  REGAL_DECL void REGAL_CALL glInvalidateTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInvalidateTexSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateTexSubImage)(texture, level, xoffset, yoffset, zoffset, width, height, depth);
  }

  /* GL_ARB_map_buffer_range */

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushMappedBufferRange","(", toString(target), ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRange)(target, offset, length);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapBufferRange","(", toString(target), ", ", offset, ", ", length, ", ", GLbufferAccessToString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferRange)(target, offset, length, access);
  }

  /* GL_ARB_matrix_palette */

  REGAL_DECL void REGAL_CALL glCurrentPaletteMatrixARB(GLint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCurrentPaletteMatrixARB","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCurrentPaletteMatrixARB)(index);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixIndexPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexPointerARB)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexubvARB(GLint size, const GLubyte *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixIndexubvARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexubvARB)(size, indices);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexuivARB(GLint size, const GLuint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixIndexuivARB","(", size, ", ", indices, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexuivARB)(size, indices);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexusvARB(GLint size, const GLushort *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixIndexusvARB","(", size, ", ", indices, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexusvARB)(size, indices);
  }

  /* GL_ARB_multi_draw_indirect */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysIndirect(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawArraysIndirect","(", toString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysIndirect)(mode, indirect, primcount, stride);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElementsIndirect","(", toString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsIndirect)(mode, type, indirect, primcount, stride);
  }

  /* GL_ARB_multisample */

  REGAL_DECL void REGAL_CALL glSampleCoverageARB(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleCoverageARB","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleCoverageARB)(value, invert);
  }

  /* GL_ARB_multitexture */

  REGAL_DECL void REGAL_CALL glActiveTextureARB(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveTextureARB","(", toString(texture), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveTextureARB)(texture);
  }

  REGAL_DECL void REGAL_CALL glClientActiveTextureARB(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientActiveTextureARB","(", toString(texture), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveTextureARB)(texture);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dARB(GLenum target, GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1dARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1dvARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fARB(GLenum target, GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1fARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1fvARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1iARB(GLenum target, GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1iARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1iARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1ivARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1sARB(GLenum target, GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1sARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1sARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1svARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dARB(GLenum target, GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2dARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2dvARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fARB(GLenum target, GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2fARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2fvARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2iARB(GLenum target, GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2iARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2iARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2ivARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2sARB(GLenum target, GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2sARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2sARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2svARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3dvARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3fvARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3iARB(GLenum target, GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3iARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3ivARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3sARB(GLenum target, GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3sARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3svARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4dvARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4fvARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4iARB(GLenum target, GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4iARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4ivARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4sARB(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4sARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4svARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4svARB)(target, v);
  }

  /* GL_ARB_occlusion_query */

  REGAL_DECL void REGAL_CALL glBeginQueryARB(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginQueryARB","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryARB)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueriesARB(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteQueriesARB","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueriesARB)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQueryARB(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndQueryARB","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryARB)(target);
  }

  REGAL_DECL void REGAL_CALL glGenQueriesARB(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenQueriesARB","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueriesARB)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectivARB(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectivARB","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectivARB)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuivARB(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectuivARB","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuivARB)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryivARB)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQueryARB(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsQueryARB","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQueryARB)(id);
  }

  /* GL_ARB_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfARB(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfARB","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfARB)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvARB(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfvARB","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvARB)(pname, params);
  }

  /* GL_ARB_program_interface_query */

  REGAL_DECL void REGAL_CALL glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramInterfaceiv","(", program, ", ", toString(programInterface), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramInterfaceiv)(program, programInterface, pname, params);
  }

  REGAL_DECL GLuint REGAL_CALL glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramResourceIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceIndex)(program, programInterface, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramResourceLocation","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceLocation)(program, programInterface, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramResourceLocationIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceLocationIndex)(program, programInterface, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramResourceName","(", program, ", ", toString(programInterface), ", ", index, ", ", bufSize, ", ", length, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramResourceName)(program, programInterface, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum *props, GLsizei bufSize, GLsizei *length, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramResourceiv","(", program, ", ", toString(programInterface), ", ", index, ", ", propCount, ", ", props, ", ", bufSize, ", ", length, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramResourceiv)(program, programInterface, index, propCount, props, bufSize, length, params);
  }

  /* GL_ARB_provoking_vertex */

  REGAL_DECL void REGAL_CALL glProvokingVertex(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProvokingVertex","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProvokingVertex)(mode);
  }

  /* GL_ARB_robustness */

  REGAL_DECL GLenum REGAL_CALL glGetGraphicsResetStatusARB(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetGraphicsResetStatusARB","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetGraphicsResetStatusARB)();
  }

  REGAL_DECL void REGAL_CALL glGetnColorTableARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnColorTableARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnColorTableARB)(target, format, type, bufSize, table);
  }

  REGAL_DECL void REGAL_CALL glGetnCompressedTexImageARB(GLenum target, GLint lod, GLsizei bufSize, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnCompressedTexImageARB","(", toString(target), ", ", lod, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnCompressedTexImageARB)(target, lod, bufSize, img);
  }

  REGAL_DECL void REGAL_CALL glGetnConvolutionFilterARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnConvolutionFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnConvolutionFilterARB)(target, format, type, bufSize, image);
  }

  REGAL_DECL void REGAL_CALL glGetnHistogramARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnHistogramARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnHistogramARB)(target, reset, format, type, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnMapdvARB(GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnMapdvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapdvARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMapfvARB(GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnMapfvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapfvARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMapivARB(GLenum target, GLenum query, GLsizei bufSize, GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnMapivARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapivARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMinmaxARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnMinmaxARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMinmaxARB)(target, reset, format, type, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapfvARB(GLenum map, GLsizei bufSize, GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnPixelMapfvARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapfvARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapuivARB(GLenum map, GLsizei bufSize, GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnPixelMapuivARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapuivARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapusvARB(GLenum map, GLsizei bufSize, GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnPixelMapusvARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapusvARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPolygonStippleARB(GLsizei bufSize, GLubyte *pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnPolygonStippleARB","(", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPolygonStippleARB)(bufSize, pattern);
  }

  REGAL_DECL void REGAL_CALL glGetnSeparableFilterARB(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnSeparableFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", rowBufSize, ", ", columnBufSize, ", ", boost::print::optional(span,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnSeparableFilterARB)(target, format, type, rowBufSize, row, columnBufSize, column, span);
  }

  REGAL_DECL void REGAL_CALL glGetnTexImageARB(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnTexImageARB","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnTexImageARB)(target, level, format, type, bufSize, img);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformdvARB(GLuint program, GLint location, GLsizei bufSize, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformdvARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformdvARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformfvARB(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformfvARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformfvARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformivARB(GLuint program, GLint location, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformivARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformivARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformuivARB(GLuint program, GLint location, GLsizei bufSize, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformuivARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformuivARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glReadnPixelsARB(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadnPixelsARB","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadnPixelsARB)(x, y, width, height, format, type, bufSize, data);
  }

  /* GL_ARB_sample_shading */

  REGAL_DECL void REGAL_CALL glMinSampleShading(GLclampf value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMinSampleShading","(", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinSampleShading)(value);
  }

  REGAL_DECL void REGAL_CALL glMinSampleShadingARB(GLclampf value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMinSampleShadingARB","(", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinSampleShadingARB)(value);
  }

  /* GL_ARB_sampler_objects */

  REGAL_DECL void REGAL_CALL glBindSampler(GLuint unit, GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindSampler","(", unit, ", ", sampler, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindSampler)(unit, sampler);
  }

  REGAL_DECL void REGAL_CALL glDeleteSamplers(GLsizei count, const GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteSamplers","(", count, ", ", boost::print::array(samplers,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSamplers)(count, samplers);
  }

  REGAL_DECL void REGAL_CALL glGenSamplers(GLsizei count, GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenSamplers","(", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenSamplers)(count, samplers);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSamplerParameterIiv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterIiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSamplerParameterIuiv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterIuiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSamplerParameterfv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterfv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSamplerParameteriv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameteriv)(sampler, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSampler(GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsSampler","(", sampler, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSampler)(sampler);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameterIiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterIiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameterIuiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterIuiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterf(GLuint sampler, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameterf","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterf)(sampler, pname, param);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameterfv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterfv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameteri(GLuint sampler, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameteri","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameteri)(sampler, pname, param);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplerParameteriv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameteriv)(sampler, pname, params);
  }

  /* GL_ARB_separate_shader_objects */

  REGAL_DECL void REGAL_CALL glActiveShaderProgram(GLuint pipeline, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveShaderProgram","(", pipeline, ", ", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveShaderProgram)(pipeline, program);
  }

  REGAL_DECL void REGAL_CALL glBindProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindProgramPipeline","(", pipeline, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramPipeline)(pipeline);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShaderProgramv(GLenum type, GLsizei count, const GLchar * const *strings)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateShaderProgramv","(", toString(type), ", ", count, ", ", boost::print::array(strings,count,"\""), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderProgramv)(type, count, strings);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramPipelines(GLsizei n, const GLuint *pipelines)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteProgramPipelines","(", n, ", ", boost::print::array(pipelines,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramPipelines)(n, pipelines);
  }

  REGAL_DECL void REGAL_CALL glGenProgramPipelines(GLsizei n, GLuint *pipelines)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenProgramPipelines","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramPipelines)(n, pipelines);
  }

  REGAL_DECL void REGAL_CALL glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramPipelineInfoLog","(", pipeline, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramPipelineInfoLog)(pipeline, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramPipelineiv","(", pipeline, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramPipelineiv)(pipeline, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsProgramPipeline","(", pipeline, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramPipeline)(pipeline);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1d(GLuint program, GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1d","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1d)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1f(GLuint program, GLint location, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1f","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1f)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i(GLuint program, GLint location, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1i","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui(GLuint program, GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1ui","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2d(GLuint program, GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2d","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2d)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2f(GLuint program, GLint location, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2f","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2f)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i(GLuint program, GLint location, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2i","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui(GLuint program, GLint location, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2ui","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3d)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3f)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i(GLuint program, GLint location, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4d)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4f)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i(GLuint program, GLint location, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgramStages(GLuint pipeline, GLbitfield stages, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUseProgramStages","(", pipeline, ", ", stages, ", ", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgramStages)(pipeline, stages, program);
  }

  REGAL_DECL void REGAL_CALL glValidateProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glValidateProgramPipeline","(", pipeline, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgramPipeline)(pipeline);
  }

  /* GL_ARB_shader_atomic_counters */

  REGAL_DECL void REGAL_CALL glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveAtomicCounterBufferiv","(", program, ", ", bufferIndex, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAtomicCounterBufferiv)(program, bufferIndex, pname, params);
  }

  /* GL_ARB_shader_image_load_store */

  REGAL_DECL void REGAL_CALL glBindImageTexture(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindImageTexture","(", unit, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindImageTexture)(unit, texture, level, layered, layer, access, format);
  }

  REGAL_DECL void REGAL_CALL glMemoryBarrier(GLbitfield barriers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMemoryBarrier","(", barriers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMemoryBarrier)(barriers);
  }

  /* GL_ARB_shader_objects */

  REGAL_DECL void REGAL_CALL glAttachObjectARB(GLhandleARB containerObj, GLhandleARB obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAttachObjectARB","(", containerObj, ", ", obj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAttachObjectARB)(containerObj, obj);
  }

  REGAL_DECL void REGAL_CALL glCompileShaderARB(GLhandleARB shaderObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompileShaderARB","(", shaderObj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShaderARB)(shaderObj);
  }

  REGAL_DECL GLhandleARB REGAL_CALL glCreateProgramObjectARB(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateProgramObjectARB","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateProgramObjectARB)();
  }

  REGAL_DECL GLhandleARB REGAL_CALL glCreateShaderObjectARB(GLenum shaderType)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateShaderObjectARB","(", toString(shaderType), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderObjectARB)(shaderType);
  }

  REGAL_DECL void REGAL_CALL glDeleteObjectARB(GLhandleARB obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteObjectARB","(", obj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteObjectARB)(obj);
  }

  REGAL_DECL void REGAL_CALL glDetachObjectARB(GLhandleARB containerObj, GLhandleARB attachedObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDetachObjectARB","(", containerObj, ", ", attachedObj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetachObjectARB)(containerObj, attachedObj);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniformARB","(", programObj, ", ", index, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformARB)(programObj, index, maxLength, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetAttachedObjectsARB(GLhandleARB containerObj, GLsizei maxCount, GLsizei *count, GLhandleARB *obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetAttachedObjectsARB","(", containerObj, ", ", maxCount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetAttachedObjectsARB)(containerObj, maxCount, count, obj);
  }

  REGAL_DECL GLhandleARB REGAL_CALL glGetHandleARB(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHandleARB","(", toString(pname), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetHandleARB)(pname);
  }

  REGAL_DECL void REGAL_CALL glGetInfoLogARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInfoLogARB","(", obj, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInfoLogARB)(obj, maxLength, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetObjectParameterfvARB(GLhandleARB obj, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectParameterfvARB","(", obj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterfvARB)(obj, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectParameterivARB(GLhandleARB obj, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectParameterivARB","(", obj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterivARB)(obj, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetShaderSourceARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetShaderSourceARB","(", obj, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderSourceARB)(obj, maxLength, length, source);
  }

  REGAL_DECL GLint REGAL_CALL glGetUniformLocationARB(GLhandleARB programObj, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformLocationARB)(programObj, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformfvARB(GLhandleARB programObj, GLint location, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformfvARB","(", programObj, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformfvARB)(programObj, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformivARB(GLhandleARB programObj, GLint location, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformivARB","(", programObj, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformivARB)(programObj, location, params);
  }

  REGAL_DECL void REGAL_CALL glLinkProgramARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLinkProgramARB","(", programObj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLinkProgramARB)(programObj);
  }

  REGAL_DECL void REGAL_CALL glShaderSourceARB(GLhandleARB shaderObj, GLsizei count, const GLcharARB **string, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderSourceARB","(", shaderObj, ", ", count, ", ", boost::print::array(reinterpret_cast<const char **>(string),string ? count : 0,"\""), ", ", boost::print::array(length,length ? count : 0), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderSourceARB)(shaderObj, count, string, length);
  }

  REGAL_DECL void REGAL_CALL glUniform1fARB(GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1fARB","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fARB)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1fvARB","(", location, ", ", count, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1iARB(GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1iARB","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1iARB)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2fARB(GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2fARB","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fARB)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2fvARB","(", location, ", ", count, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2iARB(GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2iARB","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2iARB)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fARB)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3fvARB","(", location, ", ", count, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3iARB(GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3iARB)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fARB)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4fvARB","(", location, ", ", count, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4iARB(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4iARB)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix2fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix3fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformMatrix4fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgramObjectARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUseProgramObjectARB","(", programObj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgramObjectARB)(programObj);
  }

  REGAL_DECL void REGAL_CALL glValidateProgramARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glValidateProgramARB","(", programObj, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgramARB)(programObj);
  }

  /* GL_ARB_shader_storage_buffer_object */

  REGAL_DECL void REGAL_CALL glShaderStorageBlockBinding(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderStorageBlockBinding","(", program, ", ", storageBlockIndex, ", ", storageBlockBinding, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderStorageBlockBinding)(program, storageBlockIndex, storageBlockBinding);
  }

  /* GL_ARB_shader_subroutine */

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveSubroutineName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineName)(program, shaderType, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineUniformName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveSubroutineUniformName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineUniformName)(program, shaderType, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineUniformiv(GLuint program, GLenum shaderType, GLuint index, GLenum pname, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveSubroutineUniformiv","(", program, ", ", toString(shaderType), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineUniformiv)(program, shaderType, index, pname, values);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStageiv(GLuint program, GLenum shaderType, GLenum pname, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramStageiv","(", program, ", ", toString(shaderType), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStageiv)(program, shaderType, pname, values);
  }

  REGAL_DECL void REGAL_CALL glGetProgramSubroutineParameteruivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramSubroutineParameteruivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramSubroutineParameteruivNV)(target, index, params);
  }

  REGAL_DECL GLuint REGAL_CALL glGetSubroutineIndex(GLuint program, GLenum shaderType, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSubroutineIndex","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetSubroutineIndex)(program, shaderType, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetSubroutineUniformLocation(GLuint program, GLenum shaderType, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSubroutineUniformLocation","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetSubroutineUniformLocation)(program, shaderType, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformSubroutineuiv(GLenum shaderType, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformSubroutineuiv","(", toString(shaderType), ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformSubroutineuiv)(shaderType, location, params);
  }

  REGAL_DECL void REGAL_CALL glProgramSubroutineParametersuivNV(GLenum target, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramSubroutineParametersuivNV","(", toString(target), ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramSubroutineParametersuivNV)(target, count, params);
  }

  REGAL_DECL void REGAL_CALL glUniformSubroutinesuiv(GLenum shaderType, GLsizei count, const GLuint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformSubroutinesuiv","(", toString(shaderType), ", ", count, ", ", boost::print::array(indices,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformSubroutinesuiv)(shaderType, count, indices);
  }

  /* GL_ARB_shading_language_include */

  REGAL_DECL void REGAL_CALL glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar **path, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompileShaderIncludeARB","(", shader, ", ", count, ", ", boost::print::array(path,count,"\""), ", ", boost::print::array(length,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShaderIncludeARB)(shader, count, path, length);
  }

  REGAL_DECL void REGAL_CALL glDeleteNamedStringARB(GLint namelen, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteNamedStringARB)(namelen, name);
  }

  REGAL_DECL void REGAL_CALL glGetNamedStringARB(GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedStringARB)(namelen, name, bufSize, stringlen, string);
  }

  REGAL_DECL void REGAL_CALL glGetNamedStringivARB(GLint namelen, const GLchar *name, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedStringivARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedStringivARB)(namelen, name, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNamedStringARB(GLint namelen, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNamedStringARB)(namelen, name);
  }

  REGAL_DECL void REGAL_CALL glNamedStringARB(GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedStringARB","(", toString(type), ", ", namelen, ", ", boost::print::quote(name,'"'), ", ", stringlen, ", ", boost::print::quote(string,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedStringARB)(type, namelen, name, stringlen, string);
  }

  /* GL_ARB_sync */

  REGAL_DECL GLenum REGAL_CALL glClientWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", flags, ", ", timeout, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glClientWaitSync)(sync, flags, timeout);
  }

  REGAL_DECL void REGAL_CALL glDeleteSync(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSync)(sync);
  }

  REGAL_DECL GLsync REGAL_CALL glFenceSync(GLenum condition, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFenceSync","(", toString(condition), ", ", flags, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFenceSync)(condition, flags);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64v(GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInteger64v","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64v)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSynciv","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", toString(pname), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSynciv)(sync, pname, bufSize, length, values);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSync(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSync)(sync);
  }

  REGAL_DECL void REGAL_CALL glWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", flags, ", ", timeout, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWaitSync)(sync, flags, timeout);
  }

  /* GL_ARB_tessellation_shader */

  REGAL_DECL void REGAL_CALL glPatchParameterfv(GLenum pname, const GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPatchParameterfv","(", toString(pname), ", ", boost::print::array(values,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPatchParameterfv)(pname, values);
  }

  REGAL_DECL void REGAL_CALL glPatchParameteri(GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPatchParameteri","(", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPatchParameteri)(pname, value);
  }

  /* GL_ARB_texture_buffer_object */

  REGAL_DECL void REGAL_CALL glTexBufferARB(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBufferARB","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferARB)(target, internalformat, buffer);
  }

  /* GL_ARB_texture_buffer_range */

  REGAL_DECL void REGAL_CALL glTexBufferRange(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBufferRange","(", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferRange)(target, internalformat, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glTextureBufferRangeEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureBufferRangeEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBufferRangeEXT)(texture, target, internalformat, buffer, offset, size);
  }

  /* GL_ARB_texture_compression */

  REGAL_DECL void REGAL_CALL glCompressedTexImage1DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage1DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage1DARB)(target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage2DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage2DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage2DARB)(target, level, internalformat, width, height, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage3DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage3DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3DARB)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage1DARB(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage1DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage1DARB)(target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage2DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage2DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage2DARB)(target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage3DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3DARB)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTexImageARB(GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCompressedTexImageARB","(", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTexImageARB)(target, lod, img);
  }

  /* GL_ARB_texture_multisample */

  REGAL_DECL void REGAL_CALL glGetMultisamplefv(GLenum pname, GLuint index, GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultisamplefv","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultisamplefv)(pname, index, val);
  }

  REGAL_DECL void REGAL_CALL glSampleMaski(GLuint index, GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleMaski","(", index, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaski)(index, mask);
  }

  REGAL_DECL void REGAL_CALL glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage2DMultisample","(", toString(target), ", ", samples, ", ", internalformat, ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2DMultisample)(target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage3DMultisample","(", toString(target), ", ", samples, ", ", internalformat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DMultisample)(target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  /* GL_ARB_texture_storage */

  REGAL_DECL void REGAL_CALL glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage1D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage1D)(target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage2D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2D)(target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage3D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3D)(target, levels, internalformat, width, height, depth);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage1DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureStorage1DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage1DEXT)(texture, target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureStorage2DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2DEXT)(texture, target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureStorage3DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3DEXT)(texture, target, levels, internalformat, width, height, depth);
  }

  /* GL_ARB_texture_storage_multisample */

  REGAL_DECL void REGAL_CALL glTexStorage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage2DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2DMultisample)(target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage3DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3DMultisample)(target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureStorage2DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2DMultisampleEXT)(texture, target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureStorage3DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3DMultisampleEXT)(texture, target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  /* GL_ARB_texture_view */

  REGAL_DECL void REGAL_CALL glTextureView(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureView","(", texture, ", ", toString(target), ", ", origtexture, ", ", toString(internalformat), ", ", minlevel, ", ", numlevels, ", ", minlayer, ", ", numlayers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureView)(texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers);
  }

  /* GL_ARB_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjecti64v","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjecti64v)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectui64v","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectui64v)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glQueryCounter(GLuint id, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glQueryCounter","(", id, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glQueryCounter)(id, target);
  }

  /* GL_ARB_transform_feedback2 */

  REGAL_DECL void REGAL_CALL glBindTransformFeedback(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTransformFeedback","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTransformFeedback)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteTransformFeedbacks(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteTransformFeedbacks","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTransformFeedbacks)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedback(GLenum mode, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTransformFeedback","(", toString(mode), ", ", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedback)(mode, name);
  }

  REGAL_DECL void REGAL_CALL glGenTransformFeedbacks(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenTransformFeedbacks","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTransformFeedbacks)(n, ids);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTransformFeedback(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsTransformFeedback","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTransformFeedback)(id);
  }

  REGAL_DECL void REGAL_CALL glPauseTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPauseTransformFeedback","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPauseTransformFeedback)();
  }

  REGAL_DECL void REGAL_CALL glResumeTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResumeTransformFeedback","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResumeTransformFeedback)();
  }

  /* GL_ARB_transform_feedback3 */

  REGAL_DECL void REGAL_CALL glBeginQueryIndexed(GLenum target, GLuint index, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginQueryIndexed","(", toString(target), ", ", index, ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryIndexed)(target, index, id);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackStream(GLenum mode, GLuint id, GLuint stream)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTransformFeedbackStream","(", toString(mode), ", ", id, ", ", stream, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackStream)(mode, id, stream);
  }

  REGAL_DECL void REGAL_CALL glEndQueryIndexed(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndQueryIndexed","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryIndexed)(target, index);
  }

  REGAL_DECL void REGAL_CALL glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryIndexediv","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryIndexediv)(target, index, pname, params);
  }

  /* GL_ARB_transform_feedback_instanced */

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackInstanced(GLenum mode, GLuint id, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTransformFeedbackInstanced","(", toString(mode), ", ", id, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackInstanced)(mode, id, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackStreamInstanced(GLenum mode, GLuint id, GLuint stream, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTransformFeedbackStreamInstanced","(", toString(mode), ", ", id, ", ", stream, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackStreamInstanced)(mode, id, stream, primcount);
  }

  /* GL_ARB_transpose_matrix */

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixdARB(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadTransposeMatrixdARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixdARB)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixfARB(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadTransposeMatrixfARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixfARB)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixdARB(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultTransposeMatrixdARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixdARB)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixfARB(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultTransposeMatrixfARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixfARB)(m);
  }

  /* GL_ARB_uniform_buffer_object */

  REGAL_DECL void REGAL_CALL glBindBufferBase(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferBase","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBase)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRange(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferRange","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRange)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniformBlockName","(", program, ", ", uniformBlockIndex, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformBlockName)(program, uniformBlockIndex, bufSize, length, uniformBlockName);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniformBlockiv","(", program, ", ", uniformBlockIndex, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformBlockiv)(program, uniformBlockIndex, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniformName","(", program, ", ", uniformIndex, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformName)(program, uniformIndex, bufSize, length, uniformName);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveUniformsiv","(", program, ", ", uniformCount, ", ", uniformIndices, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformsiv)(program, uniformCount, uniformIndices, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetIntegeri_v(GLenum target, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegeri_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegeri_v)(target, index, data);
  }

  REGAL_DECL GLuint REGAL_CALL glGetUniformBlockIndex(GLuint program, const GLchar *uniformBlockName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformBlockIndex","(", program, ", ", boost::print::quote(uniformBlockName,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformBlockIndex)(program, uniformBlockName);
  }

  REGAL_DECL void REGAL_CALL glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const *uniformNames, GLuint *uniformIndices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformIndices","(", program, ", ", uniformCount, ", ", uniformNames, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformIndices)(program, uniformCount, uniformNames, uniformIndices);
  }

  REGAL_DECL void REGAL_CALL glUniformBlockBinding(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformBlockBinding","(", program, ", ", uniformBlockIndex, ", ", uniformBlockBinding, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformBlockBinding)(program, uniformBlockIndex, uniformBlockBinding);
  }

  /* GL_ARB_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArray(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVertexArray","(", array, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArray)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArrays(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteVertexArrays","(", n, ", ", boost::print::array(arrays,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArrays)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArrays(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenVertexArrays","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArrays)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArray(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsVertexArray","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArray)(array);
  }

  /* GL_ARB_vertex_attrib_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribLdv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLdv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1d(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1d","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1d)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1dv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2d(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2d","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2d)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2dv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3d","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3d)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3dv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4d)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4dv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribLPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLPointer)(index, size, type, stride, pointer);
  }

  /* GL_ARB_vertex_attrib_binding */

  REGAL_DECL void REGAL_CALL glBindVertexBuffer(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVertexBuffer","(", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexBuffer)(bindingindex, buffer, offset, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribBinding(GLuint attribindex, GLuint bindingindex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribBinding","(", attribindex, ", ", bindingindex, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribBinding)(attribindex, bindingindex);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribFormat(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribFormat)(attribindex, size, type, normalized, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribIFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIFormat)(attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribLFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLFormat)(attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexBindingDivisor(GLuint bindingindex, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexBindingDivisor","(", bindingindex, ", ", divisor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBindingDivisor)(bindingindex, divisor);
  }

  /* GL_ARB_vertex_blend */

  REGAL_DECL void REGAL_CALL glVertexBlendARB(GLint count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexBlendARB","(", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendARB)(count);
  }

  REGAL_DECL void REGAL_CALL glWeightPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPointerARB)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWeightbvARB(GLint size, const GLbyte *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightbvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightbvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightdvARB(GLint size, const GLdouble *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightdvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightdvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightfvARB(GLint size, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightfvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightfvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightivARB(GLint size, const GLint *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightivARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightivARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightsvARB(GLint size, const GLshort *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightsvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightsvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightubvARB(GLint size, const GLubyte *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightubvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightubvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightuivARB(GLint size, const GLuint *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightuivARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightuivARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightusvARB(GLint size, const GLushort *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightusvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightusvARB)(size, weights);
  }

  /* GL_ARB_vertex_buffer_object */

  REGAL_DECL void REGAL_CALL glBindBufferARB(GLenum target, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferARB","(", toString(target), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferARB)(target, buffer);
  }

  REGAL_DECL void REGAL_CALL glBufferDataARB(GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferDataARB","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferDataARB)(target, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferSubDataARB)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glDeleteBuffersARB(GLsizei n, const GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteBuffersARB","(", n, ", ", boost::print::array(buffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBuffersARB)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGenBuffersARB(GLsizei n, GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenBuffersARB","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenBuffersARB)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameterivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferParameterivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameterivARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferPointervARB(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferPointervARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointervARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferSubDataARB)(target, offset, size, data);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBufferARB(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsBufferARB","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBufferARB)(buffer);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBufferARB(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapBufferARB","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferARB)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBufferARB(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnmapBufferARB","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBufferARB)(target);
  }

  /* GL_ARB_vertex_program */

  REGAL_DECL void REGAL_CALL glBindProgramARB(GLenum target, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindProgramARB","(", toString(target), ", ", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramARB)(target, program);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramsARB(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteProgramsARB","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramsARB)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexAttribArrayARB(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVertexAttribArrayARB","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribArrayARB)(index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribArrayARB(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVertexAttribArrayARB","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribArrayARB)(index);
  }

  REGAL_DECL void REGAL_CALL glGenProgramsARB(GLsizei n, GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenProgramsARB","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramsARB)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterdvARB(GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramEnvParameterdvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterdvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterfvARB(GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramEnvParameterfvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterfvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterdvARB(GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramLocalParameterdvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterdvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterfvARB(GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramLocalParameterfvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterfvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStringARB(GLenum target, GLenum pname, GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramStringARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStringARB)(target, pname, string);
  }

  REGAL_DECL void REGAL_CALL glGetProgramivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramivARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointervARB(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribPointervARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointervARB)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdvARB(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribdvARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdvARB)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfvARB(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribfvARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfvARB)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribivARB(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribivARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribivARB)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramARB(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsProgramARB","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramARB)(program);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4dARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4dvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4fARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4fvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4dARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4dvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4fARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4fvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramStringARB(GLenum target, GLenum format, GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramStringARB","(", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::quote(reinterpret_cast<const char *>(string),'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramStringARB)(target, format, len, string);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dARB(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1dARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1dvARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fARB(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1fARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1fvARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sARB(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1sARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1svARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dARB(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2dARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2dvARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fARB(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2fARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2fvARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sARB(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2sARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2svARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3dARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3dvARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3fARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3fvARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sARB(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3sARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3svARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NbvARB(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NbvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NbvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NivARB(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NsvARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NsvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NsvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NubARB(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NubARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NubARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NubvARB(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NubvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NubvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NuivARB(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NuivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NuivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NusvARB(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4NusvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NusvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4bvARB(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4bvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4bvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4dARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4dvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4fARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4fvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ivARB(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4ivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sARB(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4sARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4svARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubvARB(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4ubvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4uivARB(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4uivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4uivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4usvARB(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4usvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4usvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointerARB(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribPointerARB","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointerARB)(index, size, type, normalized, stride, pointer);
  }

  /* GL_ARB_vertex_shader */

  REGAL_DECL void REGAL_CALL glBindAttribLocationARB(GLhandleARB programObj, GLuint index, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindAttribLocationARB","(", programObj, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindAttribLocationARB)(programObj, index, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveAttribARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveAttribARB","(", programObj, ", ", index, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAttribARB)(programObj, index, maxLength, length, size, type, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetAttribLocationARB(GLhandleARB programObj, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetAttribLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetAttribLocationARB)(programObj, name);
  }

  /* GL_ARB_vertex_type_2_10_10_10_rev */

  REGAL_DECL void REGAL_CALL glColorP3ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorP3ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP3ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP3uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP3uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP4ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorP4ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP4ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP4uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorP4uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP4uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP1ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP1ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP1ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP1uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP1uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP2ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP2ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP2ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP2uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP2uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP3ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP3ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP3ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP3uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP3uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP4ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP4ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP4ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordP4uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP4uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorP3ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorP3ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorP3ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorP3uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorP3uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP1ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP1ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP1ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP1uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP1uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP1uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP2ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP2ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP2ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP2uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP2uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP4ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP4ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP4ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP4uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP4uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP1ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP1ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP1ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP1uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP1uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP2ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP2ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP2ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP2uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP2uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP3ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP3ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP3ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP3uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP3uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP4ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP4ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP4ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribP4uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP4uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexP2ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP2ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP2ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP2uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP2uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP4ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP4ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP4ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP4uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP4uiv)(type, coords);
  }

  /* GL_ARB_viewport_array */

  REGAL_DECL void REGAL_CALL glDepthRangeArrayv(GLuint first, GLsizei count, const GLclampd *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangeArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangeArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glDepthRangeIndexed(GLuint index, GLclampd n, GLclampd f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangeIndexed","(", index, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangeIndexed)(index, n, f);
  }

  REGAL_DECL void REGAL_CALL glGetDoublei_v(GLenum target, GLuint index, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDoublei_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublei_v)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glGetFloati_v(GLenum target, GLuint index, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFloati_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloati_v)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glScissorArrayv(GLuint first, GLsizei count, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScissorArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glScissorIndexed(GLuint index, GLint left, GLint bottom, GLint width, GLint height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScissorIndexed","(", index, ", ", left, ", ", bottom, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorIndexed)(index, left, bottom, width, height);
  }

  REGAL_DECL void REGAL_CALL glScissorIndexedv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScissorIndexedv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorIndexedv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glViewportArrayv(GLuint first, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glViewportArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glViewportIndexedf(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glViewportIndexedf","(", index, ", ", x, ", ", y, ", ", w, ", ", h, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportIndexedf)(index, x, y, w, h);
  }

  REGAL_DECL void REGAL_CALL glViewportIndexedfv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glViewportIndexedfv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportIndexedfv)(index, v);
  }

  /* GL_ARB_window_pos */

  REGAL_DECL void REGAL_CALL glWindowPos2dARB(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2dARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dvARB(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2dvARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fARB(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2fARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fvARB(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2fvARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iARB(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2iARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2ivARB(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2ivARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2ivARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sARB(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2sARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2svARB(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2svARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2svARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dARB(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3dARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dvARB(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3dvARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fARB(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3fARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fvARB(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3fvARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iARB(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3iARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3ivARB(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3ivARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3ivARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sARB(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3sARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3svARB(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3svARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3svARB)(p);
  }

  /* GL_ATI_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersATI(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffersATI","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersATI)(n, bufs);
  }

  /* GL_ATI_element_array */

  REGAL_DECL void REGAL_CALL glDrawElementArrayATI(GLenum mode, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementArrayATI","(", toString(mode), ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementArrayATI)(mode, count);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementArrayATI(GLenum mode, GLuint start, GLuint end, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawRangeElementArrayATI","(", toString(mode), ", ", start, ", ", end, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementArrayATI)(mode, start, end, count);
  }

  REGAL_DECL void REGAL_CALL glElementPointerATI(GLenum type, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glElementPointerATI","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glElementPointerATI)(type, pointer);
  }

  /* GL_ATI_envmap_bumpmap */

  REGAL_DECL void REGAL_CALL glGetTexBumpParameterfvATI(GLenum pname, GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexBumpParameterfvATI","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexBumpParameterfvATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetTexBumpParameterivATI(GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexBumpParameterivATI","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexBumpParameterivATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexBumpParameterfvATI(GLenum pname, const GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBumpParameterfvATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBumpParameterfvATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexBumpParameterivATI(GLenum pname, const GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBumpParameterivATI","(", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBumpParameterivATI)(pname, param);
  }

  /* GL_ATI_fragment_shader */

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp1ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod);
  }

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp2ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
  }

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp3ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
  }

  REGAL_DECL void REGAL_CALL glBeginFragmentShaderATI(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginFragmentShaderATI","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginFragmentShaderATI)();
  }

  REGAL_DECL void REGAL_CALL glBindFragmentShaderATI(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFragmentShaderATI","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragmentShaderATI)(id);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp1ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp2ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp3ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
  }

  REGAL_DECL void REGAL_CALL glDeleteFragmentShaderATI(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFragmentShaderATI","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFragmentShaderATI)(id);
  }

  REGAL_DECL void REGAL_CALL glEndFragmentShaderATI(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndFragmentShaderATI","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndFragmentShaderATI)();
  }

  REGAL_DECL GLuint REGAL_CALL glGenFragmentShadersATI(GLuint range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFragmentShadersATI","(", range, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenFragmentShadersATI)(range);
  }

  REGAL_DECL void REGAL_CALL glPassTexCoordATI(GLuint dst, GLuint coord, GLenum swizzle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPassTexCoordATI","(", dst, ", ", coord, ", ", toString(swizzle), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPassTexCoordATI)(dst, coord, swizzle);
  }

  REGAL_DECL void REGAL_CALL glSampleMapATI(GLuint dst, GLuint interp, GLenum swizzle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleMapATI","(", dst, ", ", interp, ", ", toString(swizzle), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMapATI)(dst, interp, swizzle);
  }

  REGAL_DECL void REGAL_CALL glSetFragmentShaderConstantATI(GLuint dst, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetFragmentShaderConstantATI","(", dst, ", ", boost::print::array(value,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFragmentShaderConstantATI)(dst, value);
  }

  /* GL_ATI_map_object_buffer */

  REGAL_DECL GLvoid *REGAL_CALL glMapObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapObjectBufferATI","(", buffer, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapObjectBufferATI)(buffer);
  }

  REGAL_DECL void REGAL_CALL glUnmapObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnmapObjectBufferATI","(", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUnmapObjectBufferATI)(buffer);
  }

  /* GL_ATI_pn_triangles */

  REGAL_DECL void REGAL_CALL glPNTrianglesfATI(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPNTrianglesfATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPNTrianglesfATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPNTrianglesiATI(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPNTrianglesiATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPNTrianglesiATI)(pname, param);
  }

  /* GL_ATI_separate_stencil */

  REGAL_DECL void REGAL_CALL glStencilFuncSeparateATI(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilFuncSeparateATI","(", toString(frontfunc), ", ", toString(backfunc), ", ", boost::print::hex(mask), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFuncSeparateATI)(frontfunc, backfunc, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOpSeparateATI(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilOpSeparateATI","(", toString(face), ", ", toString(sfail), ", ", toString(dpfail), ", ", toString(dppass), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpSeparateATI)(face, sfail, dpfail, dppass);
  }

  /* GL_ATI_vertex_array_object */

  REGAL_DECL void REGAL_CALL glArrayObjectATI(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glArrayObjectATI","(", toString(array), ", ", size, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayObjectATI)(array, size, type, stride, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glFreeObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFreeObjectBufferATI","(", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFreeObjectBufferATI)(buffer);
  }

  REGAL_DECL void REGAL_CALL glGetArrayObjectfvATI(GLenum array, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetArrayObjectfvATI","(", toString(array), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetArrayObjectfvATI)(array, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetArrayObjectivATI(GLenum array, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetArrayObjectivATI","(", toString(array), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetArrayObjectivATI)(array, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectBufferfvATI(GLuint buffer, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectBufferfvATI","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectBufferfvATI)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectBufferivATI(GLuint buffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectBufferivATI","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectBufferivATI)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVariantArrayObjectfvATI(GLuint id, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantArrayObjectfvATI","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantArrayObjectfvATI)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVariantArrayObjectivATI(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantArrayObjectivATI","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantArrayObjectivATI)(id, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsObjectBufferATI","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsObjectBufferATI)(buffer);
  }

  REGAL_DECL GLuint REGAL_CALL glNewObjectBufferATI(GLsizei size, const GLvoid *pointer, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNewObjectBufferATI","(", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(usage), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glNewObjectBufferATI)(size, pointer, usage);
  }

  REGAL_DECL void REGAL_CALL glUpdateObjectBufferATI(GLuint buffer, GLuint offset, GLsizei size, const GLvoid *pointer, GLenum preserve)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUpdateObjectBufferATI","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(preserve), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUpdateObjectBufferATI)(buffer, offset, size, pointer, preserve);
  }

  REGAL_DECL void REGAL_CALL glVariantArrayObjectATI(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantArrayObjectATI","(", id, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantArrayObjectATI)(id, type, stride, buffer, offset);
  }

  /* GL_ATI_vertex_attrib_array_object */

  REGAL_DECL void REGAL_CALL glGetVertexAttribArrayObjectfvATI(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribArrayObjectfvATI","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribArrayObjectfvATI)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribArrayObjectivATI(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribArrayObjectivATI","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribArrayObjectivATI)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribArrayObjectATI(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribArrayObjectATI","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribArrayObjectATI)(index, size, type, normalized, stride, buffer, offset);
  }

  /* GL_ATI_vertex_streams */

  REGAL_DECL void REGAL_CALL glClientActiveVertexStreamATI(GLenum stream)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientActiveVertexStreamATI","(", toString(stream), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveVertexStreamATI)(stream);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3bATI(GLenum stream, GLbyte x, GLbyte y, GLbyte z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3bATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3bATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3bvATI(GLenum stream, const GLbyte *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3bvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3bvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3dATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3fATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3iATI(GLenum stream, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3iATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3sATI(GLenum stream, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3sATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexBlendEnvfATI(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexBlendEnvfATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendEnvfATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexBlendEnviATI(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexBlendEnviATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendEnviATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1dATI(GLenum stream, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1dATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1dATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1dvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1fATI(GLenum stream, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1fATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1fATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1fvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1iATI(GLenum stream, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1iATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1iATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1ivATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1sATI(GLenum stream, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1sATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1sATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream1svATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2dATI(GLenum stream, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2dATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2dATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2dvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2fATI(GLenum stream, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2fATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2fATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2fvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2iATI(GLenum stream, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2iATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2iATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2ivATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2sATI(GLenum stream, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2sATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2sATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream2svATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3dATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3fATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3iATI(GLenum stream, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3iATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3sATI(GLenum stream, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3sATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4dATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4dvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4fATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4fvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4iATI(GLenum stream, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4iATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4ivATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4sATI(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4sATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexStream4svATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4svATI)(stream, coords);
  }

  /* GL_EXT_bindable_uniform */

  REGAL_DECL GLint REGAL_CALL glGetUniformBufferSizeEXT(GLuint program, GLint location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformBufferSizeEXT","(", program, ", ", location, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformBufferSizeEXT)(program, location);
  }

  REGAL_DECL GLintptr REGAL_CALL glGetUniformOffsetEXT(GLuint program, GLint location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformOffsetEXT","(", program, ", ", location, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformOffsetEXT)(program, location);
  }

  REGAL_DECL void REGAL_CALL glUniformBufferEXT(GLuint program, GLint location, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformBufferEXT","(", program, ", ", location, ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformBufferEXT)(program, location, buffer);
  }

  /* GL_EXT_blend_color */

  REGAL_DECL void REGAL_CALL glBlendColorEXT(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendColorEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendColorEXT)(red, green, blue, alpha);
  }

  /* GL_EXT_blend_equation_separate */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateEXT(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparateEXT","(", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateEXT)(modeRGB, modeAlpha);
  }

  /* GL_EXT_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateEXT(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparateEXT","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateEXT)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  /* GL_EXT_blend_minmax */

  REGAL_DECL void REGAL_CALL glBlendEquationEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationEXT)(mode);
  }

  /* GL_EXT_color_subtable */

  REGAL_DECL void REGAL_CALL glColorSubTableEXT(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorSubTableEXT","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorSubTableEXT)(target, start, count, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glCopyColorSubTableEXT(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyColorSubTableEXT","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorSubTableEXT)(target, start, x, y, width);
  }

  /* GL_EXT_compiled_vertex_array */

  REGAL_DECL void REGAL_CALL glLockArraysEXT(GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLockArraysEXT","(", first, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLockArraysEXT)(first, count);
  }

  REGAL_DECL void REGAL_CALL glUnlockArraysEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnlockArraysEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUnlockArraysEXT)();
  }

  /* GL_EXT_convolution */

  REGAL_DECL void REGAL_CALL glConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter1DEXT)(target, internalformat, width, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter2DEXT)(target, internalformat, width, height, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfEXT(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameterfEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteriEXT(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameteriEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteriEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter1DEXT)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter2DEXT)(target, internalformat, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionFilterEXT)(target, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSeparableFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSeparableFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSeparableFilterEXT)(target, format, type, row, column, span);
  }

  REGAL_DECL void REGAL_CALL glSeparableFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSeparableFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSeparableFilter2DEXT)(target, internalformat, width, height, format, type, row, column);
  }

  /* GL_EXT_coordinate_frame */

  REGAL_DECL void REGAL_CALL glBinormal3bEXT(GLbyte bx, GLbyte by, GLbyte bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3bEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3bEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3dEXT(GLdouble bx, GLdouble by, GLdouble bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3dEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3dEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3fEXT(GLfloat bx, GLfloat by, GLfloat bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3fEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3fEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3iEXT(GLint bx, GLint by, GLint bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3iEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3iEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3sEXT(GLshort bx, GLshort by, GLshort bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3sEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3sEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormal3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormalPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBinormalPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormalPointerEXT)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTangent3bEXT(GLbyte tx, GLbyte ty, GLbyte tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3bEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3bEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3dEXT(GLdouble tx, GLdouble ty, GLdouble tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3dEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3dEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3fEXT(GLfloat tx, GLfloat ty, GLfloat tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3fEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3fEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3iEXT(GLint tx, GLint ty, GLint tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3iEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3iEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3sEXT(GLshort tx, GLshort ty, GLshort tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3sEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3sEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangent3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangentPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTangentPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangentPointerEXT)(type, stride, pointer);
  }

  /* GL_EXT_copy_texture */

  REGAL_DECL void REGAL_CALL glCopyTexImage1DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexImage1DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage1DEXT)(target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage2DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexImage2DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage2DEXT)(target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage1DEXT)(target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage2DEXT)(target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3DEXT)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  /* GL_EXT_cull_vertex */

  REGAL_DECL void REGAL_CALL glCullParameterdvEXT(GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCullParameterdvEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullParameterdvEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glCullParameterfvEXT(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCullParameterfvEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullParameterfvEXT)(pname, params);
  }

  /* GL_EXT_debug_label */

  REGAL_DECL void REGAL_CALL glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectLabelEXT","(", toString(type), ", ", object, ", ", bufSize, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectLabelEXT)(type, object, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLabelObjectEXT","(", toString(type), ", ", object, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLabelObjectEXT)(type, object, length, label);
  }

  /* GL_EXT_debug_marker */

  REGAL_DECL void REGAL_CALL glInsertEventMarkerEXT(GLsizei length, const GLchar *marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringEXT(length, marker);
    App("glInsertEventMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (_context->info->gl_ext_debug_marker)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glInsertEventMarkerEXT)(length, marker);
    }
  }

  REGAL_DECL void REGAL_CALL glPopGroupMarkerEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context->marker)
      _context->marker->PopGroupMarker(*_context);
    App("glPopGroupMarkerEXT","()");
    if (!_context) return;
    RegalAssert(_context->info);
    if (_context->info->gl_ext_debug_marker)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPopGroupMarkerEXT)();
    }
  }

  REGAL_DECL void REGAL_CALL glPushGroupMarkerEXT(GLsizei length, const GLchar *marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringEXT(length, marker);
    App("glPushGroupMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");
    if (!_context) return;
    RegalAssert(_context->info);
    if (_context->info->gl_ext_debug_marker)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPushGroupMarkerEXT)(length, marker);
    }
    if (_context->marker)
      _context->marker->PushGroupMarker(*_context, _message);
  }

  /* GL_EXT_depth_bounds_test */

  REGAL_DECL void REGAL_CALL glDepthBoundsEXT(GLclampd zmin, GLclampd zmax)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthBoundsEXT","(", zmin, ", ", zmax, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthBoundsEXT)(zmin, zmax);
  }

  /* GL_EXT_direct_state_access */

  REGAL_DECL void REGAL_CALL glBindMultiTextureEXT(GLenum texunit, GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindMultiTextureEXT","(", toString(texunit), ", ", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindMultiTextureEXT)(texunit, target, texture);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckNamedFramebufferStatusEXT(GLuint framebuffer, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCheckNamedFramebufferStatusEXT","(", framebuffer, ", ", toString(target), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckNamedFramebufferStatusEXT)(framebuffer, target);
  }

  REGAL_DECL void REGAL_CALL glClientAttribDefaultEXT(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClientAttribDefaultEXT","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientAttribDefaultEXT)(mask);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage1DEXT)(texunit, target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage2DEXT)(texunit, target, level, internalformat, width, height, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage3DEXT)(texunit, target, level, internalformat, width, height, depth, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage1DEXT)(texunit, target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage1DEXT)(texture, target, level, internalformat, width, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage2DEXT)(texture, target, level, internalformat, width, height, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage3DEXT)(texture, target, level, internalformat, width, height, depth, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage1DEXT)(texture, target, level, xoffset, width, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexImage1DEXT)(texunit, target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexImage2DEXT)(texunit, target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage1DEXT)(texunit, target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureImage1DEXT)(texture, target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureImage2DEXT)(texture, target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage1DEXT)(texture, target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDisableClientStateIndexedEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableClientStateIndexedEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientStateIndexedEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glDisableClientStateiEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableClientStateiEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientStateiEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexArrayAttribEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVertexArrayAttribEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexArrayAttribEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexArrayEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexArrayEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glEnableClientStateIndexedEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableClientStateIndexedEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientStateIndexedEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glEnableClientStateiEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableClientStateiEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientStateiEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexArrayAttribEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVertexArrayAttribEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexArrayAttribEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexArrayEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexArrayEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glFlushMappedNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushMappedNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedNamedBufferRangeEXT)(buffer, offset, length);
  }

  REGAL_DECL void REGAL_CALL glFramebufferDrawBufferEXT(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferDrawBufferEXT","(", framebuffer, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferDrawBufferEXT)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glFramebufferDrawBuffersEXT(GLuint framebuffer, GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferDrawBuffersEXT","(", framebuffer, ", ", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferDrawBuffersEXT)(framebuffer, n, bufs);
  }

  REGAL_DECL void REGAL_CALL glFramebufferReadBufferEXT(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferReadBufferEXT","(", framebuffer, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferReadBufferEXT)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glGenerateMultiTexMipmapEXT(GLenum texunit, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenerateMultiTexMipmapEXT","(", toString(texunit), ", ", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMultiTexMipmapEXT)(texunit, target);
  }

  REGAL_DECL void REGAL_CALL glGenerateTextureMipmapEXT(GLuint texture, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenerateTextureMipmapEXT","(", texture, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateTextureMipmapEXT)(texture, target);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedMultiTexImageEXT(GLenum texunit, GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCompressedMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedMultiTexImageEXT)(texunit, target, lod, img);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTextureImageEXT(GLuint texture, GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCompressedTextureImageEXT","(", texture, ", ", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTextureImageEXT)(texture, target, lod, img);
  }

  REGAL_DECL void REGAL_CALL glGetDoubleIndexedvEXT(GLenum target, GLuint index, GLdouble *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDoubleIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoubleIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetDoublei_vEXT(GLenum target, GLuint index, GLdouble *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDoublei_vEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublei_vEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetFloatIndexedvEXT(GLenum target, GLuint index, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFloatIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloatIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetFloati_vEXT(GLenum target, GLuint index, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFloati_vEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloati_vEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferParameterivEXT)(framebuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexEnvfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexEnvivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGendvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGenfvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGenivEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexImageEXT(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexImageEXT)(texunit, target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexLevelParameterfvEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexLevelParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexLevelParameterfvEXT)(texunit, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexLevelParameterivEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexLevelParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexLevelParameterivEXT)(texunit, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterIivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterIuivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameterivEXT(GLuint buffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedBufferParameterivEXT","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameterivEXT)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferPointervEXT(GLuint buffer, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedBufferPointervEXT","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferPointervEXT)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferSubDataEXT)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferAttachmentParameterivEXT(GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedFramebufferAttachmentParameterivEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferAttachmentParameterivEXT)(framebuffer, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterIivEXT(GLuint program, GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramLocalParameterIivEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterIivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterIuivEXT(GLuint program, GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramLocalParameterIuivEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterIuivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterdvEXT(GLuint program, GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramLocalParameterdvEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterdvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterfvEXT(GLuint program, GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramLocalParameterfvEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterfvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramStringEXT(GLuint program, GLenum target, GLenum pname, GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramStringEXT)(program, target, pname, string);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramivEXT(GLuint program, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedProgramivEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramivEXT)(program, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedRenderbufferParameterivEXT(GLuint renderbuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedRenderbufferParameterivEXT","(", renderbuffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedRenderbufferParameterivEXT)(renderbuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPointerIndexedvEXT(GLenum target, GLuint index, GLvoid **data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPointerIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointerIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetPointeri_vEXT(GLenum pname, GLuint index, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPointeri_vEXT","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointeri_vEXT)(pname, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureImageEXT(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureImageEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureImageEXT)(texture, target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameterfvEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureLevelParameterfvEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameterfvEXT)(texture, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameterivEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureLevelParameterivEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameterivEXT)(texture, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIuivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterfvEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIntegeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexArrayIntegeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIntegeri_vEXT)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIntegervEXT(GLuint vaobj, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexArrayIntegervEXT","(", vaobj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIntegervEXT)(vaobj, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayPointeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLvoid **param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexArrayPointeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayPointeri_vEXT)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayPointervEXT(GLuint vaobj, GLenum pname, GLvoid **param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexArrayPointervEXT","(", vaobj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayPointervEXT)(vaobj, pname, param);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapNamedBufferEXT(GLuint buffer, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapNamedBufferEXT","(", buffer, ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBufferEXT)(buffer, access);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ", ", access, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBufferRangeEXT)(buffer, offset, length, access);
  }

  REGAL_DECL void REGAL_CALL glMatrixFrustumEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixFrustumEXT","(", toString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixFrustumEXT)(mode, left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadIdentityEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixLoadIdentityEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadIdentityEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadTransposedEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixLoadTransposedEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadTransposedEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadTransposefEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixLoadTransposefEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadTransposefEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoaddEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixLoaddEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoaddEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadfEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixLoadfEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadfEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultTransposedEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixMultTransposedEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultTransposedEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultTransposefEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixMultTransposefEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultTransposefEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultdEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixMultdEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultdEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultfEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixMultfEXT","(", toString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultfEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixOrthoEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixOrthoEXT","(", toString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixOrthoEXT)(mode, left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glMatrixPopEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
      _context->depthPushMatrix--;
    App("glMatrixPopEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixPopEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixPushEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixPushEXT","(", toString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushMatrix++;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixPushEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixRotatedEXT(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixRotatedEXT","(", toString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixRotatedEXT)(mode, angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixRotatefEXT(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixRotatefEXT","(", toString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixRotatefEXT)(mode, angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixScaledEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixScaledEXT","(", toString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixScaledEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixScalefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixScalefEXT","(", toString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixScalefEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixTranslatedEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixTranslatedEXT","(", toString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixTranslatedEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixTranslatefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixTranslatefEXT","(", toString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixTranslatefEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMultiTexBufferEXT(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexBufferEXT","(", toString(texunit), ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexBufferEXT)(texunit, target, internalformat, buffer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordPointerEXT(GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoordPointerEXT","(", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordPointerEXT)(texunit, size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexEnvfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvfEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnviEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexEnviEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnviEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGendEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGendEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGendEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGendvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenfEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGenfEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenfEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenfvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGeniEXT(GLenum texunit, GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGeniEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGeniEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenivEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage1DEXT)(texunit, target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage2DEXT)(texunit, target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage3DEXT)(texunit, target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterIivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterIuivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameterfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterfEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(param,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterfvEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameteriEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameteriEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameteriEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(param,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterivEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexRenderbufferEXT(GLenum texunit, GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexRenderbufferEXT","(", toString(texunit), ", ", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexRenderbufferEXT)(texunit, target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage1DEXT)(texunit, target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferDataEXT(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedBufferDataEXT","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferDataEXT)(buffer, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferSubDataEXT)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glNamedCopyBufferSubDataEXT(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedCopyBufferSubDataEXT","(", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedCopyBufferSubDataEXT)(readBuffer, writeBuffer, readOffset, writeOffset, size);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferRenderbufferEXT(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferRenderbufferEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferRenderbufferEXT)(framebuffer, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture1DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTexture1DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture1DEXT)(framebuffer, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture2DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTexture2DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture2DEXT)(framebuffer, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture3DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTexture3DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture3DEXT)(framebuffer, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTextureEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureEXT)(framebuffer, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureFaceEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTextureFaceEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureFaceEXT)(framebuffer, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureLayerEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedFramebufferTextureLayerEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureLayerEXT)(framebuffer, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4dEXT(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameter4dEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4dEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4dvEXT(GLuint program, GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameter4dvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4dvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4fEXT(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameter4fEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4fEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4fvEXT(GLuint program, GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameter4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4fvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4iEXT(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameterI4iEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4iEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4ivEXT(GLuint program, GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameterI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4ivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4uiEXT(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameterI4uiEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4uiEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4uivEXT(GLuint program, GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameterI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4uivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameters4fvEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParameters4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameters4fvEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParametersI4ivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParametersI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParametersI4ivEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParametersI4uivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramLocalParametersI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParametersI4uivEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramStringEXT(GLuint program, GLenum target, GLenum format, GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::optional(string,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramStringEXT)(program, target, format, len, string);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageEXT(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedRenderbufferStorageEXT","(", renderbuffer, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageEXT)(renderbuffer, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageMultisampleCoverageEXT(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedRenderbufferStorageMultisampleCoverageEXT","(", renderbuffer, ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageMultisampleCoverageEXT)(renderbuffer, coverageSamples, colorSamples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageMultisampleEXT(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNamedRenderbufferStorageMultisampleEXT","(", renderbuffer, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageMultisampleEXT)(renderbuffer, samples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dEXT(GLuint program, GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1dEXT","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dEXT)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fEXT(GLuint program, GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1fEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1iEXT(GLuint program, GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1iEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1iEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uiEXT(GLuint program, GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1uiEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uiEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dEXT(GLuint program, GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2dEXT","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dEXT)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2iEXT(GLuint program, GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2iEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uiEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dEXT)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3iEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uiEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dEXT)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4iEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uiEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix2x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix3x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformMatrix4x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glPushClientAttribDefaultEXT(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPushClientAttribDefaultEXT","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushClientAttribDefaultEXT)(mask);
  }

  REGAL_DECL void REGAL_CALL glTextureBufferEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureBufferEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBufferEXT)(texture, target, internalformat, buffer);
  }

  REGAL_DECL void REGAL_CALL glTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage1DEXT)(texture, target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DEXT)(texture, target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DEXT)(texture, target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIuivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterfEXT(GLuint texture, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameterfEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterfEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, const GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(param,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterfvEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameteriEXT(GLuint texture, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameteriEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameteriEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(param,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterivEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureRenderbufferEXT(GLuint texture, GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureRenderbufferEXT","(", texture, ", ", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureRenderbufferEXT)(texture, target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage1DEXT)(texture, target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapNamedBufferEXT(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnmapNamedBufferEXT","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapNamedBufferEXT)(buffer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayColorOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayEdgeFlagOffsetEXT(GLuint vaobj, GLuint buffer, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayEdgeFlagOffsetEXT","(", vaobj, ", ", buffer, ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayEdgeFlagOffsetEXT)(vaobj, buffer, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayFogCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayFogCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayFogCoordOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayIndexOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayIndexOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayIndexOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayMultiTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayMultiTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayMultiTexCoordOffsetEXT)(vaobj, buffer, texunit, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayNormalOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayNormalOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayNormalOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArraySecondaryColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArraySecondaryColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArraySecondaryColorOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayTexCoordOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribIOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayVertexAttribIOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribIOffsetEXT)(vaobj, buffer, index, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayVertexAttribOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribOffsetEXT)(vaobj, buffer, index, size, type, normalized, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayVertexOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  /* GL_EXT_discard_framebuffer */

  REGAL_DECL void REGAL_CALL glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum *attachments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDiscardFramebufferEXT","(", toString(target), ", ", numAttachments, ", ", attachments, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDiscardFramebufferEXT)(target, numAttachments, attachments);
  }

  /* GL_EXT_disjoint_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectivEXT","(", id, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectivEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glQueryCounterEXT(GLuint id, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glQueryCounterEXT","(", id, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glQueryCounterEXT)(id, target);
  }

  /* GL_EXT_draw_buffers2 */

  REGAL_DECL void REGAL_CALL glColorMaskIndexedEXT(GLuint buf, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorMaskIndexedEXT","(", buf, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaskIndexedEXT)(buf, r, g, b, a);
  }

  REGAL_DECL void REGAL_CALL glDisableIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableIndexedEXT)(target, index);
  }

  REGAL_DECL void REGAL_CALL glEnableIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableIndexedEXT)(target, index);
  }

  REGAL_DECL void REGAL_CALL glGetBooleanIndexedvEXT(GLenum value, GLuint index, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBooleanIndexedvEXT","(", toString(value), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleanIndexedvEXT)(value, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerIndexedvEXT(GLenum value, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegerIndexedvEXT","(", toString(value), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerIndexedvEXT)(value, index, data);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabledIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsEnabledIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabledIndexedEXT)(target, index);
  }

  /* GL_EXT_draw_instanced */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedEXT(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysInstancedEXT","(", toString(mode), ", ", start, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedEXT)(mode, start, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedEXT(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawElementsInstancedEXT","(", toString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedEXT)(mode, count, type, indices, primcount);
  }

  /* GL_EXT_draw_range_elements */

  REGAL_DECL void REGAL_CALL glDrawRangeElementsEXT(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawRangeElementsEXT","(", toString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementsEXT)(mode, start, end, count, type, indices);
  }

  /* GL_EXT_fog_coord */

  REGAL_DECL void REGAL_CALL glFogCoordPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointerEXT)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddEXT(GLdouble coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoorddEXT","(", coord, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddvEXT(const GLdouble *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoorddvEXT","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddvEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfEXT(GLfloat coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordfEXT","(", coord, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfvEXT(const GLfloat *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordfvEXT","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfvEXT)(coord);
  }

  /* GL_EXT_fragment_lighting */

  REGAL_DECL void REGAL_CALL glFragmentColorMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentColorMaterialEXT","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentColorMaterialEXT)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfEXT(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelfEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfvEXT(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelfvEXT","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfvEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModeliEXT(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModeliEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModeliEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelivEXT(GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelivEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelivEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfEXT(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightfEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfEXT)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfvEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightiEXT(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightiEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightiEXT)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightivEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfEXT(GLenum face, GLenum pname, const GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialfEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfEXT)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfvEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialiEXT(GLenum face, GLenum pname, const GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialiEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialiEXT)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialivEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightfvEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightivEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialfvEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialivEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightEnviEXT(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightEnviEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightEnviEXT)(pname, param);
  }

  /* GL_EXT_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferEXT(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlitFramebufferEXT","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferEXT)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_EXT_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleEXT(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisampleEXT","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleEXT)(target, samples, internalformat, width, height);
  }

  /* GL_EXT_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebufferEXT(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFramebufferEXT","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebufferEXT)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbufferEXT(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindRenderbufferEXT","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbufferEXT)(target, renderbuffer);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatusEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCheckFramebufferStatusEXT","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatusEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffersEXT(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFramebuffersEXT","(", n, ", ", boost::print::array(framebuffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffersEXT)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffersEXT(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteRenderbuffersEXT","(", n, ", ", boost::print::array(renderbuffers,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffersEXT)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbufferEXT(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferRenderbufferEXT","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbufferEXT)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture1DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture1DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture1DEXT)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture2DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DEXT)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture3DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3DEXT)(target, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffersEXT(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFramebuffersEXT","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffersEXT)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffersEXT(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenRenderbuffersEXT","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffersEXT)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmapEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenerateMipmapEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmapEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameterivEXT(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFramebufferAttachmentParameterivEXT","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameterivEXT)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetRenderbufferParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameterivEXT)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebufferEXT(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsFramebufferEXT","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebufferEXT)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbufferEXT(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsRenderbufferEXT","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbufferEXT)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageEXT)(target, internalformat, width, height);
  }

  /* GL_EXT_geometry_shader4 */

  REGAL_DECL void REGAL_CALL glFramebufferTextureEXT(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureEXT)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureFaceEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureFaceEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureFaceEXT)(target, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteriEXT(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameteriEXT","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteriEXT)(program, pname, value);
  }

  /* GL_EXT_gpu_program_parameters */

  REGAL_DECL void REGAL_CALL glProgramEnvParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameters4fvEXT)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameters4fvEXT)(target, index, count, params);
  }

  /* GL_EXT_gpu_shader4 */

  REGAL_DECL void REGAL_CALL glBindFragDataLocationEXT(GLuint program, GLuint color, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFragDataLocationEXT","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocationEXT)(program, color, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataLocationEXT(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragDataLocationEXT","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataLocationEXT)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformuivEXT(GLuint program, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformuivEXT","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformuivEXT)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIivEXT(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribIivEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIivEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIuivEXT(GLuint index, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribIuivEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIuivEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glUniform1uiEXT(GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1uiEXT","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uiEXT)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2uiEXT(GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2uiEXT","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uiEXT)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uiEXT)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uiEXT)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1iEXT(GLuint index, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1iEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1iEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1ivEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uiEXT(GLuint index, GLuint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1uiEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uiEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI1uivEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2iEXT(GLuint index, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2iEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2iEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2ivEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uiEXT(GLuint index, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2uiEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uiEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI2uivEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3iEXT(GLuint index, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3iEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3iEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3ivEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uiEXT(GLuint index, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3uiEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uiEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI3uivEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4bvEXT(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4bvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4bvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4iEXT(GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4iEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4iEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4ivEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4svEXT(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4svEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4svEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ubvEXT(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4ubvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ubvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uiEXT(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4uiEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uiEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4uivEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4usvEXT(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribI4usvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4usvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribIPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIPointerEXT)(index, size, type, stride, pointer);
  }

  /* GL_EXT_histogram */

  REGAL_DECL void REGAL_CALL glGetHistogramEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogramEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramEXT)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogramParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetHistogramParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmaxEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxEXT)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmaxParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMinmaxParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glHistogramEXT(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glHistogramEXT","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHistogramEXT)(target, width, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glMinmaxEXT(GLenum target, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMinmaxEXT","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinmaxEXT)(target, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glResetHistogramEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResetHistogramEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetHistogramEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glResetMinmaxEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResetMinmaxEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetMinmaxEXT)(target);
  }

  /* GL_EXT_index_func */

  REGAL_DECL void REGAL_CALL glIndexFuncEXT(GLenum func, GLfloat ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexFuncEXT","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexFuncEXT)(func, ref);
  }

  /* GL_EXT_index_material */

  REGAL_DECL void REGAL_CALL glIndexMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexMaterialEXT","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexMaterialEXT)(face, mode);
  }

  /* GL_EXT_light_texture */

  REGAL_DECL void REGAL_CALL glApplyTextureEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glApplyTextureEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glApplyTextureEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glTextureLightEXT(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureLightEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureLightEXT)(pname);
  }

  REGAL_DECL void REGAL_CALL glTextureMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureMaterialEXT","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureMaterialEXT)(face, mode);
  }

  /* GL_EXT_map_buffer_range */

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushMappedBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRangeEXT)(target, offset, length);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ", ", GLbufferAccessToString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferRangeEXT)(target, offset, length, access);
  }

  /* GL_EXT_multi_draw_arrays */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysEXT(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawArraysEXT","(", toString(mode), ", ", boost::print::array(first,primcount), ", ", boost::print::array(count,primcount), ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysEXT)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsEXT(GLenum mode, const GLsizei *count, GLenum type, const GLvoid **indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiDrawElementsEXT","(", toString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsEXT)(mode, count, type, indices, primcount);
  }

  /* GL_EXT_multisample */

  REGAL_DECL void REGAL_CALL glSampleMaskEXT(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleMaskEXT","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskEXT)(value, invert);
  }

  REGAL_DECL void REGAL_CALL glSamplePatternEXT(GLenum pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplePatternEXT","(", toString(pattern), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplePatternEXT)(pattern);
  }

  /* GL_EXT_multisampled_render_to_texture */

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DMultisampleEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture2DMultisampleEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DMultisampleEXT)(target, attachment, textarget, texture, level, samples);
  }

  /* GL_EXT_multiview_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersIndexedEXT(GLint n, const GLenum *location, const GLint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffersIndexedEXT","(", n, ", ", location, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersIndexedEXT)(n, location, indices);
  }

  REGAL_DECL void REGAL_CALL glGetIntegeri_vEXT(GLenum target, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegeri_vEXT","(", toString(target), ", ", index, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegeri_vEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glReadBufferIndexedEXT(GLenum src, GLint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadBufferIndexedEXT","(", toString(src), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferIndexedEXT)(src, index);
  }

  /* GL_EXT_occlusion_query_boolean */

  REGAL_DECL void REGAL_CALL glBeginQueryEXT(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginQueryEXT","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryEXT)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueriesEXT(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteQueriesEXT","(", n, ", ", ids, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueriesEXT)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQueryEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndQueryEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glGenQueriesEXT(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenQueriesEXT","(", n, ", ", ids, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueriesEXT)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuivEXT(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectuivEXT","(", id, ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuivEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryivEXT)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQueryEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsQueryEXT","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQueryEXT)(id);
  }

  /* GL_EXT_paletted_texture */

  REGAL_DECL void REGAL_CALL glColorTableEXT(GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableEXT","(", toString(target), ", ", toString(internalFormat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableEXT)(target, internalFormat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableEXT(GLenum target, GLenum format, GLenum type, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableEXT)(target, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterivEXT)(target, pname, params);
  }

  /* GL_EXT_pixel_transform */

  REGAL_DECL void REGAL_CALL glGetPixelTransformParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTransformParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelTransformParameterivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTransformParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterfEXT(GLenum target, GLenum pname, const GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransformParameterfEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterfEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameteriEXT(GLenum target, GLenum pname, const GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransformParameteriEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameteriEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterivEXT)(target, pname, params);
  }

  /* GL_EXT_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfEXT(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvEXT(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfvEXT","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvEXT)(pname, params);
  }

  /* GL_EXT_polygon_offset */

  REGAL_DECL void REGAL_CALL glPolygonOffsetEXT(GLfloat factor, GLfloat bias)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPolygonOffsetEXT","(", factor, ", ", bias, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonOffsetEXT)(factor, bias);
  }

  /* GL_EXT_provoking_vertex */

  REGAL_DECL void REGAL_CALL glProvokingVertexEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProvokingVertexEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProvokingVertexEXT)(mode);
  }

  /* GL_EXT_robustness */

  REGAL_DECL void REGAL_CALL glGetnUniformfvEXT(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformfvEXT","(", program, ", ", location, ", ", bufSize, ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformfvEXT)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformivEXT(GLuint program, GLint location, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetnUniformivEXT","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformivEXT)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glReadnPixelsEXT(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadnPixelsEXT","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadnPixelsEXT)(x, y, width, height, format, type, bufSize, data);
  }

  /* GL_EXT_scene_marker */

  REGAL_DECL void REGAL_CALL glBeginSceneEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginSceneEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginSceneEXT)();
  }

  REGAL_DECL void REGAL_CALL glEndSceneEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndSceneEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndSceneEXT)();
  }

  /* GL_EXT_secondary_color */

  REGAL_DECL void REGAL_CALL glSecondaryColor3bEXT(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3bEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dEXT(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3dEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fEXT(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3fEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3iEXT(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3iEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3iEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3sEXT(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3sEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3sEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubEXT(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ubEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubvEXT(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3ubvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uiEXT(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3uiEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uiEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uivEXT(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3uivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usEXT(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3usEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usvEXT(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3usvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointerEXT(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointerEXT)(size, type, stride, pointer);
  }

  /* GL_EXT_separate_shader_objects */

  REGAL_DECL void REGAL_CALL glActiveProgramEXT(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveProgramEXT","(", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveProgramEXT)(program);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShaderProgramEXT(GLenum type, const GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCreateShaderProgramEXT","(", toString(type), ", ", boost::print::quote(string,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderProgramEXT)(type, string);
  }

  REGAL_DECL void REGAL_CALL glUseShaderProgramEXT(GLenum type, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUseShaderProgramEXT","(", toString(type), ", ", program, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseShaderProgramEXT)(type, program);
  }

  /* GL_EXT_shader_image_load_store */

  REGAL_DECL void REGAL_CALL glBindImageTextureEXT(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindImageTextureEXT","(", index, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", format, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindImageTextureEXT)(index, texture, level, layered, layer, access, format);
  }

  REGAL_DECL void REGAL_CALL glMemoryBarrierEXT(GLbitfield barriers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMemoryBarrierEXT","(", barriers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMemoryBarrierEXT)(barriers);
  }

  /* GL_EXT_stencil_clear_tag */

  REGAL_DECL void REGAL_CALL glStencilClearTagEXT(GLsizei stencilTagBits, GLuint stencilClearTag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilClearTagEXT","(", stencilTagBits, ", ", stencilClearTag, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilClearTagEXT)(stencilTagBits, stencilClearTag);
  }

  /* GL_EXT_stencil_two_side */

  REGAL_DECL void REGAL_CALL glActiveStencilFaceEXT(GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveStencilFaceEXT","(", toString(face), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveStencilFaceEXT)(face);
  }

  /* GL_EXT_subtexture */

  REGAL_DECL void REGAL_CALL glTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage1DEXT)(target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage2DEXT)(target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3DEXT)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_EXT_texture3D */

  REGAL_DECL void REGAL_CALL glTexImage3DEXT(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage3DEXT","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DEXT)(target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  /* GL_EXT_texture_array */

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayerEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTextureLayerEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayerEXT)(target, attachment, texture, level, layer);
  }

  /* GL_EXT_texture_buffer_object */

  REGAL_DECL void REGAL_CALL glTexBufferEXT(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexBufferEXT","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferEXT)(target, internalformat, buffer);
  }

  /* GL_EXT_texture_integer */

  REGAL_DECL void REGAL_CALL glClearColorIiEXT(GLint red, GLint green, GLint blue, GLint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearColorIiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColorIiEXT)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearColorIuiEXT(GLuint red, GLuint green, GLuint blue, GLuint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearColorIuiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColorIuiEXT)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterIivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIuivEXT(GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIuivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterIivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIuivEXT(GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIuivEXT)(target, pname, params);
  }

  /* GL_EXT_texture_object */

  REGAL_DECL GLboolean REGAL_CALL glAreTexturesResidentEXT(GLsizei n, const GLuint *textures, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAreTexturesResidentEXT","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreTexturesResidentEXT)(n, textures, residences);
  }

  REGAL_DECL void REGAL_CALL glBindTextureEXT(GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTextureEXT","(", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTextureEXT)(target, texture);
  }

  REGAL_DECL void REGAL_CALL glDeleteTexturesEXT(GLsizei n, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteTexturesEXT","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTexturesEXT)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glGenTexturesEXT(GLsizei n, GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenTexturesEXT","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTexturesEXT)(n, textures);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTextureEXT(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsTextureEXT","(", texture, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTextureEXT)(texture);
  }

  REGAL_DECL void REGAL_CALL glPrioritizeTexturesEXT(GLsizei n, const GLuint *textures, const GLclampf *priorities)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPrioritizeTexturesEXT","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrioritizeTexturesEXT)(n, textures, priorities);
  }

  /* GL_EXT_texture_perturb_normal */

  REGAL_DECL void REGAL_CALL glTextureNormalEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureNormalEXT","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureNormalEXT)(mode);
  }

  /* GL_EXT_texture_storage */

  REGAL_DECL void REGAL_CALL glTexStorage1DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage1DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage1DEXT)(target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTexStorage2DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage2DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2DEXT)(target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexStorage3DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3DEXT)(target, levels, internalformat, width, height, depth);
  }

  /* GL_EXT_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjecti64vEXT","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjecti64vEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetQueryObjectui64vEXT","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectui64vEXT)(id, pname, params);
  }

  /* GL_EXT_transform_feedback */

  REGAL_DECL void REGAL_CALL glBeginTransformFeedbackEXT(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginTransformFeedbackEXT","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedbackEXT)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindBufferBaseEXT(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferBaseEXT","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBaseEXT)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferOffsetEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferOffsetEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferOffsetEXT)(target, index, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRangeEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferRangeEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRangeEXT)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedbackEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndTransformFeedbackEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedbackEXT)();
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVaryingEXT(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTransformFeedbackVaryingEXT","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVaryingEXT)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryingsEXT(GLuint program, GLsizei count, const GLchar **varyings, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTransformFeedbackVaryingsEXT","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryingsEXT)(program, count, varyings, bufferMode);
  }

  /* GL_EXT_vertex_array */

  REGAL_DECL void REGAL_CALL glArrayElementEXT(GLint i)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glArrayElementEXT","(", i, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayElementEXT)(i);
  }

  REGAL_DECL void REGAL_CALL glColorPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointerEXT)(size, type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glDrawArraysEXT(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawArraysEXT","(", toString(mode), ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysEXT)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointerEXT(GLsizei stride, GLsizei count, const GLboolean *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlagPointerEXT","(", stride, ", ", count, ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointerEXT)(stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetPointervEXT(GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPointervEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointervEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glIndexPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointerEXT)(type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glNormalPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointerEXT)(type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointerEXT)(size, type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointerEXT)(size, type, stride, count, pointer);
  }

  /* GL_EXT_vertex_attrib_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLdvEXT(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribLdvEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLdvEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribLOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayVertexAttribLOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribLOffsetEXT)(vaobj, buffer, index, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dEXT(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1dEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1dvEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dEXT(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2dEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2dvEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3dEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3dvEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4dEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4dvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribLPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLPointerEXT)(index, size, type, stride, pointer);
  }

  /* GL_EXT_vertex_shader */

  REGAL_DECL void REGAL_CALL glBeginVertexShaderEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginVertexShaderEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginVertexShaderEXT)();
  }

  REGAL_DECL GLuint REGAL_CALL glBindLightParameterEXT(GLenum light, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindLightParameterEXT","(", toString(light), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindLightParameterEXT)(light, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindMaterialParameterEXT(GLenum face, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindMaterialParameterEXT","(", toString(face), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindMaterialParameterEXT)(face, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindParameterEXT(GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindParameterEXT","(", toString(value), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindParameterEXT)(value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindTexGenParameterEXT(GLenum unit, GLenum coord, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTexGenParameterEXT","(", toString(unit), ", ", toString(coord), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindTexGenParameterEXT)(unit, coord, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindTextureUnitParameterEXT(GLenum unit, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTextureUnitParameterEXT","(", toString(unit), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindTextureUnitParameterEXT)(unit, value);
  }

  REGAL_DECL void REGAL_CALL glBindVertexShaderEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVertexShaderEXT","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexShaderEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexShaderEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteVertexShaderEXT","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexShaderEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glDisableVariantClientStateEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableVariantClientStateEXT","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVariantClientStateEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glEnableVariantClientStateEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableVariantClientStateEXT","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVariantClientStateEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glEndVertexShaderEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndVertexShaderEXT","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndVertexShaderEXT)();
  }

  REGAL_DECL void REGAL_CALL glExtractComponentEXT(GLuint res, GLuint src, GLuint num)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtractComponentEXT","(", res, ", ", src, ", ", num, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtractComponentEXT)(res, src, num);
  }

  REGAL_DECL GLuint REGAL_CALL glGenSymbolsEXT(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenSymbolsEXT","(", toString(datatype), ", ", toString(storagetype), ", ", toString(range), ", ", components, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenSymbolsEXT)(datatype, storagetype, range, components);
  }

  REGAL_DECL GLuint REGAL_CALL glGenVertexShadersEXT(GLuint range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenVertexShadersEXT","(", range, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenVertexShadersEXT)(range);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInvariantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInvariantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInvariantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLocalConstantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLocalConstantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLocalConstantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantPointervEXT(GLuint id, GLenum value, GLvoid **data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVariantPointervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantPointervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glInsertComponentEXT(GLuint res, GLuint src, GLuint num)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInsertComponentEXT","(", res, ", ", src, ", ", num, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInsertComponentEXT)(res, src, num);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVariantEnabledEXT(GLuint id, GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsVariantEnabledEXT","(", id, ", ", toString(cap), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVariantEnabledEXT)(id, cap);
  }

  REGAL_DECL void REGAL_CALL glSetInvariantEXT(GLuint id, GLenum type, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetInvariantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetInvariantEXT)(id, type, addr);
  }

  REGAL_DECL void REGAL_CALL glSetLocalConstantEXT(GLuint id, GLenum type, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetLocalConstantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetLocalConstantEXT)(id, type, addr);
  }

  REGAL_DECL void REGAL_CALL glShaderOp1EXT(GLenum op, GLuint res, GLuint arg1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderOp1EXT","(", toString(op), ", ", res, ", ", arg1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp1EXT)(op, res, arg1);
  }

  REGAL_DECL void REGAL_CALL glShaderOp2EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderOp2EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp2EXT)(op, res, arg1, arg2);
  }

  REGAL_DECL void REGAL_CALL glShaderOp3EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glShaderOp3EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ", ", arg3, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp3EXT)(op, res, arg1, arg2, arg3);
  }

  REGAL_DECL void REGAL_CALL glSwizzleEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSwizzleEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSwizzleEXT)(res, in, outX, outY, outZ, outW);
  }

  REGAL_DECL void REGAL_CALL glVariantPointerEXT(GLuint id, GLenum type, GLuint stride, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantPointerEXT","(", id, ", ", toString(type), ", ", stride, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantPointerEXT)(id, type, stride, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantbvEXT(GLuint id, const GLbyte *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantbvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantbvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantdvEXT(GLuint id, const GLdouble *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantdvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantdvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantfvEXT(GLuint id, const GLfloat *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantfvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantfvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantivEXT(GLuint id, const GLint *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantivEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantivEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantsvEXT(GLuint id, const GLshort *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantsvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantsvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantubvEXT(GLuint id, const GLubyte *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantubvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantubvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantuivEXT(GLuint id, const GLuint *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantuivEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantuivEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantusvEXT(GLuint id, const GLushort *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVariantusvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantusvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glWriteMaskEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWriteMaskEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWriteMaskEXT)(res, in, outX, outY, outZ, outW);
  }

  /* GL_EXT_vertex_weighting */

  REGAL_DECL void REGAL_CALL glVertexWeightPointerEXT(GLsizei size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexWeightPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightPointerEXT)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexWeightfEXT(GLfloat weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexWeightfEXT","(", weight, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightfEXT)(weight);
  }

  REGAL_DECL void REGAL_CALL glVertexWeightfvEXT(const GLfloat *weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexWeightfvEXT","(", boost::print::array(weight,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightfvEXT)(weight);
  }

  /* GL_EXT_x11_sync_object */

  REGAL_DECL GLsync REGAL_CALL glImportSyncEXT(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glImportSyncEXT","(", toString(external_sync_type), ", ", external_sync, ", ", flags, ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glImportSyncEXT)(external_sync_type, external_sync, flags);
  }

  /* GL_GREMEDY_frame_terminator */

  REGAL_DECL void REGAL_CALL glFrameTerminatorGREMEDY(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrameTerminatorGREMEDY","()");
    if (!_context) return;
    // Notify Regal::Frame about the frame terminator event.
    if (_context && _context->frame)
      _context->frame->glFrameTerminatorGREMEDY(*_context);
    RegalAssert(_context->info);
    // Return to application unless GL_GREMEDY_frame_terminator is supported by the driver.
    if (!_context->info->gl_gremedy_frame_terminator) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrameTerminatorGREMEDY)();
  }

  /* GL_GREMEDY_string_marker */

  REGAL_DECL void REGAL_CALL glStringMarkerGREMEDY(GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringEXT(len, static_cast<const char *>(string));
    App("glStringMarkerGREMEDY","(", len, ", ", boost::print::optional(string,Logging::pointers), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (_context->info->gl_gremedy_string_marker)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glStringMarkerGREMEDY)(len, string);
    }
  }

  /* GL_HP_image_transform */

  REGAL_DECL void REGAL_CALL glGetImageTransformParameterfvHP(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetImageTransformParameterfvHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetImageTransformParameterivHP(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetImageTransformParameterivHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterfHP(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glImageTransformParameterfHP","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterfHP)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterfvHP(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterfvHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameteriHP(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glImageTransformParameteriHP","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameteriHP)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterivHP(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterivHP)(target, pname, params);
  }

  /* GL_IBM_multimode_draw_arrays */

  REGAL_DECL void REGAL_CALL glMultiModeDrawArraysIBM(const GLenum *mode, const GLint *first, const GLsizei *count, GLsizei primcount, GLint modestride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiModeDrawArraysIBM","(", mode, ", ", boost::print::optional(first,Logging::pointers), ", ", count, ", ", primcount, ", ", modestride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiModeDrawArraysIBM)(mode, first, count, primcount, modestride);
  }

  REGAL_DECL void REGAL_CALL glMultiModeDrawElementsIBM(const GLenum *mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, GLint modestride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiModeDrawElementsIBM","(", mode, ", ", count, ", ", toString(type), ", ", indices, ", ", primcount, ", ", modestride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiModeDrawElementsIBM)(mode, count, type, indices, primcount, modestride);
  }

  /* GL_IBM_vertex_array_lists */

  REGAL_DECL void REGAL_CALL glColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointerListIBM(GLint stride, const GLboolean **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlagPointerListIBM","(", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointerListIBM)(stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glFogCoordPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordPointerListIBM","(", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glIndexPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexPointerListIBM","(", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glNormalPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalPointerListIBM","(", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glVertexPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  /* GL_IMG_multisampled_render_to_texture */

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DMultisampleIMG(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture2DMultisampleIMG","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DMultisampleIMG)(target, attachment, textarget, texture, level, samples);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleIMG(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisampleIMG","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleIMG)(target, samples, internalformat, width, height);
  }

  /* GL_INGR_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateINGR(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparateINGR","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateINGR)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  /* GL_INTEL_parallel_arrays */

  REGAL_DECL void REGAL_CALL glColorPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorPointervINTEL","(", size, ", ", toString(type), ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointervINTEL)(size, type, pointer);
  }

  REGAL_DECL void REGAL_CALL glNormalPointervINTEL(GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalPointervINTEL","(", toString(type), ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointervINTEL)(type, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordPointervINTEL","(", size, ", ", toString(type), ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointervINTEL)(size, type, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexPointervINTEL","(", size, ", ", toString(type), ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointervINTEL)(size, type, pointer);
  }

  /* GL_INTEL_texture_scissor */

  REGAL_DECL void REGAL_CALL glTexScissorFuncINTEL(GLenum target, GLenum lfunc, GLenum hfunc)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexScissorFuncINTEL","(", toString(target), ", ", toString(lfunc), ", ", toString(hfunc), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexScissorFuncINTEL)(target, lfunc, hfunc);
  }

  REGAL_DECL void REGAL_CALL glTexScissorINTEL(GLenum target, GLclampf tlow, GLclampf thigh)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexScissorINTEL","(", toString(target), ", ", tlow, ", ", thigh, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexScissorINTEL)(target, tlow, thigh);
  }

  /* GL_KHR_debug */

  REGAL_DECL void REGAL_CALL glDebugMessageCallback(GLDEBUGPROC callback, const GLvoid *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageCallback","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallback)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDebugMessageControl","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", ids, ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageControl)(source, type, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsert(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringKHR(length, buf);
    App("glDebugMessageInsert","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (_context->info->gl_khr_debug)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsert)(source, type, id, severity, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDebugMessageLog","(", count, ", ", bufsize, ", ", sources, ", ", types, ", ", ids, ", ", severities, ", ", lengths, ", ", boost::print::quote(messageLog,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLog)(count, bufsize, sources, types, ids, severities, lengths, messageLog);
  }

  REGAL_DECL void REGAL_CALL glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectLabel","(", toString(identifier), ", ", name, ", ", bufSize, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectLabel)(identifier, name, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glGetObjectPtrLabel(const GLvoid *ptr, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", bufSize, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectPtrLabel)(ptr, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glObjectLabel","(", toString(identifier), ", ", name, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glObjectLabel)(identifier, name, length, label);
  }

  REGAL_DECL void REGAL_CALL glObjectPtrLabel(const GLvoid *ptr, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glObjectPtrLabel)(ptr, length, label);
  }

  REGAL_DECL void REGAL_CALL glPopDebugGroup(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context->marker)
      _context->marker->PopGroupMarker(*_context);
    App("glPopDebugGroup","()");
    if (!_context) return;
    RegalAssert(_context->info);
    if (_context->info->gl_khr_debug)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPopDebugGroup)();
    }
  }

  REGAL_DECL void REGAL_CALL glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar *message)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    std::string _message = Marker::toStringKHR(length, message);
    App("glPushDebugGroup","(", toString(source), ", ", id, ", ", length, ", ", boost::print::quote(message,'"'), ")");
    if (!_context) return;
    RegalAssert(_context->info);
    if (_context->info->gl_khr_debug)
    {
        DispatchTable *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPushDebugGroup)(source, id, length, message);
    }
    if (_context->marker)
      _context->marker->PushGroupMarker(*_context, _message);
  }

  /* GL_KTX_buffer_region */

  REGAL_DECL GLuint REGAL_CALL glBufferRegionEnabled(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferRegionEnabled","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBufferRegionEnabled)();
  }

  REGAL_DECL void REGAL_CALL glDeleteBufferRegion(GLenum region)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteBufferRegion","(", toString(region), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBufferRegion)(region);
  }

  REGAL_DECL void REGAL_CALL glDrawBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height, GLint xDest, GLint yDest)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xDest, ", ", yDest, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBufferRegion)(region, x, y, width, height, xDest, yDest);
  }

  REGAL_DECL GLuint REGAL_CALL glNewBufferRegion(GLenum region)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNewBufferRegion","(", toString(region), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glNewBufferRegion)(region);
  }

  REGAL_DECL void REGAL_CALL glReadBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferRegion)(region, x, y, width, height);
  }

  /* GL_MESA_resize_buffers */

  REGAL_DECL void REGAL_CALL glResizeBuffersMESA(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResizeBuffersMESA","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResizeBuffersMESA)();
  }

  /* GL_MESA_window_pos */

  REGAL_DECL void REGAL_CALL glWindowPos2dMESA(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2dMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2dvMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fMESA(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2fMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2fvMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iMESA(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2iMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2ivMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sMESA(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2sMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos2svMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2svMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dMESA(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3dMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3dvMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fMESA(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3fMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3fvMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iMESA(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3iMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3ivMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sMESA(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3sMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos3svMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3svMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4dMESA(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4dMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4dMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4dvMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4fMESA(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4fMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4fMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4fvMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4iMESA(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4iMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4iMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4ivMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4sMESA(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4sMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4sMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWindowPos4svMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4svMESA)(v);
  }

  /* GL_NVX_conditional_render */

  REGAL_DECL void REGAL_CALL glBeginConditionalRenderNVX(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginConditionalRenderNVX","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRenderNVX)(id);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRenderNVX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndConditionalRenderNVX","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRenderNVX)();
  }

  /* GL_NV_bindless_texture */

  REGAL_DECL GLuint64 REGAL_CALL glGetImageHandleNV(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetImageHandleNV","(", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(format), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetImageHandleNV)(texture, level, layered, layer, format);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureHandleNV(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureHandleNV","(", texture, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureHandleNV)(texture);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureSamplerHandleNV(GLuint texture, GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTextureSamplerHandleNV","(", texture, ", ", sampler, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureSamplerHandleNV)(texture, sampler);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsImageHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsImageHandleResidentNV","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsImageHandleResidentNV)(handle);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTextureHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsTextureHandleResidentNV","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTextureHandleResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleNonResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeImageHandleNonResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleNonResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleResidentNV(GLuint64 handle, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeImageHandleResidentNV","(", handle, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleResidentNV)(handle, access);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleNonResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeTextureHandleNonResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleNonResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeTextureHandleResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64NV(GLuint program, GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformHandleui64NV","(", program, ", ", location, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64NV)(program, location, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64 *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformHandleui64vNV","(", program, ", ", location, ", ", count, ", ", values, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64vNV)(program, location, count, values);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64NV(GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformHandleui64NV","(", location, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64NV)(location, value);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64vNV(GLint location, GLsizei count, const GLuint64 *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformHandleui64vNV","(", location, ", ", count, ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64vNV)(location, count, value);
  }

  /* GL_NV_conditional_render */

  REGAL_DECL void REGAL_CALL glBeginConditionalRenderNV(GLuint id, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginConditionalRenderNV","(", id, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRenderNV)(id, mode);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRenderNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndConditionalRenderNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRenderNV)();
  }

  /* GL_NV_copy_image */

  REGAL_DECL void REGAL_CALL glCopyImageSubDataNV(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyImageSubDataNV","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyImageSubDataNV)(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
  }

  /* GL_NV_coverage_sample */

  REGAL_DECL void REGAL_CALL glCoverageMaskNV(GLboolean mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverageMaskNV","(", toString(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverageMaskNV)(mask);
  }

  REGAL_DECL void REGAL_CALL glCoverageOperationNV(GLenum operation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverageOperationNV","(", toString(operation), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverageOperationNV)(operation);
  }

  /* GL_NV_depth_buffer_float */

  REGAL_DECL void REGAL_CALL glClearDepthdNV(GLdouble depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearDepthdNV","(", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthdNV)(depth);
  }

  REGAL_DECL void REGAL_CALL glDepthBoundsdNV(GLdouble zmin, GLdouble zmax)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthBoundsdNV","(", zmin, ", ", zmax, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthBoundsdNV)(zmin, zmax);
  }

  REGAL_DECL void REGAL_CALL glDepthRangedNV(GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangedNV","(", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangedNV)(zNear, zFar);
  }

  /* GL_NV_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersNV(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawBuffersNV","(", n, ", ", bufs, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersNV)(n, bufs);
  }

  /* GL_NV_draw_texture */

  REGAL_DECL void REGAL_CALL glDrawTextureNV(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTextureNV","(", texture, ", ", sampler, ", ", x0, ", ", y0, ", ", x1, ", ", y1, ", ", z, ", ", s0, ", ", t0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTextureNV)(texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1);
  }

  /* GL_NV_evaluators */

  REGAL_DECL void REGAL_CALL glEvalMapsNV(GLenum target, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEvalMapsNV","(", toString(target), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMapsNV)(target, mode);
  }

  REGAL_DECL void REGAL_CALL glGetMapAttribParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapAttribParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapAttribParameterfvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapAttribParameterivNV(GLenum target, GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapAttribParameterivNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapAttribParameterivNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, GLvoid *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", toString(packed), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapControlPointsNV)(target, index, type, ustride, vstride, packed, points);
  }

  REGAL_DECL void REGAL_CALL glGetMapParameterfvNV(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapParameterfvNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapParameterfvNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapParameterivNV(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMapParameterivNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapParameterivNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const GLvoid *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", uorder, ", ", vorder, ", ", toString(packed), ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapControlPointsNV)(target, index, type, ustride, vstride, uorder, vorder, packed, points);
  }

  REGAL_DECL void REGAL_CALL glMapParameterfvNV(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapParameterfvNV","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapParameterfvNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMapParameterivNV(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapParameterivNV","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapParameterivNV)(target, pname, params);
  }

  /* GL_NV_explicit_multisample */

  REGAL_DECL void REGAL_CALL glGetMultisamplefvNV(GLenum pname, GLuint index, GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMultisamplefvNV","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultisamplefvNV)(pname, index, val);
  }

  REGAL_DECL void REGAL_CALL glSampleMaskIndexedNV(GLuint index, GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleMaskIndexedNV","(", index, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskIndexedNV)(index, mask);
  }

  REGAL_DECL void REGAL_CALL glTexRenderbufferNV(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexRenderbufferNV","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexRenderbufferNV)(target, renderbuffer);
  }

  /* GL_NV_fence */

  REGAL_DECL void REGAL_CALL glDeleteFencesNV(GLsizei n, const GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFencesNV","(", n, ", ", boost::print::array(fences,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFencesNV)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glFinishFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishFenceNV","(", fence, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishFenceNV)(fence);
  }

  REGAL_DECL void REGAL_CALL glGenFencesNV(GLsizei n, GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFencesNV","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFencesNV)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glGetFenceivNV(GLuint fence, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFenceivNV","(", fence, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFenceivNV)(fence, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsFenceNV","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFenceNV)(fence);
  }

  REGAL_DECL void REGAL_CALL glSetFenceNV(GLuint fence, GLenum condition)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSetFenceNV","(", fence, ", ", toString(condition), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFenceNV)(fence, condition);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTestFenceNV","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestFenceNV)(fence);
  }

  /* GL_NV_fragment_program */

  REGAL_DECL void REGAL_CALL glGetProgramNamedParameterdvNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramNamedParameterdvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramNamedParameterdvNV)(id, len, name, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramNamedParameterfvNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramNamedParameterfvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramNamedParameterfvNV)(id, len, name, params);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4dNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramNamedParameter4dNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4dNV)(id, len, name, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4dvNV(GLuint id, GLsizei len, const GLubyte *name, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramNamedParameter4dvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4dvNV)(id, len, name, v);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4fNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramNamedParameter4fNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4fNV)(id, len, name, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4fvNV(GLuint id, GLsizei len, const GLubyte *name, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramNamedParameter4fvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4fvNV)(id, len, name, v);
  }

  /* GL_NV_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferNV(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlitFramebufferNV","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferNV)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_NV_framebuffer_multisample_coverage */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalformat, width, height);
  }

  /* GL_NV_geometry_program4 */

  REGAL_DECL void REGAL_CALL glProgramVertexLimitNV(GLenum target, GLint limit)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramVertexLimitNV","(", toString(target), ", ", limit, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramVertexLimitNV)(target, limit);
  }

  /* GL_NV_gpu_program4 */

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterIivNV(GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramEnvParameterIivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterIivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterIuivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramEnvParameterIuivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterIuivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterIivNV(GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramLocalParameterIivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterIivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterIuivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramLocalParameterIuivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterIuivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4iNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4ivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4uiNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4uivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParametersI4ivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramEnvParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParametersI4uivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4iNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4ivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4uiNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4uivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParametersI4ivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramLocalParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParametersI4uivNV)(target, index, count, params);
  }

  /* GL_NV_gpu_shader5 */

  REGAL_DECL void REGAL_CALL glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformi64vNV","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformi64vNV)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i64NV(GLuint program, GLint location, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1i64NV","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i64NV)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui64NV(GLuint program, GLint location, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1ui64NV","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui64NV)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform1ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2i64NV","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i64NV)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2ui64NV","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui64NV)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform2ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i64NV)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui64NV)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform3ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i64NV)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui64NV)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniform4ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1i64NV(GLint location, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1i64NV","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i64NV)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui64NV(GLint location, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1ui64NV","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui64NV)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform1ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2i64NV(GLint location, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2i64NV","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i64NV)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2ui64NV","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui64NV)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform2ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3i64NV","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i64NV)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3ui64NV","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui64NV)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform3ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4i64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i64NV)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4ui64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui64NV)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniform4ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui64vNV)(location, count, value);
  }

  /* GL_NV_half_float */

  REGAL_DECL void REGAL_CALL glColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3hNV","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3hNV)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4hNV","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4hNV)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glFogCoordhNV(GLhalfNV coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordhNV","(", coord, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordhNV)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordhvNV(const GLhalfNV *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordhvNV","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordhvNV)(coord);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1hNV(GLenum target, GLhalfNV s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1hNV","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1hNV)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord1hvNV","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2hNV(GLenum target, GLhalfNV s, GLhalfNV t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2hNV","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2hNV)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord2hvNV","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3hNV)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord3hvNV","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4hNV)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4hvNV","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glNormal3hNV(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3hNV","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3hNV)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3hNV","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3hNV)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColor3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1hNV(GLhalfNV s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1hNV","(", s, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1hNV)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord1hvNV","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2hNV(GLhalfNV s, GLhalfNV t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2hNV","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2hNV)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2hvNV","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3hNV","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3hNV)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4hNV","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4hNV)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2hNV(GLhalfNV x, GLhalfNV y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2hNV","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2hNV)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex2hvNV","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3hNV","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3hNV)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4hNV","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4hNV)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertex4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1hNV(GLuint index, GLhalfNV x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1hNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1hNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1hvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2hNV(GLuint index, GLhalfNV x, GLhalfNV y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2hNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2hNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2hvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3hNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3hNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3hvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4hNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4hNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4hvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1hvNV(GLuint index, GLsizei count, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs1hvNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1hvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2hvNV(GLuint index, GLsizei count, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs2hvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2hvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3hvNV(GLuint index, GLsizei count, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs3hvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3hvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4hvNV(GLuint index, GLsizei count, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs4hvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4hvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexWeighthNV(GLhalfNV weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexWeighthNV","(", weight, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeighthNV)(weight);
  }

  REGAL_DECL void REGAL_CALL glVertexWeighthvNV(const GLhalfNV *weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexWeighthvNV","(", boost::print::array(weight,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeighthvNV)(weight);
  }

  /* GL_NV_occlusion_query */

  REGAL_DECL void REGAL_CALL glBeginOcclusionQueryNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginOcclusionQueryNV","(", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginOcclusionQueryNV)(id);
  }

  REGAL_DECL void REGAL_CALL glDeleteOcclusionQueriesNV(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteOcclusionQueriesNV","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteOcclusionQueriesNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndOcclusionQueryNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndOcclusionQueryNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndOcclusionQueryNV)();
  }

  REGAL_DECL void REGAL_CALL glGenOcclusionQueriesNV(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenOcclusionQueriesNV","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenOcclusionQueriesNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetOcclusionQueryivNV(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetOcclusionQueryivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetOcclusionQueryivNV)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetOcclusionQueryuivNV(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetOcclusionQueryuivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetOcclusionQueryuivNV)(id, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsOcclusionQueryNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsOcclusionQueryNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsOcclusionQueryNV)(id);
  }

  /* GL_NV_parameter_buffer_object */

  REGAL_DECL void REGAL_CALL glProgramBufferParametersIivNV(GLenum target, GLuint buffer, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramBufferParametersIivNV","(", toString(target), ", ", buffer, ", ", index, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersIivNV)(target, buffer, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramBufferParametersIuivNV(GLenum target, GLuint buffer, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramBufferParametersIuivNV","(", toString(target), ", ", buffer, ", ", index, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersIuivNV)(target, buffer, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramBufferParametersfvNV(GLenum target, GLuint buffer, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramBufferParametersfvNV","(", toString(target), ", ", buffer, ", ", index, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersfvNV)(target, buffer, index, count, params);
  }

  /* GL_NV_path_rendering */

  REGAL_DECL void REGAL_CALL glCopyPathNV(GLuint resultPath, GLuint srcPath)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyPathNV","(", resultPath, ", ", srcPath, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyPathNV)(resultPath, srcPath);
  }

  REGAL_DECL void REGAL_CALL glCoverFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", transformValues, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverFillPathInstancedNV)(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glCoverFillPathNV(GLuint path, GLenum coverMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverFillPathNV","(", path, ", ", toString(coverMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverFillPathNV)(path, coverMode);
  }

  REGAL_DECL void REGAL_CALL glCoverStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", transformValues, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverStrokePathInstancedNV)(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glCoverStrokePathNV(GLuint name, GLenum coverMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCoverStrokePathNV","(", name, ", ", toString(coverMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverStrokePathNV)(name, coverMode);
  }

  REGAL_DECL void REGAL_CALL glDeletePathsNV(GLuint path, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeletePathsNV","(", path, ", ", range, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeletePathsNV)(path, range);
  }

  REGAL_DECL GLuint REGAL_CALL glGenPathsNV(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenPathsNV","(", range, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenPathsNV)(range);
  }

  REGAL_DECL void REGAL_CALL glGetPathColorGenfvNV(GLenum color, GLenum pname, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathColorGenfvNV","(", toString(color), ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathColorGenfvNV)(color, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathColorGenivNV(GLenum color, GLenum pname, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathColorGenivNV","(", toString(color), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathColorGenivNV)(color, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathCommandsNV(GLuint name, GLubyte *commands)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathCommandsNV","(", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathCommandsNV)(name, commands);
  }

  REGAL_DECL void REGAL_CALL glGetPathCoordsNV(GLuint name, GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathCoordsNV","(", name, ", ", coords, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathCoordsNV)(name, coords);
  }

  REGAL_DECL void REGAL_CALL glGetPathDashArrayNV(GLuint name, GLfloat *dashArray)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathDashArrayNV","(", name, ", ", dashArray, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathDashArrayNV)(name, dashArray);
  }

  REGAL_DECL GLfloat REGAL_CALL glGetPathLengthNV(GLuint path, GLsizei startSegment, GLsizei numSegments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathLengthNV","(", path, ", ", startSegment, ", ", numSegments, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetPathLengthNV)(path, startSegment, numSegments);
  }

  REGAL_DECL void REGAL_CALL glGetPathMetricRangeNV(GLbitfield metricQueryMask, GLuint fistPathName, GLsizei numPaths, GLsizei stride, GLfloat *metrics)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathMetricRangeNV","(", metricQueryMask, ", ", fistPathName, ", ", numPaths, ", ", stride, ", ", metrics, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathMetricRangeNV)(metricQueryMask, fistPathName, numPaths, stride, metrics);
  }

  REGAL_DECL void REGAL_CALL glGetPathMetricsNV(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLsizei stride, GLfloat *metrics)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathMetricsNV","(", metricQueryMask, ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", stride, ", ", metrics, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathMetricsNV)(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics);
  }

  REGAL_DECL void REGAL_CALL glGetPathParameterfvNV(GLuint name, GLenum param, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathParameterfvNV","(", name, ", ", toString(param), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathParameterfvNV)(name, param, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathParameterivNV(GLuint name, GLenum param, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathParameterivNV","(", name, ", ", toString(param), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathParameterivNV)(name, param, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathSpacingNV(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat *returnedSpacing)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathSpacingNV","(", toString(pathListMode), ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", advanceScale, ", ", kerningScale, ", ", toString(transformType), ", ", returnedSpacing, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathSpacingNV)(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing);
  }

  REGAL_DECL void REGAL_CALL glGetPathTexGenfvNV(GLenum texCoordSet, GLenum pname, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathTexGenfvNV","(", toString(texCoordSet), ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathTexGenfvNV)(texCoordSet, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathTexGenivNV(GLenum texCoordSet, GLenum pname, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPathTexGenivNV","(", toString(texCoordSet), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathTexGenivNV)(texCoordSet, pname, value);
  }

  REGAL_DECL void REGAL_CALL glInterpolatePathsNV(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInterpolatePathsNV","(", resultPath, ", ", pathA, ", ", pathB, ", ", weight, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInterpolatePathsNV)(resultPath, pathA, pathB, weight);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPathNV(GLuint path)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsPathNV","(", path, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPathNV)(path);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPointInFillPathNV(GLuint path, GLuint mask, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsPointInFillPathNV","(", path, ", ", mask, ", ", x, ", ", y, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPointInFillPathNV)(path, mask, x, y);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPointInStrokePathNV(GLuint path, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsPointInStrokePathNV","(", path, ", ", x, ", ", y, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPointInStrokePathNV)(path, x, y);
  }

  REGAL_DECL void REGAL_CALL glPathColorGenNV(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat *coeffs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathColorGenNV","(", toString(color), ", ", toString(genMode), ", ", toString(colorFormat), ", ", coeffs, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathColorGenNV)(color, genMode, colorFormat, coeffs);
  }

  REGAL_DECL void REGAL_CALL glPathCommandsNV(GLuint path, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathCommandsNV","(", path, ", ", numCommands, ", ", boost::print::optional(commands,Logging::pointers), ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCommandsNV)(path, numCommands, commands, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathCoordsNV(GLuint path, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathCoordsNV","(", path, ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCoordsNV)(path, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathCoverDepthFuncNV(GLenum zfunc)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathCoverDepthFuncNV","(", toString(zfunc), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCoverDepthFuncNV)(zfunc);
  }

  REGAL_DECL void REGAL_CALL glPathDashArrayNV(GLuint path, GLsizei dashCount, const GLfloat *dashArray)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathDashArrayNV","(", path, ", ", dashCount, ", ", dashArray, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathDashArrayNV)(path, dashCount, dashArray);
  }

  REGAL_DECL void REGAL_CALL glPathFogGenNV(GLenum genMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathFogGenNV","(", toString(genMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathFogGenNV)(genMode);
  }

  REGAL_DECL void REGAL_CALL glPathGlyphRangeNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathGlyphRangeNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::optional(fontName,Logging::pointers), ", ", fontStyle, ", ", firstGlyph, ", ", numGlyphs, ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ", ", emScale, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathGlyphRangeNV)(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale);
  }

  REGAL_DECL void REGAL_CALL glPathGlyphsNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const GLvoid *charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathGlyphsNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::optional(fontName,Logging::pointers), ", ", fontStyle, ", ", numGlyphs, ", ", toString(type), ", ", boost::print::optional(charcodes,Logging::pointers), ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathGlyphsNV)(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale);
  }

  REGAL_DECL void REGAL_CALL glPathParameterfNV(GLuint path, GLenum pname, GLfloat value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathParameterfNV","(", path, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterfNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameterfvNV(GLuint path, GLenum pname, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathParameterfvNV","(", path, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterfvNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameteriNV(GLuint path, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathParameteriNV","(", path, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameteriNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameterivNV(GLuint path, GLenum pname, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathParameterivNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterivNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathStencilDepthOffsetNV(GLfloat factor, GLfloat units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathStencilDepthOffsetNV","(", factor, ", ", units, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStencilDepthOffsetNV)(factor, units);
  }

  REGAL_DECL void REGAL_CALL glPathStencilFuncNV(GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathStencilFuncNV","(", toString(func), ", ", boost::print::hex(mask), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStencilFuncNV)(func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glPathStringNV(GLuint path, GLenum format, GLsizei length, const GLvoid *pathString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathStringNV","(", path, ", ", toString(format), ", ", length, ", ", boost::print::optional(pathString,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStringNV)(path, format, length, pathString);
  }

  REGAL_DECL void REGAL_CALL glPathSubCommandsNV(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathSubCommandsNV","(", path, ", ", commandStart, ", ", commandsToDelete, ", ", numCommands, ", ", boost::print::optional(commands,Logging::pointers), ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathSubCommandsNV)(path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathSubCoordsNV(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathSubCoordsNV","(", path, ", ", coordStart, ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathSubCoordsNV)(path, coordStart, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathTexGenNV(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat *coeffs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPathTexGenNV","(", toString(texCoordSet), ", ", toString(genMode), ", ", components, ", ", coeffs, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathTexGenNV)(texCoordSet, genMode, components, coeffs);
  }

  REGAL_DECL GLboolean REGAL_CALL glPointAlongPathNV(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat *x, GLfloat *y, GLfloat *tangentX, GLfloat *tangentY)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointAlongPathNV","(", path, ", ", startSegment, ", ", numSegments, ", ", distance, ", ", x, ", ", y, ", ", tangentX, ", ", tangentY, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPointAlongPathNV)(path, startSegment, numSegments, distance, x, y, tangentX, tangentY);
  }

  REGAL_DECL void REGAL_CALL glStencilFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(fillMode), ", ", mask, ", ", toString(transformType), ", ", transformValues, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFillPathInstancedNV)(numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glStencilFillPathNV(GLuint path, GLenum fillMode, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilFillPathNV","(", path, ", ", toString(fillMode), ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFillPathNV)(path, fillMode, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", reference, ", ", mask, ", ", toString(transformType), ", ", transformValues, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilStrokePathInstancedNV)(numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glStencilStrokePathNV(GLuint path, GLint reference, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStencilStrokePathNV","(", path, ", ", reference, ", ", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilStrokePathNV)(path, reference, mask);
  }

  REGAL_DECL void REGAL_CALL glTransformPathNV(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTransformPathNV","(", resultPath, ", ", srcPath, ", ", toString(transformType), ", ", transformValues, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformPathNV)(resultPath, srcPath, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glWeightPathsNV(GLuint resultPath, GLsizei numPaths, const GLuint *paths, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightPathsNV","(", resultPath, ", ", numPaths, ", ", paths, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPathsNV)(resultPath, numPaths, paths, weights);
  }

  /* GL_NV_pixel_data_range */

  REGAL_DECL void REGAL_CALL glFlushPixelDataRangeNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushPixelDataRangeNV","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushPixelDataRangeNV)(target);
  }

  REGAL_DECL void REGAL_CALL glPixelDataRangeNV(GLenum target, GLsizei size, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelDataRangeNV","(", toString(target), ", ", size, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelDataRangeNV)(target, size, pointer);
  }

  /* GL_NV_point_sprite */

  REGAL_DECL void REGAL_CALL glPointParameteriNV(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameteriNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteriNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterivNV(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterivNV)(pname, params);
  }

  /* GL_NV_present_video */

  REGAL_DECL void REGAL_CALL glGetVideoi64vNV(GLuint video_slot, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoi64vNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoi64vNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoivNV(GLuint video_slot, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoivNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoivNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoui64vNV(GLuint video_slot, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoui64vNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoui64vNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideouivNV(GLuint video_slot, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideouivNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideouivNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPresentFrameDualFillNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPresentFrameDualFillNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", toString(target1), ", ", fill1, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPresentFrameDualFillNV)(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3);
  }

  REGAL_DECL void REGAL_CALL glPresentFrameKeyedNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPresentFrameKeyedNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", key0, ", ", toString(target1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPresentFrameKeyedNV)(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1);
  }

  /* GL_NV_primitive_restart */

  REGAL_DECL void REGAL_CALL glPrimitiveRestartIndexNV(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPrimitiveRestartIndexNV","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartIndexNV)(index);
  }

  REGAL_DECL void REGAL_CALL glPrimitiveRestartNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPrimitiveRestartNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartNV)();
  }

  /* GL_NV_read_buffer */

  REGAL_DECL void REGAL_CALL glReadBufferNV(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadBufferNV","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferNV)(mode);
  }

  /* GL_NV_register_combiners */

  REGAL_DECL void REGAL_CALL glCombinerInputNV(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerInputNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerInputNV)(stage, portion, variable, input, mapping, componentUsage);
  }

  REGAL_DECL void REGAL_CALL glCombinerOutputNV(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerOutputNV","(", toString(stage), ", ", toString(portion), ", ", toString(abOutput), ", ", toString(cdOutput), ", ", toString(sumOutput), ", ", toString(scale), ", ", toString(bias), ", ", toString(abDotProduct), ", ", toString(cdDotProduct), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerOutputNV)(stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterfNV(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerParameterfNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterfNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterfvNV(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerParameterfvNV","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterfvNV)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameteriNV(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerParameteriNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameteriNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterivNV(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterivNV)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFinalCombinerInputNV(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinalCombinerInputNV","(", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinalCombinerInputNV)(variable, input, mapping, componentUsage);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerInputParameterfvNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCombinerInputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerInputParameterfvNV)(stage, portion, variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerInputParameterivNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCombinerInputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerInputParameterivNV)(stage, portion, variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerOutputParameterfvNV(GLenum stage, GLenum portion, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCombinerOutputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerOutputParameterfvNV)(stage, portion, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerOutputParameterivNV(GLenum stage, GLenum portion, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCombinerOutputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerOutputParameterivNV)(stage, portion, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFinalCombinerInputParameterfvNV(GLenum variable, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFinalCombinerInputParameterfvNV","(", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFinalCombinerInputParameterfvNV)(variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFinalCombinerInputParameterivNV(GLenum variable, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFinalCombinerInputParameterivNV","(", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFinalCombinerInputParameterivNV)(variable, pname, params);
  }

  /* GL_NV_register_combiners2 */

  REGAL_DECL void REGAL_CALL glCombinerStageParameterfvNV(GLenum stage, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerStageParameterfvNV)(stage, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerStageParameterfvNV(GLenum stage, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerStageParameterfvNV)(stage, pname, params);
  }

  /* GL_NV_shader_buffer_load */

  REGAL_DECL void REGAL_CALL glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferParameterui64vNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameterui64vNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerui64vNV(GLenum target, GLuint64EXT *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegerui64vNV","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerui64vNV)(target, data);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetNamedBufferParameterui64vNV","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameterui64vNV)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetUniformui64vNV","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformui64vNV)(program, location, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBufferResidentNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsBufferResidentNV","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBufferResidentNV)(target);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNamedBufferResidentNV(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsNamedBufferResidentNV","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNamedBufferResidentNV)(buffer);
  }

  REGAL_DECL void REGAL_CALL glMakeBufferNonResidentNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeBufferNonResidentNV","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeBufferNonResidentNV)(target);
  }

  REGAL_DECL void REGAL_CALL glMakeBufferResidentNV(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeBufferResidentNV","(", toString(target), ", ", toString(access), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeBufferResidentNV)(target, access);
  }

  REGAL_DECL void REGAL_CALL glMakeNamedBufferNonResidentNV(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeNamedBufferNonResidentNV","(", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeNamedBufferNonResidentNV)(buffer);
  }

  REGAL_DECL void REGAL_CALL glMakeNamedBufferResidentNV(GLuint buffer, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMakeNamedBufferResidentNV","(", buffer, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeNamedBufferResidentNV)(buffer, access);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformui64NV(GLuint program, GLint location, GLuint64EXT v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformui64NV","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformui64NV)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramUniformui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformui64NV(GLint location, GLuint64EXT v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformui64NV","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformui64NV)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUniformui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformui64vNV)(location, count, value);
  }

  /* GL_NV_texture_barrier */

  REGAL_DECL void REGAL_CALL glTextureBarrierNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureBarrierNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBarrierNV)();
  }

  /* GL_NV_texture_multisample */

  REGAL_DECL void REGAL_CALL glTexImage2DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage2DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2DMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage3DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage2DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DMultisampleCoverageNV)(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage2DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DMultisampleNV)(texture, target, samples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage3DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DMultisampleCoverageNV)(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureImage3DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DMultisampleNV)(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  /* GL_NV_transform_feedback */

  REGAL_DECL void REGAL_CALL glActiveVaryingNV(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glActiveVaryingNV","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveVaryingNV)(program, name);
  }

  REGAL_DECL void REGAL_CALL glBeginTransformFeedbackNV(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginTransformFeedbackNV","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedbackNV)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindBufferBaseNV(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferBaseNV","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBaseNV)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferOffsetNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferOffsetNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferOffsetNV)(target, index, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRangeNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindBufferRangeNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRangeNV)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedbackNV)();
  }

  REGAL_DECL void REGAL_CALL glGetActiveVaryingNV(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetActiveVaryingNV","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveVaryingNV)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVaryingNV(GLuint program, GLuint index, GLint *location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTransformFeedbackVaryingNV","(", program, ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVaryingNV)(program, index, location);
  }

  REGAL_DECL GLint REGAL_CALL glGetVaryingLocationNV(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVaryingLocationNV","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetVaryingLocationNV)(program, name);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackAttribsNV(GLuint count, const GLint *attribs, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTransformFeedbackAttribsNV","(", count, ", ", boost::print::optional(attribs,Logging::pointers), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackAttribsNV)(count, attribs, bufferMode);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryingsNV(GLuint program, GLsizei count, const GLint *locations, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTransformFeedbackVaryingsNV","(", program, ", ", count, ", ", boost::print::array(locations,count), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryingsNV)(program, count, locations, bufferMode);
  }

  /* GL_NV_transform_feedback2 */

  REGAL_DECL void REGAL_CALL glBindTransformFeedbackNV(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindTransformFeedbackNV","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTransformFeedbackNV)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteTransformFeedbacksNV(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteTransformFeedbacksNV","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTransformFeedbacksNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackNV(GLenum mode, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawTransformFeedbackNV","(", toString(mode), ", ", name, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackNV)(mode, name);
  }

  REGAL_DECL void REGAL_CALL glGenTransformFeedbacksNV(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenTransformFeedbacksNV","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTransformFeedbacksNV)(n, ids);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTransformFeedbackNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsTransformFeedbackNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTransformFeedbackNV)(id);
  }

  REGAL_DECL void REGAL_CALL glPauseTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPauseTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPauseTransformFeedbackNV)();
  }

  REGAL_DECL void REGAL_CALL glResumeTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glResumeTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResumeTransformFeedbackNV)();
  }

  /* GL_NV_vdpau_interop */

  REGAL_DECL void REGAL_CALL glVDPAUFiniNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUFiniNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUFiniNV)();
  }

  REGAL_DECL void REGAL_CALL glVDPAUGetSurfaceivNV(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUGetSurfaceivNV","(", surface, ", ", toString(pname), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUGetSurfaceivNV)(surface, pname, bufSize, length, values);
  }

  REGAL_DECL void REGAL_CALL glVDPAUInitNV(const GLvoid *vdpDevice, const GLvoid *getProcAddress)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUInitNV","(", boost::print::optional(vdpDevice,Logging::pointers), ", ", boost::print::optional(getProcAddress,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUInitNV)(vdpDevice, getProcAddress);
  }

  REGAL_DECL GLboolean REGAL_CALL glVDPAUIsSurfaceNV(GLvdpauSurfaceNV surface)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUIsSurfaceNV","(", surface, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAUIsSurfaceNV)(surface);
  }

  REGAL_DECL void REGAL_CALL glVDPAUMapSurfacesNV(GLsizei numSurfaces, const GLvdpauSurfaceNV *surfaces)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUMapSurfacesNV","(", numSurfaces, ", ", boost::print::array(surfaces,numSurfaces), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUMapSurfacesNV)(numSurfaces, surfaces);
  }

  REGAL_DECL GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterOutputSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAURegisterOutputSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAURegisterOutputSurfaceNV)(vdpSurface, target, numTextureNames, textureNames);
  }

  REGAL_DECL GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterVideoSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAURegisterVideoSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAURegisterVideoSurfaceNV)(vdpSurface, target, numTextureNames, textureNames);
  }

  REGAL_DECL void REGAL_CALL glVDPAUSurfaceAccessNV(GLvdpauSurfaceNV surface, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUSurfaceAccessNV","(", surface, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUSurfaceAccessNV)(surface, access);
  }

  REGAL_DECL void REGAL_CALL glVDPAUUnmapSurfacesNV(GLsizei numSurfaces, const GLvdpauSurfaceNV *surfaces)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUUnmapSurfacesNV","(", numSurfaces, ", ", boost::print::array(surfaces,numSurfaces), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUUnmapSurfacesNV)(numSurfaces, surfaces);
  }

  REGAL_DECL void REGAL_CALL glVDPAUUnregisterSurfaceNV(GLvdpauSurfaceNV surface)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVDPAUUnregisterSurfaceNV","(", surface, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUUnregisterSurfaceNV)(surface);
  }

  /* GL_NV_vertex_array_range */

  REGAL_DECL void REGAL_CALL glFlushVertexArrayRangeNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushVertexArrayRangeNV","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushVertexArrayRangeNV)();
  }

  REGAL_DECL void REGAL_CALL glVertexArrayRangeNV(GLsizei size, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexArrayRangeNV","(", size, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayRangeNV)(size, pointer);
  }

  /* GL_NV_vertex_attrib_integer_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLi64vNV(GLuint index, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribLi64vNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLi64vNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribLui64vNV(GLuint index, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribLui64vNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLui64vNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1i64NV(GLuint index, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1i64NV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1i64NV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1i64vNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64NV(GLuint index, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1ui64NV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64NV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL1ui64vNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2i64NV(GLuint index, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2i64NV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2i64NV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2i64vNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2ui64NV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2ui64NV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL2ui64vNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3i64NV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3i64NV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3i64vNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3ui64NV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3ui64NV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL3ui64vNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4i64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4i64NV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4i64vNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4ui64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4ui64NV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribL4ui64vNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribLFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLFormatNV)(index, size, type, stride);
  }

  /* GL_NV_vertex_buffer_unified_memory */

  REGAL_DECL void REGAL_CALL glBufferAddressRangeNV(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBufferAddressRangeNV","(", toString(pname), ", ", index, ", ", address, ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferAddressRangeNV)(pname, index, address, length);
  }

  REGAL_DECL void REGAL_CALL glColorFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagFormatNV(GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEdgeFlagFormatNV","(", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagFormatNV)(stride);
  }

  REGAL_DECL void REGAL_CALL glFogCoordFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogCoordFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerui64i_vNV(GLenum target, GLuint index, GLuint64EXT *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetIntegerui64i_vNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerui64i_vNV)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glIndexFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIndexFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glNormalFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormalFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSecondaryColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glTexCoordFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoordFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribFormatNV(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribFormatNV","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribFormatNV)(index, size, type, normalized, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribIFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIFormatNV)(index, size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexFormatNV)(size, type, stride);
  }

  /* GL_NV_vertex_program */

  REGAL_DECL GLboolean REGAL_CALL glAreProgramsResidentNV(GLsizei n, const GLuint *programs, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAreProgramsResidentNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreProgramsResidentNV)(n, programs, residences);
  }

  REGAL_DECL void REGAL_CALL glBindProgramNV(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindProgramNV","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramNV)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramsNV(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glExecuteProgramNV(GLenum target, GLuint id, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExecuteProgramNV","(", toString(target), ", ", id, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExecuteProgramNV)(target, id, params);
  }

  REGAL_DECL void REGAL_CALL glGenProgramsNV(GLsizei n, GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenProgramsNV","(", n, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glGetProgramParameterdvNV(GLenum target, GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramParameterdvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramParameterdvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramParameterfvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStringNV(GLuint id, GLenum pname, GLubyte *program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramStringNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStringNV)(id, pname, program);
  }

  REGAL_DECL void REGAL_CALL glGetProgramivNV(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramivNV)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTrackMatrixivNV(GLenum target, GLuint address, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTrackMatrixivNV","(", toString(target), ", ", address, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTrackMatrixivNV)(target, address, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointervNV(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribPointervNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointervNV)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdvNV(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribdvNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdvNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfvNV(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribfvNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfvNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribivNV(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVertexAttribivNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribivNV)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsProgramNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramNV)(id);
  }

  REGAL_DECL void REGAL_CALL glLoadProgramNV(GLenum target, GLuint id, GLsizei len, const GLubyte *program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadProgramNV","(", toString(target), ", ", id, ", ", len, ", ", boost::print::array(program,len), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadProgramNV)(target, id, len, program);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4dNV(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameter4dNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4dNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4dvNV(GLenum target, GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameter4dvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4dvNV)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4fNV(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameter4fNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4fNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4fvNV(GLenum target, GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameter4fvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4fvNV)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameters4dvNV(GLenum target, GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameters4dvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameters4dvNV)(target, index, count, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameters4fvNV(GLenum target, GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramParameters4fvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameters4fvNV)(target, index, count, v);
  }

  REGAL_DECL void REGAL_CALL glRequestResidentProgramsNV(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRequestResidentProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRequestResidentProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glTrackMatrixNV(GLenum target, GLuint address, GLenum matrix, GLenum transform)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTrackMatrixNV","(", toString(target), ", ", address, ", ", toString(matrix), ", ", toString(transform), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTrackMatrixNV)(target, address, matrix, transform);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dNV(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1dNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1dvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fNV(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1fNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1fvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sNV(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1sNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib1svNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dNV(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2dNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2dvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fNV(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2fNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2fvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sNV(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2sNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib2svNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3dNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3dvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3fNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3fvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sNV(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3sNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib3svNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4dNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4dvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4fNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4fvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sNV(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4sNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4svNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubNV(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4ubNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubvNV(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttrib4ubvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointerNV(GLuint index, GLint fsize, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribPointerNV","(", index, ", ", fsize, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointerNV)(index, fsize, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1dvNV(GLuint index, GLsizei n, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs1dvNV","(", index, ", ", n, ", ", boost::print::array(v,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1dvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1fvNV(GLuint index, GLsizei n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs1fvNV","(", index, ", ", n, ", ", boost::print::array(v,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1fvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1svNV(GLuint index, GLsizei n, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs1svNV","(", index, ", ", n, ", ", boost::print::array(v,n), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1svNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2dvNV(GLuint index, GLsizei n, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs2dvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2dvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2fvNV(GLuint index, GLsizei n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs2fvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2fvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2svNV(GLuint index, GLsizei n, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs2svNV","(", index, ", ", n, ", ", boost::print::array(v,n * 2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2svNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3dvNV(GLuint index, GLsizei n, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs3dvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3dvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3fvNV(GLuint index, GLsizei n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs3fvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3fvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3svNV(GLuint index, GLsizei n, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs3svNV","(", index, ", ", n, ", ", boost::print::array(v,n * 3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3svNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4dvNV(GLuint index, GLsizei n, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs4dvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4dvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4fvNV(GLuint index, GLsizei n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs4fvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4fvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4svNV(GLuint index, GLsizei n, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs4svNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4svNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4ubvNV(GLuint index, GLsizei n, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVertexAttribs4ubvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4ubvNV)(index, n, v);
  }

  /* GL_NV_video_capture */

  REGAL_DECL void REGAL_CALL glBeginVideoCaptureNV(GLuint video_capture_slot)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBeginVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginVideoCaptureNV)(video_capture_slot);
  }

  REGAL_DECL void REGAL_CALL glBindVideoCaptureStreamBufferNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVideoCaptureStreamBufferNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", offset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVideoCaptureStreamBufferNV)(video_capture_slot, stream, frame_region, offset);
  }

  REGAL_DECL void REGAL_CALL glBindVideoCaptureStreamTextureNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVideoCaptureStreamTextureNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVideoCaptureStreamTextureNV)(video_capture_slot, stream, frame_region, target, texture);
  }

  REGAL_DECL void REGAL_CALL glEndVideoCaptureNV(GLuint video_capture_slot)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndVideoCaptureNV)(video_capture_slot);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoCaptureStreamdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamdvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoCaptureStreamfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamfvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoCaptureStreamivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamivNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureivNV(GLuint video_capture_slot, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetVideoCaptureivNV","(", video_capture_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureivNV)(video_capture_slot, pname, params);
  }

  REGAL_DECL GLenum REGAL_CALL glVideoCaptureNV(GLuint video_capture_slot, GLuint *sequence_num, GLuint64EXT *capture_time)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVideoCaptureNV)(video_capture_slot, sequence_num, capture_time);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVideoCaptureStreamParameterdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterdvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVideoCaptureStreamParameterfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterfvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glVideoCaptureStreamParameterivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterivNV)(video_capture_slot, stream, pname, params);
  }

  /* GL_OES_blend_equation_separate */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateOES(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationSeparateOES","(", toString(modeRGB), ", ", toString(modeAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateOES)(modeRGB, modeAlpha);
  }

  /* GL_OES_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateOES(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendFuncSeparateOES","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateOES)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  /* GL_OES_blend_subtract */

  REGAL_DECL void REGAL_CALL glBlendEquationOES(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBlendEquationOES","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationOES)(mode);
  }

  /* GL_OES_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebufferOES(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindFramebufferOES","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebufferOES)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbufferOES(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindRenderbufferOES","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbufferOES)(target, renderbuffer);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatusOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCheckFramebufferStatusOES","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatusOES)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffersOES(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteFramebuffersOES","(", n, ", ", framebuffers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffersOES)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffersOES(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteRenderbuffersOES","(", n, ", ", renderbuffers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffersOES)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbufferOES(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferRenderbufferOES","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbufferOES)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture2DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DOES)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffersOES(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenFramebuffersOES","(", n, ", ", framebuffers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffersOES)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffersOES(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenRenderbuffersOES","(", n, ", ", renderbuffers, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffersOES)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmapOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenerateMipmapOES","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmapOES)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameterivOES(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFramebufferAttachmentParameterivOES","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameterivOES)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameterivOES(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetRenderbufferParameterivOES","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameterivOES)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebufferOES(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsFramebufferOES","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebufferOES)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbufferOES(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsRenderbufferOES","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbufferOES)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageOES(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRenderbufferStorageOES","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageOES)(target, internalformat, width, height);
  }

  /* GL_OES_get_program_binary */

  REGAL_DECL void REGAL_CALL glGetProgramBinaryOES(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetProgramBinaryOES","(", program, ", ", bufSize, ", ", length, ", ", binaryFormat, ", ", boost::print::optional(binary,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramBinaryOES)(program, bufSize, length, binaryFormat, binary);
  }

  REGAL_DECL void REGAL_CALL glProgramBinaryOES(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLint length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glProgramBinaryOES","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBinaryOES)(program, binaryFormat, binary, length);
  }

  /* GL_OES_mapbuffer */

  REGAL_DECL void REGAL_CALL glGetBufferPointervOES(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetBufferPointervOES","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointervOES)(target, pname, params);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBufferOES(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMapBufferOES","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferOES)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBufferOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glUnmapBufferOES","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBufferOES)(target);
  }

  /* GL_OES_matrix_palette */

  REGAL_DECL void REGAL_CALL glCurrentPaletteMatrixOES(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCurrentPaletteMatrixOES","(", index, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCurrentPaletteMatrixOES)(index);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMatrixIndexPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexPointerOES)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWeightPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glWeightPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPointerOES)(size, type, stride, pointer);
  }

  /* GL_OES_single_precision */

  REGAL_DECL void REGAL_CALL glClearDepthfOES(GLclampd depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearDepthfOES","(", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthfOES)(depth);
  }

  REGAL_DECL void REGAL_CALL glClipPlanefOES(GLenum plane, const GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClipPlanefOES","(", toString(plane), ", ", equation, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClipPlanefOES)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glDepthRangefOES(GLclampf n, GLclampf f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangefOES","(", n, ", ", f, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangefOES)(n, f);
  }

  REGAL_DECL void REGAL_CALL glFrustumfOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrustumfOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrustumfOES)(l, r, b, t, n, f);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanefOES(GLenum plane, GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetClipPlanefOES","(", toString(plane), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetClipPlanefOES)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glOrthofOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glOrthofOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glOrthofOES)(l, r, b, t, n, f);
  }

  /* GL_OES_texture_3D */

  REGAL_DECL void REGAL_CALL glCompressedTexImage3DOES(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3DOES)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCompressedTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFramebufferTexture3DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3DOES)(target, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DOES(GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalFormat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DOES)(target, level, internalFormat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_OES_texture_cube_map */

  REGAL_DECL void REGAL_CALL glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenfvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenivOES(GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenivOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenxvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenfOES(GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenfOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGeniOES(GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGeniOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeniOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenivOES(GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenivOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenxOES(GLenum coord, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenxOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenxOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenxvOES)(coord, pname, params);
  }

  /* GL_OES_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArrayOES(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glBindVertexArrayOES","(", array, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArrayOES)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArraysOES(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteVertexArraysOES","(", n, ", ", arrays, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArraysOES)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArraysOES(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenVertexArraysOES","(", n, ", ", arrays, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArraysOES)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArrayOES(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsVertexArrayOES","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArrayOES)(array);
  }

  /* GL_PGI_misc_hints */

  REGAL_DECL void REGAL_CALL glHintPGI(GLenum target, GLint mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glHintPGI","(", toString(target), ", ", mode, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHintPGI)(target, mode);
  }

  /* GL_QCOM_alpha_test */

  REGAL_DECL void REGAL_CALL glAlphaFuncQCOM(GLenum func, GLclampf ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFuncQCOM","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFuncQCOM)(func, ref);
  }

  /* GL_QCOM_driver_control */

  REGAL_DECL void REGAL_CALL glDisableDriverControlQCOM(GLuint driverControl)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDisableDriverControlQCOM","(", driverControl, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableDriverControlQCOM)(driverControl);
  }

  REGAL_DECL void REGAL_CALL glEnableDriverControlQCOM(GLuint driverControl)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEnableDriverControlQCOM","(", driverControl, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableDriverControlQCOM)(driverControl);
  }

  REGAL_DECL void REGAL_CALL glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei *length, GLchar *driverControlString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDriverControlStringQCOM","(", driverControl, ", ", bufSize, ", ", length, ", ", boost::print::quote(driverControlString,'"'), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDriverControlStringQCOM)(driverControl, bufSize, length, driverControlString);
  }

  REGAL_DECL void REGAL_CALL glGetDriverControlsQCOM(GLint *num, GLsizei size, GLuint *driverControls)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDriverControlsQCOM","(", boost::print::optional(num,Logging::pointers), ", ", size, ", ", driverControls, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDriverControlsQCOM)(num, size, driverControls);
  }

  /* GL_QCOM_extended_get */

  REGAL_DECL void REGAL_CALL glExtGetBufferPointervQCOM(GLenum target, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetBufferPointervQCOM","(", toString(target), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetBufferPointervQCOM)(target, params);
  }

  REGAL_DECL void REGAL_CALL glExtGetBuffersQCOM(GLuint *buffers, GLint maxBuffers, GLint *numBuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetBuffersQCOM","(", buffers, ", ", maxBuffers, ", ", boost::print::optional(numBuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetBuffersQCOM)(buffers, maxBuffers, numBuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetFramebuffersQCOM(GLuint *framebuffers, GLint maxFramebuffers, GLint *numFramebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetFramebuffersQCOM","(", framebuffers, ", ", maxFramebuffers, ", ", boost::print::optional(numFramebuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetFramebuffersQCOM)(framebuffers, maxFramebuffers, numFramebuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetRenderbuffersQCOM(GLuint *renderbuffers, GLint maxRenderbuffers, GLint *numRenderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetRenderbuffersQCOM","(", renderbuffers, ", ", maxRenderbuffers, ", ", boost::print::optional(numRenderbuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetRenderbuffersQCOM)(renderbuffers, maxRenderbuffers, numRenderbuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetTexLevelParameterivQCOM","(", texture, ", ", toString(face), ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexLevelParameterivQCOM)(texture, face, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid *texels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetTexSubImageQCOM","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexSubImageQCOM)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexturesQCOM(GLuint *textures, GLint maxTextures, GLint *numTextures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetTexturesQCOM","(", textures, ", ", maxTextures, ", ", boost::print::optional(numTextures,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexturesQCOM)(textures, maxTextures, numTextures);
  }

  REGAL_DECL void REGAL_CALL glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtTexObjectStateOverrideiQCOM","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtTexObjectStateOverrideiQCOM)(target, pname, param);
  }

  /* GL_QCOM_extended_get2 */

  REGAL_DECL void REGAL_CALL glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar *source, GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetProgramBinarySourceQCOM","(", program, ", ", toString(shadertype), ", ", boost::print::quote(source,'"'), ", ", boost::print::optional(length,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetProgramBinarySourceQCOM)(program, shadertype, source, length);
  }

  REGAL_DECL void REGAL_CALL glExtGetProgramsQCOM(GLuint *programs, GLint maxPrograms, GLint *numPrograms)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetProgramsQCOM","(", programs, ", ", maxPrograms, ", ", boost::print::optional(numPrograms,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetProgramsQCOM)(programs, maxPrograms, numPrograms);
  }

  REGAL_DECL void REGAL_CALL glExtGetShadersQCOM(GLuint *shaders, GLint maxShaders, GLint *numShaders)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtGetShadersQCOM","(", shaders, ", ", maxShaders, ", ", boost::print::optional(numShaders,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetShadersQCOM)(shaders, maxShaders, numShaders);
  }

  REGAL_DECL GLboolean REGAL_CALL glExtIsProgramBinaryQCOM(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glExtIsProgramBinaryQCOM","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glExtIsProgramBinaryQCOM)(program);
  }

  /* GL_QCOM_tiled_rendering */

  REGAL_DECL void REGAL_CALL glEndTilingQCOM(GLbitfield preserveMask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glEndTilingQCOM","(", preserveMask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTilingQCOM)(preserveMask);
  }

  REGAL_DECL void REGAL_CALL glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStartTilingQCOM","(", x, ", ", y, ", ", width, ", ", height, ", ", preserveMask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStartTilingQCOM)(x, y, width, height, preserveMask);
  }

  /* GL_REGAL_ES1_0_compatibility */

  REGAL_DECL void REGAL_CALL glAlphaFuncx(GLenum func, GLclampx ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAlphaFuncx","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glAlphaFuncx)(func, ref);
      return;
    }
    #endif
    glAlphaFunc(func, fixedToFloat(ref));
  }

  REGAL_DECL void REGAL_CALL glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearColorx","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClearColorx)(red, green, blue, alpha);
      return;
    }
    #endif
    glClearColor(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha));
  }

  REGAL_DECL void REGAL_CALL glClearDepthx(GLclampx depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClearDepthx","(", depth, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClearDepthx)(depth);
      return;
    }
    #endif
    glClearDepth(fixedToFloat(depth));
  }

  REGAL_DECL void REGAL_CALL glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4x","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glColor4x)(red, green, blue, alpha);
      return;
    }
    #endif
    glColor4f(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha));
  }

  REGAL_DECL void REGAL_CALL glDepthRangex(GLclampx zNear, GLclampx zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDepthRangex","(", zNear, ", ", zFar, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glDepthRangex)(zNear, zFar);
      return;
    }
    #endif
    glDepthRange(fixedToFloat(zNear), fixedToFloat(zFar));
  }

  REGAL_DECL void REGAL_CALL glFogx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFogx)(pname, param);
      return;
    }
    #endif
    glFogf(pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glFogxv(GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogxv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFogxv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,pname==GL_FOG_COLOR ? 4 : 1);
    glFogfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glFrustumf(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrustumf","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFrustumf)(left, right, bottom, top, zNear, zFar);
      return;
    }
    #endif
    glFrustum(left,right,bottom,top,zNear,zFar);
  }

  REGAL_DECL void REGAL_CALL glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrustumx","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFrustumx)(left, right, bottom, top, zNear, zFar);
      return;
    }
    #endif
    glFrustumf(fixedToFloat(left), fixedToFloat(right), fixedToFloat(bottom), fixedToFloat(top), fixedToFloat(zNear), fixedToFloat(zFar));
  }

  REGAL_DECL void REGAL_CALL glLightModelx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModelx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightModelx)(pname, param);
      return;
    }
    #endif
    glLightModelf(pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glLightModelxv(GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightModelxv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightModelxv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,pname==GL_LIGHT_MODEL_AMBIENT ? 4 : 1);
    glLightModelfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glLightx(GLenum light, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightx","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightx)(light, pname, param);
      return;
    }
    #endif
    glLightf(light, pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glLightxv(GLenum light, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightxv)(light, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,(pname==GL_AMBIENT || pname==GL_DIFFUSE || pname==GL_SPECULAR || pname==GL_POSITION) ? 4 : (pname==GL_SPOT_DIRECTION ? 3 : 1));
    glLightfv(light,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glLineWidthx(GLfixed width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLineWidthx","(", width, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLineWidthx)(width);
      return;
    }
    #endif
    glLineWidth(fixedToFloat(width));
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixx(const GLfixed *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadMatrixx","(", m, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLoadMatrixx)(m);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,m,16);
    glLoadMatrixf(tmp);
  }

  REGAL_DECL void REGAL_CALL glMaterialx(GLenum face, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMaterialx","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMaterialx)(face, pname, param);
      return;
    }
    #endif
    glMaterialf(face,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glMaterialxv(GLenum face, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMaterialxv","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMaterialxv)(face, pname, params);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,params,pname==GL_SHININESS ? 1 : 4);
    glMaterialfv(face,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixx(const GLfixed *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultMatrixx","(", m, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMultMatrixx)(m);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,m,16);
    glMultMatrixf(tmp);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glMultiTexCoord4x","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMultiTexCoord4x)(target, s, t, r, q);
      return;
    }
    #endif
    glMultiTexCoord4f(target,fixedToFloat(s),fixedToFloat(t),fixedToFloat(r),fixedToFloat(q));
  }

  REGAL_DECL void REGAL_CALL glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3x","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glNormal3x)(nx, ny, nz);
      return;
    }
    #endif
    glNormal3f(fixedToFloat(nx),fixedToFloat(ny),fixedToFloat(nz));
  }

  REGAL_DECL void REGAL_CALL glOrthof(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glOrthof","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glOrthof)(left, right, bottom, top, zNear, zFar);
      return;
    }
    #endif
    glOrtho(left,right,bottom,top,zNear,zFar);
  }

  REGAL_DECL void REGAL_CALL glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glOrthox","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glOrthox)(left, right, bottom, top, zNear, zFar);
      return;
    }
    #endif
    glOrthof(fixedToFloat(left),fixedToFloat(right),fixedToFloat(bottom),fixedToFloat(top),fixedToFloat(zNear),fixedToFloat(zFar));
  }

  REGAL_DECL void REGAL_CALL glPointSizex(GLfixed size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointSizex","(", size, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointSizex)(size);
      return;
    }
    #endif
    glPointSize(fixedToFloat(size));
  }

  REGAL_DECL void REGAL_CALL glPolygonOffsetx(GLfixed factor, GLfixed units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPolygonOffsetx","(", factor, ", ", units, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPolygonOffsetx)(factor, units);
      return;
    }
    #endif
    glPolygonOffset(fixedToFloat(factor),fixedToFloat(units));
  }

  REGAL_DECL void REGAL_CALL glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glRotatex","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glRotatex)(angle, x, y, z);
      return;
    }
    #endif
    glRotatef(fixedToFloat(angle),fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  REGAL_DECL void REGAL_CALL glSampleCoveragex(GLclampx value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleCoveragex","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glSampleCoveragex)(value, invert);
      return;
    }
    #endif
    glSampleCoverage(fixedToFloat(value),invert);
  }

  REGAL_DECL void REGAL_CALL glScalex(GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glScalex","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glScalex)(x, y, z);
      return;
    }
    #endif
    glScalef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  REGAL_DECL void REGAL_CALL glTexEnvx(GLenum target, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnvx","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexEnvx)(target, pname, param);
      return;
    }
    #endif
    glTexEnvf(target,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glTexEnvxv(GLenum target, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexEnvxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexEnvxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,params,pname==GL_TEXTURE_ENV_COLOR ? 4 : 1);
    glTexEnvfv(target,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glTexParameterx(GLenum target, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterx","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexParameterx)(target, pname, param);
      return;
    }
    #endif
    glTexParameterf(target,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glTranslatex(GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTranslatex","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTranslatex)(x, y, z);
      return;
    }
    #endif
    glTranslatef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  /* GL_REGAL_ES1_1_compatibility */

  REGAL_DECL void REGAL_CALL glClipPlanef(GLenum plane, const GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClipPlanef","(", toString(plane), ", ", equation, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClipPlanef)(plane, equation);
      return;
    }
    #endif
    GLdouble tmp[4];
    floatToDouble(tmp,equation,4);
    glClipPlane(plane,tmp);
  }

  REGAL_DECL void REGAL_CALL glClipPlanex(GLenum plane, const GLfixed *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glClipPlanex","(", toString(plane), ", ", equation, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClipPlanex)(plane, equation);
      return;
    }
    #endif
    GLdouble tmp[4];
    fixedToDouble(tmp,equation,4);
    glClipPlane(plane,tmp);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanef(GLenum pname, GLfloat *eqn)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetClipPlanef","(", toString(pname), ", ", eqn, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetClipPlanef)(pname, eqn);
      return;
    }
    #endif
    GLdouble tmp[4];
    glGetClipPlane(pname,tmp);
    doubleToFloat(eqn,tmp,4);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanex(GLenum pname, GLfixed *eqn)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetClipPlanex","(", toString(pname), ", ", eqn, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetClipPlanex)(pname, eqn);
      return;
    }
    #endif
    GLdouble tmp[4];
    glGetClipPlane(pname,tmp);
    doubleToFixed(eqn,tmp,4);
  }

  REGAL_DECL void REGAL_CALL glGetFixedv(GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFixedv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetFixedv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetFloatv(pname,tmp);
    floatToFixed(params,tmp,helper::size::get(pname));
  }

  REGAL_DECL void REGAL_CALL glGetLightxv(GLenum light, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetLightxv)(light, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetLightfv(light,pname,tmp);
    floatToFixed(params,tmp,helper::size::lightv(pname));
  }

  REGAL_DECL void REGAL_CALL glGetMaterialxv(GLenum face, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetMaterialxv","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetMaterialxv)(face, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetMaterialfv(face,pname,tmp);
    floatToFixed(params,tmp,helper::size::materialv(pname));
  }

  REGAL_DECL void REGAL_CALL glGetTexEnvxv(GLenum env, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexEnvxv","(", toString(env), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetTexEnvxv)(env, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetTexEnvfv(env,pname,tmp);
    floatToFixed(params,tmp,helper::size::texEnvv(env,pname));
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterxv(GLenum target, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetTexParameterxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetTexParameterfv(target,pname,tmp);
    floatToFixed(params,tmp,helper::size::texParameterv(pname));
  }

  REGAL_DECL void REGAL_CALL glPointParameterx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointParameterx)(pname, param);
      return;
    }
    #endif
    glPointParameterf(pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glPointParameterxv(GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterxv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointParameterxv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,pname==GL_POINT_DISTANCE_ATTENUATION ? 3 : 1);
    glPointParameterfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointSizePointerOES","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointSizePointerOES)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexParameterxv(GLenum target, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTable *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexParameterxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,helper::size::texParameterv(pname));
    glTexParameterfv(target,pname,tmp);
  }

  /* GL_REGAL_error_string */

  REGAL_DECL const GLchar *REGAL_CALL glErrorStringREGAL(GLenum error)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glErrorStringREGAL","(", toString(error), ")");
    if (!_context) return NULL;
    RegalAssert(_context->info);
    return Token::GLerrorToString(error);
  }

  /* GL_REGAL_extension_query */

  REGAL_DECL GLboolean REGAL_CALL glGetExtensionREGAL(const GLchar *ext)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetExtensionREGAL","(", boost::print::quote(ext,'"'), ")");
    if (!_context) return GL_FALSE;
    RegalAssert(_context->info);
    return _context->info->getExtension(ext) ? GL_TRUE : GL_FALSE;
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSupportedREGAL(const GLchar *ext)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsSupportedREGAL","(", boost::print::quote(ext,'"'), ")");
    if (!_context) return GL_FALSE;
    RegalAssert(_context->info);
    return _context->info->isSupported(ext) ? GL_TRUE : GL_FALSE;
  }

  /* GL_REGAL_log */

  REGAL_DECL void REGAL_CALL glLogMessageCallbackREGAL(GLLOGPROCREGAL callback)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLogMessageCallbackREGAL","()");
    if (!_context) return;
    // Emulate GL_REGAL_log, if necessary.
    if (!_context->info->gl_regal_log)
    {
      _context->logCallback = callback;
      return;
    }
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLogMessageCallbackREGAL)(callback);
  }

  /* GL_SGIS_detail_texture */

  REGAL_DECL void REGAL_CALL glDetailTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDetailTexFuncSGIS","(", toString(target), ", ", n, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetailTexFuncSGIS)(target, n, points);
  }

  REGAL_DECL void REGAL_CALL glGetDetailTexFuncSGIS(GLenum target, GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetDetailTexFuncSGIS","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDetailTexFuncSGIS)(target, points);
  }

  /* GL_SGIS_fog_function */

  REGAL_DECL void REGAL_CALL glFogFuncSGIS(GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFogFuncSGIS","(", n, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogFuncSGIS)(n, points);
  }

  REGAL_DECL void REGAL_CALL glGetFogFuncSGIS(GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFogFuncSGIS","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFogFuncSGIS)(points);
  }

  /* GL_SGIS_multisample */

  REGAL_DECL void REGAL_CALL glSampleMaskSGIS(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSampleMaskSGIS","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskSGIS)(value, invert);
  }

  REGAL_DECL void REGAL_CALL glSamplePatternSGIS(GLenum pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSamplePatternSGIS","(", toString(pattern), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplePatternSGIS)(pattern);
  }

  /* GL_SGIS_pixel_texture */

  REGAL_DECL void REGAL_CALL glGetPixelTexGenParameterfvSGIS(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelTexGenParameterfvSGIS","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTexGenParameterfvSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelTexGenParameterivSGIS(GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetPixelTexGenParameterivSGIS","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTexGenParameterivSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterfSGIS(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTexGenParameterfSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterfSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterfvSGIS(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTexGenParameterfvSGIS","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterfvSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameteriSGIS(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTexGenParameteriSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameteriSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterivSGIS(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTexGenParameterivSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterivSGIS)(pname, params);
  }

  /* GL_SGIS_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfSGIS(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvSGIS(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPointParameterfvSGIS","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvSGIS)(pname, params);
  }

  /* GL_SGIS_sharpen_texture */

  REGAL_DECL void REGAL_CALL glGetSharpenTexFuncSGIS(GLenum target, GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetSharpenTexFuncSGIS","(", toString(target), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSharpenTexFuncSGIS)(target, points);
  }

  REGAL_DECL void REGAL_CALL glSharpenTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSharpenTexFuncSGIS","(", toString(target), ", ", n, ", ", points, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSharpenTexFuncSGIS)(target, n, points);
  }

  /* GL_SGIS_texture4D */

  REGAL_DECL void REGAL_CALL glTexImage4DSGIS(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexImage4DSGIS","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", size4d, ", ", border, ", ", toString(format), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage4DSGIS)(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage4DSGIS(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexSubImage4DSGIS","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", woffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage4DSGIS)(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels);
  }

  /* GL_SGIS_texture_color_mask */

  REGAL_DECL void REGAL_CALL glTextureColorMaskSGIS(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureColorMaskSGIS","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureColorMaskSGIS)(red, green, blue, alpha);
  }

  /* GL_SGIS_texture_filter4 */

  REGAL_DECL void REGAL_CALL glGetTexFilterFuncSGIS(GLenum target, GLenum filter, GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexFilterFuncSGIS)(target, filter, weights);
  }

  REGAL_DECL void REGAL_CALL glTexFilterFuncSGIS(GLenum target, GLenum filter, GLsizei n, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ", ", n, ", ", weights, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexFilterFuncSGIS)(target, filter, n, weights);
  }

  /* GL_SGIX_async */

  REGAL_DECL void REGAL_CALL glAsyncMarkerSGIX(GLuint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAsyncMarkerSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAsyncMarkerSGIX)(marker);
  }

  REGAL_DECL void REGAL_CALL glDeleteAsyncMarkersSGIX(GLuint marker, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeleteAsyncMarkersSGIX","(", marker, ", ", range, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteAsyncMarkersSGIX)(marker, range);
  }

  REGAL_DECL GLint REGAL_CALL glFinishAsyncSGIX(GLuint *markerp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishAsyncSGIX","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFinishAsyncSGIX)(markerp);
  }

  REGAL_DECL GLuint REGAL_CALL glGenAsyncMarkersSGIX(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGenAsyncMarkersSGIX","(", range, ")");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenAsyncMarkersSGIX)(range);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsAsyncMarkerSGIX(GLuint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIsAsyncMarkerSGIX","(", marker, ")");
    if (!_context) return GL_FALSE;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsAsyncMarkerSGIX)(marker);
  }

  REGAL_DECL GLint REGAL_CALL glPollAsyncSGIX(GLuint *markerp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPollAsyncSGIX","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPollAsyncSGIX)(markerp);
  }

  /* GL_SGIX_flush_raster */

  REGAL_DECL void REGAL_CALL glFlushRasterSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFlushRasterSGIX","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushRasterSGIX)();
  }

  /* GL_SGIX_fog_texture */

  REGAL_DECL void REGAL_CALL glTextureFogSGIX(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTextureFogSGIX","(", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureFogSGIX)(pname);
  }

  /* GL_SGIX_fragment_lighting */

  REGAL_DECL void REGAL_CALL glFragmentColorMaterialSGIX(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentColorMaterialSGIX","(", toString(face), ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentColorMaterialSGIX)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfSGIX(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelfSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfvSGIX(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelfvSGIX","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfvSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModeliSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModeliSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModeliSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelivSGIX(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightModelivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelivSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfSGIX(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightfSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfSGIX)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfvSGIX(GLenum light, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfvSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightiSGIX(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightiSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightiSGIX)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightivSGIX(GLenum light, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightivSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfSGIX(GLenum face, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialfSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfSGIX)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfvSGIX(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfvSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialiSGIX(GLenum face, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialiSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialiSGIX)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialivSGIX(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialivSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightfvSGIX(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightfvSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightivSGIX(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightivSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialfvSGIX(GLenum face, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialfvSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialivSGIX(GLenum face, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialivSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightEnviSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLightEnviSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightEnviSGIX)(pname, param);
  }

  /* GL_SGIX_framezoom */

  REGAL_DECL void REGAL_CALL glFrameZoomSGIX(GLint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFrameZoomSGIX","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrameZoomSGIX)(factor);
  }

  /* GL_SGIX_igloo_interface */

  REGAL_DECL void REGAL_CALL glIglooInterfaceSGIX(GLenum pname, const GLvoid *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glIglooInterfaceSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIglooInterfaceSGIX)(pname, params);
  }

  /* GL_SGIX_instruments */

  REGAL_DECL GLint REGAL_CALL glGetInstrumentsSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetInstrumentsSGIX","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetInstrumentsSGIX)();
  }

  REGAL_DECL void REGAL_CALL glInstrumentsBufferSGIX(GLsizei size, GLint *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glInstrumentsBufferSGIX","(", size, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInstrumentsBufferSGIX)(size, buffer);
  }

  REGAL_DECL GLint REGAL_CALL glPollInstrumentsSGIX(GLint *marker_p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPollInstrumentsSGIX","()");
    if (!_context) return 0;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPollInstrumentsSGIX)(marker_p);
  }

  REGAL_DECL void REGAL_CALL glReadInstrumentsSGIX(GLint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadInstrumentsSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadInstrumentsSGIX)(marker);
  }

  REGAL_DECL void REGAL_CALL glStartInstrumentsSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStartInstrumentsSGIX","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStartInstrumentsSGIX)();
  }

  REGAL_DECL void REGAL_CALL glStopInstrumentsSGIX(GLint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glStopInstrumentsSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStopInstrumentsSGIX)(marker);
  }

  /* GL_SGIX_list_priority */

  REGAL_DECL void REGAL_CALL glGetListParameterfvSGIX(GLuint list, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetListParameterfvSGIX","(", list, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetListParameterfvSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetListParameterivSGIX(GLuint list, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetListParameterivSGIX","(", list, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetListParameterivSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glListParameterfSGIX(GLuint list, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glListParameterfSGIX","(", list, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterfSGIX)(list, pname, param);
  }

  REGAL_DECL void REGAL_CALL glListParameterfvSGIX(GLuint list, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glListParameterfvSGIX","(", list, ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterfvSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glListParameteriSGIX(GLuint list, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glListParameteriSGIX","(", list, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameteriSGIX)(list, pname, param);
  }

  REGAL_DECL void REGAL_CALL glListParameterivSGIX(GLuint list, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glListParameterivSGIX","(", list, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterivSGIX)(list, pname, params);
  }

  /* GL_SGIX_pixel_texture */

  REGAL_DECL void REGAL_CALL glPixelTexGenSGIX(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glPixelTexGenSGIX","(", toString(mode), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenSGIX)(mode);
  }

  /* GL_SGIX_polynomial_ffd */

  REGAL_DECL void REGAL_CALL glDeformSGIX(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeformSGIX","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformSGIX)(mask);
  }

  REGAL_DECL void REGAL_CALL glDeformationMap3dSGIX(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeformationMap3dSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformationMap3dSGIX)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
  }

  REGAL_DECL void REGAL_CALL glDeformationMap3fSGIX(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDeformationMap3fSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformationMap3fSGIX)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
  }

  REGAL_DECL void REGAL_CALL glLoadIdentityDeformationMapSGIX(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glLoadIdentityDeformationMapSGIX","(", mask, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadIdentityDeformationMapSGIX)(mask);
  }

  /* GL_SGIX_reference_plane */

  REGAL_DECL void REGAL_CALL glReferencePlaneSGIX(const GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReferencePlaneSGIX","(", boost::print::array(equation,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReferencePlaneSGIX)(equation);
  }

  /* GL_SGIX_sprite */

  REGAL_DECL void REGAL_CALL glSpriteParameterfSGIX(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSpriteParameterfSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterfSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameterfvSGIX(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSpriteParameterfvSGIX","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterfvSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameteriSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSpriteParameteriSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameteriSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameterivSGIX(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glSpriteParameterivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterivSGIX)(pname, params);
  }

  /* GL_SGIX_tag_sample_buffer */

  REGAL_DECL void REGAL_CALL glTagSampleBufferSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTagSampleBufferSGIX","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTagSampleBufferSGIX)();
  }

  /* GL_SGI_color_table */

  REGAL_DECL void REGAL_CALL glColorTableParameterfvSGI(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterfvSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameterivSGI(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterivSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableSGI(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableSGI)(target, internalformat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glCopyColorTableSGI(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glCopyColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorTableSGI)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfvSGI(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfvSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterivSGI(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterivSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableSGI(GLenum target, GLenum format, GLenum type, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGetColorTableSGI","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableSGI)(target, format, type, table);
  }

  /* GL_SUNX_constant_data */

  REGAL_DECL void REGAL_CALL glFinishTextureSUNX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glFinishTextureSUNX","()");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishTextureSUNX)();
  }

  /* GL_SUN_global_alpha */

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorbSUN(GLbyte factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactorbSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorbSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactordSUN(GLdouble factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactordSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactordSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorfSUN(GLfloat factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactorfSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorfSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactoriSUN(GLint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactoriSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactoriSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorsSUN(GLshort factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactorsSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorsSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorubSUN(GLubyte factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactorubSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorubSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactoruiSUN(GLuint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactoruiSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactoruiSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorusSUN(GLushort factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glGlobalAlphaFactorusSUN","(", factor, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorusSUN)(factor);
  }

  /* GL_SUN_mesh_array */

  REGAL_DECL void REGAL_CALL glDrawMeshArraysSUN(GLenum mode, GLint first, GLsizei count, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glDrawMeshArraysSUN","(", toString(mode), ", ", first, ", ", count, ", ", width, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawMeshArraysSUN)(mode, first, count, width);
  }

  /* GL_SUN_read_video_pixels */

  REGAL_DECL void REGAL_CALL glReadVideoPixelsSUN(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReadVideoPixelsSUN","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadVideoPixelsSUN)(x, y, width, height, format, type, pixels);
  }

  /* GL_SUN_triangle_list */

  REGAL_DECL void REGAL_CALL glReplacementCodePointerSUN(GLenum type, GLsizei stride, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodePointerSUN","(", toString(type), ", ", stride, ", ", pointer, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodePointerSUN)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeubSUN(GLubyte code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeubSUN","(", code, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeubSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeubvSUN(const GLubyte *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeubvSUN","(", boost::print::optional(code,Logging::pointers), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeubvSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiSUN(GLuint code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiSUN","(", code, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuivSUN(const GLuint *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuivSUN","(", code, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuivSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeusSUN(GLushort code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeusSUN","(", code, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeusSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeusvSUN(const GLushort *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeusvSUN","(", code, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeusvSUN)(code);
  }

  /* GL_SUN_vertex */

  REGAL_DECL void REGAL_CALL glColor3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fVertex3fSUN)(r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor3fVertex3fvSUN(const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor3fVertex3fvSUN","(", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fVertex3fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glColor4fNormal3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4fNormal3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fNormal3fVertex3fSUN)(r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor4fNormal3fVertex3fvSUN(const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4fNormal3fVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fNormal3fVertex3fvSUN)(c, n, v);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex2fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ubVertex2fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex2fSUN)(r, g, b, a, x, y);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex2fvSUN(const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ubVertex2fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex2fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex3fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ubVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex3fSUN)(r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex3fvSUN(const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glColor4ubVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex3fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glNormal3fVertex3fSUN(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3fVertex3fSUN","(", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fVertex3fSUN)(nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormal3fVertex3fvSUN(const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glNormal3fVertex3fvSUN","(", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fVertex3fvSUN)(n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor3fVertex3fSUN)(rc, r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor3fVertex3fvSUN)(rc, c, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor4fNormal3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4fNormal3fVertex3fSUN)(rc, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4fNormal3fVertex3fvSUN)(rc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4ubVertex3fSUN(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor4ubVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4ubVertex3fSUN)(rc, r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4ubVertex3fvSUN(const GLuint *rc, const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiColor4ubVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4ubVertex3fvSUN)(rc, c, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiNormal3fVertex3fSUN(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiNormal3fVertex3fSUN","(", rc, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiNormal3fVertex3fSUN)(rc, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiNormal3fVertex3fvSUN)(rc, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN)(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN)(rc, tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN)(rc, s, t, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN)(rc, tc, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fVertex3fSUN)(rc, s, t, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiTexCoord2fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fVertex3fvSUN)(rc, tc, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiVertex3fSUN(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiVertex3fSUN","(", rc, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiVertex3fSUN)(rc, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiVertex3fvSUN(const GLuint *rc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glReplacementCodeuiVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiVertex3fvSUN)(rc, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor3fVertex3fSUN)(s, t, r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor3fVertex3fvSUN)(tc, c, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor4fNormal3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4fNormal3fVertex3fSUN)(s, t, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4fNormal3fVertex3fvSUN)(tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4ubVertex3fSUN(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor4ubVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4ubVertex3fSUN)(s, t, r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4ubVertex3fvSUN(const GLfloat *tc, const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fColor4ubVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4ubVertex3fvSUN)(tc, c, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fNormal3fVertex3fSUN","(", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fNormal3fVertex3fSUN)(s, t, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fNormal3fVertex3fvSUN)(tc, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fVertex3fSUN(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fVertex3fSUN","(", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fVertex3fSUN)(s, t, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fVertex3fvSUN(const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord2fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fVertex3fvSUN)(tc, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4fColor4fNormal3fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fColor4fNormal3fVertex4fSUN)(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4fColor4fNormal3fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fColor4fNormal3fVertex4fvSUN)(tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fVertex4fSUN)(s, t, p, q, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fVertex4fvSUN(const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glTexCoord4fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fVertex4fvSUN)(tc, v);
  }

  /* GL_WIN_swap_hint */

  REGAL_DECL void REGAL_CALL glAddSwapHintRectWIN(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    App("glAddSwapHintRectWIN","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTable *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAddSwapHintRectWIN)(x, y, width, height);
  }

#if REGAL_SYS_WGL

  /* WGL_3DL_stereo_control */

  REGAL_DECL BOOL REGAL_CALL wglSetStereoEmitterState3DL(HDC hDC, UINT uState)
  {
    App("wglSetStereoEmitterState3DL","(", boost::print::optional(hDC,Logging::pointers), ", ", uState, ")");
    if (!dispatchTableGlobal.wglSetStereoEmitterState3DL)
    {
      GetProcAddress( dispatchTableGlobal.wglSetStereoEmitterState3DL, "wglSetStereoEmitterState3DL" );
      RegalAssert(dispatchTableGlobal.wglSetStereoEmitterState3DL!=wglSetStereoEmitterState3DL);
      if (dispatchTableGlobal.wglSetStereoEmitterState3DL==wglSetStereoEmitterState3DL)
        dispatchTableGlobal.wglSetStereoEmitterState3DL = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetStereoEmitterState3DL)
    {
      ret = dispatchTableGlobal.wglSetStereoEmitterState3DL(hDC, uState);
      Driver("wglSetStereoEmitterState3DL","(", boost::print::optional(hDC,Logging::pointers), ", ", uState, ")", " returned ", ret);
    }
    else
      Warning( "wglSetStereoEmitterState3DL not available." );
    return ret;
  }

  /* WGL_AMD_gpu_association */

  REGAL_DECL VOID REGAL_CALL wglBlitContextFramebufferAMD(HGLRC dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    App("wglBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ")");
    if (!dispatchTableGlobal.wglBlitContextFramebufferAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglBlitContextFramebufferAMD, "wglBlitContextFramebufferAMD" );
      RegalAssert(dispatchTableGlobal.wglBlitContextFramebufferAMD!=wglBlitContextFramebufferAMD);
      if (dispatchTableGlobal.wglBlitContextFramebufferAMD==wglBlitContextFramebufferAMD)
        dispatchTableGlobal.wglBlitContextFramebufferAMD = NULL;
    }
    if (dispatchTableGlobal.wglBlitContextFramebufferAMD)
    {
      dispatchTableGlobal.wglBlitContextFramebufferAMD(dstCtx, srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
      Driver("wglBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ")");
    }
    else
      Warning( "wglBlitContextFramebufferAMD not available." );
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateAssociatedContextAMD(UINT id)
  {
    App("wglCreateAssociatedContextAMD","(", id, ")");
    if (!dispatchTableGlobal.wglCreateAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateAssociatedContextAMD, "wglCreateAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.wglCreateAssociatedContextAMD!=wglCreateAssociatedContextAMD);
      if (dispatchTableGlobal.wglCreateAssociatedContextAMD==wglCreateAssociatedContextAMD)
        dispatchTableGlobal.wglCreateAssociatedContextAMD = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglCreateAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.wglCreateAssociatedContextAMD(id);
      Driver("wglCreateAssociatedContextAMD","(", id, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateAssociatedContextAttribsAMD(UINT id, HGLRC hShareContext, const int *attribList)
  {
    App("wglCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD, "wglCreateAssociatedContextAttribsAMD" );
      RegalAssert(dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD!=wglCreateAssociatedContextAttribsAMD);
      if (dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD==wglCreateAssociatedContextAttribsAMD)
        dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD)
    {
      ret = dispatchTableGlobal.wglCreateAssociatedContextAttribsAMD(id, hShareContext, attribList);
      Driver("wglCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateAssociatedContextAttribsAMD not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteAssociatedContextAMD(HGLRC hglrc)
  {
    App("wglDeleteAssociatedContextAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDeleteAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglDeleteAssociatedContextAMD, "wglDeleteAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.wglDeleteAssociatedContextAMD!=wglDeleteAssociatedContextAMD);
      if (dispatchTableGlobal.wglDeleteAssociatedContextAMD==wglDeleteAssociatedContextAMD)
        dispatchTableGlobal.wglDeleteAssociatedContextAMD = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDeleteAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.wglDeleteAssociatedContextAMD(hglrc);
      Driver("wglDeleteAssociatedContextAMD","(", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDeleteAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglGetContextGPUIDAMD(HGLRC hglrc)
  {
    App("wglGetContextGPUIDAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetContextGPUIDAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglGetContextGPUIDAMD, "wglGetContextGPUIDAMD" );
      RegalAssert(dispatchTableGlobal.wglGetContextGPUIDAMD!=wglGetContextGPUIDAMD);
      if (dispatchTableGlobal.wglGetContextGPUIDAMD==wglGetContextGPUIDAMD)
        dispatchTableGlobal.wglGetContextGPUIDAMD = NULL;
    }
    UINT ret = 0;
    if (dispatchTableGlobal.wglGetContextGPUIDAMD)
    {
      ret = dispatchTableGlobal.wglGetContextGPUIDAMD(hglrc);
      Driver("wglGetContextGPUIDAMD","(", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetContextGPUIDAMD not available." );
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglGetCurrentAssociatedContextAMD(void)
  {
    App("wglGetCurrentAssociatedContextAMD","()");
    if (!dispatchTableGlobal.wglGetCurrentAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglGetCurrentAssociatedContextAMD, "wglGetCurrentAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.wglGetCurrentAssociatedContextAMD!=wglGetCurrentAssociatedContextAMD);
      if (dispatchTableGlobal.wglGetCurrentAssociatedContextAMD==wglGetCurrentAssociatedContextAMD)
        dispatchTableGlobal.wglGetCurrentAssociatedContextAMD = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglGetCurrentAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.wglGetCurrentAssociatedContextAMD();
      Driver("wglGetCurrentAssociatedContextAMD","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetCurrentAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglGetGPUIDsAMD(UINT maxCount, UINT *ids)
  {
    App("wglGetGPUIDsAMD","(", maxCount, ")");
    if (!dispatchTableGlobal.wglGetGPUIDsAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGPUIDsAMD, "wglGetGPUIDsAMD" );
      RegalAssert(dispatchTableGlobal.wglGetGPUIDsAMD!=wglGetGPUIDsAMD);
      if (dispatchTableGlobal.wglGetGPUIDsAMD==wglGetGPUIDsAMD)
        dispatchTableGlobal.wglGetGPUIDsAMD = NULL;
    }
    UINT ret = 0;
    if (dispatchTableGlobal.wglGetGPUIDsAMD)
    {
      ret = dispatchTableGlobal.wglGetGPUIDsAMD(maxCount, ids);
      Driver("wglGetGPUIDsAMD","(", maxCount, ")", " returned ", ret);
    }
    else
      Warning( "wglGetGPUIDsAMD not available." );
    return ret;
  }

  REGAL_DECL INT REGAL_CALL wglGetGPUInfoAMD(UINT id, int property, GLenum dataType, UINT size, void *data)
  {
    App("wglGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ")");
    if (!dispatchTableGlobal.wglGetGPUInfoAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGPUInfoAMD, "wglGetGPUInfoAMD" );
      RegalAssert(dispatchTableGlobal.wglGetGPUInfoAMD!=wglGetGPUInfoAMD);
      if (dispatchTableGlobal.wglGetGPUInfoAMD==wglGetGPUInfoAMD)
        dispatchTableGlobal.wglGetGPUInfoAMD = NULL;
    }
    INT ret = 0;
    if (dispatchTableGlobal.wglGetGPUInfoAMD)
    {
      ret = dispatchTableGlobal.wglGetGPUInfoAMD(id, property, dataType, size, data);
      Driver("wglGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ")", " returned ", ret);
    }
    else
      Warning( "wglGetGPUInfoAMD not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeAssociatedContextCurrentAMD(HGLRC hglrc)
  {
    App("wglMakeAssociatedContextCurrentAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD)
    {
      GetProcAddress( dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD, "wglMakeAssociatedContextCurrentAMD" );
      RegalAssert(dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD!=wglMakeAssociatedContextCurrentAMD);
      if (dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD==wglMakeAssociatedContextCurrentAMD)
        dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD)
    {
      ret = dispatchTableGlobal.wglMakeAssociatedContextCurrentAMD(hglrc);
      Driver("wglMakeAssociatedContextCurrentAMD","(", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglMakeAssociatedContextCurrentAMD not available." );
    return ret;
  }

  /* WGL_ARB_buffer_region */

  REGAL_DECL HANDLE REGAL_CALL wglCreateBufferRegionARB(HDC hDC, int iLayerPlane, UINT uType)
  {
    App("wglCreateBufferRegionARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", uType, ")");
    if (!dispatchTableGlobal.wglCreateBufferRegionARB)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateBufferRegionARB, "wglCreateBufferRegionARB" );
      RegalAssert(dispatchTableGlobal.wglCreateBufferRegionARB!=wglCreateBufferRegionARB);
      if (dispatchTableGlobal.wglCreateBufferRegionARB==wglCreateBufferRegionARB)
        dispatchTableGlobal.wglCreateBufferRegionARB = NULL;
    }
    HANDLE ret = 0;
    if (dispatchTableGlobal.wglCreateBufferRegionARB)
    {
      ret = dispatchTableGlobal.wglCreateBufferRegionARB(hDC, iLayerPlane, uType);
      Driver("wglCreateBufferRegionARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", uType, ")", " returned ", ret);
    }
    else
      Warning( "wglCreateBufferRegionARB not available." );
    return ret;
  }

  REGAL_DECL VOID REGAL_CALL wglDeleteBufferRegionARB(HANDLE hRegion)
  {
    App("wglDeleteBufferRegionARB","(", hRegion, ")");
    if (!dispatchTableGlobal.wglDeleteBufferRegionARB)
    {
      GetProcAddress( dispatchTableGlobal.wglDeleteBufferRegionARB, "wglDeleteBufferRegionARB" );
      RegalAssert(dispatchTableGlobal.wglDeleteBufferRegionARB!=wglDeleteBufferRegionARB);
      if (dispatchTableGlobal.wglDeleteBufferRegionARB==wglDeleteBufferRegionARB)
        dispatchTableGlobal.wglDeleteBufferRegionARB = NULL;
    }
    if (dispatchTableGlobal.wglDeleteBufferRegionARB)
    {
      dispatchTableGlobal.wglDeleteBufferRegionARB(hRegion);
      Driver("wglDeleteBufferRegionARB","(", hRegion, ")");
    }
    else
      Warning( "wglDeleteBufferRegionARB not available." );
  }

  REGAL_DECL BOOL REGAL_CALL wglRestoreBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height, int xSrc, int ySrc)
  {
    App("wglRestoreBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xSrc, ", ", ySrc, ")");
    if (!dispatchTableGlobal.wglRestoreBufferRegionARB)
    {
      GetProcAddress( dispatchTableGlobal.wglRestoreBufferRegionARB, "wglRestoreBufferRegionARB" );
      RegalAssert(dispatchTableGlobal.wglRestoreBufferRegionARB!=wglRestoreBufferRegionARB);
      if (dispatchTableGlobal.wglRestoreBufferRegionARB==wglRestoreBufferRegionARB)
        dispatchTableGlobal.wglRestoreBufferRegionARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglRestoreBufferRegionARB)
    {
      ret = dispatchTableGlobal.wglRestoreBufferRegionARB(hRegion, x, y, width, height, xSrc, ySrc);
      Driver("wglRestoreBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xSrc, ", ", ySrc, ")", " returned ", ret);
    }
    else
      Warning( "wglRestoreBufferRegionARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSaveBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height)
  {
    App("wglSaveBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!dispatchTableGlobal.wglSaveBufferRegionARB)
    {
      GetProcAddress( dispatchTableGlobal.wglSaveBufferRegionARB, "wglSaveBufferRegionARB" );
      RegalAssert(dispatchTableGlobal.wglSaveBufferRegionARB!=wglSaveBufferRegionARB);
      if (dispatchTableGlobal.wglSaveBufferRegionARB==wglSaveBufferRegionARB)
        dispatchTableGlobal.wglSaveBufferRegionARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSaveBufferRegionARB)
    {
      ret = dispatchTableGlobal.wglSaveBufferRegionARB(hRegion, x, y, width, height);
      Driver("wglSaveBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ")", " returned ", ret);
    }
    else
      Warning( "wglSaveBufferRegionARB not available." );
    return ret;
  }

  /* WGL_ARB_create_context */

  REGAL_DECL HGLRC REGAL_CALL wglCreateContextAttribsARB(HDC hDC, HGLRC hShareContext, const int *piAttribList)
  {
    App("wglCreateContextAttribsARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglCreateContextAttribsARB)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateContextAttribsARB, "wglCreateContextAttribsARB" );
      RegalAssert(dispatchTableGlobal.wglCreateContextAttribsARB!=wglCreateContextAttribsARB);
      if (dispatchTableGlobal.wglCreateContextAttribsARB==wglCreateContextAttribsARB)
        dispatchTableGlobal.wglCreateContextAttribsARB = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglCreateContextAttribsARB)
    {
      ret = dispatchTableGlobal.wglCreateContextAttribsARB(hDC, hShareContext, piAttribList);
      Driver("wglCreateContextAttribsARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateContextAttribsARB not available." );
    if (ret && hShareContext)
      Init::shareContext(ret,hShareContext);
    return ret;
  }

  /* WGL_ARB_extensions_string */

  REGAL_DECL const char *REGAL_CALL wglGetExtensionsStringARB(HDC hDC)
  {
    App("wglGetExtensionsStringARB","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetExtensionsStringARB)
    {
      GetProcAddress( dispatchTableGlobal.wglGetExtensionsStringARB, "wglGetExtensionsStringARB" );
      RegalAssert(dispatchTableGlobal.wglGetExtensionsStringARB!=wglGetExtensionsStringARB);
      if (dispatchTableGlobal.wglGetExtensionsStringARB==wglGetExtensionsStringARB)
        dispatchTableGlobal.wglGetExtensionsStringARB = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.wglGetExtensionsStringARB)
    {
      ret = dispatchTableGlobal.wglGetExtensionsStringARB(hDC);
      Driver("wglGetExtensionsStringARB","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "wglGetExtensionsStringARB not available." );
    return ret;
  }

  /* WGL_ARB_make_current_read */

  REGAL_DECL HDC REGAL_CALL wglGetCurrentReadDCARB(void)
  {
    App("wglGetCurrentReadDCARB","()");
    if (!dispatchTableGlobal.wglGetCurrentReadDCARB)
    {
      GetProcAddress( dispatchTableGlobal.wglGetCurrentReadDCARB, "wglGetCurrentReadDCARB" );
      RegalAssert(dispatchTableGlobal.wglGetCurrentReadDCARB!=wglGetCurrentReadDCARB);
      if (dispatchTableGlobal.wglGetCurrentReadDCARB==wglGetCurrentReadDCARB)
        dispatchTableGlobal.wglGetCurrentReadDCARB = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglGetCurrentReadDCARB)
    {
      ret = dispatchTableGlobal.wglGetCurrentReadDCARB();
      Driver("wglGetCurrentReadDCARB","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetCurrentReadDCARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeContextCurrentARB(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
  {
    App("wglMakeContextCurrentARB","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglMakeContextCurrentARB)
    {
      GetProcAddress( dispatchTableGlobal.wglMakeContextCurrentARB, "wglMakeContextCurrentARB" );
      RegalAssert(dispatchTableGlobal.wglMakeContextCurrentARB!=wglMakeContextCurrentARB);
      if (dispatchTableGlobal.wglMakeContextCurrentARB==wglMakeContextCurrentARB)
        dispatchTableGlobal.wglMakeContextCurrentARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglMakeContextCurrentARB)
    {
      ret = dispatchTableGlobal.wglMakeContextCurrentARB(hDrawDC, hReadDC, hglrc);
      Driver("wglMakeContextCurrentARB","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglMakeContextCurrentARB not available." );
    return ret;
  }

  /* WGL_ARB_pbuffer */

  REGAL_DECL HPBUFFERARB REGAL_CALL wglCreatePbufferARB(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
  {
    App("wglCreatePbufferARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglCreatePbufferARB)
    {
      GetProcAddress( dispatchTableGlobal.wglCreatePbufferARB, "wglCreatePbufferARB" );
      RegalAssert(dispatchTableGlobal.wglCreatePbufferARB!=wglCreatePbufferARB);
      if (dispatchTableGlobal.wglCreatePbufferARB==wglCreatePbufferARB)
        dispatchTableGlobal.wglCreatePbufferARB = NULL;
    }
    HPBUFFERARB ret = (HPBUFFERARB) 0;
    if (dispatchTableGlobal.wglCreatePbufferARB)
    {
      ret = dispatchTableGlobal.wglCreatePbufferARB(hDC, iPixelFormat, iWidth, iHeight, piAttribList);
      Driver("wglCreatePbufferARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreatePbufferARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyPbufferARB(HPBUFFERARB hPbuffer)
  {
    App("wglDestroyPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDestroyPbufferARB)
    {
      GetProcAddress( dispatchTableGlobal.wglDestroyPbufferARB, "wglDestroyPbufferARB" );
      RegalAssert(dispatchTableGlobal.wglDestroyPbufferARB!=wglDestroyPbufferARB);
      if (dispatchTableGlobal.wglDestroyPbufferARB==wglDestroyPbufferARB)
        dispatchTableGlobal.wglDestroyPbufferARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDestroyPbufferARB)
    {
      ret = dispatchTableGlobal.wglDestroyPbufferARB(hPbuffer);
      Driver("wglDestroyPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDestroyPbufferARB not available." );
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetPbufferDCARB(HPBUFFERARB hPbuffer)
  {
    App("wglGetPbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetPbufferDCARB)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPbufferDCARB, "wglGetPbufferDCARB" );
      RegalAssert(dispatchTableGlobal.wglGetPbufferDCARB!=wglGetPbufferDCARB);
      if (dispatchTableGlobal.wglGetPbufferDCARB==wglGetPbufferDCARB)
        dispatchTableGlobal.wglGetPbufferDCARB = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglGetPbufferDCARB)
    {
      ret = dispatchTableGlobal.wglGetPbufferDCARB(hPbuffer);
      Driver("wglGetPbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetPbufferDCARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryPbufferARB(HPBUFFERARB hPbuffer, int iAttribute, int *piValue)
  {
    App("wglQueryPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
    if (!dispatchTableGlobal.wglQueryPbufferARB)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryPbufferARB, "wglQueryPbufferARB" );
      RegalAssert(dispatchTableGlobal.wglQueryPbufferARB!=wglQueryPbufferARB);
      if (dispatchTableGlobal.wglQueryPbufferARB==wglQueryPbufferARB)
        dispatchTableGlobal.wglQueryPbufferARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryPbufferARB)
    {
      ret = dispatchTableGlobal.wglQueryPbufferARB(hPbuffer, iAttribute, piValue);
      Driver("wglQueryPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglQueryPbufferARB not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglReleasePbufferDCARB(HPBUFFERARB hPbuffer, HDC hDC)
  {
    App("wglReleasePbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglReleasePbufferDCARB)
    {
      GetProcAddress( dispatchTableGlobal.wglReleasePbufferDCARB, "wglReleasePbufferDCARB" );
      RegalAssert(dispatchTableGlobal.wglReleasePbufferDCARB!=wglReleasePbufferDCARB);
      if (dispatchTableGlobal.wglReleasePbufferDCARB==wglReleasePbufferDCARB)
        dispatchTableGlobal.wglReleasePbufferDCARB = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglReleasePbufferDCARB)
    {
      ret = dispatchTableGlobal.wglReleasePbufferDCARB(hPbuffer, hDC);
      Driver("wglReleasePbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglReleasePbufferDCARB not available." );
    return ret;
  }

  /* WGL_ARB_pixel_format */

  REGAL_DECL BOOL REGAL_CALL wglChoosePixelFormatARB(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
  {
    App("wglChoosePixelFormatARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
    if (!dispatchTableGlobal.wglChoosePixelFormatARB)
    {
      GetProcAddress( dispatchTableGlobal.wglChoosePixelFormatARB, "wglChoosePixelFormatARB" );
      RegalAssert(dispatchTableGlobal.wglChoosePixelFormatARB!=wglChoosePixelFormatARB);
      if (dispatchTableGlobal.wglChoosePixelFormatARB==wglChoosePixelFormatARB)
        dispatchTableGlobal.wglChoosePixelFormatARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglChoosePixelFormatARB)
    {
      ret = dispatchTableGlobal.wglChoosePixelFormatARB(hDC, piAttribIList, pfAttribFList, nMaxFormats, piFormats, nNumFormats);
      Driver("wglChoosePixelFormatARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")", " returned ", ret);
    }
    else
      Warning( "wglChoosePixelFormatARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribfvARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
  {
    App("wglGetPixelFormatAttribfvARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    if (!dispatchTableGlobal.wglGetPixelFormatAttribfvARB)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPixelFormatAttribfvARB, "wglGetPixelFormatAttribfvARB" );
      RegalAssert(dispatchTableGlobal.wglGetPixelFormatAttribfvARB!=wglGetPixelFormatAttribfvARB);
      if (dispatchTableGlobal.wglGetPixelFormatAttribfvARB==wglGetPixelFormatAttribfvARB)
        dispatchTableGlobal.wglGetPixelFormatAttribfvARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetPixelFormatAttribfvARB)
    {
      ret = dispatchTableGlobal.wglGetPixelFormatAttribfvARB(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, pfValues);
      Driver("wglGetPixelFormatAttribfvARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")", " returned ", ret);
    }
    else
      Warning( "wglGetPixelFormatAttribfvARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribivARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
  {
    App("wglGetPixelFormatAttribivARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    if (!dispatchTableGlobal.wglGetPixelFormatAttribivARB)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPixelFormatAttribivARB, "wglGetPixelFormatAttribivARB" );
      RegalAssert(dispatchTableGlobal.wglGetPixelFormatAttribivARB!=wglGetPixelFormatAttribivARB);
      if (dispatchTableGlobal.wglGetPixelFormatAttribivARB==wglGetPixelFormatAttribivARB)
        dispatchTableGlobal.wglGetPixelFormatAttribivARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetPixelFormatAttribivARB)
    {
      ret = dispatchTableGlobal.wglGetPixelFormatAttribivARB(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, piValues);
      Driver("wglGetPixelFormatAttribivARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")", " returned ", ret);
    }
    else
      Warning( "wglGetPixelFormatAttribivARB not available." );
    return ret;
  }

  /* WGL_ARB_render_texture */

  REGAL_DECL BOOL REGAL_CALL wglBindTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
  {
    App("wglBindTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
    if (!dispatchTableGlobal.wglBindTexImageARB)
    {
      GetProcAddress( dispatchTableGlobal.wglBindTexImageARB, "wglBindTexImageARB" );
      RegalAssert(dispatchTableGlobal.wglBindTexImageARB!=wglBindTexImageARB);
      if (dispatchTableGlobal.wglBindTexImageARB==wglBindTexImageARB)
        dispatchTableGlobal.wglBindTexImageARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBindTexImageARB)
    {
      ret = dispatchTableGlobal.wglBindTexImageARB(hPbuffer, iBuffer);
      Driver("wglBindTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")", " returned ", ret);
    }
    else
      Warning( "wglBindTexImageARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
  {
    App("wglReleaseTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
    if (!dispatchTableGlobal.wglReleaseTexImageARB)
    {
      GetProcAddress( dispatchTableGlobal.wglReleaseTexImageARB, "wglReleaseTexImageARB" );
      RegalAssert(dispatchTableGlobal.wglReleaseTexImageARB!=wglReleaseTexImageARB);
      if (dispatchTableGlobal.wglReleaseTexImageARB==wglReleaseTexImageARB)
        dispatchTableGlobal.wglReleaseTexImageARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglReleaseTexImageARB)
    {
      ret = dispatchTableGlobal.wglReleaseTexImageARB(hPbuffer, iBuffer);
      Driver("wglReleaseTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")", " returned ", ret);
    }
    else
      Warning( "wglReleaseTexImageARB not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetPbufferAttribARB(HPBUFFERARB hPbuffer, const int *piAttribList)
  {
    App("wglSetPbufferAttribARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglSetPbufferAttribARB)
    {
      GetProcAddress( dispatchTableGlobal.wglSetPbufferAttribARB, "wglSetPbufferAttribARB" );
      RegalAssert(dispatchTableGlobal.wglSetPbufferAttribARB!=wglSetPbufferAttribARB);
      if (dispatchTableGlobal.wglSetPbufferAttribARB==wglSetPbufferAttribARB)
        dispatchTableGlobal.wglSetPbufferAttribARB = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetPbufferAttribARB)
    {
      ret = dispatchTableGlobal.wglSetPbufferAttribARB(hPbuffer, piAttribList);
      Driver("wglSetPbufferAttribARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglSetPbufferAttribARB not available." );
    return ret;
  }

  /* WGL_EXT_display_color_table */

  REGAL_DECL GLboolean REGAL_CALL wglBindDisplayColorTableEXT(GLushort id)
  {
    App("wglBindDisplayColorTableEXT","(", id, ")");
    if (!dispatchTableGlobal.wglBindDisplayColorTableEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglBindDisplayColorTableEXT, "wglBindDisplayColorTableEXT" );
      RegalAssert(dispatchTableGlobal.wglBindDisplayColorTableEXT!=wglBindDisplayColorTableEXT);
      if (dispatchTableGlobal.wglBindDisplayColorTableEXT==wglBindDisplayColorTableEXT)
        dispatchTableGlobal.wglBindDisplayColorTableEXT = NULL;
    }
    GLboolean ret = GL_FALSE;
    if (dispatchTableGlobal.wglBindDisplayColorTableEXT)
    {
      ret = dispatchTableGlobal.wglBindDisplayColorTableEXT(id);
      Driver("wglBindDisplayColorTableEXT","(", id, ")", " returned ", toString(ret));
    }
    else
      Warning( "wglBindDisplayColorTableEXT not available." );
    return ret;
  }

  REGAL_DECL GLboolean REGAL_CALL wglCreateDisplayColorTableEXT(GLushort id)
  {
    App("wglCreateDisplayColorTableEXT","(", id, ")");
    if (!dispatchTableGlobal.wglCreateDisplayColorTableEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateDisplayColorTableEXT, "wglCreateDisplayColorTableEXT" );
      RegalAssert(dispatchTableGlobal.wglCreateDisplayColorTableEXT!=wglCreateDisplayColorTableEXT);
      if (dispatchTableGlobal.wglCreateDisplayColorTableEXT==wglCreateDisplayColorTableEXT)
        dispatchTableGlobal.wglCreateDisplayColorTableEXT = NULL;
    }
    GLboolean ret = GL_FALSE;
    if (dispatchTableGlobal.wglCreateDisplayColorTableEXT)
    {
      ret = dispatchTableGlobal.wglCreateDisplayColorTableEXT(id);
      Driver("wglCreateDisplayColorTableEXT","(", id, ")", " returned ", toString(ret));
    }
    else
      Warning( "wglCreateDisplayColorTableEXT not available." );
    return ret;
  }

  REGAL_DECL VOID REGAL_CALL wglDestroyDisplayColorTableEXT(GLushort id)
  {
    App("wglDestroyDisplayColorTableEXT","(", id, ")");
    if (!dispatchTableGlobal.wglDestroyDisplayColorTableEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglDestroyDisplayColorTableEXT, "wglDestroyDisplayColorTableEXT" );
      RegalAssert(dispatchTableGlobal.wglDestroyDisplayColorTableEXT!=wglDestroyDisplayColorTableEXT);
      if (dispatchTableGlobal.wglDestroyDisplayColorTableEXT==wglDestroyDisplayColorTableEXT)
        dispatchTableGlobal.wglDestroyDisplayColorTableEXT = NULL;
    }
    if (dispatchTableGlobal.wglDestroyDisplayColorTableEXT)
    {
      dispatchTableGlobal.wglDestroyDisplayColorTableEXT(id);
      Driver("wglDestroyDisplayColorTableEXT","(", id, ")");
    }
    else
      Warning( "wglDestroyDisplayColorTableEXT not available." );
  }

  REGAL_DECL GLboolean REGAL_CALL wglLoadDisplayColorTableEXT(const GLushort *table, GLuint length)
  {
    App("wglLoadDisplayColorTableEXT","(", boost::print::array(table,length), ", ", length, ")");
    if (!dispatchTableGlobal.wglLoadDisplayColorTableEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglLoadDisplayColorTableEXT, "wglLoadDisplayColorTableEXT" );
      RegalAssert(dispatchTableGlobal.wglLoadDisplayColorTableEXT!=wglLoadDisplayColorTableEXT);
      if (dispatchTableGlobal.wglLoadDisplayColorTableEXT==wglLoadDisplayColorTableEXT)
        dispatchTableGlobal.wglLoadDisplayColorTableEXT = NULL;
    }
    GLboolean ret = GL_FALSE;
    if (dispatchTableGlobal.wglLoadDisplayColorTableEXT)
    {
      ret = dispatchTableGlobal.wglLoadDisplayColorTableEXT(table, length);
      Driver("wglLoadDisplayColorTableEXT","(", boost::print::array(table,length), ", ", length, ")", " returned ", toString(ret));
    }
    else
      Warning( "wglLoadDisplayColorTableEXT not available." );
    return ret;
  }

  /* WGL_EXT_extensions_string */

  REGAL_DECL const char *REGAL_CALL wglGetExtensionsStringEXT(void)
  {
    App("wglGetExtensionsStringEXT","()");
    if (!dispatchTableGlobal.wglGetExtensionsStringEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetExtensionsStringEXT, "wglGetExtensionsStringEXT" );
      RegalAssert(dispatchTableGlobal.wglGetExtensionsStringEXT!=wglGetExtensionsStringEXT);
      if (dispatchTableGlobal.wglGetExtensionsStringEXT==wglGetExtensionsStringEXT)
        dispatchTableGlobal.wglGetExtensionsStringEXT = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.wglGetExtensionsStringEXT)
    {
      ret = dispatchTableGlobal.wglGetExtensionsStringEXT();
      Driver("wglGetExtensionsStringEXT","()", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "wglGetExtensionsStringEXT not available." );
    return ret;
  }

  /* WGL_EXT_make_current_read */

  REGAL_DECL HDC REGAL_CALL wglGetCurrentReadDCEXT(void)
  {
    App("wglGetCurrentReadDCEXT","()");
    if (!dispatchTableGlobal.wglGetCurrentReadDCEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetCurrentReadDCEXT, "wglGetCurrentReadDCEXT" );
      RegalAssert(dispatchTableGlobal.wglGetCurrentReadDCEXT!=wglGetCurrentReadDCEXT);
      if (dispatchTableGlobal.wglGetCurrentReadDCEXT==wglGetCurrentReadDCEXT)
        dispatchTableGlobal.wglGetCurrentReadDCEXT = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglGetCurrentReadDCEXT)
    {
      ret = dispatchTableGlobal.wglGetCurrentReadDCEXT();
      Driver("wglGetCurrentReadDCEXT","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetCurrentReadDCEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeContextCurrentEXT(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
  {
    App("wglMakeContextCurrentEXT","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglMakeContextCurrentEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglMakeContextCurrentEXT, "wglMakeContextCurrentEXT" );
      RegalAssert(dispatchTableGlobal.wglMakeContextCurrentEXT!=wglMakeContextCurrentEXT);
      if (dispatchTableGlobal.wglMakeContextCurrentEXT==wglMakeContextCurrentEXT)
        dispatchTableGlobal.wglMakeContextCurrentEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglMakeContextCurrentEXT)
    {
      ret = dispatchTableGlobal.wglMakeContextCurrentEXT(hDrawDC, hReadDC, hglrc);
      Driver("wglMakeContextCurrentEXT","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglMakeContextCurrentEXT not available." );
    return ret;
  }

  /* WGL_EXT_pbuffer */

  REGAL_DECL HPBUFFEREXT REGAL_CALL wglCreatePbufferEXT(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
  {
    App("wglCreatePbufferEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglCreatePbufferEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglCreatePbufferEXT, "wglCreatePbufferEXT" );
      RegalAssert(dispatchTableGlobal.wglCreatePbufferEXT!=wglCreatePbufferEXT);
      if (dispatchTableGlobal.wglCreatePbufferEXT==wglCreatePbufferEXT)
        dispatchTableGlobal.wglCreatePbufferEXT = NULL;
    }
    HPBUFFEREXT ret = (HPBUFFEREXT) 0;
    if (dispatchTableGlobal.wglCreatePbufferEXT)
    {
      ret = dispatchTableGlobal.wglCreatePbufferEXT(hDC, iPixelFormat, iWidth, iHeight, piAttribList);
      Driver("wglCreatePbufferEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreatePbufferEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyPbufferEXT(HPBUFFEREXT hPbuffer)
  {
    App("wglDestroyPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDestroyPbufferEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglDestroyPbufferEXT, "wglDestroyPbufferEXT" );
      RegalAssert(dispatchTableGlobal.wglDestroyPbufferEXT!=wglDestroyPbufferEXT);
      if (dispatchTableGlobal.wglDestroyPbufferEXT==wglDestroyPbufferEXT)
        dispatchTableGlobal.wglDestroyPbufferEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDestroyPbufferEXT)
    {
      ret = dispatchTableGlobal.wglDestroyPbufferEXT(hPbuffer);
      Driver("wglDestroyPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDestroyPbufferEXT not available." );
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetPbufferDCEXT(HPBUFFEREXT hPbuffer)
  {
    App("wglGetPbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetPbufferDCEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPbufferDCEXT, "wglGetPbufferDCEXT" );
      RegalAssert(dispatchTableGlobal.wglGetPbufferDCEXT!=wglGetPbufferDCEXT);
      if (dispatchTableGlobal.wglGetPbufferDCEXT==wglGetPbufferDCEXT)
        dispatchTableGlobal.wglGetPbufferDCEXT = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglGetPbufferDCEXT)
    {
      ret = dispatchTableGlobal.wglGetPbufferDCEXT(hPbuffer);
      Driver("wglGetPbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetPbufferDCEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryPbufferEXT(HPBUFFEREXT hPbuffer, int iAttribute, int *piValue)
  {
    App("wglQueryPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
    if (!dispatchTableGlobal.wglQueryPbufferEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryPbufferEXT, "wglQueryPbufferEXT" );
      RegalAssert(dispatchTableGlobal.wglQueryPbufferEXT!=wglQueryPbufferEXT);
      if (dispatchTableGlobal.wglQueryPbufferEXT==wglQueryPbufferEXT)
        dispatchTableGlobal.wglQueryPbufferEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryPbufferEXT)
    {
      ret = dispatchTableGlobal.wglQueryPbufferEXT(hPbuffer, iAttribute, piValue);
      Driver("wglQueryPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglQueryPbufferEXT not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglReleasePbufferDCEXT(HPBUFFEREXT hPbuffer, HDC hDC)
  {
    App("wglReleasePbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglReleasePbufferDCEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglReleasePbufferDCEXT, "wglReleasePbufferDCEXT" );
      RegalAssert(dispatchTableGlobal.wglReleasePbufferDCEXT!=wglReleasePbufferDCEXT);
      if (dispatchTableGlobal.wglReleasePbufferDCEXT==wglReleasePbufferDCEXT)
        dispatchTableGlobal.wglReleasePbufferDCEXT = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglReleasePbufferDCEXT)
    {
      ret = dispatchTableGlobal.wglReleasePbufferDCEXT(hPbuffer, hDC);
      Driver("wglReleasePbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglReleasePbufferDCEXT not available." );
    return ret;
  }

  /* WGL_EXT_pixel_format */

  REGAL_DECL BOOL REGAL_CALL wglChoosePixelFormatEXT(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
  {
    App("wglChoosePixelFormatEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
    if (!dispatchTableGlobal.wglChoosePixelFormatEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglChoosePixelFormatEXT, "wglChoosePixelFormatEXT" );
      RegalAssert(dispatchTableGlobal.wglChoosePixelFormatEXT!=wglChoosePixelFormatEXT);
      if (dispatchTableGlobal.wglChoosePixelFormatEXT==wglChoosePixelFormatEXT)
        dispatchTableGlobal.wglChoosePixelFormatEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglChoosePixelFormatEXT)
    {
      ret = dispatchTableGlobal.wglChoosePixelFormatEXT(hDC, piAttribIList, pfAttribFList, nMaxFormats, piFormats, nNumFormats);
      Driver("wglChoosePixelFormatEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")", " returned ", ret);
    }
    else
      Warning( "wglChoosePixelFormatEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribfvEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
  {
    App("wglGetPixelFormatAttribfvEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    if (!dispatchTableGlobal.wglGetPixelFormatAttribfvEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPixelFormatAttribfvEXT, "wglGetPixelFormatAttribfvEXT" );
      RegalAssert(dispatchTableGlobal.wglGetPixelFormatAttribfvEXT!=wglGetPixelFormatAttribfvEXT);
      if (dispatchTableGlobal.wglGetPixelFormatAttribfvEXT==wglGetPixelFormatAttribfvEXT)
        dispatchTableGlobal.wglGetPixelFormatAttribfvEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetPixelFormatAttribfvEXT)
    {
      ret = dispatchTableGlobal.wglGetPixelFormatAttribfvEXT(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, pfValues);
      Driver("wglGetPixelFormatAttribfvEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")", " returned ", ret);
    }
    else
      Warning( "wglGetPixelFormatAttribfvEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribivEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
  {
    App("wglGetPixelFormatAttribivEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    if (!dispatchTableGlobal.wglGetPixelFormatAttribivEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPixelFormatAttribivEXT, "wglGetPixelFormatAttribivEXT" );
      RegalAssert(dispatchTableGlobal.wglGetPixelFormatAttribivEXT!=wglGetPixelFormatAttribivEXT);
      if (dispatchTableGlobal.wglGetPixelFormatAttribivEXT==wglGetPixelFormatAttribivEXT)
        dispatchTableGlobal.wglGetPixelFormatAttribivEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetPixelFormatAttribivEXT)
    {
      ret = dispatchTableGlobal.wglGetPixelFormatAttribivEXT(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, piValues);
      Driver("wglGetPixelFormatAttribivEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")", " returned ", ret);
    }
    else
      Warning( "wglGetPixelFormatAttribivEXT not available." );
    return ret;
  }

  /* WGL_EXT_swap_control */

  REGAL_DECL int REGAL_CALL wglGetSwapIntervalEXT(void)
  {
    App("wglGetSwapIntervalEXT","()");
    if (!dispatchTableGlobal.wglGetSwapIntervalEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglGetSwapIntervalEXT, "wglGetSwapIntervalEXT" );
      RegalAssert(dispatchTableGlobal.wglGetSwapIntervalEXT!=wglGetSwapIntervalEXT);
      if (dispatchTableGlobal.wglGetSwapIntervalEXT==wglGetSwapIntervalEXT)
        dispatchTableGlobal.wglGetSwapIntervalEXT = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglGetSwapIntervalEXT)
    {
      ret = dispatchTableGlobal.wglGetSwapIntervalEXT();
      Driver("wglGetSwapIntervalEXT","()", " returned ", ret);
    }
    else
      Warning( "wglGetSwapIntervalEXT not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapIntervalEXT(int interval)
  {
    App("wglSwapIntervalEXT","(", interval, ")");
    if (!dispatchTableGlobal.wglSwapIntervalEXT)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapIntervalEXT, "wglSwapIntervalEXT" );
      RegalAssert(dispatchTableGlobal.wglSwapIntervalEXT!=wglSwapIntervalEXT);
      if (dispatchTableGlobal.wglSwapIntervalEXT==wglSwapIntervalEXT)
        dispatchTableGlobal.wglSwapIntervalEXT = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSwapIntervalEXT)
    {
      ret = dispatchTableGlobal.wglSwapIntervalEXT(interval);
      Driver("wglSwapIntervalEXT","(", interval, ")", " returned ", ret);
    }
    else
      Warning( "wglSwapIntervalEXT not available." );
    return ret;
  }

  /* WGL_GDI */

  REGAL_DECL int REGAL_CALL wglChoosePixelFormat(HDC hDC, const PIXELFORMATDESCRIPTOR *ppfd)
  {
    App("wglChoosePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", ppfd, ")");
    if (!dispatchTableGlobal.wglChoosePixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.wglChoosePixelFormat, "wglChoosePixelFormat" );
      RegalAssert(dispatchTableGlobal.wglChoosePixelFormat!=wglChoosePixelFormat);
      if (dispatchTableGlobal.wglChoosePixelFormat==wglChoosePixelFormat)
        dispatchTableGlobal.wglChoosePixelFormat = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglChoosePixelFormat)
    {
      ret = dispatchTableGlobal.wglChoosePixelFormat(hDC, ppfd);
      Driver("wglChoosePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", ppfd, ")", " returned ", ret);
    }
    else
      Warning( "wglChoosePixelFormat not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglDescribePixelFormat(HDC hDC, int iPixelFormat, UINT nBytes, LPPIXELFORMATDESCRIPTOR ppfd)
  {
    App("wglDescribePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", nBytes, ")");
    if (!dispatchTableGlobal.wglDescribePixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.wglDescribePixelFormat, "wglDescribePixelFormat" );
      RegalAssert(dispatchTableGlobal.wglDescribePixelFormat!=wglDescribePixelFormat);
      if (dispatchTableGlobal.wglDescribePixelFormat==wglDescribePixelFormat)
        dispatchTableGlobal.wglDescribePixelFormat = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglDescribePixelFormat)
    {
      ret = dispatchTableGlobal.wglDescribePixelFormat(hDC, iPixelFormat, nBytes, ppfd);
      Driver("wglDescribePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", nBytes, ")", " returned ", ret);
    }
    else
      Warning( "wglDescribePixelFormat not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglGetPixelFormat(HDC hDC)
  {
    App("wglGetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetPixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.wglGetPixelFormat, "wglGetPixelFormat" );
      RegalAssert(dispatchTableGlobal.wglGetPixelFormat!=wglGetPixelFormat);
      if (dispatchTableGlobal.wglGetPixelFormat==wglGetPixelFormat)
        dispatchTableGlobal.wglGetPixelFormat = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglGetPixelFormat)
    {
      ret = dispatchTableGlobal.wglGetPixelFormat(hDC);
      Driver("wglGetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetPixelFormat not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetPixelFormat(HDC hDC, int iPixelFormat, const PIXELFORMATDESCRIPTOR *ppfd)
  {
    App("wglSetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", ppfd, ")");
    if (!dispatchTableGlobal.wglSetPixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.wglSetPixelFormat, "wglSetPixelFormat" );
      RegalAssert(dispatchTableGlobal.wglSetPixelFormat!=wglSetPixelFormat);
      if (dispatchTableGlobal.wglSetPixelFormat==wglSetPixelFormat)
        dispatchTableGlobal.wglSetPixelFormat = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetPixelFormat)
    {
      ret = dispatchTableGlobal.wglSetPixelFormat(hDC, iPixelFormat, ppfd);
      Driver("wglSetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", ppfd, ")", " returned ", ret);
    }
    else
      Warning( "wglSetPixelFormat not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapBuffers(HDC hDC)
  {
    App("wglSwapBuffers","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglSwapBuffers)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapBuffers, "wglSwapBuffers" );
      RegalAssert(dispatchTableGlobal.wglSwapBuffers!=wglSwapBuffers);
      if (dispatchTableGlobal.wglSwapBuffers==wglSwapBuffers)
        dispatchTableGlobal.wglSwapBuffers = NULL;
    }
    BOOL ret = 0;
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->wglSwapBuffers(*_context);
    if (dispatchTableGlobal.wglSwapBuffers)
    {
      ret = dispatchTableGlobal.wglSwapBuffers(hDC);
      Driver("wglSwapBuffers","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglSwapBuffers not available." );
    return ret;
  }

  /* WGL_I3D_digital_video_control */

  REGAL_DECL BOOL REGAL_CALL wglGetDigitalVideoParametersI3D(HDC hDC, int iAttribute, int *piValue)
  {
    App("wglGetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
    if (!dispatchTableGlobal.wglGetDigitalVideoParametersI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetDigitalVideoParametersI3D, "wglGetDigitalVideoParametersI3D" );
      RegalAssert(dispatchTableGlobal.wglGetDigitalVideoParametersI3D!=wglGetDigitalVideoParametersI3D);
      if (dispatchTableGlobal.wglGetDigitalVideoParametersI3D==wglGetDigitalVideoParametersI3D)
        dispatchTableGlobal.wglGetDigitalVideoParametersI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetDigitalVideoParametersI3D)
    {
      ret = dispatchTableGlobal.wglGetDigitalVideoParametersI3D(hDC, iAttribute, piValue);
      Driver("wglGetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglGetDigitalVideoParametersI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetDigitalVideoParametersI3D(HDC hDC, int iAttribute, const int *piValue)
  {
    App("wglSetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglSetDigitalVideoParametersI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglSetDigitalVideoParametersI3D, "wglSetDigitalVideoParametersI3D" );
      RegalAssert(dispatchTableGlobal.wglSetDigitalVideoParametersI3D!=wglSetDigitalVideoParametersI3D);
      if (dispatchTableGlobal.wglSetDigitalVideoParametersI3D==wglSetDigitalVideoParametersI3D)
        dispatchTableGlobal.wglSetDigitalVideoParametersI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetDigitalVideoParametersI3D)
    {
      ret = dispatchTableGlobal.wglSetDigitalVideoParametersI3D(hDC, iAttribute, piValue);
      Driver("wglSetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglSetDigitalVideoParametersI3D not available." );
    return ret;
  }

  /* WGL_I3D_gamma */

  REGAL_DECL BOOL REGAL_CALL wglGetGammaTableI3D(HDC hDC, int iEntries, USHORT *puRed, USHORT *puGreen, USHORT *puBlue)
  {
    App("wglGetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetGammaTableI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGammaTableI3D, "wglGetGammaTableI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGammaTableI3D!=wglGetGammaTableI3D);
      if (dispatchTableGlobal.wglGetGammaTableI3D==wglGetGammaTableI3D)
        dispatchTableGlobal.wglGetGammaTableI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGammaTableI3D)
    {
      ret = dispatchTableGlobal.wglGetGammaTableI3D(hDC, iEntries, puRed, puGreen, puBlue);
      Driver("wglGetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetGammaTableI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGammaTableParametersI3D(HDC hDC, int iAttribute, int *piValue)
  {
    App("wglGetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
    if (!dispatchTableGlobal.wglGetGammaTableParametersI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGammaTableParametersI3D, "wglGetGammaTableParametersI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGammaTableParametersI3D!=wglGetGammaTableParametersI3D);
      if (dispatchTableGlobal.wglGetGammaTableParametersI3D==wglGetGammaTableParametersI3D)
        dispatchTableGlobal.wglGetGammaTableParametersI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGammaTableParametersI3D)
    {
      ret = dispatchTableGlobal.wglGetGammaTableParametersI3D(hDC, iAttribute, piValue);
      Driver("wglGetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglGetGammaTableParametersI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetGammaTableI3D(HDC hDC, int iEntries, const USHORT *puRed, const USHORT *puGreen, const USHORT *puBlue)
  {
    App("wglSetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iEntries, ", ", boost::print::array(puRed,iEntries), ", ", boost::print::array(puGreen,iEntries), ", ", boost::print::array(puBlue,iEntries), ")");
    if (!dispatchTableGlobal.wglSetGammaTableI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglSetGammaTableI3D, "wglSetGammaTableI3D" );
      RegalAssert(dispatchTableGlobal.wglSetGammaTableI3D!=wglSetGammaTableI3D);
      if (dispatchTableGlobal.wglSetGammaTableI3D==wglSetGammaTableI3D)
        dispatchTableGlobal.wglSetGammaTableI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetGammaTableI3D)
    {
      ret = dispatchTableGlobal.wglSetGammaTableI3D(hDC, iEntries, puRed, puGreen, puBlue);
      Driver("wglSetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iEntries, ", ", boost::print::array(puRed,iEntries), ", ", boost::print::array(puGreen,iEntries), ", ", boost::print::array(puBlue,iEntries), ")", " returned ", ret);
    }
    else
      Warning( "wglSetGammaTableI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetGammaTableParametersI3D(HDC hDC, int iAttribute, const int *piValue)
  {
    App("wglSetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglSetGammaTableParametersI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglSetGammaTableParametersI3D, "wglSetGammaTableParametersI3D" );
      RegalAssert(dispatchTableGlobal.wglSetGammaTableParametersI3D!=wglSetGammaTableParametersI3D);
      if (dispatchTableGlobal.wglSetGammaTableParametersI3D==wglSetGammaTableParametersI3D)
        dispatchTableGlobal.wglSetGammaTableParametersI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSetGammaTableParametersI3D)
    {
      ret = dispatchTableGlobal.wglSetGammaTableParametersI3D(hDC, iAttribute, piValue);
      Driver("wglSetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglSetGammaTableParametersI3D not available." );
    return ret;
  }

  /* WGL_I3D_genlock */

  REGAL_DECL BOOL REGAL_CALL wglDisableGenlockI3D(HDC hDC)
  {
    App("wglDisableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDisableGenlockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglDisableGenlockI3D, "wglDisableGenlockI3D" );
      RegalAssert(dispatchTableGlobal.wglDisableGenlockI3D!=wglDisableGenlockI3D);
      if (dispatchTableGlobal.wglDisableGenlockI3D==wglDisableGenlockI3D)
        dispatchTableGlobal.wglDisableGenlockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDisableGenlockI3D)
    {
      ret = dispatchTableGlobal.wglDisableGenlockI3D(hDC);
      Driver("wglDisableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDisableGenlockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnableGenlockI3D(HDC hDC)
  {
    App("wglEnableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglEnableGenlockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglEnableGenlockI3D, "wglEnableGenlockI3D" );
      RegalAssert(dispatchTableGlobal.wglEnableGenlockI3D!=wglEnableGenlockI3D);
      if (dispatchTableGlobal.wglEnableGenlockI3D==wglEnableGenlockI3D)
        dispatchTableGlobal.wglEnableGenlockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEnableGenlockI3D)
    {
      ret = dispatchTableGlobal.wglEnableGenlockI3D(hDC);
      Driver("wglEnableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglEnableGenlockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSampleRateI3D(HDC hDC, UINT uRate)
  {
    App("wglGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uRate, ")");
    if (!dispatchTableGlobal.wglGenlockSampleRateI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGenlockSampleRateI3D, "wglGenlockSampleRateI3D" );
      RegalAssert(dispatchTableGlobal.wglGenlockSampleRateI3D!=wglGenlockSampleRateI3D);
      if (dispatchTableGlobal.wglGenlockSampleRateI3D==wglGenlockSampleRateI3D)
        dispatchTableGlobal.wglGenlockSampleRateI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGenlockSampleRateI3D)
    {
      ret = dispatchTableGlobal.wglGenlockSampleRateI3D(hDC, uRate);
      Driver("wglGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uRate, ")", " returned ", ret);
    }
    else
      Warning( "wglGenlockSampleRateI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceDelayI3D(HDC hDC, UINT uDelay)
  {
    App("wglGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uDelay, ")");
    if (!dispatchTableGlobal.wglGenlockSourceDelayI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGenlockSourceDelayI3D, "wglGenlockSourceDelayI3D" );
      RegalAssert(dispatchTableGlobal.wglGenlockSourceDelayI3D!=wglGenlockSourceDelayI3D);
      if (dispatchTableGlobal.wglGenlockSourceDelayI3D==wglGenlockSourceDelayI3D)
        dispatchTableGlobal.wglGenlockSourceDelayI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGenlockSourceDelayI3D)
    {
      ret = dispatchTableGlobal.wglGenlockSourceDelayI3D(hDC, uDelay);
      Driver("wglGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uDelay, ")", " returned ", ret);
    }
    else
      Warning( "wglGenlockSourceDelayI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceEdgeI3D(HDC hDC, UINT uEdge)
  {
    App("wglGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uEdge, ")");
    if (!dispatchTableGlobal.wglGenlockSourceEdgeI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGenlockSourceEdgeI3D, "wglGenlockSourceEdgeI3D" );
      RegalAssert(dispatchTableGlobal.wglGenlockSourceEdgeI3D!=wglGenlockSourceEdgeI3D);
      if (dispatchTableGlobal.wglGenlockSourceEdgeI3D==wglGenlockSourceEdgeI3D)
        dispatchTableGlobal.wglGenlockSourceEdgeI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGenlockSourceEdgeI3D)
    {
      ret = dispatchTableGlobal.wglGenlockSourceEdgeI3D(hDC, uEdge);
      Driver("wglGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uEdge, ")", " returned ", ret);
    }
    else
      Warning( "wglGenlockSourceEdgeI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceI3D(HDC hDC, UINT uSource)
  {
    App("wglGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uSource, ")");
    if (!dispatchTableGlobal.wglGenlockSourceI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGenlockSourceI3D, "wglGenlockSourceI3D" );
      RegalAssert(dispatchTableGlobal.wglGenlockSourceI3D!=wglGenlockSourceI3D);
      if (dispatchTableGlobal.wglGenlockSourceI3D==wglGenlockSourceI3D)
        dispatchTableGlobal.wglGenlockSourceI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGenlockSourceI3D)
    {
      ret = dispatchTableGlobal.wglGenlockSourceI3D(hDC, uSource);
      Driver("wglGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uSource, ")", " returned ", ret);
    }
    else
      Warning( "wglGenlockSourceI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSampleRateI3D(HDC hDC, UINT *uRate)
  {
    App("wglGetGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetGenlockSampleRateI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGenlockSampleRateI3D, "wglGetGenlockSampleRateI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGenlockSampleRateI3D!=wglGetGenlockSampleRateI3D);
      if (dispatchTableGlobal.wglGetGenlockSampleRateI3D==wglGetGenlockSampleRateI3D)
        dispatchTableGlobal.wglGetGenlockSampleRateI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGenlockSampleRateI3D)
    {
      ret = dispatchTableGlobal.wglGetGenlockSampleRateI3D(hDC, uRate);
      Driver("wglGetGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetGenlockSampleRateI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceDelayI3D(HDC hDC, UINT *uDelay)
  {
    App("wglGetGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetGenlockSourceDelayI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGenlockSourceDelayI3D, "wglGetGenlockSourceDelayI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGenlockSourceDelayI3D!=wglGetGenlockSourceDelayI3D);
      if (dispatchTableGlobal.wglGetGenlockSourceDelayI3D==wglGetGenlockSourceDelayI3D)
        dispatchTableGlobal.wglGetGenlockSourceDelayI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGenlockSourceDelayI3D)
    {
      ret = dispatchTableGlobal.wglGetGenlockSourceDelayI3D(hDC, uDelay);
      Driver("wglGetGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetGenlockSourceDelayI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceEdgeI3D(HDC hDC, UINT *uEdge)
  {
    App("wglGetGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetGenlockSourceEdgeI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGenlockSourceEdgeI3D, "wglGetGenlockSourceEdgeI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGenlockSourceEdgeI3D!=wglGetGenlockSourceEdgeI3D);
      if (dispatchTableGlobal.wglGetGenlockSourceEdgeI3D==wglGetGenlockSourceEdgeI3D)
        dispatchTableGlobal.wglGetGenlockSourceEdgeI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGenlockSourceEdgeI3D)
    {
      ret = dispatchTableGlobal.wglGetGenlockSourceEdgeI3D(hDC, uEdge);
      Driver("wglGetGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetGenlockSourceEdgeI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceI3D(HDC hDC, UINT *uSource)
  {
    App("wglGetGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetGenlockSourceI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetGenlockSourceI3D, "wglGetGenlockSourceI3D" );
      RegalAssert(dispatchTableGlobal.wglGetGenlockSourceI3D!=wglGetGenlockSourceI3D);
      if (dispatchTableGlobal.wglGetGenlockSourceI3D==wglGetGenlockSourceI3D)
        dispatchTableGlobal.wglGetGenlockSourceI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetGenlockSourceI3D)
    {
      ret = dispatchTableGlobal.wglGetGenlockSourceI3D(hDC, uSource);
      Driver("wglGetGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetGenlockSourceI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglIsEnabledGenlockI3D(HDC hDC, BOOL *pFlag)
  {
    App("wglIsEnabledGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglIsEnabledGenlockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglIsEnabledGenlockI3D, "wglIsEnabledGenlockI3D" );
      RegalAssert(dispatchTableGlobal.wglIsEnabledGenlockI3D!=wglIsEnabledGenlockI3D);
      if (dispatchTableGlobal.wglIsEnabledGenlockI3D==wglIsEnabledGenlockI3D)
        dispatchTableGlobal.wglIsEnabledGenlockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglIsEnabledGenlockI3D)
    {
      ret = dispatchTableGlobal.wglIsEnabledGenlockI3D(hDC, pFlag);
      Driver("wglIsEnabledGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglIsEnabledGenlockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryGenlockMaxSourceDelayI3D(HDC hDC, UINT *uMaxLineDelay, UINT *uMaxPixelDelay)
  {
    App("wglQueryGenlockMaxSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D, "wglQueryGenlockMaxSourceDelayI3D" );
      RegalAssert(dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D!=wglQueryGenlockMaxSourceDelayI3D);
      if (dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D==wglQueryGenlockMaxSourceDelayI3D)
        dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D)
    {
      ret = dispatchTableGlobal.wglQueryGenlockMaxSourceDelayI3D(hDC, uMaxLineDelay, uMaxPixelDelay);
      Driver("wglQueryGenlockMaxSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglQueryGenlockMaxSourceDelayI3D not available." );
    return ret;
  }

  /* WGL_I3D_image_buffer */

  REGAL_DECL BOOL REGAL_CALL wglAssociateImageBufferEventsI3D(HDC hDC, const HANDLE *pEvent, const LPVOID *pAddress, const DWORD *pSize, UINT count)
  {
    App("wglAssociateImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pEvent,count), ", ", boost::print::array(pAddress,count), ", ", boost::print::array(pSize,count), ", ", count, ")");
    if (!dispatchTableGlobal.wglAssociateImageBufferEventsI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglAssociateImageBufferEventsI3D, "wglAssociateImageBufferEventsI3D" );
      RegalAssert(dispatchTableGlobal.wglAssociateImageBufferEventsI3D!=wglAssociateImageBufferEventsI3D);
      if (dispatchTableGlobal.wglAssociateImageBufferEventsI3D==wglAssociateImageBufferEventsI3D)
        dispatchTableGlobal.wglAssociateImageBufferEventsI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglAssociateImageBufferEventsI3D)
    {
      ret = dispatchTableGlobal.wglAssociateImageBufferEventsI3D(hDC, pEvent, pAddress, pSize, count);
      Driver("wglAssociateImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pEvent,count), ", ", boost::print::array(pAddress,count), ", ", boost::print::array(pSize,count), ", ", count, ")", " returned ", ret);
    }
    else
      Warning( "wglAssociateImageBufferEventsI3D not available." );
    return ret;
  }

  REGAL_DECL LPVOID REGAL_CALL wglCreateImageBufferI3D(HDC hDC, DWORD dwSize, UINT uFlags)
  {
    App("wglCreateImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", dwSize, ", ", uFlags, ")");
    if (!dispatchTableGlobal.wglCreateImageBufferI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateImageBufferI3D, "wglCreateImageBufferI3D" );
      RegalAssert(dispatchTableGlobal.wglCreateImageBufferI3D!=wglCreateImageBufferI3D);
      if (dispatchTableGlobal.wglCreateImageBufferI3D==wglCreateImageBufferI3D)
        dispatchTableGlobal.wglCreateImageBufferI3D = NULL;
    }
    LPVOID ret = 0;
    if (dispatchTableGlobal.wglCreateImageBufferI3D)
    {
      ret = dispatchTableGlobal.wglCreateImageBufferI3D(hDC, dwSize, uFlags);
      Driver("wglCreateImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", dwSize, ", ", uFlags, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateImageBufferI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyImageBufferI3D(HDC hDC, LPVOID pAddress)
  {
    App("wglDestroyImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(pAddress,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDestroyImageBufferI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglDestroyImageBufferI3D, "wglDestroyImageBufferI3D" );
      RegalAssert(dispatchTableGlobal.wglDestroyImageBufferI3D!=wglDestroyImageBufferI3D);
      if (dispatchTableGlobal.wglDestroyImageBufferI3D==wglDestroyImageBufferI3D)
        dispatchTableGlobal.wglDestroyImageBufferI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDestroyImageBufferI3D)
    {
      ret = dispatchTableGlobal.wglDestroyImageBufferI3D(hDC, pAddress);
      Driver("wglDestroyImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(pAddress,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDestroyImageBufferI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseImageBufferEventsI3D(HDC hDC, const LPVOID *pAddress, UINT count)
  {
    App("wglReleaseImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pAddress,count), ", ", count, ")");
    if (!dispatchTableGlobal.wglReleaseImageBufferEventsI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglReleaseImageBufferEventsI3D, "wglReleaseImageBufferEventsI3D" );
      RegalAssert(dispatchTableGlobal.wglReleaseImageBufferEventsI3D!=wglReleaseImageBufferEventsI3D);
      if (dispatchTableGlobal.wglReleaseImageBufferEventsI3D==wglReleaseImageBufferEventsI3D)
        dispatchTableGlobal.wglReleaseImageBufferEventsI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglReleaseImageBufferEventsI3D)
    {
      ret = dispatchTableGlobal.wglReleaseImageBufferEventsI3D(hDC, pAddress, count);
      Driver("wglReleaseImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pAddress,count), ", ", count, ")", " returned ", ret);
    }
    else
      Warning( "wglReleaseImageBufferEventsI3D not available." );
    return ret;
  }

  /* WGL_I3D_swap_frame_lock */

  REGAL_DECL BOOL REGAL_CALL wglDisableFrameLockI3D(void)
  {
    App("wglDisableFrameLockI3D","()");
    if (!dispatchTableGlobal.wglDisableFrameLockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglDisableFrameLockI3D, "wglDisableFrameLockI3D" );
      RegalAssert(dispatchTableGlobal.wglDisableFrameLockI3D!=wglDisableFrameLockI3D);
      if (dispatchTableGlobal.wglDisableFrameLockI3D==wglDisableFrameLockI3D)
        dispatchTableGlobal.wglDisableFrameLockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDisableFrameLockI3D)
    {
      ret = dispatchTableGlobal.wglDisableFrameLockI3D();
      Driver("wglDisableFrameLockI3D","()", " returned ", ret);
    }
    else
      Warning( "wglDisableFrameLockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnableFrameLockI3D(void)
  {
    App("wglEnableFrameLockI3D","()");
    if (!dispatchTableGlobal.wglEnableFrameLockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglEnableFrameLockI3D, "wglEnableFrameLockI3D" );
      RegalAssert(dispatchTableGlobal.wglEnableFrameLockI3D!=wglEnableFrameLockI3D);
      if (dispatchTableGlobal.wglEnableFrameLockI3D==wglEnableFrameLockI3D)
        dispatchTableGlobal.wglEnableFrameLockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEnableFrameLockI3D)
    {
      ret = dispatchTableGlobal.wglEnableFrameLockI3D();
      Driver("wglEnableFrameLockI3D","()", " returned ", ret);
    }
    else
      Warning( "wglEnableFrameLockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglIsEnabledFrameLockI3D(BOOL *pFlag)
  {
    App("wglIsEnabledFrameLockI3D","()");
    if (!dispatchTableGlobal.wglIsEnabledFrameLockI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglIsEnabledFrameLockI3D, "wglIsEnabledFrameLockI3D" );
      RegalAssert(dispatchTableGlobal.wglIsEnabledFrameLockI3D!=wglIsEnabledFrameLockI3D);
      if (dispatchTableGlobal.wglIsEnabledFrameLockI3D==wglIsEnabledFrameLockI3D)
        dispatchTableGlobal.wglIsEnabledFrameLockI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglIsEnabledFrameLockI3D)
    {
      ret = dispatchTableGlobal.wglIsEnabledFrameLockI3D(pFlag);
      Driver("wglIsEnabledFrameLockI3D","()", " returned ", ret);
    }
    else
      Warning( "wglIsEnabledFrameLockI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameLockMasterI3D(BOOL *pFlag)
  {
    App("wglQueryFrameLockMasterI3D","()");
    if (!dispatchTableGlobal.wglQueryFrameLockMasterI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryFrameLockMasterI3D, "wglQueryFrameLockMasterI3D" );
      RegalAssert(dispatchTableGlobal.wglQueryFrameLockMasterI3D!=wglQueryFrameLockMasterI3D);
      if (dispatchTableGlobal.wglQueryFrameLockMasterI3D==wglQueryFrameLockMasterI3D)
        dispatchTableGlobal.wglQueryFrameLockMasterI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryFrameLockMasterI3D)
    {
      ret = dispatchTableGlobal.wglQueryFrameLockMasterI3D(pFlag);
      Driver("wglQueryFrameLockMasterI3D","()", " returned ", ret);
    }
    else
      Warning( "wglQueryFrameLockMasterI3D not available." );
    return ret;
  }

  /* WGL_I3D_swap_frame_usage */

  REGAL_DECL BOOL REGAL_CALL wglBeginFrameTrackingI3D(void)
  {
    App("wglBeginFrameTrackingI3D","()");
    if (!dispatchTableGlobal.wglBeginFrameTrackingI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglBeginFrameTrackingI3D, "wglBeginFrameTrackingI3D" );
      RegalAssert(dispatchTableGlobal.wglBeginFrameTrackingI3D!=wglBeginFrameTrackingI3D);
      if (dispatchTableGlobal.wglBeginFrameTrackingI3D==wglBeginFrameTrackingI3D)
        dispatchTableGlobal.wglBeginFrameTrackingI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBeginFrameTrackingI3D)
    {
      ret = dispatchTableGlobal.wglBeginFrameTrackingI3D();
      Driver("wglBeginFrameTrackingI3D","()", " returned ", ret);
    }
    else
      Warning( "wglBeginFrameTrackingI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEndFrameTrackingI3D(void)
  {
    App("wglEndFrameTrackingI3D","()");
    if (!dispatchTableGlobal.wglEndFrameTrackingI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglEndFrameTrackingI3D, "wglEndFrameTrackingI3D" );
      RegalAssert(dispatchTableGlobal.wglEndFrameTrackingI3D!=wglEndFrameTrackingI3D);
      if (dispatchTableGlobal.wglEndFrameTrackingI3D==wglEndFrameTrackingI3D)
        dispatchTableGlobal.wglEndFrameTrackingI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEndFrameTrackingI3D)
    {
      ret = dispatchTableGlobal.wglEndFrameTrackingI3D();
      Driver("wglEndFrameTrackingI3D","()", " returned ", ret);
    }
    else
      Warning( "wglEndFrameTrackingI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetFrameUsageI3D(float *pUsage)
  {
    App("wglGetFrameUsageI3D","()");
    if (!dispatchTableGlobal.wglGetFrameUsageI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglGetFrameUsageI3D, "wglGetFrameUsageI3D" );
      RegalAssert(dispatchTableGlobal.wglGetFrameUsageI3D!=wglGetFrameUsageI3D);
      if (dispatchTableGlobal.wglGetFrameUsageI3D==wglGetFrameUsageI3D)
        dispatchTableGlobal.wglGetFrameUsageI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetFrameUsageI3D)
    {
      ret = dispatchTableGlobal.wglGetFrameUsageI3D(pUsage);
      Driver("wglGetFrameUsageI3D","()", " returned ", ret);
    }
    else
      Warning( "wglGetFrameUsageI3D not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameTrackingI3D(DWORD *pFrameCount, DWORD *pMissedFrames, float *pLastMissedUsage)
  {
    App("wglQueryFrameTrackingI3D","()");
    if (!dispatchTableGlobal.wglQueryFrameTrackingI3D)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryFrameTrackingI3D, "wglQueryFrameTrackingI3D" );
      RegalAssert(dispatchTableGlobal.wglQueryFrameTrackingI3D!=wglQueryFrameTrackingI3D);
      if (dispatchTableGlobal.wglQueryFrameTrackingI3D==wglQueryFrameTrackingI3D)
        dispatchTableGlobal.wglQueryFrameTrackingI3D = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryFrameTrackingI3D)
    {
      ret = dispatchTableGlobal.wglQueryFrameTrackingI3D(pFrameCount, pMissedFrames, pLastMissedUsage);
      Driver("wglQueryFrameTrackingI3D","()", " returned ", ret);
    }
    else
      Warning( "wglQueryFrameTrackingI3D not available." );
    return ret;
  }

  /* WGL_NV_DX_interop */

  REGAL_DECL BOOL REGAL_CALL wglDXCloseDeviceNV(HANDLE hDevice)
  {
    App("wglDXCloseDeviceNV","(", hDevice, ")");
    if (!dispatchTableGlobal.wglDXCloseDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXCloseDeviceNV, "wglDXCloseDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglDXCloseDeviceNV!=wglDXCloseDeviceNV);
      if (dispatchTableGlobal.wglDXCloseDeviceNV==wglDXCloseDeviceNV)
        dispatchTableGlobal.wglDXCloseDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXCloseDeviceNV)
    {
      ret = dispatchTableGlobal.wglDXCloseDeviceNV(hDevice);
      Driver("wglDXCloseDeviceNV","(", hDevice, ")", " returned ", ret);
    }
    else
      Warning( "wglDXCloseDeviceNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXLockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
  {
    App("wglDXLockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")");
    if (!dispatchTableGlobal.wglDXLockObjectsNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXLockObjectsNV, "wglDXLockObjectsNV" );
      RegalAssert(dispatchTableGlobal.wglDXLockObjectsNV!=wglDXLockObjectsNV);
      if (dispatchTableGlobal.wglDXLockObjectsNV==wglDXLockObjectsNV)
        dispatchTableGlobal.wglDXLockObjectsNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXLockObjectsNV)
    {
      ret = dispatchTableGlobal.wglDXLockObjectsNV(hDevice, count, hObjects);
      Driver("wglDXLockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")", " returned ", ret);
    }
    else
      Warning( "wglDXLockObjectsNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXObjectAccessNV(HANDLE hObject, GLenum access)
  {
    App("wglDXObjectAccessNV","(", hObject, ", ", toString(access), ")");
    if (!dispatchTableGlobal.wglDXObjectAccessNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXObjectAccessNV, "wglDXObjectAccessNV" );
      RegalAssert(dispatchTableGlobal.wglDXObjectAccessNV!=wglDXObjectAccessNV);
      if (dispatchTableGlobal.wglDXObjectAccessNV==wglDXObjectAccessNV)
        dispatchTableGlobal.wglDXObjectAccessNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXObjectAccessNV)
    {
      ret = dispatchTableGlobal.wglDXObjectAccessNV(hObject, access);
      Driver("wglDXObjectAccessNV","(", hObject, ", ", toString(access), ")", " returned ", ret);
    }
    else
      Warning( "wglDXObjectAccessNV not available." );
    return ret;
  }

  REGAL_DECL HANDLE REGAL_CALL wglDXOpenDeviceNV(GLvoid *dxDevice)
  {
    App("wglDXOpenDeviceNV","(", boost::print::optional(dxDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDXOpenDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXOpenDeviceNV, "wglDXOpenDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglDXOpenDeviceNV!=wglDXOpenDeviceNV);
      if (dispatchTableGlobal.wglDXOpenDeviceNV==wglDXOpenDeviceNV)
        dispatchTableGlobal.wglDXOpenDeviceNV = NULL;
    }
    HANDLE ret = 0;
    if (dispatchTableGlobal.wglDXOpenDeviceNV)
    {
      ret = dispatchTableGlobal.wglDXOpenDeviceNV(dxDevice);
      Driver("wglDXOpenDeviceNV","(", boost::print::optional(dxDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDXOpenDeviceNV not available." );
    return ret;
  }

  REGAL_DECL HANDLE REGAL_CALL wglDXRegisterObjectNV(HANDLE hDevice, GLvoid *dxObject, GLuint name, GLenum type, GLenum access)
  {
    App("wglDXRegisterObjectNV","(", hDevice, ", ", boost::print::optional(dxObject,Logging::pointers), ", ", name, ", ", toString(type), ", ", toString(access), ")");
    if (!dispatchTableGlobal.wglDXRegisterObjectNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXRegisterObjectNV, "wglDXRegisterObjectNV" );
      RegalAssert(dispatchTableGlobal.wglDXRegisterObjectNV!=wglDXRegisterObjectNV);
      if (dispatchTableGlobal.wglDXRegisterObjectNV==wglDXRegisterObjectNV)
        dispatchTableGlobal.wglDXRegisterObjectNV = NULL;
    }
    HANDLE ret = 0;
    if (dispatchTableGlobal.wglDXRegisterObjectNV)
    {
      ret = dispatchTableGlobal.wglDXRegisterObjectNV(hDevice, dxObject, name, type, access);
      Driver("wglDXRegisterObjectNV","(", hDevice, ", ", boost::print::optional(dxObject,Logging::pointers), ", ", name, ", ", toString(type), ", ", toString(access), ")", " returned ", ret);
    }
    else
      Warning( "wglDXRegisterObjectNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXSetResourceShareHandleNV(GLvoid *dxObject, HANDLE shareHandle)
  {
    App("wglDXSetResourceShareHandleNV","(", boost::print::optional(dxObject,Logging::pointers), ", ", shareHandle, ")");
    if (!dispatchTableGlobal.wglDXSetResourceShareHandleNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXSetResourceShareHandleNV, "wglDXSetResourceShareHandleNV" );
      RegalAssert(dispatchTableGlobal.wglDXSetResourceShareHandleNV!=wglDXSetResourceShareHandleNV);
      if (dispatchTableGlobal.wglDXSetResourceShareHandleNV==wglDXSetResourceShareHandleNV)
        dispatchTableGlobal.wglDXSetResourceShareHandleNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXSetResourceShareHandleNV)
    {
      ret = dispatchTableGlobal.wglDXSetResourceShareHandleNV(dxObject, shareHandle);
      Driver("wglDXSetResourceShareHandleNV","(", boost::print::optional(dxObject,Logging::pointers), ", ", shareHandle, ")", " returned ", ret);
    }
    else
      Warning( "wglDXSetResourceShareHandleNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXUnlockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
  {
    App("wglDXUnlockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")");
    if (!dispatchTableGlobal.wglDXUnlockObjectsNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXUnlockObjectsNV, "wglDXUnlockObjectsNV" );
      RegalAssert(dispatchTableGlobal.wglDXUnlockObjectsNV!=wglDXUnlockObjectsNV);
      if (dispatchTableGlobal.wglDXUnlockObjectsNV==wglDXUnlockObjectsNV)
        dispatchTableGlobal.wglDXUnlockObjectsNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXUnlockObjectsNV)
    {
      ret = dispatchTableGlobal.wglDXUnlockObjectsNV(hDevice, count, hObjects);
      Driver("wglDXUnlockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")", " returned ", ret);
    }
    else
      Warning( "wglDXUnlockObjectsNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXUnregisterObjectNV(HANDLE hDevice, HANDLE hObject)
  {
    App("wglDXUnregisterObjectNV","(", hDevice, ", ", hObject, ")");
    if (!dispatchTableGlobal.wglDXUnregisterObjectNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDXUnregisterObjectNV, "wglDXUnregisterObjectNV" );
      RegalAssert(dispatchTableGlobal.wglDXUnregisterObjectNV!=wglDXUnregisterObjectNV);
      if (dispatchTableGlobal.wglDXUnregisterObjectNV==wglDXUnregisterObjectNV)
        dispatchTableGlobal.wglDXUnregisterObjectNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDXUnregisterObjectNV)
    {
      ret = dispatchTableGlobal.wglDXUnregisterObjectNV(hDevice, hObject);
      Driver("wglDXUnregisterObjectNV","(", hDevice, ", ", hObject, ")", " returned ", ret);
    }
    else
      Warning( "wglDXUnregisterObjectNV not available." );
    return ret;
  }

  /* WGL_NV_copy_image */

  REGAL_DECL BOOL REGAL_CALL wglCopyImageSubDataNV(HGLRC hSrcRC, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, HGLRC hDstRC, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    App("wglCopyImageSubDataNV","(", boost::print::optional(hSrcRC,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(hDstRC,Logging::pointers), ", ", dstName, ")");
    if (!dispatchTableGlobal.wglCopyImageSubDataNV)
    {
      GetProcAddress( dispatchTableGlobal.wglCopyImageSubDataNV, "wglCopyImageSubDataNV" );
      RegalAssert(dispatchTableGlobal.wglCopyImageSubDataNV!=wglCopyImageSubDataNV);
      if (dispatchTableGlobal.wglCopyImageSubDataNV==wglCopyImageSubDataNV)
        dispatchTableGlobal.wglCopyImageSubDataNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglCopyImageSubDataNV)
    {
      ret = dispatchTableGlobal.wglCopyImageSubDataNV(hSrcRC, srcName, srcTarget, srcLevel, srcX, srcY, srcZ, hDstRC, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
      Driver("wglCopyImageSubDataNV","(", boost::print::optional(hSrcRC,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(hDstRC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglCopyImageSubDataNV not available." );
    return ret;
  }

  /* WGL_NV_gpu_affinity */

  REGAL_DECL HDC REGAL_CALL wglCreateAffinityDCNV(const HGPUNV *phGpuList)
  {
    App("wglCreateAffinityDCNV","(", phGpuList, ")");
    if (!dispatchTableGlobal.wglCreateAffinityDCNV)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateAffinityDCNV, "wglCreateAffinityDCNV" );
      RegalAssert(dispatchTableGlobal.wglCreateAffinityDCNV!=wglCreateAffinityDCNV);
      if (dispatchTableGlobal.wglCreateAffinityDCNV==wglCreateAffinityDCNV)
        dispatchTableGlobal.wglCreateAffinityDCNV = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglCreateAffinityDCNV)
    {
      ret = dispatchTableGlobal.wglCreateAffinityDCNV(phGpuList);
      Driver("wglCreateAffinityDCNV","(", phGpuList, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateAffinityDCNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteDCNV(HDC hAffinityDC)
  {
    App("wglDeleteDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDeleteDCNV)
    {
      GetProcAddress( dispatchTableGlobal.wglDeleteDCNV, "wglDeleteDCNV" );
      RegalAssert(dispatchTableGlobal.wglDeleteDCNV!=wglDeleteDCNV);
      if (dispatchTableGlobal.wglDeleteDCNV==wglDeleteDCNV)
        dispatchTableGlobal.wglDeleteDCNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDeleteDCNV)
    {
      ret = dispatchTableGlobal.wglDeleteDCNV(hAffinityDC);
      Driver("wglDeleteDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglDeleteDCNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpuDevicesNV(HGPUNV hGpu, UINT iDeviceIndex, PGPU_DEVICE lpGpuDevice)
  {
    App("wglEnumGpuDevicesNV","(", boost::print::optional(hGpu,Logging::pointers), ", ", iDeviceIndex, ")");
    if (!dispatchTableGlobal.wglEnumGpuDevicesNV)
    {
      GetProcAddress( dispatchTableGlobal.wglEnumGpuDevicesNV, "wglEnumGpuDevicesNV" );
      RegalAssert(dispatchTableGlobal.wglEnumGpuDevicesNV!=wglEnumGpuDevicesNV);
      if (dispatchTableGlobal.wglEnumGpuDevicesNV==wglEnumGpuDevicesNV)
        dispatchTableGlobal.wglEnumGpuDevicesNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEnumGpuDevicesNV)
    {
      ret = dispatchTableGlobal.wglEnumGpuDevicesNV(hGpu, iDeviceIndex, lpGpuDevice);
      Driver("wglEnumGpuDevicesNV","(", boost::print::optional(hGpu,Logging::pointers), ", ", iDeviceIndex, ")", " returned ", ret);
    }
    else
      Warning( "wglEnumGpuDevicesNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpusFromAffinityDCNV(HDC hAffinityDC, UINT iGpuIndex, HGPUNV *hGpu)
  {
    App("wglEnumGpusFromAffinityDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ", ", iGpuIndex, ")");
    if (!dispatchTableGlobal.wglEnumGpusFromAffinityDCNV)
    {
      GetProcAddress( dispatchTableGlobal.wglEnumGpusFromAffinityDCNV, "wglEnumGpusFromAffinityDCNV" );
      RegalAssert(dispatchTableGlobal.wglEnumGpusFromAffinityDCNV!=wglEnumGpusFromAffinityDCNV);
      if (dispatchTableGlobal.wglEnumGpusFromAffinityDCNV==wglEnumGpusFromAffinityDCNV)
        dispatchTableGlobal.wglEnumGpusFromAffinityDCNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEnumGpusFromAffinityDCNV)
    {
      ret = dispatchTableGlobal.wglEnumGpusFromAffinityDCNV(hAffinityDC, iGpuIndex, hGpu);
      Driver("wglEnumGpusFromAffinityDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ", ", iGpuIndex, ")", " returned ", ret);
    }
    else
      Warning( "wglEnumGpusFromAffinityDCNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpusNV(UINT iGpuIndex, HGPUNV *phGpu)
  {
    App("wglEnumGpusNV","(", iGpuIndex, ")");
    if (!dispatchTableGlobal.wglEnumGpusNV)
    {
      GetProcAddress( dispatchTableGlobal.wglEnumGpusNV, "wglEnumGpusNV" );
      RegalAssert(dispatchTableGlobal.wglEnumGpusNV!=wglEnumGpusNV);
      if (dispatchTableGlobal.wglEnumGpusNV==wglEnumGpusNV)
        dispatchTableGlobal.wglEnumGpusNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglEnumGpusNV)
    {
      ret = dispatchTableGlobal.wglEnumGpusNV(iGpuIndex, phGpu);
      Driver("wglEnumGpusNV","(", iGpuIndex, ")", " returned ", ret);
    }
    else
      Warning( "wglEnumGpusNV not available." );
    return ret;
  }

  /* WGL_NV_present_video */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoDeviceNV(HDC hDC, unsigned int uVideoSlot, HVIDEOOUTPUTDEVICENV hVideoDevice, const int *piAttribList)
  {
    App("wglBindVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", uVideoSlot, ", ", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglBindVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglBindVideoDeviceNV, "wglBindVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglBindVideoDeviceNV!=wglBindVideoDeviceNV);
      if (dispatchTableGlobal.wglBindVideoDeviceNV==wglBindVideoDeviceNV)
        dispatchTableGlobal.wglBindVideoDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBindVideoDeviceNV)
    {
      ret = dispatchTableGlobal.wglBindVideoDeviceNV(hDC, uVideoSlot, hVideoDevice, piAttribList);
      Driver("wglBindVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", uVideoSlot, ", ", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglBindVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglEnumerateVideoDevicesNV(HDC hDC, HVIDEOOUTPUTDEVICENV *phDeviceList)
  {
    App("wglEnumerateVideoDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglEnumerateVideoDevicesNV)
    {
      GetProcAddress( dispatchTableGlobal.wglEnumerateVideoDevicesNV, "wglEnumerateVideoDevicesNV" );
      RegalAssert(dispatchTableGlobal.wglEnumerateVideoDevicesNV!=wglEnumerateVideoDevicesNV);
      if (dispatchTableGlobal.wglEnumerateVideoDevicesNV==wglEnumerateVideoDevicesNV)
        dispatchTableGlobal.wglEnumerateVideoDevicesNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglEnumerateVideoDevicesNV)
    {
      ret = dispatchTableGlobal.wglEnumerateVideoDevicesNV(hDC, phDeviceList);
      Driver("wglEnumerateVideoDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglEnumerateVideoDevicesNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryCurrentContextNV(int iAttribute, int *piValue)
  {
    App("wglQueryCurrentContextNV","(", iAttribute, ")");
    if (!dispatchTableGlobal.wglQueryCurrentContextNV)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryCurrentContextNV, "wglQueryCurrentContextNV" );
      RegalAssert(dispatchTableGlobal.wglQueryCurrentContextNV!=wglQueryCurrentContextNV);
      if (dispatchTableGlobal.wglQueryCurrentContextNV==wglQueryCurrentContextNV)
        dispatchTableGlobal.wglQueryCurrentContextNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryCurrentContextNV)
    {
      ret = dispatchTableGlobal.wglQueryCurrentContextNV(iAttribute, piValue);
      Driver("wglQueryCurrentContextNV","(", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglQueryCurrentContextNV not available." );
    return ret;
  }

  /* WGL_NV_swap_group */

  REGAL_DECL BOOL REGAL_CALL wglBindSwapBarrierNV(GLuint group, GLuint barrier)
  {
    App("wglBindSwapBarrierNV","(", group, ", ", barrier, ")");
    if (!dispatchTableGlobal.wglBindSwapBarrierNV)
    {
      GetProcAddress( dispatchTableGlobal.wglBindSwapBarrierNV, "wglBindSwapBarrierNV" );
      RegalAssert(dispatchTableGlobal.wglBindSwapBarrierNV!=wglBindSwapBarrierNV);
      if (dispatchTableGlobal.wglBindSwapBarrierNV==wglBindSwapBarrierNV)
        dispatchTableGlobal.wglBindSwapBarrierNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBindSwapBarrierNV)
    {
      ret = dispatchTableGlobal.wglBindSwapBarrierNV(group, barrier);
      Driver("wglBindSwapBarrierNV","(", group, ", ", barrier, ")", " returned ", ret);
    }
    else
      Warning( "wglBindSwapBarrierNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglJoinSwapGroupNV(HDC hDC, GLuint group)
  {
    App("wglJoinSwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ", ", group, ")");
    if (!dispatchTableGlobal.wglJoinSwapGroupNV)
    {
      GetProcAddress( dispatchTableGlobal.wglJoinSwapGroupNV, "wglJoinSwapGroupNV" );
      RegalAssert(dispatchTableGlobal.wglJoinSwapGroupNV!=wglJoinSwapGroupNV);
      if (dispatchTableGlobal.wglJoinSwapGroupNV==wglJoinSwapGroupNV)
        dispatchTableGlobal.wglJoinSwapGroupNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglJoinSwapGroupNV)
    {
      ret = dispatchTableGlobal.wglJoinSwapGroupNV(hDC, group);
      Driver("wglJoinSwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ", ", group, ")", " returned ", ret);
    }
    else
      Warning( "wglJoinSwapGroupNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameCountNV(HDC hDC, GLuint *count)
  {
    App("wglQueryFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglQueryFrameCountNV)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryFrameCountNV, "wglQueryFrameCountNV" );
      RegalAssert(dispatchTableGlobal.wglQueryFrameCountNV!=wglQueryFrameCountNV);
      if (dispatchTableGlobal.wglQueryFrameCountNV==wglQueryFrameCountNV)
        dispatchTableGlobal.wglQueryFrameCountNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryFrameCountNV)
    {
      ret = dispatchTableGlobal.wglQueryFrameCountNV(hDC, count);
      Driver("wglQueryFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglQueryFrameCountNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryMaxSwapGroupsNV(HDC hDC, GLuint *maxGroups, GLuint *maxBarriers)
  {
    App("wglQueryMaxSwapGroupsNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglQueryMaxSwapGroupsNV)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryMaxSwapGroupsNV, "wglQueryMaxSwapGroupsNV" );
      RegalAssert(dispatchTableGlobal.wglQueryMaxSwapGroupsNV!=wglQueryMaxSwapGroupsNV);
      if (dispatchTableGlobal.wglQueryMaxSwapGroupsNV==wglQueryMaxSwapGroupsNV)
        dispatchTableGlobal.wglQueryMaxSwapGroupsNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryMaxSwapGroupsNV)
    {
      ret = dispatchTableGlobal.wglQueryMaxSwapGroupsNV(hDC, maxGroups, maxBarriers);
      Driver("wglQueryMaxSwapGroupsNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglQueryMaxSwapGroupsNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQuerySwapGroupNV(HDC hDC, GLuint *group, GLuint *barrier)
  {
    App("wglQuerySwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglQuerySwapGroupNV)
    {
      GetProcAddress( dispatchTableGlobal.wglQuerySwapGroupNV, "wglQuerySwapGroupNV" );
      RegalAssert(dispatchTableGlobal.wglQuerySwapGroupNV!=wglQuerySwapGroupNV);
      if (dispatchTableGlobal.wglQuerySwapGroupNV==wglQuerySwapGroupNV)
        dispatchTableGlobal.wglQuerySwapGroupNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQuerySwapGroupNV)
    {
      ret = dispatchTableGlobal.wglQuerySwapGroupNV(hDC, group, barrier);
      Driver("wglQuerySwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglQuerySwapGroupNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglResetFrameCountNV(HDC hDC)
  {
    App("wglResetFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglResetFrameCountNV)
    {
      GetProcAddress( dispatchTableGlobal.wglResetFrameCountNV, "wglResetFrameCountNV" );
      RegalAssert(dispatchTableGlobal.wglResetFrameCountNV!=wglResetFrameCountNV);
      if (dispatchTableGlobal.wglResetFrameCountNV==wglResetFrameCountNV)
        dispatchTableGlobal.wglResetFrameCountNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglResetFrameCountNV)
    {
      ret = dispatchTableGlobal.wglResetFrameCountNV(hDC);
      Driver("wglResetFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglResetFrameCountNV not available." );
    return ret;
  }

  /* WGL_NV_vertex_array_range */

  REGAL_DECL void *REGAL_CALL wglAllocateMemoryNV(GLsizei size, GLfloat readfreq, GLfloat writefreq, GLfloat priority)
  {
    App("wglAllocateMemoryNV","(", size, ", ", readfreq, ", ", writefreq, ", ", priority, ")");
    if (!dispatchTableGlobal.wglAllocateMemoryNV)
    {
      GetProcAddress( dispatchTableGlobal.wglAllocateMemoryNV, "wglAllocateMemoryNV" );
      RegalAssert(dispatchTableGlobal.wglAllocateMemoryNV!=wglAllocateMemoryNV);
      if (dispatchTableGlobal.wglAllocateMemoryNV==wglAllocateMemoryNV)
        dispatchTableGlobal.wglAllocateMemoryNV = NULL;
    }
    void * ret = NULL;
    if (dispatchTableGlobal.wglAllocateMemoryNV)
    {
      ret = dispatchTableGlobal.wglAllocateMemoryNV(size, readfreq, writefreq, priority);
      Driver("wglAllocateMemoryNV","(", size, ", ", readfreq, ", ", writefreq, ", ", priority, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglAllocateMemoryNV not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL wglFreeMemoryNV(void *pointer)
  {
    App("wglFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglFreeMemoryNV)
    {
      GetProcAddress( dispatchTableGlobal.wglFreeMemoryNV, "wglFreeMemoryNV" );
      RegalAssert(dispatchTableGlobal.wglFreeMemoryNV!=wglFreeMemoryNV);
      if (dispatchTableGlobal.wglFreeMemoryNV==wglFreeMemoryNV)
        dispatchTableGlobal.wglFreeMemoryNV = NULL;
    }
    if (dispatchTableGlobal.wglFreeMemoryNV)
    {
      dispatchTableGlobal.wglFreeMemoryNV(pointer);
      Driver("wglFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    }
    else
      Warning( "wglFreeMemoryNV not available." );
  }

  /* WGL_NV_video_capture */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoCaptureDeviceNV(UINT uVideoSlot, HVIDEOINPUTDEVICENV hDevice)
  {
    App("wglBindVideoCaptureDeviceNV","(", uVideoSlot, ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglBindVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglBindVideoCaptureDeviceNV, "wglBindVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglBindVideoCaptureDeviceNV!=wglBindVideoCaptureDeviceNV);
      if (dispatchTableGlobal.wglBindVideoCaptureDeviceNV==wglBindVideoCaptureDeviceNV)
        dispatchTableGlobal.wglBindVideoCaptureDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBindVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.wglBindVideoCaptureDeviceNV(uVideoSlot, hDevice);
      Driver("wglBindVideoCaptureDeviceNV","(", uVideoSlot, ", ", boost::print::optional(hDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglBindVideoCaptureDeviceNV not available." );
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglEnumerateVideoCaptureDevicesNV(HDC hDC, HVIDEOINPUTDEVICENV *phDeviceList)
  {
    App("wglEnumerateVideoCaptureDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV)
    {
      GetProcAddress( dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV, "wglEnumerateVideoCaptureDevicesNV" );
      RegalAssert(dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV!=wglEnumerateVideoCaptureDevicesNV);
      if (dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV==wglEnumerateVideoCaptureDevicesNV)
        dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV = NULL;
    }
    UINT ret = 0;
    if (dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV)
    {
      ret = dispatchTableGlobal.wglEnumerateVideoCaptureDevicesNV(hDC, phDeviceList);
      Driver("wglEnumerateVideoCaptureDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglEnumerateVideoCaptureDevicesNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglLockVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
  {
    App("wglLockVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglLockVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglLockVideoCaptureDeviceNV, "wglLockVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglLockVideoCaptureDeviceNV!=wglLockVideoCaptureDeviceNV);
      if (dispatchTableGlobal.wglLockVideoCaptureDeviceNV==wglLockVideoCaptureDeviceNV)
        dispatchTableGlobal.wglLockVideoCaptureDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglLockVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.wglLockVideoCaptureDeviceNV(hDC, hDevice);
      Driver("wglLockVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglLockVideoCaptureDeviceNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice, int iAttribute, int *piValue)
  {
    App("wglQueryVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ", ", iAttribute, ")");
    if (!dispatchTableGlobal.wglQueryVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglQueryVideoCaptureDeviceNV, "wglQueryVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglQueryVideoCaptureDeviceNV!=wglQueryVideoCaptureDeviceNV);
      if (dispatchTableGlobal.wglQueryVideoCaptureDeviceNV==wglQueryVideoCaptureDeviceNV)
        dispatchTableGlobal.wglQueryVideoCaptureDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglQueryVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.wglQueryVideoCaptureDeviceNV(hDC, hDevice, iAttribute, piValue);
      Driver("wglQueryVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ", ", iAttribute, ")", " returned ", ret);
    }
    else
      Warning( "wglQueryVideoCaptureDeviceNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
  {
    App("wglReleaseVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV, "wglReleaseVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV!=wglReleaseVideoCaptureDeviceNV);
      if (dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV==wglReleaseVideoCaptureDeviceNV)
        dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.wglReleaseVideoCaptureDeviceNV(hDC, hDevice);
      Driver("wglReleaseVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglReleaseVideoCaptureDeviceNV not available." );
    return ret;
  }

  /* WGL_NV_video_output */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoImageNV(HPVIDEODEV hVideoDevice, HPBUFFERARB hPbuffer, int iVideoBuffer)
  {
    App("wglBindVideoImageNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
    if (!dispatchTableGlobal.wglBindVideoImageNV)
    {
      GetProcAddress( dispatchTableGlobal.wglBindVideoImageNV, "wglBindVideoImageNV" );
      RegalAssert(dispatchTableGlobal.wglBindVideoImageNV!=wglBindVideoImageNV);
      if (dispatchTableGlobal.wglBindVideoImageNV==wglBindVideoImageNV)
        dispatchTableGlobal.wglBindVideoImageNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglBindVideoImageNV)
    {
      ret = dispatchTableGlobal.wglBindVideoImageNV(hVideoDevice, hPbuffer, iVideoBuffer);
      Driver("wglBindVideoImageNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")", " returned ", ret);
    }
    else
      Warning( "wglBindVideoImageNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetVideoDeviceNV(HDC hDC, int numDevices, HPVIDEODEV *hVideoDevice)
  {
    App("wglGetVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", numDevices, ")");
    if (!dispatchTableGlobal.wglGetVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglGetVideoDeviceNV, "wglGetVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglGetVideoDeviceNV!=wglGetVideoDeviceNV);
      if (dispatchTableGlobal.wglGetVideoDeviceNV==wglGetVideoDeviceNV)
        dispatchTableGlobal.wglGetVideoDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetVideoDeviceNV)
    {
      ret = dispatchTableGlobal.wglGetVideoDeviceNV(hDC, numDevices, hVideoDevice);
      Driver("wglGetVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", numDevices, ")", " returned ", ret);
    }
    else
      Warning( "wglGetVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetVideoInfoNV(HPVIDEODEV hpVideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
  {
    App("wglGetVideoInfoNV","(", boost::print::optional(hpVideoDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetVideoInfoNV)
    {
      GetProcAddress( dispatchTableGlobal.wglGetVideoInfoNV, "wglGetVideoInfoNV" );
      RegalAssert(dispatchTableGlobal.wglGetVideoInfoNV!=wglGetVideoInfoNV);
      if (dispatchTableGlobal.wglGetVideoInfoNV==wglGetVideoInfoNV)
        dispatchTableGlobal.wglGetVideoInfoNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetVideoInfoNV)
    {
      ret = dispatchTableGlobal.wglGetVideoInfoNV(hpVideoDevice, pulCounterOutputPbuffer, pulCounterOutputVideo);
      Driver("wglGetVideoInfoNV","(", boost::print::optional(hpVideoDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetVideoInfoNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoDeviceNV(HPVIDEODEV hVideoDevice)
  {
    App("wglReleaseVideoDeviceNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglReleaseVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.wglReleaseVideoDeviceNV, "wglReleaseVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.wglReleaseVideoDeviceNV!=wglReleaseVideoDeviceNV);
      if (dispatchTableGlobal.wglReleaseVideoDeviceNV==wglReleaseVideoDeviceNV)
        dispatchTableGlobal.wglReleaseVideoDeviceNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglReleaseVideoDeviceNV)
    {
      ret = dispatchTableGlobal.wglReleaseVideoDeviceNV(hVideoDevice);
      Driver("wglReleaseVideoDeviceNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglReleaseVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoImageNV(HPBUFFERARB hPbuffer, int iVideoBuffer)
  {
    App("wglReleaseVideoImageNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
    if (!dispatchTableGlobal.wglReleaseVideoImageNV)
    {
      GetProcAddress( dispatchTableGlobal.wglReleaseVideoImageNV, "wglReleaseVideoImageNV" );
      RegalAssert(dispatchTableGlobal.wglReleaseVideoImageNV!=wglReleaseVideoImageNV);
      if (dispatchTableGlobal.wglReleaseVideoImageNV==wglReleaseVideoImageNV)
        dispatchTableGlobal.wglReleaseVideoImageNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglReleaseVideoImageNV)
    {
      ret = dispatchTableGlobal.wglReleaseVideoImageNV(hPbuffer, iVideoBuffer);
      Driver("wglReleaseVideoImageNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")", " returned ", ret);
    }
    else
      Warning( "wglReleaseVideoImageNV not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSendPbufferToVideoNV(HPBUFFERARB hPbuffer, int iBufferType, unsigned long *pulCounterPbuffer, BOOL bBlock)
  {
    App("wglSendPbufferToVideoNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBufferType, ", ", bBlock, ")");
    if (!dispatchTableGlobal.wglSendPbufferToVideoNV)
    {
      GetProcAddress( dispatchTableGlobal.wglSendPbufferToVideoNV, "wglSendPbufferToVideoNV" );
      RegalAssert(dispatchTableGlobal.wglSendPbufferToVideoNV!=wglSendPbufferToVideoNV);
      if (dispatchTableGlobal.wglSendPbufferToVideoNV==wglSendPbufferToVideoNV)
        dispatchTableGlobal.wglSendPbufferToVideoNV = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSendPbufferToVideoNV)
    {
      ret = dispatchTableGlobal.wglSendPbufferToVideoNV(hPbuffer, iBufferType, pulCounterPbuffer, bBlock);
      Driver("wglSendPbufferToVideoNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBufferType, ", ", bBlock, ")", " returned ", ret);
    }
    else
      Warning( "wglSendPbufferToVideoNV not available." );
    return ret;
  }

  /* WGL_OML_sync_control */

  REGAL_DECL BOOL REGAL_CALL wglGetMscRateOML(HDC hDC, INT32 *numerator, INT32 *denominator)
  {
    App("wglGetMscRateOML","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetMscRateOML)
    {
      GetProcAddress( dispatchTableGlobal.wglGetMscRateOML, "wglGetMscRateOML" );
      RegalAssert(dispatchTableGlobal.wglGetMscRateOML!=wglGetMscRateOML);
      if (dispatchTableGlobal.wglGetMscRateOML==wglGetMscRateOML)
        dispatchTableGlobal.wglGetMscRateOML = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetMscRateOML)
    {
      ret = dispatchTableGlobal.wglGetMscRateOML(hDC, numerator, denominator);
      Driver("wglGetMscRateOML","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetMscRateOML not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetSyncValuesOML(HDC hDC, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    App("wglGetSyncValuesOML","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglGetSyncValuesOML)
    {
      GetProcAddress( dispatchTableGlobal.wglGetSyncValuesOML, "wglGetSyncValuesOML" );
      RegalAssert(dispatchTableGlobal.wglGetSyncValuesOML!=wglGetSyncValuesOML);
      if (dispatchTableGlobal.wglGetSyncValuesOML==wglGetSyncValuesOML)
        dispatchTableGlobal.wglGetSyncValuesOML = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglGetSyncValuesOML)
    {
      ret = dispatchTableGlobal.wglGetSyncValuesOML(hDC, ust, msc, sbc);
      Driver("wglGetSyncValuesOML","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglGetSyncValuesOML not available." );
    return ret;
  }

  REGAL_DECL INT64 REGAL_CALL wglSwapBuffersMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder)
  {
    App("wglSwapBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.wglSwapBuffersMscOML)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapBuffersMscOML, "wglSwapBuffersMscOML" );
      RegalAssert(dispatchTableGlobal.wglSwapBuffersMscOML!=wglSwapBuffersMscOML);
      if (dispatchTableGlobal.wglSwapBuffersMscOML==wglSwapBuffersMscOML)
        dispatchTableGlobal.wglSwapBuffersMscOML = NULL;
    }
    INT64 ret = 0;
    if (dispatchTableGlobal.wglSwapBuffersMscOML)
    {
      ret = dispatchTableGlobal.wglSwapBuffersMscOML(hDC, target_msc, divisor, remainder);
      Driver("wglSwapBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "wglSwapBuffersMscOML not available." );
    return ret;
  }

  REGAL_DECL INT64 REGAL_CALL wglSwapLayerBuffersMscOML(HDC hDC, int fuPlanes, INT64 target_msc, INT64 divisor, INT64 remainder)
  {
    App("wglSwapLayerBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.wglSwapLayerBuffersMscOML)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapLayerBuffersMscOML, "wglSwapLayerBuffersMscOML" );
      RegalAssert(dispatchTableGlobal.wglSwapLayerBuffersMscOML!=wglSwapLayerBuffersMscOML);
      if (dispatchTableGlobal.wglSwapLayerBuffersMscOML==wglSwapLayerBuffersMscOML)
        dispatchTableGlobal.wglSwapLayerBuffersMscOML = NULL;
    }
    INT64 ret = 0;
    if (dispatchTableGlobal.wglSwapLayerBuffersMscOML)
    {
      ret = dispatchTableGlobal.wglSwapLayerBuffersMscOML(hDC, fuPlanes, target_msc, divisor, remainder);
      Driver("wglSwapLayerBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ", ", target_msc, ", ", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "wglSwapLayerBuffersMscOML not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglWaitForMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    App("wglWaitForMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.wglWaitForMscOML)
    {
      GetProcAddress( dispatchTableGlobal.wglWaitForMscOML, "wglWaitForMscOML" );
      RegalAssert(dispatchTableGlobal.wglWaitForMscOML!=wglWaitForMscOML);
      if (dispatchTableGlobal.wglWaitForMscOML==wglWaitForMscOML)
        dispatchTableGlobal.wglWaitForMscOML = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglWaitForMscOML)
    {
      ret = dispatchTableGlobal.wglWaitForMscOML(hDC, target_msc, divisor, remainder, ust, msc, sbc);
      Driver("wglWaitForMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "wglWaitForMscOML not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglWaitForSbcOML(HDC hDC, INT64 target_sbc, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    App("wglWaitForSbcOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_sbc, ")");
    if (!dispatchTableGlobal.wglWaitForSbcOML)
    {
      GetProcAddress( dispatchTableGlobal.wglWaitForSbcOML, "wglWaitForSbcOML" );
      RegalAssert(dispatchTableGlobal.wglWaitForSbcOML!=wglWaitForSbcOML);
      if (dispatchTableGlobal.wglWaitForSbcOML==wglWaitForSbcOML)
        dispatchTableGlobal.wglWaitForSbcOML = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglWaitForSbcOML)
    {
      ret = dispatchTableGlobal.wglWaitForSbcOML(hDC, target_sbc, ust, msc, sbc);
      Driver("wglWaitForSbcOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_sbc, ")", " returned ", ret);
    }
    else
      Warning( "wglWaitForSbcOML not available." );
    return ret;
  }

  /* WGL_core */

  REGAL_DECL BOOL REGAL_CALL wglCopyContext(HGLRC hglrcSrc, HGLRC hglrcDst, UINT mask)
  {
    App("wglCopyContext","(", boost::print::optional(hglrcSrc,Logging::pointers), ", ", boost::print::optional(hglrcDst,Logging::pointers), ", ", mask, ")");
    if (!dispatchTableGlobal.wglCopyContext)
    {
      GetProcAddress( dispatchTableGlobal.wglCopyContext, "wglCopyContext" );
      RegalAssert(dispatchTableGlobal.wglCopyContext!=wglCopyContext);
      if (dispatchTableGlobal.wglCopyContext==wglCopyContext)
        dispatchTableGlobal.wglCopyContext = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglCopyContext)
    {
      ret = dispatchTableGlobal.wglCopyContext(hglrcSrc, hglrcDst, mask);
      Driver("wglCopyContext","(", boost::print::optional(hglrcSrc,Logging::pointers), ", ", boost::print::optional(hglrcDst,Logging::pointers), ", ", mask, ")", " returned ", ret);
    }
    else
      Warning( "wglCopyContext not available." );
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateContext(HDC hDC)
  {
    App("wglCreateContext","(", boost::print::optional(hDC,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglCreateContext)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateContext, "wglCreateContext" );
      RegalAssert(dispatchTableGlobal.wglCreateContext!=wglCreateContext);
      if (dispatchTableGlobal.wglCreateContext==wglCreateContext)
        dispatchTableGlobal.wglCreateContext = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglCreateContext)
    {
      ret = dispatchTableGlobal.wglCreateContext(hDC);
      Driver("wglCreateContext","(", boost::print::optional(hDC,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateContext not available." );
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateLayerContext(HDC hDC, int iLayerPlane)
  {
    App("wglCreateLayerContext","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ")");
    if (!dispatchTableGlobal.wglCreateLayerContext)
    {
      GetProcAddress( dispatchTableGlobal.wglCreateLayerContext, "wglCreateLayerContext" );
      RegalAssert(dispatchTableGlobal.wglCreateLayerContext!=wglCreateLayerContext);
      if (dispatchTableGlobal.wglCreateLayerContext==wglCreateLayerContext)
        dispatchTableGlobal.wglCreateLayerContext = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglCreateLayerContext)
    {
      ret = dispatchTableGlobal.wglCreateLayerContext(hDC, iLayerPlane);
      Driver("wglCreateLayerContext","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglCreateLayerContext not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteContext(HGLRC hglrc)
  {
    App("wglDeleteContext","(", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglDeleteContext)
    {
      GetProcAddress( dispatchTableGlobal.wglDeleteContext, "wglDeleteContext" );
      RegalAssert(dispatchTableGlobal.wglDeleteContext!=wglDeleteContext);
      if (dispatchTableGlobal.wglDeleteContext==wglDeleteContext)
        dispatchTableGlobal.wglDeleteContext = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDeleteContext)
    {
      ret = dispatchTableGlobal.wglDeleteContext(hglrc);
      Driver("wglDeleteContext","(", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
      Init::destroyContext(RegalSystemContext(hglrc));
    }
    else
      Warning( "wglDeleteContext not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDescribeLayerPlane(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nBytes, LPLAYERPLANEDESCRIPTOR plpd)
  {
    App("wglDescribeLayerPlane","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nBytes, ")");
    if (!dispatchTableGlobal.wglDescribeLayerPlane)
    {
      GetProcAddress( dispatchTableGlobal.wglDescribeLayerPlane, "wglDescribeLayerPlane" );
      RegalAssert(dispatchTableGlobal.wglDescribeLayerPlane!=wglDescribeLayerPlane);
      if (dispatchTableGlobal.wglDescribeLayerPlane==wglDescribeLayerPlane)
        dispatchTableGlobal.wglDescribeLayerPlane = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglDescribeLayerPlane)
    {
      ret = dispatchTableGlobal.wglDescribeLayerPlane(hDC, iPixelFormat, iLayerPlane, nBytes, plpd);
      Driver("wglDescribeLayerPlane","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nBytes, ")", " returned ", ret);
    }
    else
      Warning( "wglDescribeLayerPlane not available." );
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglGetCurrentContext(void)
  {
    App("wglGetCurrentContext","()");
    if (!dispatchTableGlobal.wglGetCurrentContext)
    {
      GetProcAddress( dispatchTableGlobal.wglGetCurrentContext, "wglGetCurrentContext" );
      RegalAssert(dispatchTableGlobal.wglGetCurrentContext!=wglGetCurrentContext);
      if (dispatchTableGlobal.wglGetCurrentContext==wglGetCurrentContext)
        dispatchTableGlobal.wglGetCurrentContext = NULL;
    }
    HGLRC ret = NULL;
    if (dispatchTableGlobal.wglGetCurrentContext)
    {
      ret = dispatchTableGlobal.wglGetCurrentContext();
      Driver("wglGetCurrentContext","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetCurrentContext not available." );
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetCurrentDC(void)
  {
    App("wglGetCurrentDC","()");
    if (!dispatchTableGlobal.wglGetCurrentDC)
    {
      GetProcAddress( dispatchTableGlobal.wglGetCurrentDC, "wglGetCurrentDC" );
      RegalAssert(dispatchTableGlobal.wglGetCurrentDC!=wglGetCurrentDC);
      if (dispatchTableGlobal.wglGetCurrentDC==wglGetCurrentDC)
        dispatchTableGlobal.wglGetCurrentDC = NULL;
    }
    HDC ret = NULL;
    if (dispatchTableGlobal.wglGetCurrentDC)
    {
      ret = dispatchTableGlobal.wglGetCurrentDC();
      Driver("wglGetCurrentDC","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "wglGetCurrentDC not available." );
    return ret;
  }

  REGAL_DECL PROC REGAL_CALL wglGetDefaultProcAddress(LPCSTR lpszProc)
  {
    App("wglGetDefaultProcAddress","(", boost::print::quote(lpszProc,'"'), ")");
    if (!dispatchTableGlobal.wglGetDefaultProcAddress)
    {
      GetProcAddress( dispatchTableGlobal.wglGetDefaultProcAddress, "wglGetDefaultProcAddress" );
      RegalAssert(dispatchTableGlobal.wglGetDefaultProcAddress!=wglGetDefaultProcAddress);
      if (dispatchTableGlobal.wglGetDefaultProcAddress==wglGetDefaultProcAddress)
        dispatchTableGlobal.wglGetDefaultProcAddress = NULL;
    }
    PROC ret = NULL;
    if (dispatchTableGlobal.wglGetDefaultProcAddress)
    {
      ret = dispatchTableGlobal.wglGetDefaultProcAddress(lpszProc);
      Driver("wglGetDefaultProcAddress","(", boost::print::quote(lpszProc,'"'), ")", " returned ", ret);
    }
    else
      Warning( "wglGetDefaultProcAddress not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglGetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, COLORREF *pcr)
  {
    App("wglGetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ")");
    if (!dispatchTableGlobal.wglGetLayerPaletteEntries)
    {
      GetProcAddress( dispatchTableGlobal.wglGetLayerPaletteEntries, "wglGetLayerPaletteEntries" );
      RegalAssert(dispatchTableGlobal.wglGetLayerPaletteEntries!=wglGetLayerPaletteEntries);
      if (dispatchTableGlobal.wglGetLayerPaletteEntries==wglGetLayerPaletteEntries)
        dispatchTableGlobal.wglGetLayerPaletteEntries = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglGetLayerPaletteEntries)
    {
      ret = dispatchTableGlobal.wglGetLayerPaletteEntries(hDC, iLayerPlane, iStart, nEntries, pcr);
      Driver("wglGetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ")", " returned ", ret);
    }
    else
      Warning( "wglGetLayerPaletteEntries not available." );
    return ret;
  }

  REGAL_DECL PROC REGAL_CALL wglGetProcAddress(LPCSTR lpszProc)
  {
    App("wglGetProcAddress","(", boost::print::quote(lpszProc,'"'), ")");
    if (!dispatchTableGlobal.wglGetProcAddress)
    {
      GetProcAddress( dispatchTableGlobal.wglGetProcAddress, "wglGetProcAddress" );
      RegalAssert(dispatchTableGlobal.wglGetProcAddress!=wglGetProcAddress);
      if (dispatchTableGlobal.wglGetProcAddress==wglGetProcAddress)
        dispatchTableGlobal.wglGetProcAddress = NULL;
    }
    PROC ret = NULL;
    RegalAssert(dispatchTableGlobal.wglGetProcAddress);
    PROC drvproc = ret = dispatchTableGlobal.wglGetProcAddress(lpszProc);
    if (!ret)
      return NULL;
    ret = Lookup::gl_Lookup<PROC>(lpszProc);
    if (ret)
      return ret;
    if (dispatchTableGlobal.wglGetProcAddress)
    {
      ret = dispatchTableGlobal.wglGetProcAddress(lpszProc);
      Driver("wglGetProcAddress","(", boost::print::quote(lpszProc,'"'), ")", " returned ", ret);
    }
    else
      Warning( "wglGetProcAddress not available." );
    size_t off = Lookup::wgl_LookupOffset(lpszProc);
    ((void **)(&dispatchTableGlobal))[off] = (void *)drvproc;
    ret = Lookup::wgl_Lookup<PROC>(lpszProc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeCurrent(HDC hDC, HGLRC hglrc)
  {
    App("wglMakeCurrent","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglMakeCurrent)
    {
      GetProcAddress( dispatchTableGlobal.wglMakeCurrent, "wglMakeCurrent" );
      RegalAssert(dispatchTableGlobal.wglMakeCurrent!=wglMakeCurrent);
      if (dispatchTableGlobal.wglMakeCurrent==wglMakeCurrent)
        dispatchTableGlobal.wglMakeCurrent = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglMakeCurrent)
    {
      ret = dispatchTableGlobal.wglMakeCurrent(hDC, hglrc);
      Driver("wglMakeCurrent","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")", " returned ", ret);
      Init::makeCurrent(RegalSystemContext(hglrc));
    }
    else
      Warning( "wglMakeCurrent not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglRealizeLayerPalette(HDC hDC, int iLayerPlane, BOOL bRealize)
  {
    App("wglRealizeLayerPalette","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", bRealize, ")");
    if (!dispatchTableGlobal.wglRealizeLayerPalette)
    {
      GetProcAddress( dispatchTableGlobal.wglRealizeLayerPalette, "wglRealizeLayerPalette" );
      RegalAssert(dispatchTableGlobal.wglRealizeLayerPalette!=wglRealizeLayerPalette);
      if (dispatchTableGlobal.wglRealizeLayerPalette==wglRealizeLayerPalette)
        dispatchTableGlobal.wglRealizeLayerPalette = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglRealizeLayerPalette)
    {
      ret = dispatchTableGlobal.wglRealizeLayerPalette(hDC, iLayerPlane, bRealize);
      Driver("wglRealizeLayerPalette","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", bRealize, ")", " returned ", ret);
    }
    else
      Warning( "wglRealizeLayerPalette not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglSetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, const COLORREF *pcr)
  {
    App("wglSetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ", ", boost::print::array(pcr,nEntries), ")");
    if (!dispatchTableGlobal.wglSetLayerPaletteEntries)
    {
      GetProcAddress( dispatchTableGlobal.wglSetLayerPaletteEntries, "wglSetLayerPaletteEntries" );
      RegalAssert(dispatchTableGlobal.wglSetLayerPaletteEntries!=wglSetLayerPaletteEntries);
      if (dispatchTableGlobal.wglSetLayerPaletteEntries==wglSetLayerPaletteEntries)
        dispatchTableGlobal.wglSetLayerPaletteEntries = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.wglSetLayerPaletteEntries)
    {
      ret = dispatchTableGlobal.wglSetLayerPaletteEntries(hDC, iLayerPlane, iStart, nEntries, pcr);
      Driver("wglSetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ", ", boost::print::array(pcr,nEntries), ")", " returned ", ret);
    }
    else
      Warning( "wglSetLayerPaletteEntries not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglShareLists(HGLRC hglrcShare, HGLRC hglrcSrc)
  {
    App("wglShareLists","(", boost::print::optional(hglrcShare,Logging::pointers), ", ", boost::print::optional(hglrcSrc,Logging::pointers), ")");
    if (!dispatchTableGlobal.wglShareLists)
    {
      GetProcAddress( dispatchTableGlobal.wglShareLists, "wglShareLists" );
      RegalAssert(dispatchTableGlobal.wglShareLists!=wglShareLists);
      if (dispatchTableGlobal.wglShareLists==wglShareLists)
        dispatchTableGlobal.wglShareLists = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglShareLists)
    {
      ret = dispatchTableGlobal.wglShareLists(hglrcShare, hglrcSrc);
      Driver("wglShareLists","(", boost::print::optional(hglrcShare,Logging::pointers), ", ", boost::print::optional(hglrcSrc,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "wglShareLists not available." );
    if (ret && hglrcShare && hglrcSrc)
      Init::shareContext(hglrcShare,hglrcSrc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapLayerBuffers(HDC hDC, UINT fuPlanes)
  {
    App("wglSwapLayerBuffers","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ")");
    if (!dispatchTableGlobal.wglSwapLayerBuffers)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapLayerBuffers, "wglSwapLayerBuffers" );
      RegalAssert(dispatchTableGlobal.wglSwapLayerBuffers!=wglSwapLayerBuffers);
      if (dispatchTableGlobal.wglSwapLayerBuffers==wglSwapLayerBuffers)
        dispatchTableGlobal.wglSwapLayerBuffers = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglSwapLayerBuffers)
    {
      ret = dispatchTableGlobal.wglSwapLayerBuffers(hDC, fuPlanes);
      Driver("wglSwapLayerBuffers","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ")", " returned ", ret);
    }
    else
      Warning( "wglSwapLayerBuffers not available." );
    return ret;
  }

  REGAL_DECL DWORD REGAL_CALL wglSwapMultipleBuffers(UINT n, const WGLSWAP *ps)
  {
    App("wglSwapMultipleBuffers","(", n, ", ", ps, ")");
    if (!dispatchTableGlobal.wglSwapMultipleBuffers)
    {
      GetProcAddress( dispatchTableGlobal.wglSwapMultipleBuffers, "wglSwapMultipleBuffers" );
      RegalAssert(dispatchTableGlobal.wglSwapMultipleBuffers!=wglSwapMultipleBuffers);
      if (dispatchTableGlobal.wglSwapMultipleBuffers==wglSwapMultipleBuffers)
        dispatchTableGlobal.wglSwapMultipleBuffers = NULL;
    }
    DWORD ret = 0;
    if (dispatchTableGlobal.wglSwapMultipleBuffers)
    {
      ret = dispatchTableGlobal.wglSwapMultipleBuffers(n, ps);
      Driver("wglSwapMultipleBuffers","(", n, ", ", ps, ")", " returned ", ret);
    }
    else
      Warning( "wglSwapMultipleBuffers not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontBitmapsA(HDC hDC, DWORD first, DWORD count, DWORD listBase)
  {
    App("wglUseFontBitmapsA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    if (!dispatchTableGlobal.wglUseFontBitmapsA)
    {
      GetProcAddress( dispatchTableGlobal.wglUseFontBitmapsA, "wglUseFontBitmapsA" );
      RegalAssert(dispatchTableGlobal.wglUseFontBitmapsA!=wglUseFontBitmapsA);
      if (dispatchTableGlobal.wglUseFontBitmapsA==wglUseFontBitmapsA)
        dispatchTableGlobal.wglUseFontBitmapsA = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglUseFontBitmapsA)
    {
      ret = dispatchTableGlobal.wglUseFontBitmapsA(hDC, first, count, listBase);
      Driver("wglUseFontBitmapsA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")", " returned ", ret);
    }
    else
      Warning( "wglUseFontBitmapsA not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontBitmapsW(HDC hDC, DWORD first, DWORD count, DWORD listBase)
  {
    App("wglUseFontBitmapsW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    if (!dispatchTableGlobal.wglUseFontBitmapsW)
    {
      GetProcAddress( dispatchTableGlobal.wglUseFontBitmapsW, "wglUseFontBitmapsW" );
      RegalAssert(dispatchTableGlobal.wglUseFontBitmapsW!=wglUseFontBitmapsW);
      if (dispatchTableGlobal.wglUseFontBitmapsW==wglUseFontBitmapsW)
        dispatchTableGlobal.wglUseFontBitmapsW = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglUseFontBitmapsW)
    {
      ret = dispatchTableGlobal.wglUseFontBitmapsW(hDC, first, count, listBase);
      Driver("wglUseFontBitmapsW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")", " returned ", ret);
    }
    else
      Warning( "wglUseFontBitmapsW not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontOutlinesA(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
  {
    App("wglUseFontOutlinesA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
    if (!dispatchTableGlobal.wglUseFontOutlinesA)
    {
      GetProcAddress( dispatchTableGlobal.wglUseFontOutlinesA, "wglUseFontOutlinesA" );
      RegalAssert(dispatchTableGlobal.wglUseFontOutlinesA!=wglUseFontOutlinesA);
      if (dispatchTableGlobal.wglUseFontOutlinesA==wglUseFontOutlinesA)
        dispatchTableGlobal.wglUseFontOutlinesA = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglUseFontOutlinesA)
    {
      ret = dispatchTableGlobal.wglUseFontOutlinesA(hDC, first, count, listBase, deviation, extrusion, format, lpgmf);
      Driver("wglUseFontOutlinesA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")", " returned ", ret);
    }
    else
      Warning( "wglUseFontOutlinesA not available." );
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontOutlinesW(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
  {
    App("wglUseFontOutlinesW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
    if (!dispatchTableGlobal.wglUseFontOutlinesW)
    {
      GetProcAddress( dispatchTableGlobal.wglUseFontOutlinesW, "wglUseFontOutlinesW" );
      RegalAssert(dispatchTableGlobal.wglUseFontOutlinesW!=wglUseFontOutlinesW);
      if (dispatchTableGlobal.wglUseFontOutlinesW==wglUseFontOutlinesW)
        dispatchTableGlobal.wglUseFontOutlinesW = NULL;
    }
    BOOL ret = 0;
    if (dispatchTableGlobal.wglUseFontOutlinesW)
    {
      ret = dispatchTableGlobal.wglUseFontOutlinesW(hDC, first, count, listBase, deviation, extrusion, format, lpgmf);
      Driver("wglUseFontOutlinesW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")", " returned ", ret);
    }
    else
      Warning( "wglUseFontOutlinesW not available." );
    return ret;
  }

#endif /* REGAL_SYS_WGL */
#if REGAL_SYS_GLX

  /* GLX_VERSION_1_0 */

  REGAL_DECL XVisualInfo *REGAL_CALL glXChooseVisual(Display *dpy, int screen, int *attribList)
  {
    App("glXChooseVisual","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXChooseVisual)
    {
      GetProcAddress( dispatchTableGlobal.glXChooseVisual, "glXChooseVisual" );
      RegalAssert(dispatchTableGlobal.glXChooseVisual!=glXChooseVisual);
      if (dispatchTableGlobal.glXChooseVisual==glXChooseVisual)
        dispatchTableGlobal.glXChooseVisual = NULL;
    }
    XVisualInfo * ret = NULL;
    if (dispatchTableGlobal.glXChooseVisual)
    {
      ret = dispatchTableGlobal.glXChooseVisual(dpy, screen, attribList);
      Driver("glXChooseVisual","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXChooseVisual not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXCopyContext(Display *dpy, GLXContext src, GLXContext dst, unsigned long mask)
  {
    App("glXCopyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(src,Logging::pointers), ", ", boost::print::optional(dst,Logging::pointers), ", ", mask, ")");
    if (!dispatchTableGlobal.glXCopyContext)
    {
      GetProcAddress( dispatchTableGlobal.glXCopyContext, "glXCopyContext" );
      RegalAssert(dispatchTableGlobal.glXCopyContext!=glXCopyContext);
      if (dispatchTableGlobal.glXCopyContext==glXCopyContext)
        dispatchTableGlobal.glXCopyContext = NULL;
    }
    if (dispatchTableGlobal.glXCopyContext)
    {
      dispatchTableGlobal.glXCopyContext(dpy, src, dst, mask);
      Driver("glXCopyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(src,Logging::pointers), ", ", boost::print::optional(dst,Logging::pointers), ", ", mask, ")");
    }
    else
      Warning( "glXCopyContext not available." );
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateContext(Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct)
  {
    App("glXCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(shareList,Logging::pointers), ", ", direct, ")");
    if (!dispatchTableGlobal.glXCreateContext)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateContext, "glXCreateContext" );
      RegalAssert(dispatchTableGlobal.glXCreateContext!=glXCreateContext);
      if (dispatchTableGlobal.glXCreateContext==glXCreateContext)
        dispatchTableGlobal.glXCreateContext = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateContext)
    {
      ret = dispatchTableGlobal.glXCreateContext(dpy, vis, shareList, direct);
      Driver("glXCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(shareList,Logging::pointers), ", ", direct, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateContext not available." );
    if (ret && shareList)
      Init::shareContext(ret,shareList);
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmap(Display *dpy, XVisualInfo *vis, Pixmap pixmap)
  {
    App("glXCreateGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateGLXPixmap)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateGLXPixmap, "glXCreateGLXPixmap" );
      RegalAssert(dispatchTableGlobal.glXCreateGLXPixmap!=glXCreateGLXPixmap);
      if (dispatchTableGlobal.glXCreateGLXPixmap==glXCreateGLXPixmap)
        dispatchTableGlobal.glXCreateGLXPixmap = NULL;
    }
    GLXPixmap ret = 0;
    if (dispatchTableGlobal.glXCreateGLXPixmap)
    {
      ret = dispatchTableGlobal.glXCreateGLXPixmap(dpy, vis, pixmap);
      Driver("glXCreateGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateGLXPixmap not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyContext(Display *dpy, GLXContext ctx)
  {
    App("glXDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyContext)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyContext, "glXDestroyContext" );
      RegalAssert(dispatchTableGlobal.glXDestroyContext!=glXDestroyContext);
      if (dispatchTableGlobal.glXDestroyContext==glXDestroyContext)
        dispatchTableGlobal.glXDestroyContext = NULL;
    }
    if (dispatchTableGlobal.glXDestroyContext)
    {
      dispatchTableGlobal.glXDestroyContext(dpy, ctx);
      Driver("glXDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
      Init::destroyContext(RegalSystemContext(ctx));
    }
    else
      Warning( "glXDestroyContext not available." );
  }

  REGAL_DECL void REGAL_CALL glXDestroyGLXPixmap(Display *dpy, GLXPixmap pix)
  {
    App("glXDestroyGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pix,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyGLXPixmap)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyGLXPixmap, "glXDestroyGLXPixmap" );
      RegalAssert(dispatchTableGlobal.glXDestroyGLXPixmap!=glXDestroyGLXPixmap);
      if (dispatchTableGlobal.glXDestroyGLXPixmap==glXDestroyGLXPixmap)
        dispatchTableGlobal.glXDestroyGLXPixmap = NULL;
    }
    if (dispatchTableGlobal.glXDestroyGLXPixmap)
    {
      dispatchTableGlobal.glXDestroyGLXPixmap(dpy, pix);
      Driver("glXDestroyGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pix,Logging::pointers), ")");
    }
    else
      Warning( "glXDestroyGLXPixmap not available." );
  }

  REGAL_DECL int REGAL_CALL glXGetConfig(Display *dpy, XVisualInfo *vis, int attrib, int *value)
  {
    App("glXGetConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", attrib, ")");
    if (!dispatchTableGlobal.glXGetConfig)
    {
      GetProcAddress( dispatchTableGlobal.glXGetConfig, "glXGetConfig" );
      RegalAssert(dispatchTableGlobal.glXGetConfig!=glXGetConfig);
      if (dispatchTableGlobal.glXGetConfig==glXGetConfig)
        dispatchTableGlobal.glXGetConfig = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetConfig)
    {
      ret = dispatchTableGlobal.glXGetConfig(dpy, vis, attrib, value);
      Driver("glXGetConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", attrib, ")", " returned ", ret);
    }
    else
      Warning( "glXGetConfig not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXGetCurrentContext(void)
  {
    App("glXGetCurrentContext","()");
    if (!dispatchTableGlobal.glXGetCurrentContext)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentContext, "glXGetCurrentContext" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentContext!=glXGetCurrentContext);
      if (dispatchTableGlobal.glXGetCurrentContext==glXGetCurrentContext)
        dispatchTableGlobal.glXGetCurrentContext = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXGetCurrentContext)
    {
      ret = dispatchTableGlobal.glXGetCurrentContext();
      Driver("glXGetCurrentContext","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetCurrentContext not available." );
    return ret;
  }

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentDrawable(void)
  {
    App("glXGetCurrentDrawable","()");
    if (!dispatchTableGlobal.glXGetCurrentDrawable)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentDrawable, "glXGetCurrentDrawable" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentDrawable!=glXGetCurrentDrawable);
      if (dispatchTableGlobal.glXGetCurrentDrawable==glXGetCurrentDrawable)
        dispatchTableGlobal.glXGetCurrentDrawable = NULL;
    }
    GLXDrawable ret = (GLXDrawable) 0;
    if (dispatchTableGlobal.glXGetCurrentDrawable)
    {
      ret = dispatchTableGlobal.glXGetCurrentDrawable();
      Driver("glXGetCurrentDrawable","()", " returned ", ret);
    }
    else
      Warning( "glXGetCurrentDrawable not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXIsDirect(Display *dpy, GLXContext ctx)
  {
    App("glXIsDirect","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXIsDirect)
    {
      GetProcAddress( dispatchTableGlobal.glXIsDirect, "glXIsDirect" );
      RegalAssert(dispatchTableGlobal.glXIsDirect!=glXIsDirect);
      if (dispatchTableGlobal.glXIsDirect==glXIsDirect)
        dispatchTableGlobal.glXIsDirect = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXIsDirect)
    {
      ret = dispatchTableGlobal.glXIsDirect(dpy, ctx);
      Driver("glXIsDirect","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXIsDirect not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeCurrent(Display *dpy, GLXDrawable drawable, GLXContext ctx)
  {
    App("glXMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXMakeCurrent)
    {
      GetProcAddress( dispatchTableGlobal.glXMakeCurrent, "glXMakeCurrent" );
      RegalAssert(dispatchTableGlobal.glXMakeCurrent!=glXMakeCurrent);
      if (dispatchTableGlobal.glXMakeCurrent==glXMakeCurrent)
        dispatchTableGlobal.glXMakeCurrent = NULL;
    }
    Bool ret = (Bool) 0;
    // Keep track of X11 Display and GLXDrawable for logging purposes.
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
    {
        _context->x11Display  = dpy;
        _context->x11Drawable = drawable;
    }
    if (dispatchTableGlobal.glXMakeCurrent)
    {
      ret = dispatchTableGlobal.glXMakeCurrent(dpy, drawable, ctx);
      Driver("glXMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
      Init::makeCurrent(RegalSystemContext(ctx));
    }
    else
      Warning( "glXMakeCurrent not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryExtension(Display *dpy, int *errorBase, int *eventBase)
  {
    App("glXQueryExtension","(", boost::print::optional(dpy,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXQueryExtension)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryExtension, "glXQueryExtension" );
      RegalAssert(dispatchTableGlobal.glXQueryExtension!=glXQueryExtension);
      if (dispatchTableGlobal.glXQueryExtension==glXQueryExtension)
        dispatchTableGlobal.glXQueryExtension = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQueryExtension)
    {
      ret = dispatchTableGlobal.glXQueryExtension(dpy, errorBase, eventBase);
      Driver("glXQueryExtension","(", boost::print::optional(dpy,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryExtension not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryVersion(Display *dpy, int *major, int *minor)
  {
    App("glXQueryVersion","(", boost::print::optional(dpy,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXQueryVersion)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryVersion, "glXQueryVersion" );
      RegalAssert(dispatchTableGlobal.glXQueryVersion!=glXQueryVersion);
      if (dispatchTableGlobal.glXQueryVersion==glXQueryVersion)
        dispatchTableGlobal.glXQueryVersion = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQueryVersion)
    {
      ret = dispatchTableGlobal.glXQueryVersion(dpy, major, minor);
      Driver("glXQueryVersion","(", boost::print::optional(dpy,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryVersion not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXSwapBuffers(Display *dpy, GLXDrawable drawable)
  {
    App("glXSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    if (!dispatchTableGlobal.glXSwapBuffers)
    {
      GetProcAddress( dispatchTableGlobal.glXSwapBuffers, "glXSwapBuffers" );
      RegalAssert(dispatchTableGlobal.glXSwapBuffers!=glXSwapBuffers);
      if (dispatchTableGlobal.glXSwapBuffers==glXSwapBuffers)
        dispatchTableGlobal.glXSwapBuffers = NULL;
    }
    // Keep track of X11 Display and GLXDrawable for logging purposes.
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
    {
        _context->x11Display  = dpy;
        _context->x11Drawable = drawable;
    }
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->glXSwapBuffers(*_context);
    if (dispatchTableGlobal.glXSwapBuffers)
    {
      dispatchTableGlobal.glXSwapBuffers(dpy, drawable);
      Driver("glXSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    }
    else
      Warning( "glXSwapBuffers not available." );
  }

  REGAL_DECL void REGAL_CALL glXUseXFont(Font font, int first, int count, int listBase)
  {
    App("glXUseXFont","(", boost::print::optional(font,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    if (!dispatchTableGlobal.glXUseXFont)
    {
      GetProcAddress( dispatchTableGlobal.glXUseXFont, "glXUseXFont" );
      RegalAssert(dispatchTableGlobal.glXUseXFont!=glXUseXFont);
      if (dispatchTableGlobal.glXUseXFont==glXUseXFont)
        dispatchTableGlobal.glXUseXFont = NULL;
    }
    if (dispatchTableGlobal.glXUseXFont)
    {
      dispatchTableGlobal.glXUseXFont(font, first, count, listBase);
      Driver("glXUseXFont","(", boost::print::optional(font,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    }
    else
      Warning( "glXUseXFont not available." );
  }

  REGAL_DECL void REGAL_CALL glXWaitGL(void)
  {
    App("glXWaitGL","()");
    if (!dispatchTableGlobal.glXWaitGL)
    {
      GetProcAddress( dispatchTableGlobal.glXWaitGL, "glXWaitGL" );
      RegalAssert(dispatchTableGlobal.glXWaitGL!=glXWaitGL);
      if (dispatchTableGlobal.glXWaitGL==glXWaitGL)
        dispatchTableGlobal.glXWaitGL = NULL;
    }
    if (dispatchTableGlobal.glXWaitGL)
    {
      dispatchTableGlobal.glXWaitGL();
      Driver("glXWaitGL","()");
    }
    else
      Warning( "glXWaitGL not available." );
  }

  REGAL_DECL void REGAL_CALL glXWaitX(void)
  {
    App("glXWaitX","()");
    if (!dispatchTableGlobal.glXWaitX)
    {
      GetProcAddress( dispatchTableGlobal.glXWaitX, "glXWaitX" );
      RegalAssert(dispatchTableGlobal.glXWaitX!=glXWaitX);
      if (dispatchTableGlobal.glXWaitX==glXWaitX)
        dispatchTableGlobal.glXWaitX = NULL;
    }
    if (dispatchTableGlobal.glXWaitX)
    {
      dispatchTableGlobal.glXWaitX();
      Driver("glXWaitX","()");
    }
    else
      Warning( "glXWaitX not available." );
  }

  /* GLX_VERSION_1_1 */

  REGAL_DECL const char *REGAL_CALL glXGetClientString(Display *dpy, int name)
  {
    App("glXGetClientString","(", boost::print::optional(dpy,Logging::pointers), ", ", name, ")");
    if (!dispatchTableGlobal.glXGetClientString)
    {
      GetProcAddress( dispatchTableGlobal.glXGetClientString, "glXGetClientString" );
      RegalAssert(dispatchTableGlobal.glXGetClientString!=glXGetClientString);
      if (dispatchTableGlobal.glXGetClientString==glXGetClientString)
        dispatchTableGlobal.glXGetClientString = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.glXGetClientString)
    {
      ret = dispatchTableGlobal.glXGetClientString(dpy, name);
      Driver("glXGetClientString","(", boost::print::optional(dpy,Logging::pointers), ", ", name, ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "glXGetClientString not available." );
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryExtensionsString(Display *dpy, int screen)
  {
    App("glXQueryExtensionsString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXQueryExtensionsString)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryExtensionsString, "glXQueryExtensionsString" );
      RegalAssert(dispatchTableGlobal.glXQueryExtensionsString!=glXQueryExtensionsString);
      if (dispatchTableGlobal.glXQueryExtensionsString==glXQueryExtensionsString)
        dispatchTableGlobal.glXQueryExtensionsString = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.glXQueryExtensionsString)
    {
      ret = dispatchTableGlobal.glXQueryExtensionsString(dpy, screen);
      Driver("glXQueryExtensionsString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "glXQueryExtensionsString not available." );
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryServerString(Display *dpy, int screen, int name)
  {
    App("glXQueryServerString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", name, ")");
    if (!dispatchTableGlobal.glXQueryServerString)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryServerString, "glXQueryServerString" );
      RegalAssert(dispatchTableGlobal.glXQueryServerString!=glXQueryServerString);
      if (dispatchTableGlobal.glXQueryServerString==glXQueryServerString)
        dispatchTableGlobal.glXQueryServerString = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.glXQueryServerString)
    {
      ret = dispatchTableGlobal.glXQueryServerString(dpy, screen, name);
      Driver("glXQueryServerString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", name, ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "glXQueryServerString not available." );
    return ret;
  }

  /* GLX_VERSION_1_2 */

  REGAL_DECL Display *REGAL_CALL glXGetCurrentDisplay(void)
  {
    App("glXGetCurrentDisplay","()");
    if (!dispatchTableGlobal.glXGetCurrentDisplay)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentDisplay, "glXGetCurrentDisplay" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentDisplay!=glXGetCurrentDisplay);
      if (dispatchTableGlobal.glXGetCurrentDisplay==glXGetCurrentDisplay)
        dispatchTableGlobal.glXGetCurrentDisplay = NULL;
    }
    Display * ret = NULL;
    if (dispatchTableGlobal.glXGetCurrentDisplay)
    {
      ret = dispatchTableGlobal.glXGetCurrentDisplay();
      Driver("glXGetCurrentDisplay","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetCurrentDisplay not available." );
    return ret;
  }

  /* GLX_VERSION_1_3 */

  REGAL_DECL GLXFBConfig *REGAL_CALL glXChooseFBConfig(Display *dpy, int screen, const int *attrib_list, int *nelements)
  {
    App("glXChooseFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXChooseFBConfig)
    {
      GetProcAddress( dispatchTableGlobal.glXChooseFBConfig, "glXChooseFBConfig" );
      RegalAssert(dispatchTableGlobal.glXChooseFBConfig!=glXChooseFBConfig);
      if (dispatchTableGlobal.glXChooseFBConfig==glXChooseFBConfig)
        dispatchTableGlobal.glXChooseFBConfig = NULL;
    }
    GLXFBConfig * ret = NULL;
    if (dispatchTableGlobal.glXChooseFBConfig)
    {
      ret = dispatchTableGlobal.glXChooseFBConfig(dpy, screen, attrib_list, nelements);
      Driver("glXChooseFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXChooseFBConfig not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateNewContext(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
  {
    App("glXCreateNewContext","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
    if (!dispatchTableGlobal.glXCreateNewContext)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateNewContext, "glXCreateNewContext" );
      RegalAssert(dispatchTableGlobal.glXCreateNewContext!=glXCreateNewContext);
      if (dispatchTableGlobal.glXCreateNewContext==glXCreateNewContext)
        dispatchTableGlobal.glXCreateNewContext = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateNewContext)
    {
      ret = dispatchTableGlobal.glXCreateNewContext(dpy, config, render_type, share_list, direct);
      Driver("glXCreateNewContext","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateNewContext not available." );
    if (ret && share_list)
      Init::shareContext(ret,share_list);
    return ret;
  }

  REGAL_DECL GLXPbuffer REGAL_CALL glXCreatePbuffer(Display *dpy, GLXFBConfig config, const int *attrib_list)
  {
    App("glXCreatePbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreatePbuffer)
    {
      GetProcAddress( dispatchTableGlobal.glXCreatePbuffer, "glXCreatePbuffer" );
      RegalAssert(dispatchTableGlobal.glXCreatePbuffer!=glXCreatePbuffer);
      if (dispatchTableGlobal.glXCreatePbuffer==glXCreatePbuffer)
        dispatchTableGlobal.glXCreatePbuffer = NULL;
    }
    GLXPbuffer ret = 0;
    if (dispatchTableGlobal.glXCreatePbuffer)
    {
      ret = dispatchTableGlobal.glXCreatePbuffer(dpy, config, attrib_list);
      Driver("glXCreatePbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreatePbuffer not available." );
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreatePixmap(Display *dpy, GLXFBConfig config, Pixmap pixmap, const int *attrib_list)
  {
    App("glXCreatePixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreatePixmap)
    {
      GetProcAddress( dispatchTableGlobal.glXCreatePixmap, "glXCreatePixmap" );
      RegalAssert(dispatchTableGlobal.glXCreatePixmap!=glXCreatePixmap);
      if (dispatchTableGlobal.glXCreatePixmap==glXCreatePixmap)
        dispatchTableGlobal.glXCreatePixmap = NULL;
    }
    GLXPixmap ret = 0;
    if (dispatchTableGlobal.glXCreatePixmap)
    {
      ret = dispatchTableGlobal.glXCreatePixmap(dpy, config, pixmap, attrib_list);
      Driver("glXCreatePixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreatePixmap not available." );
    return ret;
  }

  REGAL_DECL GLXWindow REGAL_CALL glXCreateWindow(Display *dpy, GLXFBConfig config, Window win, const int *attrib_list)
  {
    App("glXCreateWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", win, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateWindow)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateWindow, "glXCreateWindow" );
      RegalAssert(dispatchTableGlobal.glXCreateWindow!=glXCreateWindow);
      if (dispatchTableGlobal.glXCreateWindow==glXCreateWindow)
        dispatchTableGlobal.glXCreateWindow = NULL;
    }
    GLXWindow ret = 0;
    if (dispatchTableGlobal.glXCreateWindow)
    {
      ret = dispatchTableGlobal.glXCreateWindow(dpy, config, win, attrib_list);
      Driver("glXCreateWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", win, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateWindow not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyPbuffer(Display *dpy, GLXPbuffer pbuf)
  {
    App("glXDestroyPbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyPbuffer)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyPbuffer, "glXDestroyPbuffer" );
      RegalAssert(dispatchTableGlobal.glXDestroyPbuffer!=glXDestroyPbuffer);
      if (dispatchTableGlobal.glXDestroyPbuffer==glXDestroyPbuffer)
        dispatchTableGlobal.glXDestroyPbuffer = NULL;
    }
    if (dispatchTableGlobal.glXDestroyPbuffer)
    {
      dispatchTableGlobal.glXDestroyPbuffer(dpy, pbuf);
      Driver("glXDestroyPbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    }
    else
      Warning( "glXDestroyPbuffer not available." );
  }

  REGAL_DECL void REGAL_CALL glXDestroyPixmap(Display *dpy, GLXPixmap pixmap)
  {
    App("glXDestroyPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyPixmap)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyPixmap, "glXDestroyPixmap" );
      RegalAssert(dispatchTableGlobal.glXDestroyPixmap!=glXDestroyPixmap);
      if (dispatchTableGlobal.glXDestroyPixmap==glXDestroyPixmap)
        dispatchTableGlobal.glXDestroyPixmap = NULL;
    }
    if (dispatchTableGlobal.glXDestroyPixmap)
    {
      dispatchTableGlobal.glXDestroyPixmap(dpy, pixmap);
      Driver("glXDestroyPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    }
    else
      Warning( "glXDestroyPixmap not available." );
  }

  REGAL_DECL void REGAL_CALL glXDestroyWindow(Display *dpy, GLXWindow win)
  {
    App("glXDestroyWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyWindow)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyWindow, "glXDestroyWindow" );
      RegalAssert(dispatchTableGlobal.glXDestroyWindow!=glXDestroyWindow);
      if (dispatchTableGlobal.glXDestroyWindow==glXDestroyWindow)
        dispatchTableGlobal.glXDestroyWindow = NULL;
    }
    if (dispatchTableGlobal.glXDestroyWindow)
    {
      dispatchTableGlobal.glXDestroyWindow(dpy, win);
      Driver("glXDestroyWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ")");
    }
    else
      Warning( "glXDestroyWindow not available." );
  }

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentReadDrawable(void)
  {
    App("glXGetCurrentReadDrawable","()");
    if (!dispatchTableGlobal.glXGetCurrentReadDrawable)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentReadDrawable, "glXGetCurrentReadDrawable" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentReadDrawable!=glXGetCurrentReadDrawable);
      if (dispatchTableGlobal.glXGetCurrentReadDrawable==glXGetCurrentReadDrawable)
        dispatchTableGlobal.glXGetCurrentReadDrawable = NULL;
    }
    GLXDrawable ret = (GLXDrawable) 0;
    if (dispatchTableGlobal.glXGetCurrentReadDrawable)
    {
      ret = dispatchTableGlobal.glXGetCurrentReadDrawable();
      Driver("glXGetCurrentReadDrawable","()", " returned ", ret);
    }
    else
      Warning( "glXGetCurrentReadDrawable not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetFBConfigAttrib(Display *dpy, GLXFBConfig config, int attribute, int *value)
  {
    App("glXGetFBConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ")");
    if (!dispatchTableGlobal.glXGetFBConfigAttrib)
    {
      GetProcAddress( dispatchTableGlobal.glXGetFBConfigAttrib, "glXGetFBConfigAttrib" );
      RegalAssert(dispatchTableGlobal.glXGetFBConfigAttrib!=glXGetFBConfigAttrib);
      if (dispatchTableGlobal.glXGetFBConfigAttrib==glXGetFBConfigAttrib)
        dispatchTableGlobal.glXGetFBConfigAttrib = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetFBConfigAttrib)
    {
      ret = dispatchTableGlobal.glXGetFBConfigAttrib(dpy, config, attribute, value);
      Driver("glXGetFBConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ")", " returned ", ret);
    }
    else
      Warning( "glXGetFBConfigAttrib not available." );
    return ret;
  }

  REGAL_DECL GLXFBConfig *REGAL_CALL glXGetFBConfigs(Display *dpy, int screen, int *nelements)
  {
    App("glXGetFBConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXGetFBConfigs)
    {
      GetProcAddress( dispatchTableGlobal.glXGetFBConfigs, "glXGetFBConfigs" );
      RegalAssert(dispatchTableGlobal.glXGetFBConfigs!=glXGetFBConfigs);
      if (dispatchTableGlobal.glXGetFBConfigs==glXGetFBConfigs)
        dispatchTableGlobal.glXGetFBConfigs = NULL;
    }
    GLXFBConfig * ret = NULL;
    if (dispatchTableGlobal.glXGetFBConfigs)
    {
      ret = dispatchTableGlobal.glXGetFBConfigs(dpy, screen, nelements);
      Driver("glXGetFBConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXGetFBConfigs not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXGetSelectedEvent(Display *dpy, GLXDrawable draw, unsigned long *event_mask)
  {
    App("glXGetSelectedEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ")");
    if (!dispatchTableGlobal.glXGetSelectedEvent)
    {
      GetProcAddress( dispatchTableGlobal.glXGetSelectedEvent, "glXGetSelectedEvent" );
      RegalAssert(dispatchTableGlobal.glXGetSelectedEvent!=glXGetSelectedEvent);
      if (dispatchTableGlobal.glXGetSelectedEvent==glXGetSelectedEvent)
        dispatchTableGlobal.glXGetSelectedEvent = NULL;
    }
    if (dispatchTableGlobal.glXGetSelectedEvent)
    {
      dispatchTableGlobal.glXGetSelectedEvent(dpy, draw, event_mask);
      Driver("glXGetSelectedEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ")");
    }
    else
      Warning( "glXGetSelectedEvent not available." );
  }

  REGAL_DECL XVisualInfo *REGAL_CALL glXGetVisualFromFBConfig(Display *dpy, GLXFBConfig config)
  {
    App("glXGetVisualFromFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
    if (!dispatchTableGlobal.glXGetVisualFromFBConfig)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVisualFromFBConfig, "glXGetVisualFromFBConfig" );
      RegalAssert(dispatchTableGlobal.glXGetVisualFromFBConfig!=glXGetVisualFromFBConfig);
      if (dispatchTableGlobal.glXGetVisualFromFBConfig==glXGetVisualFromFBConfig)
        dispatchTableGlobal.glXGetVisualFromFBConfig = NULL;
    }
    XVisualInfo * ret = NULL;
    if (dispatchTableGlobal.glXGetVisualFromFBConfig)
    {
      ret = dispatchTableGlobal.glXGetVisualFromFBConfig(dpy, config);
      Driver("glXGetVisualFromFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetVisualFromFBConfig not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeContextCurrent(Display *display, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
  {
    App("glXMakeContextCurrent","(", boost::print::optional(display,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXMakeContextCurrent)
    {
      GetProcAddress( dispatchTableGlobal.glXMakeContextCurrent, "glXMakeContextCurrent" );
      RegalAssert(dispatchTableGlobal.glXMakeContextCurrent!=glXMakeContextCurrent);
      if (dispatchTableGlobal.glXMakeContextCurrent==glXMakeContextCurrent)
        dispatchTableGlobal.glXMakeContextCurrent = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXMakeContextCurrent)
    {
      ret = dispatchTableGlobal.glXMakeContextCurrent(display, draw, read, ctx);
      Driver("glXMakeContextCurrent","(", boost::print::optional(display,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
      Init::makeCurrent(RegalSystemContext(ctx));
    }
    else
      Warning( "glXMakeContextCurrent not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryContext(Display *dpy, GLXContext ctx, int attribute, int *value)
  {
    App("glXQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", GLXenumToString(attribute), ")");
    if (!dispatchTableGlobal.glXQueryContext)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryContext, "glXQueryContext" );
      RegalAssert(dispatchTableGlobal.glXQueryContext!=glXQueryContext);
      if (dispatchTableGlobal.glXQueryContext==glXQueryContext)
        dispatchTableGlobal.glXQueryContext = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXQueryContext)
    {
      ret = dispatchTableGlobal.glXQueryContext(dpy, ctx, attribute, value);
      Driver("glXQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", GLXenumToString(attribute), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryContext not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXQueryDrawable(Display *dpy, GLXDrawable draw, int attribute, unsigned int *value)
  {
    App("glXQueryDrawable","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", attribute, ")");
    if (!dispatchTableGlobal.glXQueryDrawable)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryDrawable, "glXQueryDrawable" );
      RegalAssert(dispatchTableGlobal.glXQueryDrawable!=glXQueryDrawable);
      if (dispatchTableGlobal.glXQueryDrawable==glXQueryDrawable)
        dispatchTableGlobal.glXQueryDrawable = NULL;
    }
    if (dispatchTableGlobal.glXQueryDrawable)
    {
      dispatchTableGlobal.glXQueryDrawable(dpy, draw, attribute, value);
      Driver("glXQueryDrawable","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", attribute, ")");
    }
    else
      Warning( "glXQueryDrawable not available." );
  }

  REGAL_DECL void REGAL_CALL glXSelectEvent(Display *dpy, GLXDrawable draw, unsigned long event_mask)
  {
    App("glXSelectEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", event_mask, ")");
    if (!dispatchTableGlobal.glXSelectEvent)
    {
      GetProcAddress( dispatchTableGlobal.glXSelectEvent, "glXSelectEvent" );
      RegalAssert(dispatchTableGlobal.glXSelectEvent!=glXSelectEvent);
      if (dispatchTableGlobal.glXSelectEvent==glXSelectEvent)
        dispatchTableGlobal.glXSelectEvent = NULL;
    }
    if (dispatchTableGlobal.glXSelectEvent)
    {
      dispatchTableGlobal.glXSelectEvent(dpy, draw, event_mask);
      Driver("glXSelectEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", event_mask, ")");
    }
    else
      Warning( "glXSelectEvent not available." );
  }

  /* GLX_VERSION_1_4 */

  REGAL_DECL __GLXextFuncPtr REGAL_CALL glXGetProcAddress(const GLubyte *procName)
  {
    App("glXGetProcAddress","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
    Init::init();
    if (!dispatchTableGlobal.glXGetProcAddress)
    {
      GetProcAddress( dispatchTableGlobal.glXGetProcAddress, "glXGetProcAddress" );
      RegalAssert(dispatchTableGlobal.glXGetProcAddress!=glXGetProcAddress);
      if (dispatchTableGlobal.glXGetProcAddress==glXGetProcAddress)
        dispatchTableGlobal.glXGetProcAddress = NULL;
    }
    __GLXextFuncPtr ret = NULL;
    ret = Lookup::gl_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = Lookup::glx_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    if (dispatchTableGlobal.glXGetProcAddress)
    {
      ret = dispatchTableGlobal.glXGetProcAddress(procName);
      Driver("glXGetProcAddress","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetProcAddress not available." );
    return ret;
  }

  /* GLX_AMD_gpu_association */

  REGAL_DECL void REGAL_CALL glXBlitContextFramebufferAMD(GLXContext dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    App("glXBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ")");
    if (!dispatchTableGlobal.glXBlitContextFramebufferAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXBlitContextFramebufferAMD, "glXBlitContextFramebufferAMD" );
      RegalAssert(dispatchTableGlobal.glXBlitContextFramebufferAMD!=glXBlitContextFramebufferAMD);
      if (dispatchTableGlobal.glXBlitContextFramebufferAMD==glXBlitContextFramebufferAMD)
        dispatchTableGlobal.glXBlitContextFramebufferAMD = NULL;
    }
    if (dispatchTableGlobal.glXBlitContextFramebufferAMD)
    {
      dispatchTableGlobal.glXBlitContextFramebufferAMD(dstCtx, srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
      Driver("glXBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ")");
    }
    else
      Warning( "glXBlitContextFramebufferAMD not available." );
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateAssociatedContextAMD(unsigned int id, GLXContext share_list)
  {
    App("glXCreateAssociatedContextAMD","(", id, ", ", boost::print::optional(share_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateAssociatedContextAMD, "glXCreateAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.glXCreateAssociatedContextAMD!=glXCreateAssociatedContextAMD);
      if (dispatchTableGlobal.glXCreateAssociatedContextAMD==glXCreateAssociatedContextAMD)
        dispatchTableGlobal.glXCreateAssociatedContextAMD = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.glXCreateAssociatedContextAMD(id, share_list);
      Driver("glXCreateAssociatedContextAMD","(", id, ", ", boost::print::optional(share_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateAssociatedContextAttribsAMD(unsigned int id, GLXContext share_context, const int *attribList)
  {
    App("glXCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(share_context,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD, "glXCreateAssociatedContextAttribsAMD" );
      RegalAssert(dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD!=glXCreateAssociatedContextAttribsAMD);
      if (dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD==glXCreateAssociatedContextAttribsAMD)
        dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD)
    {
      ret = dispatchTableGlobal.glXCreateAssociatedContextAttribsAMD(id, share_context, attribList);
      Driver("glXCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(share_context,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateAssociatedContextAttribsAMD not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXDeleteAssociatedContextAMD(GLXContext ctx)
  {
    App("glXDeleteAssociatedContextAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDeleteAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXDeleteAssociatedContextAMD, "glXDeleteAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.glXDeleteAssociatedContextAMD!=glXDeleteAssociatedContextAMD);
      if (dispatchTableGlobal.glXDeleteAssociatedContextAMD==glXDeleteAssociatedContextAMD)
        dispatchTableGlobal.glXDeleteAssociatedContextAMD = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXDeleteAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.glXDeleteAssociatedContextAMD(ctx);
      Driver("glXDeleteAssociatedContextAMD","(", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXDeleteAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL unsigned int REGAL_CALL glXGetContextGPUIDAMD(GLXContext ctx)
  {
    App("glXGetContextGPUIDAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXGetContextGPUIDAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXGetContextGPUIDAMD, "glXGetContextGPUIDAMD" );
      RegalAssert(dispatchTableGlobal.glXGetContextGPUIDAMD!=glXGetContextGPUIDAMD);
      if (dispatchTableGlobal.glXGetContextGPUIDAMD==glXGetContextGPUIDAMD)
        dispatchTableGlobal.glXGetContextGPUIDAMD = NULL;
    }
    unsigned int ret = (unsigned int) 0;
    if (dispatchTableGlobal.glXGetContextGPUIDAMD)
    {
      ret = dispatchTableGlobal.glXGetContextGPUIDAMD(ctx);
      Driver("glXGetContextGPUIDAMD","(", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXGetContextGPUIDAMD not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXGetCurrentAssociatedContextAMD(void)
  {
    App("glXGetCurrentAssociatedContextAMD","()");
    if (!dispatchTableGlobal.glXGetCurrentAssociatedContextAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentAssociatedContextAMD, "glXGetCurrentAssociatedContextAMD" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentAssociatedContextAMD!=glXGetCurrentAssociatedContextAMD);
      if (dispatchTableGlobal.glXGetCurrentAssociatedContextAMD==glXGetCurrentAssociatedContextAMD)
        dispatchTableGlobal.glXGetCurrentAssociatedContextAMD = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXGetCurrentAssociatedContextAMD)
    {
      ret = dispatchTableGlobal.glXGetCurrentAssociatedContextAMD();
      Driver("glXGetCurrentAssociatedContextAMD","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetCurrentAssociatedContextAMD not available." );
    return ret;
  }

  REGAL_DECL unsigned int REGAL_CALL glXGetGPUIDsAMD(unsigned int maxCount, unsigned int *ids)
  {
    App("glXGetGPUIDsAMD","(", maxCount, ", ", ids, ")");
    if (!dispatchTableGlobal.glXGetGPUIDsAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXGetGPUIDsAMD, "glXGetGPUIDsAMD" );
      RegalAssert(dispatchTableGlobal.glXGetGPUIDsAMD!=glXGetGPUIDsAMD);
      if (dispatchTableGlobal.glXGetGPUIDsAMD==glXGetGPUIDsAMD)
        dispatchTableGlobal.glXGetGPUIDsAMD = NULL;
    }
    unsigned int ret = (unsigned int) 0;
    if (dispatchTableGlobal.glXGetGPUIDsAMD)
    {
      ret = dispatchTableGlobal.glXGetGPUIDsAMD(maxCount, ids);
      Driver("glXGetGPUIDsAMD","(", maxCount, ", ", ids, ")", " returned ", ret);
    }
    else
      Warning( "glXGetGPUIDsAMD not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetGPUInfoAMD(unsigned int id, int property, GLenum dataType, unsigned int size, GLvoid *data)
  {
    App("glXGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXGetGPUInfoAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXGetGPUInfoAMD, "glXGetGPUInfoAMD" );
      RegalAssert(dispatchTableGlobal.glXGetGPUInfoAMD!=glXGetGPUInfoAMD);
      if (dispatchTableGlobal.glXGetGPUInfoAMD==glXGetGPUInfoAMD)
        dispatchTableGlobal.glXGetGPUInfoAMD = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetGPUInfoAMD)
    {
      ret = dispatchTableGlobal.glXGetGPUInfoAMD(id, property, dataType, size, data);
      Driver("glXGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXGetGPUInfoAMD not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeAssociatedContextCurrentAMD(GLXContext ctx)
  {
    App("glXMakeAssociatedContextCurrentAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD)
    {
      GetProcAddress( dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD, "glXMakeAssociatedContextCurrentAMD" );
      RegalAssert(dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD!=glXMakeAssociatedContextCurrentAMD);
      if (dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD==glXMakeAssociatedContextCurrentAMD)
        dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD)
    {
      ret = dispatchTableGlobal.glXMakeAssociatedContextCurrentAMD(ctx);
      Driver("glXMakeAssociatedContextCurrentAMD","(", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXMakeAssociatedContextCurrentAMD not available." );
    return ret;
  }

  /* GLX_ARB_create_context */

  REGAL_DECL GLXContext REGAL_CALL glXCreateContextAttribsARB(Display *dpy, GLXFBConfig config, GLXContext share_context, Bool direct, const int *attrib_list)
  {
    App("glXCreateContextAttribsARB","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(share_context,Logging::pointers), ", ", direct, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateContextAttribsARB)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateContextAttribsARB, "glXCreateContextAttribsARB" );
      RegalAssert(dispatchTableGlobal.glXCreateContextAttribsARB!=glXCreateContextAttribsARB);
      if (dispatchTableGlobal.glXCreateContextAttribsARB==glXCreateContextAttribsARB)
        dispatchTableGlobal.glXCreateContextAttribsARB = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateContextAttribsARB)
    {
      ret = dispatchTableGlobal.glXCreateContextAttribsARB(dpy, config, share_context, direct, attrib_list);
      Driver("glXCreateContextAttribsARB","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(share_context,Logging::pointers), ", ", direct, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateContextAttribsARB not available." );
    if (ret && share_context)
      Init::shareContext(ret,share_context);
    return ret;
  }

  /* GLX_ARB_get_proc_address */

  REGAL_DECL __GLXextFuncPtr REGAL_CALL glXGetProcAddressARB(const GLubyte *procName)
  {
    App("glXGetProcAddressARB","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
    if (!dispatchTableGlobal.glXGetProcAddressARB)
    {
      GetProcAddress( dispatchTableGlobal.glXGetProcAddressARB, "glXGetProcAddressARB" );
      RegalAssert(dispatchTableGlobal.glXGetProcAddressARB!=glXGetProcAddressARB);
      if (dispatchTableGlobal.glXGetProcAddressARB==glXGetProcAddressARB)
        dispatchTableGlobal.glXGetProcAddressARB = NULL;
    }
    __GLXextFuncPtr ret = NULL;
    ret = Lookup::gl_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = Lookup::glx_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    if (dispatchTableGlobal.glXGetProcAddressARB)
    {
      ret = dispatchTableGlobal.glXGetProcAddressARB(procName);
      Driver("glXGetProcAddressARB","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetProcAddressARB not available." );
    return ret;
  }

  /* GLX_ATI_render_texture */

  REGAL_DECL void REGAL_CALL glXBindTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
  {
    App("glXBindTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    if (!dispatchTableGlobal.glXBindTexImageATI)
    {
      GetProcAddress( dispatchTableGlobal.glXBindTexImageATI, "glXBindTexImageATI" );
      RegalAssert(dispatchTableGlobal.glXBindTexImageATI!=glXBindTexImageATI);
      if (dispatchTableGlobal.glXBindTexImageATI==glXBindTexImageATI)
        dispatchTableGlobal.glXBindTexImageATI = NULL;
    }
    if (dispatchTableGlobal.glXBindTexImageATI)
    {
      dispatchTableGlobal.glXBindTexImageATI(dpy, pbuf, buffer);
      Driver("glXBindTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    }
    else
      Warning( "glXBindTexImageATI not available." );
  }

  REGAL_DECL void REGAL_CALL glXDrawableAttribATI(Display *dpy, GLXDrawable draw, const int *attrib_list)
  {
    App("glXDrawableAttribATI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDrawableAttribATI)
    {
      GetProcAddress( dispatchTableGlobal.glXDrawableAttribATI, "glXDrawableAttribATI" );
      RegalAssert(dispatchTableGlobal.glXDrawableAttribATI!=glXDrawableAttribATI);
      if (dispatchTableGlobal.glXDrawableAttribATI==glXDrawableAttribATI)
        dispatchTableGlobal.glXDrawableAttribATI = NULL;
    }
    if (dispatchTableGlobal.glXDrawableAttribATI)
    {
      dispatchTableGlobal.glXDrawableAttribATI(dpy, draw, attrib_list);
      Driver("glXDrawableAttribATI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    }
    else
      Warning( "glXDrawableAttribATI not available." );
  }

  REGAL_DECL void REGAL_CALL glXReleaseTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
  {
    App("glXReleaseTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    if (!dispatchTableGlobal.glXReleaseTexImageATI)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseTexImageATI, "glXReleaseTexImageATI" );
      RegalAssert(dispatchTableGlobal.glXReleaseTexImageATI!=glXReleaseTexImageATI);
      if (dispatchTableGlobal.glXReleaseTexImageATI==glXReleaseTexImageATI)
        dispatchTableGlobal.glXReleaseTexImageATI = NULL;
    }
    if (dispatchTableGlobal.glXReleaseTexImageATI)
    {
      dispatchTableGlobal.glXReleaseTexImageATI(dpy, pbuf, buffer);
      Driver("glXReleaseTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    }
    else
      Warning( "glXReleaseTexImageATI not available." );
  }

  /* GLX_EXT_import_context */

  REGAL_DECL void REGAL_CALL glXFreeContextEXT(Display *dpy, GLXContext context)
  {
    App("glXFreeContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXFreeContextEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXFreeContextEXT, "glXFreeContextEXT" );
      RegalAssert(dispatchTableGlobal.glXFreeContextEXT!=glXFreeContextEXT);
      if (dispatchTableGlobal.glXFreeContextEXT==glXFreeContextEXT)
        dispatchTableGlobal.glXFreeContextEXT = NULL;
    }
    if (dispatchTableGlobal.glXFreeContextEXT)
    {
      dispatchTableGlobal.glXFreeContextEXT(dpy, context);
      Driver("glXFreeContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ")");
    }
    else
      Warning( "glXFreeContextEXT not available." );
  }

  REGAL_DECL GLXContextID REGAL_CALL glXGetContextIDEXT(const GLXContext context)
  {
    App("glXGetContextIDEXT","(", context, ")");
    if (!dispatchTableGlobal.glXGetContextIDEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXGetContextIDEXT, "glXGetContextIDEXT" );
      RegalAssert(dispatchTableGlobal.glXGetContextIDEXT!=glXGetContextIDEXT);
      if (dispatchTableGlobal.glXGetContextIDEXT==glXGetContextIDEXT)
        dispatchTableGlobal.glXGetContextIDEXT = NULL;
    }
    GLXContextID ret = 0;
    if (dispatchTableGlobal.glXGetContextIDEXT)
    {
      ret = dispatchTableGlobal.glXGetContextIDEXT(context);
      Driver("glXGetContextIDEXT","(", context, ")", " returned ", ret);
    }
    else
      Warning( "glXGetContextIDEXT not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXImportContextEXT(Display *dpy, GLXContextID contextID)
  {
    App("glXImportContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", contextID, ")");
    if (!dispatchTableGlobal.glXImportContextEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXImportContextEXT, "glXImportContextEXT" );
      RegalAssert(dispatchTableGlobal.glXImportContextEXT!=glXImportContextEXT);
      if (dispatchTableGlobal.glXImportContextEXT==glXImportContextEXT)
        dispatchTableGlobal.glXImportContextEXT = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXImportContextEXT)
    {
      ret = dispatchTableGlobal.glXImportContextEXT(dpy, contextID);
      Driver("glXImportContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", contextID, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXImportContextEXT not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryContextInfoEXT(Display *dpy, GLXContext context, int attribute, int *value)
  {
    App("glXQueryContextInfoEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ", ", attribute, ")");
    if (!dispatchTableGlobal.glXQueryContextInfoEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryContextInfoEXT, "glXQueryContextInfoEXT" );
      RegalAssert(dispatchTableGlobal.glXQueryContextInfoEXT!=glXQueryContextInfoEXT);
      if (dispatchTableGlobal.glXQueryContextInfoEXT==glXQueryContextInfoEXT)
        dispatchTableGlobal.glXQueryContextInfoEXT = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXQueryContextInfoEXT)
    {
      ret = dispatchTableGlobal.glXQueryContextInfoEXT(dpy, context, attribute, value);
      Driver("glXQueryContextInfoEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ", ", attribute, ")", " returned ", ret);
    }
    else
      Warning( "glXQueryContextInfoEXT not available." );
    return ret;
  }

  /* GLX_EXT_swap_control */

  REGAL_DECL void REGAL_CALL glXSwapIntervalEXT(Display *dpy, GLXDrawable drawable, int interval)
  {
    App("glXSwapIntervalEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", interval, ")");
    if (!dispatchTableGlobal.glXSwapIntervalEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXSwapIntervalEXT, "glXSwapIntervalEXT" );
      RegalAssert(dispatchTableGlobal.glXSwapIntervalEXT!=glXSwapIntervalEXT);
      if (dispatchTableGlobal.glXSwapIntervalEXT==glXSwapIntervalEXT)
        dispatchTableGlobal.glXSwapIntervalEXT = NULL;
    }
    if (dispatchTableGlobal.glXSwapIntervalEXT)
    {
      dispatchTableGlobal.glXSwapIntervalEXT(dpy, drawable, interval);
      Driver("glXSwapIntervalEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", interval, ")");
    }
    else
      Warning( "glXSwapIntervalEXT not available." );
  }

  /* GLX_EXT_texture_from_pixmap */

  REGAL_DECL void REGAL_CALL glXBindTexImageEXT(Display *display, GLXDrawable drawable, int buffer, const int *attrib_list)
  {
    App("glXBindTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXBindTexImageEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXBindTexImageEXT, "glXBindTexImageEXT" );
      RegalAssert(dispatchTableGlobal.glXBindTexImageEXT!=glXBindTexImageEXT);
      if (dispatchTableGlobal.glXBindTexImageEXT==glXBindTexImageEXT)
        dispatchTableGlobal.glXBindTexImageEXT = NULL;
    }
    if (dispatchTableGlobal.glXBindTexImageEXT)
    {
      dispatchTableGlobal.glXBindTexImageEXT(display, drawable, buffer, attrib_list);
      Driver("glXBindTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    }
    else
      Warning( "glXBindTexImageEXT not available." );
  }

  REGAL_DECL void REGAL_CALL glXReleaseTexImageEXT(Display *display, GLXDrawable drawable, int buffer)
  {
    App("glXReleaseTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ")");
    if (!dispatchTableGlobal.glXReleaseTexImageEXT)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseTexImageEXT, "glXReleaseTexImageEXT" );
      RegalAssert(dispatchTableGlobal.glXReleaseTexImageEXT!=glXReleaseTexImageEXT);
      if (dispatchTableGlobal.glXReleaseTexImageEXT==glXReleaseTexImageEXT)
        dispatchTableGlobal.glXReleaseTexImageEXT = NULL;
    }
    if (dispatchTableGlobal.glXReleaseTexImageEXT)
    {
      dispatchTableGlobal.glXReleaseTexImageEXT(display, drawable, buffer);
      Driver("glXReleaseTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ")");
    }
    else
      Warning( "glXReleaseTexImageEXT not available." );
  }

  /* GLX_MESA_agp_offset */

  REGAL_DECL unsigned int REGAL_CALL glXGetAGPOffsetMESA(const void *pointer)
  {
    App("glXGetAGPOffsetMESA","(", boost::print::optional(pointer,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXGetAGPOffsetMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXGetAGPOffsetMESA, "glXGetAGPOffsetMESA" );
      RegalAssert(dispatchTableGlobal.glXGetAGPOffsetMESA!=glXGetAGPOffsetMESA);
      if (dispatchTableGlobal.glXGetAGPOffsetMESA==glXGetAGPOffsetMESA)
        dispatchTableGlobal.glXGetAGPOffsetMESA = NULL;
    }
    unsigned int ret = (unsigned int) 0;
    if (dispatchTableGlobal.glXGetAGPOffsetMESA)
    {
      ret = dispatchTableGlobal.glXGetAGPOffsetMESA(pointer);
      Driver("glXGetAGPOffsetMESA","(", boost::print::optional(pointer,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXGetAGPOffsetMESA not available." );
    return ret;
  }

  /* GLX_MESA_copy_sub_buffer */

  REGAL_DECL void REGAL_CALL glXCopySubBufferMESA(Display *dpy, GLXDrawable drawable, int x, int y, int width, int height)
  {
    App("glXCopySubBufferMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!dispatchTableGlobal.glXCopySubBufferMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXCopySubBufferMESA, "glXCopySubBufferMESA" );
      RegalAssert(dispatchTableGlobal.glXCopySubBufferMESA!=glXCopySubBufferMESA);
      if (dispatchTableGlobal.glXCopySubBufferMESA==glXCopySubBufferMESA)
        dispatchTableGlobal.glXCopySubBufferMESA = NULL;
    }
    if (dispatchTableGlobal.glXCopySubBufferMESA)
    {
      dispatchTableGlobal.glXCopySubBufferMESA(dpy, drawable, x, y, width, height);
      Driver("glXCopySubBufferMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    }
    else
      Warning( "glXCopySubBufferMESA not available." );
  }

  /* GLX_MESA_pixmap_colormap */

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmapMESA(Display *dpy, XVisualInfo *visual, Pixmap pixmap, Colormap cmap)
  {
    App("glXCreateGLXPixmapMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(visual,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", cmap, ")");
    if (!dispatchTableGlobal.glXCreateGLXPixmapMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateGLXPixmapMESA, "glXCreateGLXPixmapMESA" );
      RegalAssert(dispatchTableGlobal.glXCreateGLXPixmapMESA!=glXCreateGLXPixmapMESA);
      if (dispatchTableGlobal.glXCreateGLXPixmapMESA==glXCreateGLXPixmapMESA)
        dispatchTableGlobal.glXCreateGLXPixmapMESA = NULL;
    }
    GLXPixmap ret = 0;
    if (dispatchTableGlobal.glXCreateGLXPixmapMESA)
    {
      ret = dispatchTableGlobal.glXCreateGLXPixmapMESA(dpy, visual, pixmap, cmap);
      Driver("glXCreateGLXPixmapMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(visual,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", cmap, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateGLXPixmapMESA not available." );
    return ret;
  }

  /* GLX_MESA_release_buffers */

  REGAL_DECL Bool REGAL_CALL glXReleaseBuffersMESA(Display *dpy, GLXDrawable d)
  {
    App("glXReleaseBuffersMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", d, ")");
    if (!dispatchTableGlobal.glXReleaseBuffersMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseBuffersMESA, "glXReleaseBuffersMESA" );
      RegalAssert(dispatchTableGlobal.glXReleaseBuffersMESA!=glXReleaseBuffersMESA);
      if (dispatchTableGlobal.glXReleaseBuffersMESA==glXReleaseBuffersMESA)
        dispatchTableGlobal.glXReleaseBuffersMESA = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXReleaseBuffersMESA)
    {
      ret = dispatchTableGlobal.glXReleaseBuffersMESA(dpy, d);
      Driver("glXReleaseBuffersMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", d, ")", " returned ", ret);
    }
    else
      Warning( "glXReleaseBuffersMESA not available." );
    return ret;
  }

  /* GLX_MESA_set_3dfx_mode */

  REGAL_DECL GLboolean REGAL_CALL glXSet3DfxModeMESA(GLint mode)
  {
    App("glXSet3DfxModeMESA","(", mode, ")");
    if (!dispatchTableGlobal.glXSet3DfxModeMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXSet3DfxModeMESA, "glXSet3DfxModeMESA" );
      RegalAssert(dispatchTableGlobal.glXSet3DfxModeMESA!=glXSet3DfxModeMESA);
      if (dispatchTableGlobal.glXSet3DfxModeMESA==glXSet3DfxModeMESA)
        dispatchTableGlobal.glXSet3DfxModeMESA = NULL;
    }
    GLboolean ret = GL_FALSE;
    if (dispatchTableGlobal.glXSet3DfxModeMESA)
    {
      ret = dispatchTableGlobal.glXSet3DfxModeMESA(mode);
      Driver("glXSet3DfxModeMESA","(", mode, ")", " returned ", toString(ret));
    }
    else
      Warning( "glXSet3DfxModeMESA not available." );
    return ret;
  }

  /* GLX_MESA_swap_control */

  REGAL_DECL int REGAL_CALL glXGetSwapIntervalMESA(void)
  {
    App("glXGetSwapIntervalMESA","()");
    if (!dispatchTableGlobal.glXGetSwapIntervalMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXGetSwapIntervalMESA, "glXGetSwapIntervalMESA" );
      RegalAssert(dispatchTableGlobal.glXGetSwapIntervalMESA!=glXGetSwapIntervalMESA);
      if (dispatchTableGlobal.glXGetSwapIntervalMESA==glXGetSwapIntervalMESA)
        dispatchTableGlobal.glXGetSwapIntervalMESA = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetSwapIntervalMESA)
    {
      ret = dispatchTableGlobal.glXGetSwapIntervalMESA();
      Driver("glXGetSwapIntervalMESA","()", " returned ", ret);
    }
    else
      Warning( "glXGetSwapIntervalMESA not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXSwapIntervalMESA(unsigned int interval)
  {
    App("glXSwapIntervalMESA","(", interval, ")");
    if (!dispatchTableGlobal.glXSwapIntervalMESA)
    {
      GetProcAddress( dispatchTableGlobal.glXSwapIntervalMESA, "glXSwapIntervalMESA" );
      RegalAssert(dispatchTableGlobal.glXSwapIntervalMESA!=glXSwapIntervalMESA);
      if (dispatchTableGlobal.glXSwapIntervalMESA==glXSwapIntervalMESA)
        dispatchTableGlobal.glXSwapIntervalMESA = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXSwapIntervalMESA)
    {
      ret = dispatchTableGlobal.glXSwapIntervalMESA(interval);
      Driver("glXSwapIntervalMESA","(", interval, ")", " returned ", ret);
    }
    else
      Warning( "glXSwapIntervalMESA not available." );
    return ret;
  }

  /* GLX_NV_copy_image */

  REGAL_DECL void REGAL_CALL glXCopyImageSubDataNV(Display *dpy, GLXContext srcCtx, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLXContext dstCtx, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    App("glXCopyImageSubDataNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(srcCtx,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(dstCtx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCopyImageSubDataNV)
    {
      GetProcAddress( dispatchTableGlobal.glXCopyImageSubDataNV, "glXCopyImageSubDataNV" );
      RegalAssert(dispatchTableGlobal.glXCopyImageSubDataNV!=glXCopyImageSubDataNV);
      if (dispatchTableGlobal.glXCopyImageSubDataNV==glXCopyImageSubDataNV)
        dispatchTableGlobal.glXCopyImageSubDataNV = NULL;
    }
    if (dispatchTableGlobal.glXCopyImageSubDataNV)
    {
      dispatchTableGlobal.glXCopyImageSubDataNV(dpy, srcCtx, srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstCtx, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
      Driver("glXCopyImageSubDataNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(srcCtx,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(dstCtx,Logging::pointers), ")");
    }
    else
      Warning( "glXCopyImageSubDataNV not available." );
  }

  /* GLX_NV_present_video */

  REGAL_DECL int REGAL_CALL glXBindVideoDeviceNV(Display *dpy, unsigned int video_slot, unsigned int video_device, const int *attrib_list)
  {
    App("glXBindVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_slot, ", ", video_device, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXBindVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXBindVideoDeviceNV, "glXBindVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXBindVideoDeviceNV!=glXBindVideoDeviceNV);
      if (dispatchTableGlobal.glXBindVideoDeviceNV==glXBindVideoDeviceNV)
        dispatchTableGlobal.glXBindVideoDeviceNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXBindVideoDeviceNV)
    {
      ret = dispatchTableGlobal.glXBindVideoDeviceNV(dpy, video_slot, video_device, attrib_list);
      Driver("glXBindVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_slot, ", ", video_device, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXBindVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL unsigned int *REGAL_CALL glXEnumerateVideoDevicesNV(Display *dpy, int screen, int *nelements)
  {
    App("glXEnumerateVideoDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXEnumerateVideoDevicesNV)
    {
      GetProcAddress( dispatchTableGlobal.glXEnumerateVideoDevicesNV, "glXEnumerateVideoDevicesNV" );
      RegalAssert(dispatchTableGlobal.glXEnumerateVideoDevicesNV!=glXEnumerateVideoDevicesNV);
      if (dispatchTableGlobal.glXEnumerateVideoDevicesNV==glXEnumerateVideoDevicesNV)
        dispatchTableGlobal.glXEnumerateVideoDevicesNV = NULL;
    }
    unsigned int * ret = NULL;
    if (dispatchTableGlobal.glXEnumerateVideoDevicesNV)
    {
      ret = dispatchTableGlobal.glXEnumerateVideoDevicesNV(dpy, screen, nelements);
      Driver("glXEnumerateVideoDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXEnumerateVideoDevicesNV not available." );
    return ret;
  }

  /* GLX_NV_swap_group */

  REGAL_DECL Bool REGAL_CALL glXBindSwapBarrierNV(Display *dpy, GLuint group, GLuint barrier)
  {
    App("glXBindSwapBarrierNV","(", boost::print::optional(dpy,Logging::pointers), ", ", group, ", ", barrier, ")");
    if (!dispatchTableGlobal.glXBindSwapBarrierNV)
    {
      GetProcAddress( dispatchTableGlobal.glXBindSwapBarrierNV, "glXBindSwapBarrierNV" );
      RegalAssert(dispatchTableGlobal.glXBindSwapBarrierNV!=glXBindSwapBarrierNV);
      if (dispatchTableGlobal.glXBindSwapBarrierNV==glXBindSwapBarrierNV)
        dispatchTableGlobal.glXBindSwapBarrierNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXBindSwapBarrierNV)
    {
      ret = dispatchTableGlobal.glXBindSwapBarrierNV(dpy, group, barrier);
      Driver("glXBindSwapBarrierNV","(", boost::print::optional(dpy,Logging::pointers), ", ", group, ", ", barrier, ")", " returned ", ret);
    }
    else
      Warning( "glXBindSwapBarrierNV not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXJoinSwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint group)
  {
    App("glXJoinSwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", group, ")");
    if (!dispatchTableGlobal.glXJoinSwapGroupNV)
    {
      GetProcAddress( dispatchTableGlobal.glXJoinSwapGroupNV, "glXJoinSwapGroupNV" );
      RegalAssert(dispatchTableGlobal.glXJoinSwapGroupNV!=glXJoinSwapGroupNV);
      if (dispatchTableGlobal.glXJoinSwapGroupNV==glXJoinSwapGroupNV)
        dispatchTableGlobal.glXJoinSwapGroupNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXJoinSwapGroupNV)
    {
      ret = dispatchTableGlobal.glXJoinSwapGroupNV(dpy, drawable, group);
      Driver("glXJoinSwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", group, ")", " returned ", ret);
    }
    else
      Warning( "glXJoinSwapGroupNV not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryFrameCountNV(Display *dpy, int screen, GLuint *count)
  {
    App("glXQueryFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXQueryFrameCountNV)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryFrameCountNV, "glXQueryFrameCountNV" );
      RegalAssert(dispatchTableGlobal.glXQueryFrameCountNV!=glXQueryFrameCountNV);
      if (dispatchTableGlobal.glXQueryFrameCountNV==glXQueryFrameCountNV)
        dispatchTableGlobal.glXQueryFrameCountNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQueryFrameCountNV)
    {
      ret = dispatchTableGlobal.glXQueryFrameCountNV(dpy, screen, count);
      Driver("glXQueryFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXQueryFrameCountNV not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryMaxSwapGroupsNV(Display *dpy, int screen, GLuint *maxGroups, GLuint *maxBarriers)
  {
    App("glXQueryMaxSwapGroupsNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXQueryMaxSwapGroupsNV)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryMaxSwapGroupsNV, "glXQueryMaxSwapGroupsNV" );
      RegalAssert(dispatchTableGlobal.glXQueryMaxSwapGroupsNV!=glXQueryMaxSwapGroupsNV);
      if (dispatchTableGlobal.glXQueryMaxSwapGroupsNV==glXQueryMaxSwapGroupsNV)
        dispatchTableGlobal.glXQueryMaxSwapGroupsNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQueryMaxSwapGroupsNV)
    {
      ret = dispatchTableGlobal.glXQueryMaxSwapGroupsNV(dpy, screen, maxGroups, maxBarriers);
      Driver("glXQueryMaxSwapGroupsNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXQueryMaxSwapGroupsNV not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQuerySwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint *group, GLuint *barrier)
  {
    App("glXQuerySwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    if (!dispatchTableGlobal.glXQuerySwapGroupNV)
    {
      GetProcAddress( dispatchTableGlobal.glXQuerySwapGroupNV, "glXQuerySwapGroupNV" );
      RegalAssert(dispatchTableGlobal.glXQuerySwapGroupNV!=glXQuerySwapGroupNV);
      if (dispatchTableGlobal.glXQuerySwapGroupNV==glXQuerySwapGroupNV)
        dispatchTableGlobal.glXQuerySwapGroupNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQuerySwapGroupNV)
    {
      ret = dispatchTableGlobal.glXQuerySwapGroupNV(dpy, drawable, group, barrier);
      Driver("glXQuerySwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")", " returned ", ret);
    }
    else
      Warning( "glXQuerySwapGroupNV not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXResetFrameCountNV(Display *dpy, int screen)
  {
    App("glXResetFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXResetFrameCountNV)
    {
      GetProcAddress( dispatchTableGlobal.glXResetFrameCountNV, "glXResetFrameCountNV" );
      RegalAssert(dispatchTableGlobal.glXResetFrameCountNV!=glXResetFrameCountNV);
      if (dispatchTableGlobal.glXResetFrameCountNV==glXResetFrameCountNV)
        dispatchTableGlobal.glXResetFrameCountNV = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXResetFrameCountNV)
    {
      ret = dispatchTableGlobal.glXResetFrameCountNV(dpy, screen);
      Driver("glXResetFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXResetFrameCountNV not available." );
    return ret;
  }

  /* GLX_NV_vertex_array_range */

  REGAL_DECL void *REGAL_CALL glXAllocateMemoryNV(GLsizei size, GLfloat readFrequency, GLfloat writeFrequency, GLfloat priority)
  {
    App("glXAllocateMemoryNV","(", size, ", ", readFrequency, ", ", writeFrequency, ", ", priority, ")");
    if (!dispatchTableGlobal.glXAllocateMemoryNV)
    {
      GetProcAddress( dispatchTableGlobal.glXAllocateMemoryNV, "glXAllocateMemoryNV" );
      RegalAssert(dispatchTableGlobal.glXAllocateMemoryNV!=glXAllocateMemoryNV);
      if (dispatchTableGlobal.glXAllocateMemoryNV==glXAllocateMemoryNV)
        dispatchTableGlobal.glXAllocateMemoryNV = NULL;
    }
    void * ret = NULL;
    if (dispatchTableGlobal.glXAllocateMemoryNV)
    {
      ret = dispatchTableGlobal.glXAllocateMemoryNV(size, readFrequency, writeFrequency, priority);
      Driver("glXAllocateMemoryNV","(", size, ", ", readFrequency, ", ", writeFrequency, ", ", priority, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXAllocateMemoryNV not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXFreeMemoryNV(void *pointer)
  {
    App("glXFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXFreeMemoryNV)
    {
      GetProcAddress( dispatchTableGlobal.glXFreeMemoryNV, "glXFreeMemoryNV" );
      RegalAssert(dispatchTableGlobal.glXFreeMemoryNV!=glXFreeMemoryNV);
      if (dispatchTableGlobal.glXFreeMemoryNV==glXFreeMemoryNV)
        dispatchTableGlobal.glXFreeMemoryNV = NULL;
    }
    if (dispatchTableGlobal.glXFreeMemoryNV)
    {
      dispatchTableGlobal.glXFreeMemoryNV(pointer);
      Driver("glXFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    }
    else
      Warning( "glXFreeMemoryNV not available." );
  }

  /* GLX_NV_video_capture */

  REGAL_DECL int REGAL_CALL glXBindVideoCaptureDeviceNV(Display *dpy, unsigned int video_capture_slot, GLXVideoCaptureDeviceNV device)
  {
    App("glXBindVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_capture_slot, ", ", device, ")");
    if (!dispatchTableGlobal.glXBindVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXBindVideoCaptureDeviceNV, "glXBindVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXBindVideoCaptureDeviceNV!=glXBindVideoCaptureDeviceNV);
      if (dispatchTableGlobal.glXBindVideoCaptureDeviceNV==glXBindVideoCaptureDeviceNV)
        dispatchTableGlobal.glXBindVideoCaptureDeviceNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXBindVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.glXBindVideoCaptureDeviceNV(dpy, video_capture_slot, device);
      Driver("glXBindVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_capture_slot, ", ", device, ")", " returned ", ret);
    }
    else
      Warning( "glXBindVideoCaptureDeviceNV not available." );
    return ret;
  }

  REGAL_DECL GLXVideoCaptureDeviceNV *REGAL_CALL glXEnumerateVideoCaptureDevicesNV(Display *dpy, int screen, int *nelements)
  {
    App("glXEnumerateVideoCaptureDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(nelements,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV)
    {
      GetProcAddress( dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV, "glXEnumerateVideoCaptureDevicesNV" );
      RegalAssert(dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV!=glXEnumerateVideoCaptureDevicesNV);
      if (dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV==glXEnumerateVideoCaptureDevicesNV)
        dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV = NULL;
    }
    GLXVideoCaptureDeviceNV * ret = NULL;
    if (dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV)
    {
      ret = dispatchTableGlobal.glXEnumerateVideoCaptureDevicesNV(dpy, screen, nelements);
      Driver("glXEnumerateVideoCaptureDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(nelements,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXEnumerateVideoCaptureDevicesNV not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXLockVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
  {
    App("glXLockVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    if (!dispatchTableGlobal.glXLockVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXLockVideoCaptureDeviceNV, "glXLockVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXLockVideoCaptureDeviceNV!=glXLockVideoCaptureDeviceNV);
      if (dispatchTableGlobal.glXLockVideoCaptureDeviceNV==glXLockVideoCaptureDeviceNV)
        dispatchTableGlobal.glXLockVideoCaptureDeviceNV = NULL;
    }
    if (dispatchTableGlobal.glXLockVideoCaptureDeviceNV)
    {
      dispatchTableGlobal.glXLockVideoCaptureDeviceNV(dpy, device);
      Driver("glXLockVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    }
    else
      Warning( "glXLockVideoCaptureDeviceNV not available." );
  }

  REGAL_DECL int REGAL_CALL glXQueryVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device, int attribute, int *value)
  {
    App("glXQueryVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXQueryVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryVideoCaptureDeviceNV, "glXQueryVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXQueryVideoCaptureDeviceNV!=glXQueryVideoCaptureDeviceNV);
      if (dispatchTableGlobal.glXQueryVideoCaptureDeviceNV==glXQueryVideoCaptureDeviceNV)
        dispatchTableGlobal.glXQueryVideoCaptureDeviceNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXQueryVideoCaptureDeviceNV)
    {
      ret = dispatchTableGlobal.glXQueryVideoCaptureDeviceNV(dpy, device, attribute, value);
      Driver("glXQueryVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryVideoCaptureDeviceNV not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXReleaseVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
  {
    App("glXReleaseVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    if (!dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV, "glXReleaseVideoCaptureDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV!=glXReleaseVideoCaptureDeviceNV);
      if (dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV==glXReleaseVideoCaptureDeviceNV)
        dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV = NULL;
    }
    if (dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV)
    {
      dispatchTableGlobal.glXReleaseVideoCaptureDeviceNV(dpy, device);
      Driver("glXReleaseVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    }
    else
      Warning( "glXReleaseVideoCaptureDeviceNV not available." );
  }

  /* GLX_NV_video_output */

  REGAL_DECL int REGAL_CALL glXBindVideoImageNV(Display *dpy, GLXVideoDeviceNV VideoDevice, GLXPbuffer pbuf, int iVideoBuffer)
  {
    App("glXBindVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(VideoDevice,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iVideoBuffer, ")");
    if (!dispatchTableGlobal.glXBindVideoImageNV)
    {
      GetProcAddress( dispatchTableGlobal.glXBindVideoImageNV, "glXBindVideoImageNV" );
      RegalAssert(dispatchTableGlobal.glXBindVideoImageNV!=glXBindVideoImageNV);
      if (dispatchTableGlobal.glXBindVideoImageNV==glXBindVideoImageNV)
        dispatchTableGlobal.glXBindVideoImageNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXBindVideoImageNV)
    {
      ret = dispatchTableGlobal.glXBindVideoImageNV(dpy, VideoDevice, pbuf, iVideoBuffer);
      Driver("glXBindVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(VideoDevice,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iVideoBuffer, ")", " returned ", ret);
    }
    else
      Warning( "glXBindVideoImageNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetVideoDeviceNV(Display *dpy, int screen, int numVideoDevices, GLXVideoDeviceNV *pVideoDevice)
  {
    App("glXGetVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", numVideoDevices, ")");
    if (!dispatchTableGlobal.glXGetVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVideoDeviceNV, "glXGetVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXGetVideoDeviceNV!=glXGetVideoDeviceNV);
      if (dispatchTableGlobal.glXGetVideoDeviceNV==glXGetVideoDeviceNV)
        dispatchTableGlobal.glXGetVideoDeviceNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetVideoDeviceNV)
    {
      ret = dispatchTableGlobal.glXGetVideoDeviceNV(dpy, screen, numVideoDevices, pVideoDevice);
      Driver("glXGetVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", numVideoDevices, ")", " returned ", ret);
    }
    else
      Warning( "glXGetVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetVideoInfoNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
  {
    App("glXGetVideoInfoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXGetVideoInfoNV)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVideoInfoNV, "glXGetVideoInfoNV" );
      RegalAssert(dispatchTableGlobal.glXGetVideoInfoNV!=glXGetVideoInfoNV);
      if (dispatchTableGlobal.glXGetVideoInfoNV==glXGetVideoInfoNV)
        dispatchTableGlobal.glXGetVideoInfoNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetVideoInfoNV)
    {
      ret = dispatchTableGlobal.glXGetVideoInfoNV(dpy, screen, VideoDevice, pulCounterOutputPbuffer, pulCounterOutputVideo);
      Driver("glXGetVideoInfoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXGetVideoInfoNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXReleaseVideoDeviceNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice)
  {
    App("glXReleaseVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXReleaseVideoDeviceNV)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseVideoDeviceNV, "glXReleaseVideoDeviceNV" );
      RegalAssert(dispatchTableGlobal.glXReleaseVideoDeviceNV!=glXReleaseVideoDeviceNV);
      if (dispatchTableGlobal.glXReleaseVideoDeviceNV==glXReleaseVideoDeviceNV)
        dispatchTableGlobal.glXReleaseVideoDeviceNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXReleaseVideoDeviceNV)
    {
      ret = dispatchTableGlobal.glXReleaseVideoDeviceNV(dpy, screen, VideoDevice);
      Driver("glXReleaseVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXReleaseVideoDeviceNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXReleaseVideoImageNV(Display *dpy, GLXPbuffer pbuf)
  {
    App("glXReleaseVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXReleaseVideoImageNV)
    {
      GetProcAddress( dispatchTableGlobal.glXReleaseVideoImageNV, "glXReleaseVideoImageNV" );
      RegalAssert(dispatchTableGlobal.glXReleaseVideoImageNV!=glXReleaseVideoImageNV);
      if (dispatchTableGlobal.glXReleaseVideoImageNV==glXReleaseVideoImageNV)
        dispatchTableGlobal.glXReleaseVideoImageNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXReleaseVideoImageNV)
    {
      ret = dispatchTableGlobal.glXReleaseVideoImageNV(dpy, pbuf);
      Driver("glXReleaseVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXReleaseVideoImageNV not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXSendPbufferToVideoNV(Display *dpy, GLXPbuffer pbuf, int iBufferType, unsigned long *pulCounterPbuffer, GLboolean bBlock)
  {
    App("glXSendPbufferToVideoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iBufferType, ", ", toString(bBlock), ")");
    if (!dispatchTableGlobal.glXSendPbufferToVideoNV)
    {
      GetProcAddress( dispatchTableGlobal.glXSendPbufferToVideoNV, "glXSendPbufferToVideoNV" );
      RegalAssert(dispatchTableGlobal.glXSendPbufferToVideoNV!=glXSendPbufferToVideoNV);
      if (dispatchTableGlobal.glXSendPbufferToVideoNV==glXSendPbufferToVideoNV)
        dispatchTableGlobal.glXSendPbufferToVideoNV = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXSendPbufferToVideoNV)
    {
      ret = dispatchTableGlobal.glXSendPbufferToVideoNV(dpy, pbuf, iBufferType, pulCounterPbuffer, bBlock);
      Driver("glXSendPbufferToVideoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iBufferType, ", ", toString(bBlock), ")", " returned ", ret);
    }
    else
      Warning( "glXSendPbufferToVideoNV not available." );
    return ret;
  }

  /* GLX_OML_sync_control */

  REGAL_DECL Bool REGAL_CALL glXGetMscRateOML(Display *dpy, GLXDrawable drawable, int32_t *numerator, int32_t *denominator)
  {
    App("glXGetMscRateOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    if (!dispatchTableGlobal.glXGetMscRateOML)
    {
      GetProcAddress( dispatchTableGlobal.glXGetMscRateOML, "glXGetMscRateOML" );
      RegalAssert(dispatchTableGlobal.glXGetMscRateOML!=glXGetMscRateOML);
      if (dispatchTableGlobal.glXGetMscRateOML==glXGetMscRateOML)
        dispatchTableGlobal.glXGetMscRateOML = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXGetMscRateOML)
    {
      ret = dispatchTableGlobal.glXGetMscRateOML(dpy, drawable, numerator, denominator);
      Driver("glXGetMscRateOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")", " returned ", ret);
    }
    else
      Warning( "glXGetMscRateOML not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXGetSyncValuesOML(Display *dpy, GLXDrawable drawable, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    App("glXGetSyncValuesOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    if (!dispatchTableGlobal.glXGetSyncValuesOML)
    {
      GetProcAddress( dispatchTableGlobal.glXGetSyncValuesOML, "glXGetSyncValuesOML" );
      RegalAssert(dispatchTableGlobal.glXGetSyncValuesOML!=glXGetSyncValuesOML);
      if (dispatchTableGlobal.glXGetSyncValuesOML==glXGetSyncValuesOML)
        dispatchTableGlobal.glXGetSyncValuesOML = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXGetSyncValuesOML)
    {
      ret = dispatchTableGlobal.glXGetSyncValuesOML(dpy, drawable, ust, msc, sbc);
      Driver("glXGetSyncValuesOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")", " returned ", ret);
    }
    else
      Warning( "glXGetSyncValuesOML not available." );
    return ret;
  }

  REGAL_DECL int64_t REGAL_CALL glXSwapBuffersMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder)
  {
    App("glXSwapBuffersMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.glXSwapBuffersMscOML)
    {
      GetProcAddress( dispatchTableGlobal.glXSwapBuffersMscOML, "glXSwapBuffersMscOML" );
      RegalAssert(dispatchTableGlobal.glXSwapBuffersMscOML!=glXSwapBuffersMscOML);
      if (dispatchTableGlobal.glXSwapBuffersMscOML==glXSwapBuffersMscOML)
        dispatchTableGlobal.glXSwapBuffersMscOML = NULL;
    }
    int64_t ret = (int64_t) 0;
    if (dispatchTableGlobal.glXSwapBuffersMscOML)
    {
      ret = dispatchTableGlobal.glXSwapBuffersMscOML(dpy, drawable, target_msc, divisor, remainder);
      Driver("glXSwapBuffersMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "glXSwapBuffersMscOML not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXWaitForMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    App("glXWaitForMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.glXWaitForMscOML)
    {
      GetProcAddress( dispatchTableGlobal.glXWaitForMscOML, "glXWaitForMscOML" );
      RegalAssert(dispatchTableGlobal.glXWaitForMscOML!=glXWaitForMscOML);
      if (dispatchTableGlobal.glXWaitForMscOML==glXWaitForMscOML)
        dispatchTableGlobal.glXWaitForMscOML = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXWaitForMscOML)
    {
      ret = dispatchTableGlobal.glXWaitForMscOML(dpy, drawable, target_msc, divisor, remainder, ust, msc, sbc);
      Driver("glXWaitForMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "glXWaitForMscOML not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXWaitForSbcOML(Display *dpy, GLXDrawable drawable, int64_t target_sbc, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    App("glXWaitForSbcOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_sbc, ", ", boost::print::array(ust,1), ", ", boost::print::array(msc,1), ", ", boost::print::array(sbc,1), ")");
    if (!dispatchTableGlobal.glXWaitForSbcOML)
    {
      GetProcAddress( dispatchTableGlobal.glXWaitForSbcOML, "glXWaitForSbcOML" );
      RegalAssert(dispatchTableGlobal.glXWaitForSbcOML!=glXWaitForSbcOML);
      if (dispatchTableGlobal.glXWaitForSbcOML==glXWaitForSbcOML)
        dispatchTableGlobal.glXWaitForSbcOML = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXWaitForSbcOML)
    {
      ret = dispatchTableGlobal.glXWaitForSbcOML(dpy, drawable, target_sbc, ust, msc, sbc);
      Driver("glXWaitForSbcOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_sbc, ", ", boost::print::array(ust,1), ", ", boost::print::array(msc,1), ", ", boost::print::array(sbc,1), ")", " returned ", ret);
    }
    else
      Warning( "glXWaitForSbcOML not available." );
    return ret;
  }

  /* GLX_SGIX_fbconfig */

  REGAL_DECL GLXFBConfigSGIX *REGAL_CALL glXChooseFBConfigSGIX(Display *dpy, int screen, const int *attrib_list, int *nelements)
  {
    App("glXChooseFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ", ", boost::print::optional(nelements,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXChooseFBConfigSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXChooseFBConfigSGIX, "glXChooseFBConfigSGIX" );
      RegalAssert(dispatchTableGlobal.glXChooseFBConfigSGIX!=glXChooseFBConfigSGIX);
      if (dispatchTableGlobal.glXChooseFBConfigSGIX==glXChooseFBConfigSGIX)
        dispatchTableGlobal.glXChooseFBConfigSGIX = NULL;
    }
    GLXFBConfigSGIX * ret = NULL;
    if (dispatchTableGlobal.glXChooseFBConfigSGIX)
    {
      ret = dispatchTableGlobal.glXChooseFBConfigSGIX(dpy, screen, attrib_list, nelements);
      Driver("glXChooseFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ", ", boost::print::optional(nelements,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXChooseFBConfigSGIX not available." );
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateContextWithConfigSGIX(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
  {
    App("glXCreateContextWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
    if (!dispatchTableGlobal.glXCreateContextWithConfigSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateContextWithConfigSGIX, "glXCreateContextWithConfigSGIX" );
      RegalAssert(dispatchTableGlobal.glXCreateContextWithConfigSGIX!=glXCreateContextWithConfigSGIX);
      if (dispatchTableGlobal.glXCreateContextWithConfigSGIX==glXCreateContextWithConfigSGIX)
        dispatchTableGlobal.glXCreateContextWithConfigSGIX = NULL;
    }
    GLXContext ret = 0;
    if (dispatchTableGlobal.glXCreateContextWithConfigSGIX)
    {
      ret = dispatchTableGlobal.glXCreateContextWithConfigSGIX(dpy, config, render_type, share_list, direct);
      Driver("glXCreateContextWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateContextWithConfigSGIX not available." );
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmapWithConfigSGIX(Display *dpy, GLXFBConfig config, Pixmap pixmap)
  {
    App("glXCreateGLXPixmapWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX, "glXCreateGLXPixmapWithConfigSGIX" );
      RegalAssert(dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX!=glXCreateGLXPixmapWithConfigSGIX);
      if (dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX==glXCreateGLXPixmapWithConfigSGIX)
        dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX = NULL;
    }
    GLXPixmap ret = 0;
    if (dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX)
    {
      ret = dispatchTableGlobal.glXCreateGLXPixmapWithConfigSGIX(dpy, config, pixmap);
      Driver("glXCreateGLXPixmapWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateGLXPixmapWithConfigSGIX not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetFBConfigAttribSGIX(Display *dpy, GLXFBConfigSGIX config, int attribute, int *value)
  {
    App("glXGetFBConfigAttribSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ", ", boost::print::array(value,1), ")");
    if (!dispatchTableGlobal.glXGetFBConfigAttribSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXGetFBConfigAttribSGIX, "glXGetFBConfigAttribSGIX" );
      RegalAssert(dispatchTableGlobal.glXGetFBConfigAttribSGIX!=glXGetFBConfigAttribSGIX);
      if (dispatchTableGlobal.glXGetFBConfigAttribSGIX==glXGetFBConfigAttribSGIX)
        dispatchTableGlobal.glXGetFBConfigAttribSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetFBConfigAttribSGIX)
    {
      ret = dispatchTableGlobal.glXGetFBConfigAttribSGIX(dpy, config, attribute, value);
      Driver("glXGetFBConfigAttribSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ", ", boost::print::array(value,1), ")", " returned ", ret);
    }
    else
      Warning( "glXGetFBConfigAttribSGIX not available." );
    return ret;
  }

  REGAL_DECL GLXFBConfigSGIX REGAL_CALL glXGetFBConfigFromVisualSGIX(Display *dpy, XVisualInfo *vis)
  {
    App("glXGetFBConfigFromVisualSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXGetFBConfigFromVisualSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXGetFBConfigFromVisualSGIX, "glXGetFBConfigFromVisualSGIX" );
      RegalAssert(dispatchTableGlobal.glXGetFBConfigFromVisualSGIX!=glXGetFBConfigFromVisualSGIX);
      if (dispatchTableGlobal.glXGetFBConfigFromVisualSGIX==glXGetFBConfigFromVisualSGIX)
        dispatchTableGlobal.glXGetFBConfigFromVisualSGIX = NULL;
    }
    GLXFBConfigSGIX ret = 0;
    if (dispatchTableGlobal.glXGetFBConfigFromVisualSGIX)
    {
      ret = dispatchTableGlobal.glXGetFBConfigFromVisualSGIX(dpy, vis);
      Driver("glXGetFBConfigFromVisualSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXGetFBConfigFromVisualSGIX not available." );
    return ret;
  }

  REGAL_DECL XVisualInfo *REGAL_CALL glXGetVisualFromFBConfigSGIX(Display *dpy, GLXFBConfig config)
  {
    App("glXGetVisualFromFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
    if (!dispatchTableGlobal.glXGetVisualFromFBConfigSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVisualFromFBConfigSGIX, "glXGetVisualFromFBConfigSGIX" );
      RegalAssert(dispatchTableGlobal.glXGetVisualFromFBConfigSGIX!=glXGetVisualFromFBConfigSGIX);
      if (dispatchTableGlobal.glXGetVisualFromFBConfigSGIX==glXGetVisualFromFBConfigSGIX)
        dispatchTableGlobal.glXGetVisualFromFBConfigSGIX = NULL;
    }
    XVisualInfo * ret = NULL;
    if (dispatchTableGlobal.glXGetVisualFromFBConfigSGIX)
    {
      ret = dispatchTableGlobal.glXGetVisualFromFBConfigSGIX(dpy, config);
      Driver("glXGetVisualFromFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXGetVisualFromFBConfigSGIX not available." );
    return ret;
  }

  /* GLX_SGIX_pbuffer */

  REGAL_DECL GLXPbuffer REGAL_CALL glXCreateGLXPbufferSGIX(Display *dpy, GLXFBConfig config, unsigned int width, unsigned int height, int *attrib_list)
  {
    App("glXCreateGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", width, ", ", height, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXCreateGLXPbufferSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXCreateGLXPbufferSGIX, "glXCreateGLXPbufferSGIX" );
      RegalAssert(dispatchTableGlobal.glXCreateGLXPbufferSGIX!=glXCreateGLXPbufferSGIX);
      if (dispatchTableGlobal.glXCreateGLXPbufferSGIX==glXCreateGLXPbufferSGIX)
        dispatchTableGlobal.glXCreateGLXPbufferSGIX = NULL;
    }
    GLXPbuffer ret = 0;
    if (dispatchTableGlobal.glXCreateGLXPbufferSGIX)
    {
      ret = dispatchTableGlobal.glXCreateGLXPbufferSGIX(dpy, config, width, height, attrib_list);
      Driver("glXCreateGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", width, ", ", height, ", ", boost::print::optional(attrib_list,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "glXCreateGLXPbufferSGIX not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf)
  {
    App("glXDestroyGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXDestroyGLXPbufferSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXDestroyGLXPbufferSGIX, "glXDestroyGLXPbufferSGIX" );
      RegalAssert(dispatchTableGlobal.glXDestroyGLXPbufferSGIX!=glXDestroyGLXPbufferSGIX);
      if (dispatchTableGlobal.glXDestroyGLXPbufferSGIX==glXDestroyGLXPbufferSGIX)
        dispatchTableGlobal.glXDestroyGLXPbufferSGIX = NULL;
    }
    if (dispatchTableGlobal.glXDestroyGLXPbufferSGIX)
    {
      dispatchTableGlobal.glXDestroyGLXPbufferSGIX(dpy, pbuf);
      Driver("glXDestroyGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    }
    else
      Warning( "glXDestroyGLXPbufferSGIX not available." );
  }

  REGAL_DECL void REGAL_CALL glXGetSelectedEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long *mask)
  {
    App("glXGetSelectedEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::array(mask,1), ")");
    if (!dispatchTableGlobal.glXGetSelectedEventSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXGetSelectedEventSGIX, "glXGetSelectedEventSGIX" );
      RegalAssert(dispatchTableGlobal.glXGetSelectedEventSGIX!=glXGetSelectedEventSGIX);
      if (dispatchTableGlobal.glXGetSelectedEventSGIX==glXGetSelectedEventSGIX)
        dispatchTableGlobal.glXGetSelectedEventSGIX = NULL;
    }
    if (dispatchTableGlobal.glXGetSelectedEventSGIX)
    {
      dispatchTableGlobal.glXGetSelectedEventSGIX(dpy, drawable, mask);
      Driver("glXGetSelectedEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::array(mask,1), ")");
    }
    else
      Warning( "glXGetSelectedEventSGIX not available." );
  }

  REGAL_DECL void REGAL_CALL glXQueryGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf, int attribute, unsigned int *value)
  {
    App("glXQueryGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", attribute, ", ", boost::print::array(value,1), ")");
    if (!dispatchTableGlobal.glXQueryGLXPbufferSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryGLXPbufferSGIX, "glXQueryGLXPbufferSGIX" );
      RegalAssert(dispatchTableGlobal.glXQueryGLXPbufferSGIX!=glXQueryGLXPbufferSGIX);
      if (dispatchTableGlobal.glXQueryGLXPbufferSGIX==glXQueryGLXPbufferSGIX)
        dispatchTableGlobal.glXQueryGLXPbufferSGIX = NULL;
    }
    if (dispatchTableGlobal.glXQueryGLXPbufferSGIX)
    {
      dispatchTableGlobal.glXQueryGLXPbufferSGIX(dpy, pbuf, attribute, value);
      Driver("glXQueryGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", attribute, ", ", boost::print::array(value,1), ")");
    }
    else
      Warning( "glXQueryGLXPbufferSGIX not available." );
  }

  REGAL_DECL void REGAL_CALL glXSelectEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long mask)
  {
    App("glXSelectEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", mask, ")");
    if (!dispatchTableGlobal.glXSelectEventSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXSelectEventSGIX, "glXSelectEventSGIX" );
      RegalAssert(dispatchTableGlobal.glXSelectEventSGIX!=glXSelectEventSGIX);
      if (dispatchTableGlobal.glXSelectEventSGIX==glXSelectEventSGIX)
        dispatchTableGlobal.glXSelectEventSGIX = NULL;
    }
    if (dispatchTableGlobal.glXSelectEventSGIX)
    {
      dispatchTableGlobal.glXSelectEventSGIX(dpy, drawable, mask);
      Driver("glXSelectEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", mask, ")");
    }
    else
      Warning( "glXSelectEventSGIX not available." );
  }

  /* GLX_SGIX_swap_barrier */

  REGAL_DECL void REGAL_CALL glXBindSwapBarrierSGIX(Display *dpy, GLXDrawable drawable, int barrier)
  {
    App("glXBindSwapBarrierSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", barrier, ")");
    if (!dispatchTableGlobal.glXBindSwapBarrierSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXBindSwapBarrierSGIX, "glXBindSwapBarrierSGIX" );
      RegalAssert(dispatchTableGlobal.glXBindSwapBarrierSGIX!=glXBindSwapBarrierSGIX);
      if (dispatchTableGlobal.glXBindSwapBarrierSGIX==glXBindSwapBarrierSGIX)
        dispatchTableGlobal.glXBindSwapBarrierSGIX = NULL;
    }
    if (dispatchTableGlobal.glXBindSwapBarrierSGIX)
    {
      dispatchTableGlobal.glXBindSwapBarrierSGIX(dpy, drawable, barrier);
      Driver("glXBindSwapBarrierSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", barrier, ")");
    }
    else
      Warning( "glXBindSwapBarrierSGIX not available." );
  }

  REGAL_DECL Bool REGAL_CALL glXQueryMaxSwapBarriersSGIX(Display *dpy, int screen, int *max)
  {
    App("glXQueryMaxSwapBarriersSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    if (!dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX, "glXQueryMaxSwapBarriersSGIX" );
      RegalAssert(dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX!=glXQueryMaxSwapBarriersSGIX);
      if (dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX==glXQueryMaxSwapBarriersSGIX)
        dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX)
    {
      ret = dispatchTableGlobal.glXQueryMaxSwapBarriersSGIX(dpy, screen, max);
      Driver("glXQueryMaxSwapBarriersSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "glXQueryMaxSwapBarriersSGIX not available." );
    return ret;
  }

  /* GLX_SGIX_swap_group */

  REGAL_DECL void REGAL_CALL glXJoinSwapGroupSGIX(Display *dpy, GLXDrawable drawable, GLXDrawable member)
  {
    App("glXJoinSwapGroupSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", member, ")");
    if (!dispatchTableGlobal.glXJoinSwapGroupSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXJoinSwapGroupSGIX, "glXJoinSwapGroupSGIX" );
      RegalAssert(dispatchTableGlobal.glXJoinSwapGroupSGIX!=glXJoinSwapGroupSGIX);
      if (dispatchTableGlobal.glXJoinSwapGroupSGIX==glXJoinSwapGroupSGIX)
        dispatchTableGlobal.glXJoinSwapGroupSGIX = NULL;
    }
    if (dispatchTableGlobal.glXJoinSwapGroupSGIX)
    {
      dispatchTableGlobal.glXJoinSwapGroupSGIX(dpy, drawable, member);
      Driver("glXJoinSwapGroupSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", member, ")");
    }
    else
      Warning( "glXJoinSwapGroupSGIX not available." );
  }

  /* GLX_SGIX_video_resize */

  REGAL_DECL int REGAL_CALL glXBindChannelToWindowSGIX(Display *display, int screen, int channel, Window window)
  {
    App("glXBindChannelToWindowSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", window, ")");
    if (!dispatchTableGlobal.glXBindChannelToWindowSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXBindChannelToWindowSGIX, "glXBindChannelToWindowSGIX" );
      RegalAssert(dispatchTableGlobal.glXBindChannelToWindowSGIX!=glXBindChannelToWindowSGIX);
      if (dispatchTableGlobal.glXBindChannelToWindowSGIX==glXBindChannelToWindowSGIX)
        dispatchTableGlobal.glXBindChannelToWindowSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXBindChannelToWindowSGIX)
    {
      ret = dispatchTableGlobal.glXBindChannelToWindowSGIX(display, screen, channel, window);
      Driver("glXBindChannelToWindowSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", window, ")", " returned ", ret);
    }
    else
      Warning( "glXBindChannelToWindowSGIX not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXChannelRectSGIX(Display *display, int screen, int channel, int x, int y, int w, int h)
  {
    App("glXChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", x, ", ", y, ", ", w, ", ", h, ")");
    if (!dispatchTableGlobal.glXChannelRectSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXChannelRectSGIX, "glXChannelRectSGIX" );
      RegalAssert(dispatchTableGlobal.glXChannelRectSGIX!=glXChannelRectSGIX);
      if (dispatchTableGlobal.glXChannelRectSGIX==glXChannelRectSGIX)
        dispatchTableGlobal.glXChannelRectSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXChannelRectSGIX)
    {
      ret = dispatchTableGlobal.glXChannelRectSGIX(display, screen, channel, x, y, w, h);
      Driver("glXChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", x, ", ", y, ", ", w, ", ", h, ")", " returned ", ret);
    }
    else
      Warning( "glXChannelRectSGIX not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXChannelRectSyncSGIX(Display *display, int screen, int channel, GLenum synctype)
  {
    App("glXChannelRectSyncSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", toString(synctype), ")");
    if (!dispatchTableGlobal.glXChannelRectSyncSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXChannelRectSyncSGIX, "glXChannelRectSyncSGIX" );
      RegalAssert(dispatchTableGlobal.glXChannelRectSyncSGIX!=glXChannelRectSyncSGIX);
      if (dispatchTableGlobal.glXChannelRectSyncSGIX==glXChannelRectSyncSGIX)
        dispatchTableGlobal.glXChannelRectSyncSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXChannelRectSyncSGIX)
    {
      ret = dispatchTableGlobal.glXChannelRectSyncSGIX(display, screen, channel, synctype);
      Driver("glXChannelRectSyncSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", toString(synctype), ")", " returned ", ret);
    }
    else
      Warning( "glXChannelRectSyncSGIX not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryChannelDeltasSGIX(Display *display, int screen, int channel, int *x, int *y, int *w, int *h)
  {
    App("glXQueryChannelDeltasSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(x,1), ", ", boost::print::array(y,1), ", ", boost::print::array(w,1), ", ", boost::print::array(h,1), ")");
    if (!dispatchTableGlobal.glXQueryChannelDeltasSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryChannelDeltasSGIX, "glXQueryChannelDeltasSGIX" );
      RegalAssert(dispatchTableGlobal.glXQueryChannelDeltasSGIX!=glXQueryChannelDeltasSGIX);
      if (dispatchTableGlobal.glXQueryChannelDeltasSGIX==glXQueryChannelDeltasSGIX)
        dispatchTableGlobal.glXQueryChannelDeltasSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXQueryChannelDeltasSGIX)
    {
      ret = dispatchTableGlobal.glXQueryChannelDeltasSGIX(display, screen, channel, x, y, w, h);
      Driver("glXQueryChannelDeltasSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(x,1), ", ", boost::print::array(y,1), ", ", boost::print::array(w,1), ", ", boost::print::array(h,1), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryChannelDeltasSGIX not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryChannelRectSGIX(Display *display, int screen, int channel, int *dx, int *dy, int *dw, int *dh)
  {
    App("glXQueryChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(dx,1), ", ", boost::print::array(dy,1), ", ", boost::print::array(dw,1), ", ", boost::print::array(dh,1), ")");
    if (!dispatchTableGlobal.glXQueryChannelRectSGIX)
    {
      GetProcAddress( dispatchTableGlobal.glXQueryChannelRectSGIX, "glXQueryChannelRectSGIX" );
      RegalAssert(dispatchTableGlobal.glXQueryChannelRectSGIX!=glXQueryChannelRectSGIX);
      if (dispatchTableGlobal.glXQueryChannelRectSGIX==glXQueryChannelRectSGIX)
        dispatchTableGlobal.glXQueryChannelRectSGIX = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXQueryChannelRectSGIX)
    {
      ret = dispatchTableGlobal.glXQueryChannelRectSGIX(display, screen, channel, dx, dy, dw, dh);
      Driver("glXQueryChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(dx,1), ", ", boost::print::array(dy,1), ", ", boost::print::array(dw,1), ", ", boost::print::array(dh,1), ")", " returned ", ret);
    }
    else
      Warning( "glXQueryChannelRectSGIX not available." );
    return ret;
  }

  /* GLX_SGI_cushion */

  REGAL_DECL void REGAL_CALL glXCushionSGI(Display *dpy, Window window, float cushion)
  {
    App("glXCushionSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", window, ", ", cushion, ")");
    if (!dispatchTableGlobal.glXCushionSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXCushionSGI, "glXCushionSGI" );
      RegalAssert(dispatchTableGlobal.glXCushionSGI!=glXCushionSGI);
      if (dispatchTableGlobal.glXCushionSGI==glXCushionSGI)
        dispatchTableGlobal.glXCushionSGI = NULL;
    }
    if (dispatchTableGlobal.glXCushionSGI)
    {
      dispatchTableGlobal.glXCushionSGI(dpy, window, cushion);
      Driver("glXCushionSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", window, ", ", cushion, ")");
    }
    else
      Warning( "glXCushionSGI not available." );
  }

  /* GLX_SGI_make_current_read */

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentReadDrawableSGI(void)
  {
    App("glXGetCurrentReadDrawableSGI","()");
    if (!dispatchTableGlobal.glXGetCurrentReadDrawableSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXGetCurrentReadDrawableSGI, "glXGetCurrentReadDrawableSGI" );
      RegalAssert(dispatchTableGlobal.glXGetCurrentReadDrawableSGI!=glXGetCurrentReadDrawableSGI);
      if (dispatchTableGlobal.glXGetCurrentReadDrawableSGI==glXGetCurrentReadDrawableSGI)
        dispatchTableGlobal.glXGetCurrentReadDrawableSGI = NULL;
    }
    GLXDrawable ret = (GLXDrawable) 0;
    if (dispatchTableGlobal.glXGetCurrentReadDrawableSGI)
    {
      ret = dispatchTableGlobal.glXGetCurrentReadDrawableSGI();
      Driver("glXGetCurrentReadDrawableSGI","()", " returned ", ret);
    }
    else
      Warning( "glXGetCurrentReadDrawableSGI not available." );
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeCurrentReadSGI(Display *dpy, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
  {
    App("glXMakeCurrentReadSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    if (!dispatchTableGlobal.glXMakeCurrentReadSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXMakeCurrentReadSGI, "glXMakeCurrentReadSGI" );
      RegalAssert(dispatchTableGlobal.glXMakeCurrentReadSGI!=glXMakeCurrentReadSGI);
      if (dispatchTableGlobal.glXMakeCurrentReadSGI==glXMakeCurrentReadSGI)
        dispatchTableGlobal.glXMakeCurrentReadSGI = NULL;
    }
    Bool ret = (Bool) 0;
    if (dispatchTableGlobal.glXMakeCurrentReadSGI)
    {
      ret = dispatchTableGlobal.glXMakeCurrentReadSGI(dpy, draw, read, ctx);
      Driver("glXMakeCurrentReadSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "glXMakeCurrentReadSGI not available." );
    return ret;
  }

  /* GLX_SGI_swap_control */

  REGAL_DECL int REGAL_CALL glXSwapIntervalSGI(int interval)
  {
    App("glXSwapIntervalSGI","(", interval, ")");
    if (!dispatchTableGlobal.glXSwapIntervalSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXSwapIntervalSGI, "glXSwapIntervalSGI" );
      RegalAssert(dispatchTableGlobal.glXSwapIntervalSGI!=glXSwapIntervalSGI);
      if (dispatchTableGlobal.glXSwapIntervalSGI==glXSwapIntervalSGI)
        dispatchTableGlobal.glXSwapIntervalSGI = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXSwapIntervalSGI)
    {
      ret = dispatchTableGlobal.glXSwapIntervalSGI(interval);
      Driver("glXSwapIntervalSGI","(", interval, ")", " returned ", ret);
    }
    else
      Warning( "glXSwapIntervalSGI not available." );
    return ret;
  }

  /* GLX_SGI_video_sync */

  REGAL_DECL int REGAL_CALL glXGetVideoSyncSGI(unsigned int *count)
  {
    App("glXGetVideoSyncSGI","()");
    if (!dispatchTableGlobal.glXGetVideoSyncSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVideoSyncSGI, "glXGetVideoSyncSGI" );
      RegalAssert(dispatchTableGlobal.glXGetVideoSyncSGI!=glXGetVideoSyncSGI);
      if (dispatchTableGlobal.glXGetVideoSyncSGI==glXGetVideoSyncSGI)
        dispatchTableGlobal.glXGetVideoSyncSGI = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetVideoSyncSGI)
    {
      ret = dispatchTableGlobal.glXGetVideoSyncSGI(count);
      Driver("glXGetVideoSyncSGI","()", " returned ", ret);
    }
    else
      Warning( "glXGetVideoSyncSGI not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXWaitVideoSyncSGI(int divisor, int remainder, unsigned int *count)
  {
    App("glXWaitVideoSyncSGI","(", divisor, ", ", remainder, ")");
    if (!dispatchTableGlobal.glXWaitVideoSyncSGI)
    {
      GetProcAddress( dispatchTableGlobal.glXWaitVideoSyncSGI, "glXWaitVideoSyncSGI" );
      RegalAssert(dispatchTableGlobal.glXWaitVideoSyncSGI!=glXWaitVideoSyncSGI);
      if (dispatchTableGlobal.glXWaitVideoSyncSGI==glXWaitVideoSyncSGI)
        dispatchTableGlobal.glXWaitVideoSyncSGI = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXWaitVideoSyncSGI)
    {
      ret = dispatchTableGlobal.glXWaitVideoSyncSGI(divisor, remainder, count);
      Driver("glXWaitVideoSyncSGI","(", divisor, ", ", remainder, ")", " returned ", ret);
    }
    else
      Warning( "glXWaitVideoSyncSGI not available." );
    return ret;
  }

  /* GLX_SUN_get_transparent_index */

  REGAL_DECL Status REGAL_CALL glXGetTransparentIndexSUN(Display *dpy, Window overlay, Window underlay, unsigned long *pTransparentIndex)
  {
    App("glXGetTransparentIndexSUN","(", boost::print::optional(dpy,Logging::pointers), ", ", overlay, ", ", underlay, ", ", boost::print::array(pTransparentIndex,1), ")");
    if (!dispatchTableGlobal.glXGetTransparentIndexSUN)
    {
      GetProcAddress( dispatchTableGlobal.glXGetTransparentIndexSUN, "glXGetTransparentIndexSUN" );
      RegalAssert(dispatchTableGlobal.glXGetTransparentIndexSUN!=glXGetTransparentIndexSUN);
      if (dispatchTableGlobal.glXGetTransparentIndexSUN==glXGetTransparentIndexSUN)
        dispatchTableGlobal.glXGetTransparentIndexSUN = NULL;
    }
    Status ret = (Status) 0;
    if (dispatchTableGlobal.glXGetTransparentIndexSUN)
    {
      ret = dispatchTableGlobal.glXGetTransparentIndexSUN(dpy, overlay, underlay, pTransparentIndex);
      Driver("glXGetTransparentIndexSUN","(", boost::print::optional(dpy,Logging::pointers), ", ", overlay, ", ", underlay, ", ", boost::print::array(pTransparentIndex,1), ")", " returned ", ret);
    }
    else
      Warning( "glXGetTransparentIndexSUN not available." );
    return ret;
  }

  /* GLX_SUN_video_resize */

  REGAL_DECL int REGAL_CALL glXGetVideoResizeSUN(Display *display, GLXDrawable window, float *factor)
  {
    App("glXGetVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ")");
    if (!dispatchTableGlobal.glXGetVideoResizeSUN)
    {
      GetProcAddress( dispatchTableGlobal.glXGetVideoResizeSUN, "glXGetVideoResizeSUN" );
      RegalAssert(dispatchTableGlobal.glXGetVideoResizeSUN!=glXGetVideoResizeSUN);
      if (dispatchTableGlobal.glXGetVideoResizeSUN==glXGetVideoResizeSUN)
        dispatchTableGlobal.glXGetVideoResizeSUN = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXGetVideoResizeSUN)
    {
      ret = dispatchTableGlobal.glXGetVideoResizeSUN(display, window, factor);
      Driver("glXGetVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ")", " returned ", ret);
    }
    else
      Warning( "glXGetVideoResizeSUN not available." );
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXVideoResizeSUN(Display *display, GLXDrawable window, float factor)
  {
    App("glXVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ", ", factor, ")");
    if (!dispatchTableGlobal.glXVideoResizeSUN)
    {
      GetProcAddress( dispatchTableGlobal.glXVideoResizeSUN, "glXVideoResizeSUN" );
      RegalAssert(dispatchTableGlobal.glXVideoResizeSUN!=glXVideoResizeSUN);
      if (dispatchTableGlobal.glXVideoResizeSUN==glXVideoResizeSUN)
        dispatchTableGlobal.glXVideoResizeSUN = NULL;
    }
    int ret = 0;
    if (dispatchTableGlobal.glXVideoResizeSUN)
    {
      ret = dispatchTableGlobal.glXVideoResizeSUN(display, window, factor);
      Driver("glXVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ", ", factor, ")", " returned ", ret);
    }
    else
      Warning( "glXVideoResizeSUN not available." );
    return ret;
  }

#endif /* REGAL_SYS_GLX */
#if REGAL_SYS_OSX

  /* CGL_VERSION_1_0 */

  REGAL_DECL CGLError REGAL_CALL CGLChoosePixelFormat(const CGLPixelFormatAttribute *attribs, CGLPixelFormatObj *pix, GLint *npix)
  {
    App("CGLChoosePixelFormat","(", attribs, ")");
    Init::init();
    if (!dispatchTableGlobal.CGLChoosePixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLChoosePixelFormat, "CGLChoosePixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLChoosePixelFormat!=CGLChoosePixelFormat);
      if (dispatchTableGlobal.CGLChoosePixelFormat==CGLChoosePixelFormat)
        dispatchTableGlobal.CGLChoosePixelFormat = NULL;
    }
    CGLError ret = (CGLError) 0;
    scoped_array<CGLPixelFormatAttribute> nattribs;
    if (Config::forceCoreProfile)
      attribs = nattribs = Mac::forceCoreAttribs(attribs);
    if (dispatchTableGlobal.CGLChoosePixelFormat)
    {
      ret = dispatchTableGlobal.CGLChoosePixelFormat(attribs, pix, npix);
      Driver("CGLChoosePixelFormat","(", attribs, ")", " returned ", ret);
    }
    else
      Warning( "CGLChoosePixelFormat not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLClearDrawable(CGLContextObj ctx)
  {
    App("CGLClearDrawable","(", ctx, ")");
    if (!dispatchTableGlobal.CGLClearDrawable)
    {
      GetProcAddress( dispatchTableGlobal.CGLClearDrawable, "CGLClearDrawable" );
      RegalAssert(dispatchTableGlobal.CGLClearDrawable!=CGLClearDrawable);
      if (dispatchTableGlobal.CGLClearDrawable==CGLClearDrawable)
        dispatchTableGlobal.CGLClearDrawable = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLClearDrawable)
    {
      ret = dispatchTableGlobal.CGLClearDrawable(ctx);
      Driver("CGLClearDrawable","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLClearDrawable not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLCopyContext(CGLContextObj src, CGLContextObj dst, GLbitfield mask)
  {
    App("CGLCopyContext","(", src, ", ", dst, ", ", mask, ")");
    if (!dispatchTableGlobal.CGLCopyContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLCopyContext, "CGLCopyContext" );
      RegalAssert(dispatchTableGlobal.CGLCopyContext!=CGLCopyContext);
      if (dispatchTableGlobal.CGLCopyContext==CGLCopyContext)
        dispatchTableGlobal.CGLCopyContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLCopyContext)
    {
      ret = dispatchTableGlobal.CGLCopyContext(src, dst, mask);
      Driver("CGLCopyContext","(", src, ", ", dst, ", ", mask, ")", " returned ", ret);
    }
    else
      Warning( "CGLCopyContext not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLCreateContext(CGLPixelFormatObj pix, CGLContextObj share, CGLContextObj *ctx)
  {
    App("CGLCreateContext","(", pix, ", ", share, ")");
    if (!dispatchTableGlobal.CGLCreateContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLCreateContext, "CGLCreateContext" );
      RegalAssert(dispatchTableGlobal.CGLCreateContext!=CGLCreateContext);
      if (dispatchTableGlobal.CGLCreateContext==CGLCreateContext)
        dispatchTableGlobal.CGLCreateContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLCreateContext)
    {
      ret = dispatchTableGlobal.CGLCreateContext(pix, share, ctx);
      Driver("CGLCreateContext","(", pix, ", ", share, ")", " returned ", ret);
    }
    else
      Warning( "CGLCreateContext not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribePixelFormat(CGLPixelFormatObj pix, GLint pix_num, CGLPixelFormatAttribute attrib, GLint *value)
  {
    App("CGLDescribePixelFormat","(", pix, ", ", pix_num, ", ", attrib, ")");
    if (!dispatchTableGlobal.CGLDescribePixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLDescribePixelFormat, "CGLDescribePixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLDescribePixelFormat!=CGLDescribePixelFormat);
      if (dispatchTableGlobal.CGLDescribePixelFormat==CGLDescribePixelFormat)
        dispatchTableGlobal.CGLDescribePixelFormat = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDescribePixelFormat)
    {
      ret = dispatchTableGlobal.CGLDescribePixelFormat(pix, pix_num, attrib, value);
      Driver("CGLDescribePixelFormat","(", pix, ", ", pix_num, ", ", attrib, ")", " returned ", ret);
    }
    else
      Warning( "CGLDescribePixelFormat not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribeRenderer(CGLRendererInfoObj rend, GLint rend_num, CGLRendererProperty prop, GLint *value)
  {
    App("CGLDescribeRenderer","(", rend, ", ", rend_num, ", ", prop, ")");
    if (!dispatchTableGlobal.CGLDescribeRenderer)
    {
      GetProcAddress( dispatchTableGlobal.CGLDescribeRenderer, "CGLDescribeRenderer" );
      RegalAssert(dispatchTableGlobal.CGLDescribeRenderer!=CGLDescribeRenderer);
      if (dispatchTableGlobal.CGLDescribeRenderer==CGLDescribeRenderer)
        dispatchTableGlobal.CGLDescribeRenderer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDescribeRenderer)
    {
      ret = dispatchTableGlobal.CGLDescribeRenderer(rend, rend_num, prop, value);
      Driver("CGLDescribeRenderer","(", rend, ", ", rend_num, ", ", prop, ")", " returned ", ret);
    }
    else
      Warning( "CGLDescribeRenderer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyContext(CGLContextObj ctx)
  {
    App("CGLDestroyContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLDestroyContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLDestroyContext, "CGLDestroyContext" );
      RegalAssert(dispatchTableGlobal.CGLDestroyContext!=CGLDestroyContext);
      if (dispatchTableGlobal.CGLDestroyContext==CGLDestroyContext)
        dispatchTableGlobal.CGLDestroyContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDestroyContext)
    {
      ret = dispatchTableGlobal.CGLDestroyContext(ctx);
      Driver("CGLDestroyContext","(", ctx, ")", " returned ", ret);
      Init::destroyContext(RegalSystemContext(ctx));
    }
    else
      Warning( "CGLDestroyContext not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyPixelFormat(CGLPixelFormatObj pix)
  {
    App("CGLDestroyPixelFormat","(", pix, ")");
    if (!dispatchTableGlobal.CGLDestroyPixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLDestroyPixelFormat, "CGLDestroyPixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLDestroyPixelFormat!=CGLDestroyPixelFormat);
      if (dispatchTableGlobal.CGLDestroyPixelFormat==CGLDestroyPixelFormat)
        dispatchTableGlobal.CGLDestroyPixelFormat = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDestroyPixelFormat)
    {
      ret = dispatchTableGlobal.CGLDestroyPixelFormat(pix);
      Driver("CGLDestroyPixelFormat","(", pix, ")", " returned ", ret);
    }
    else
      Warning( "CGLDestroyPixelFormat not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyRendererInfo(CGLRendererInfoObj rend)
  {
    App("CGLDestroyRendererInfo","(", rend, ")");
    if (!dispatchTableGlobal.CGLDestroyRendererInfo)
    {
      GetProcAddress( dispatchTableGlobal.CGLDestroyRendererInfo, "CGLDestroyRendererInfo" );
      RegalAssert(dispatchTableGlobal.CGLDestroyRendererInfo!=CGLDestroyRendererInfo);
      if (dispatchTableGlobal.CGLDestroyRendererInfo==CGLDestroyRendererInfo)
        dispatchTableGlobal.CGLDestroyRendererInfo = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDestroyRendererInfo)
    {
      ret = dispatchTableGlobal.CGLDestroyRendererInfo(rend);
      Driver("CGLDestroyRendererInfo","(", rend, ")", " returned ", ret);
    }
    else
      Warning( "CGLDestroyRendererInfo not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDisable(CGLContextObj ctx, CGLContextEnable pname)
  {
    App("CGLDisable","(", ctx, ", ", pname, ")");
    if (!dispatchTableGlobal.CGLDisable)
    {
      GetProcAddress( dispatchTableGlobal.CGLDisable, "CGLDisable" );
      RegalAssert(dispatchTableGlobal.CGLDisable!=CGLDisable);
      if (dispatchTableGlobal.CGLDisable==CGLDisable)
        dispatchTableGlobal.CGLDisable = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDisable)
    {
      ret = dispatchTableGlobal.CGLDisable(ctx, pname);
      Driver("CGLDisable","(", ctx, ", ", pname, ")", " returned ", ret);
    }
    else
      Warning( "CGLDisable not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLEnable(CGLContextObj ctx, CGLContextEnable pname)
  {
    App("CGLEnable","(", ctx, ", ", pname, ")");
    if (!dispatchTableGlobal.CGLEnable)
    {
      GetProcAddress( dispatchTableGlobal.CGLEnable, "CGLEnable" );
      RegalAssert(dispatchTableGlobal.CGLEnable!=CGLEnable);
      if (dispatchTableGlobal.CGLEnable==CGLEnable)
        dispatchTableGlobal.CGLEnable = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLEnable)
    {
      ret = dispatchTableGlobal.CGLEnable(ctx, pname);
      Driver("CGLEnable","(", ctx, ", ", pname, ")", " returned ", ret);
    }
    else
      Warning( "CGLEnable not available." );
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL CGLErrorString(CGLError error)
  {
    App("CGLErrorString","(", error, ")");
    if (!dispatchTableGlobal.CGLErrorString)
    {
      GetProcAddress( dispatchTableGlobal.CGLErrorString, "CGLErrorString" );
      RegalAssert(dispatchTableGlobal.CGLErrorString!=CGLErrorString);
      if (dispatchTableGlobal.CGLErrorString==CGLErrorString)
        dispatchTableGlobal.CGLErrorString = NULL;
    }
    const char * ret = NULL;
    if (dispatchTableGlobal.CGLErrorString)
    {
      ret = dispatchTableGlobal.CGLErrorString(error);
      Driver("CGLErrorString","(", error, ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "CGLErrorString not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLFlushDrawable(CGLContextObj ctx)
  {
    App("CGLFlushDrawable","(", ctx, ")");
    if (!dispatchTableGlobal.CGLFlushDrawable)
    {
      GetProcAddress( dispatchTableGlobal.CGLFlushDrawable, "CGLFlushDrawable" );
      RegalAssert(dispatchTableGlobal.CGLFlushDrawable!=CGLFlushDrawable);
      if (dispatchTableGlobal.CGLFlushDrawable==CGLFlushDrawable)
        dispatchTableGlobal.CGLFlushDrawable = NULL;
    }
    CGLError ret = (CGLError) 0;
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the flush drawable event.
    if (_context && _context->frame)
        _context->frame->CGLFlushDrawable(*_context);
    if (dispatchTableGlobal.CGLFlushDrawable)
    {
      ret = dispatchTableGlobal.CGLFlushDrawable(ctx);
      Driver("CGLFlushDrawable","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLFlushDrawable not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetOffScreen(CGLContextObj ctx, GLsizei *width, GLsizei *height, GLsizei *rowbytes, void **baseaddr)
  {
    App("CGLGetOffScreen","(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", baseaddr, ")");
    if (!dispatchTableGlobal.CGLGetOffScreen)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetOffScreen, "CGLGetOffScreen" );
      RegalAssert(dispatchTableGlobal.CGLGetOffScreen!=CGLGetOffScreen);
      if (dispatchTableGlobal.CGLGetOffScreen==CGLGetOffScreen)
        dispatchTableGlobal.CGLGetOffScreen = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetOffScreen)
    {
      ret = dispatchTableGlobal.CGLGetOffScreen(ctx, width, height, rowbytes, baseaddr);
      Driver("CGLGetOffScreen","(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", baseaddr, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetOffScreen not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetOption(CGLGlobalOption pname, GLint *param)
  {
    App("CGLGetOption","(", pname, ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLGetOption)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetOption, "CGLGetOption" );
      RegalAssert(dispatchTableGlobal.CGLGetOption!=CGLGetOption);
      if (dispatchTableGlobal.CGLGetOption==CGLGetOption)
        dispatchTableGlobal.CGLGetOption = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetOption)
    {
      ret = dispatchTableGlobal.CGLGetOption(pname, param);
      Driver("CGLGetOption","(", pname, ", ", boost::print::optional(param,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLGetOption not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetParameter(CGLContextObj ctx, CGLContextParameter pname, GLint *params)
  {
    App("CGLGetParameter","(", ctx, ", ", pname, ")");
    if (!dispatchTableGlobal.CGLGetParameter)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetParameter, "CGLGetParameter" );
      RegalAssert(dispatchTableGlobal.CGLGetParameter!=CGLGetParameter);
      if (dispatchTableGlobal.CGLGetParameter==CGLGetParameter)
        dispatchTableGlobal.CGLGetParameter = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetParameter)
    {
      ret = dispatchTableGlobal.CGLGetParameter(ctx, pname, params);
      Driver("CGLGetParameter","(", ctx, ", ", pname, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetParameter not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL CGLGetVersion(GLint *majorvers, GLint *minorvers)
  {
    App("CGLGetVersion","()");
    if (!dispatchTableGlobal.CGLGetVersion)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetVersion, "CGLGetVersion" );
      RegalAssert(dispatchTableGlobal.CGLGetVersion!=CGLGetVersion);
      if (dispatchTableGlobal.CGLGetVersion==CGLGetVersion)
        dispatchTableGlobal.CGLGetVersion = NULL;
    }
    if (dispatchTableGlobal.CGLGetVersion)
    {
      dispatchTableGlobal.CGLGetVersion(majorvers, minorvers);
      Driver("CGLGetVersion","()");
    }
    else
      Warning( "CGLGetVersion not available." );
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetVirtualScreen(CGLContextObj ctx, GLint *screen)
  {
    App("CGLGetVirtualScreen","(", ctx, ")");
    if (!dispatchTableGlobal.CGLGetVirtualScreen)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetVirtualScreen, "CGLGetVirtualScreen" );
      RegalAssert(dispatchTableGlobal.CGLGetVirtualScreen!=CGLGetVirtualScreen);
      if (dispatchTableGlobal.CGLGetVirtualScreen==CGLGetVirtualScreen)
        dispatchTableGlobal.CGLGetVirtualScreen = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetVirtualScreen)
    {
      ret = dispatchTableGlobal.CGLGetVirtualScreen(ctx, screen);
      Driver("CGLGetVirtualScreen","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetVirtualScreen not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLIsEnabled(CGLContextObj ctx, CGLContextEnable pname, GLint *enable)
  {
    App("CGLIsEnabled","(", ctx, ", ", pname, ")");
    if (!dispatchTableGlobal.CGLIsEnabled)
    {
      GetProcAddress( dispatchTableGlobal.CGLIsEnabled, "CGLIsEnabled" );
      RegalAssert(dispatchTableGlobal.CGLIsEnabled!=CGLIsEnabled);
      if (dispatchTableGlobal.CGLIsEnabled==CGLIsEnabled)
        dispatchTableGlobal.CGLIsEnabled = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLIsEnabled)
    {
      ret = dispatchTableGlobal.CGLIsEnabled(ctx, pname, enable);
      Driver("CGLIsEnabled","(", ctx, ", ", pname, ")", " returned ", ret);
    }
    else
      Warning( "CGLIsEnabled not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLQueryRendererInfo(GLuint display_mask, CGLRendererInfoObj *rend, GLint *nrend)
  {
    App("CGLQueryRendererInfo","(", display_mask, ")");
    if (!dispatchTableGlobal.CGLQueryRendererInfo)
    {
      GetProcAddress( dispatchTableGlobal.CGLQueryRendererInfo, "CGLQueryRendererInfo" );
      RegalAssert(dispatchTableGlobal.CGLQueryRendererInfo!=CGLQueryRendererInfo);
      if (dispatchTableGlobal.CGLQueryRendererInfo==CGLQueryRendererInfo)
        dispatchTableGlobal.CGLQueryRendererInfo = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLQueryRendererInfo)
    {
      ret = dispatchTableGlobal.CGLQueryRendererInfo(display_mask, rend, nrend);
      Driver("CGLQueryRendererInfo","(", display_mask, ")", " returned ", ret);
    }
    else
      Warning( "CGLQueryRendererInfo not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetFullScreen(CGLContextObj ctx)
  {
    App("CGLSetFullScreen","(", ctx, ")");
    if (!dispatchTableGlobal.CGLSetFullScreen)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetFullScreen, "CGLSetFullScreen" );
      RegalAssert(dispatchTableGlobal.CGLSetFullScreen!=CGLSetFullScreen);
      if (dispatchTableGlobal.CGLSetFullScreen==CGLSetFullScreen)
        dispatchTableGlobal.CGLSetFullScreen = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetFullScreen)
    {
      ret = dispatchTableGlobal.CGLSetFullScreen(ctx);
      Driver("CGLSetFullScreen","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLSetFullScreen not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetOffScreen(CGLContextObj ctx, GLsizei width, GLsizei height, GLsizei rowbytes, void *baseaddr)
  {
    App("CGLSetOffScreen","(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", boost::print::optional(baseaddr,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLSetOffScreen)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetOffScreen, "CGLSetOffScreen" );
      RegalAssert(dispatchTableGlobal.CGLSetOffScreen!=CGLSetOffScreen);
      if (dispatchTableGlobal.CGLSetOffScreen==CGLSetOffScreen)
        dispatchTableGlobal.CGLSetOffScreen = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetOffScreen)
    {
      ret = dispatchTableGlobal.CGLSetOffScreen(ctx, width, height, rowbytes, baseaddr);
      Driver("CGLSetOffScreen","(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", boost::print::optional(baseaddr,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLSetOffScreen not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetOption(CGLGlobalOption pname, GLint param)
  {
    App("CGLSetOption","(", pname, ", ", param, ")");
    if (!dispatchTableGlobal.CGLSetOption)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetOption, "CGLSetOption" );
      RegalAssert(dispatchTableGlobal.CGLSetOption!=CGLSetOption);
      if (dispatchTableGlobal.CGLSetOption==CGLSetOption)
        dispatchTableGlobal.CGLSetOption = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetOption)
    {
      ret = dispatchTableGlobal.CGLSetOption(pname, param);
      Driver("CGLSetOption","(", pname, ", ", param, ")", " returned ", ret);
    }
    else
      Warning( "CGLSetOption not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetParameter(CGLContextObj ctx, CGLContextParameter pname, const GLint *params)
  {
    App("CGLSetParameter","(", ctx, ", ", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLSetParameter)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetParameter, "CGLSetParameter" );
      RegalAssert(dispatchTableGlobal.CGLSetParameter!=CGLSetParameter);
      if (dispatchTableGlobal.CGLSetParameter==CGLSetParameter)
        dispatchTableGlobal.CGLSetParameter = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetParameter)
    {
      ret = dispatchTableGlobal.CGLSetParameter(ctx, pname, params);
      Driver("CGLSetParameter","(", ctx, ", ", pname, ", ", boost::print::optional(params,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLSetParameter not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetVirtualScreen(CGLContextObj ctx, GLint screen)
  {
    App("CGLSetVirtualScreen","(", ctx, ", ", screen, ")");
    if (!dispatchTableGlobal.CGLSetVirtualScreen)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetVirtualScreen, "CGLSetVirtualScreen" );
      RegalAssert(dispatchTableGlobal.CGLSetVirtualScreen!=CGLSetVirtualScreen);
      if (dispatchTableGlobal.CGLSetVirtualScreen==CGLSetVirtualScreen)
        dispatchTableGlobal.CGLSetVirtualScreen = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetVirtualScreen)
    {
      ret = dispatchTableGlobal.CGLSetVirtualScreen(ctx, screen);
      Driver("CGLSetVirtualScreen","(", ctx, ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "CGLSetVirtualScreen not available." );
    return ret;
  }

  /* CGL_VERSION_1_1 */

  REGAL_DECL CGLError REGAL_CALL CGLCreatePBuffer(GLsizei width, GLsizei height, GLenum target, GLenum internalFormat, GLint max_level, CGLPBufferObj *pbuffer)
  {
    App("CGLCreatePBuffer","(", width, ", ", height, ", ", toString(target), ", ", toString(internalFormat), ", ", max_level, ", ", pbuffer, ")");
    if (!dispatchTableGlobal.CGLCreatePBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLCreatePBuffer, "CGLCreatePBuffer" );
      RegalAssert(dispatchTableGlobal.CGLCreatePBuffer!=CGLCreatePBuffer);
      if (dispatchTableGlobal.CGLCreatePBuffer==CGLCreatePBuffer)
        dispatchTableGlobal.CGLCreatePBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLCreatePBuffer)
    {
      ret = dispatchTableGlobal.CGLCreatePBuffer(width, height, target, internalFormat, max_level, pbuffer);
      Driver("CGLCreatePBuffer","(", width, ", ", height, ", ", toString(target), ", ", toString(internalFormat), ", ", max_level, ", ", pbuffer, ")", " returned ", ret);
    }
    else
      Warning( "CGLCreatePBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribePBuffer(CGLPBufferObj pbuffer, GLsizei *width, GLsizei *height, GLenum *target, GLenum *internalFormat, GLint *mipmap)
  {
    App("CGLDescribePBuffer","(", pbuffer, ", ", width, ", ", height, ", ", target, ", ", internalFormat, ", ", boost::print::optional(mipmap,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLDescribePBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLDescribePBuffer, "CGLDescribePBuffer" );
      RegalAssert(dispatchTableGlobal.CGLDescribePBuffer!=CGLDescribePBuffer);
      if (dispatchTableGlobal.CGLDescribePBuffer==CGLDescribePBuffer)
        dispatchTableGlobal.CGLDescribePBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDescribePBuffer)
    {
      ret = dispatchTableGlobal.CGLDescribePBuffer(pbuffer, width, height, target, internalFormat, mipmap);
      Driver("CGLDescribePBuffer","(", pbuffer, ", ", width, ", ", height, ", ", target, ", ", internalFormat, ", ", boost::print::optional(mipmap,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLDescribePBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyPBuffer(CGLPBufferObj pbuffer)
  {
    App("CGLDestroyPBuffer","(", pbuffer, ")");
    if (!dispatchTableGlobal.CGLDestroyPBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLDestroyPBuffer, "CGLDestroyPBuffer" );
      RegalAssert(dispatchTableGlobal.CGLDestroyPBuffer!=CGLDestroyPBuffer);
      if (dispatchTableGlobal.CGLDestroyPBuffer==CGLDestroyPBuffer)
        dispatchTableGlobal.CGLDestroyPBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLDestroyPBuffer)
    {
      ret = dispatchTableGlobal.CGLDestroyPBuffer(pbuffer);
      Driver("CGLDestroyPBuffer","(", pbuffer, ")", " returned ", ret);
    }
    else
      Warning( "CGLDestroyPBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetPBuffer(CGLContextObj ctx, CGLPBufferObj *pbuffer, GLenum *face, GLint *level, GLint *screen)
  {
    App("CGLGetPBuffer","(", ctx, ", ", pbuffer, ", ", face, ", ", boost::print::optional(level,Logging::pointers), ", ", boost::print::optional(screen,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLGetPBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetPBuffer, "CGLGetPBuffer" );
      RegalAssert(dispatchTableGlobal.CGLGetPBuffer!=CGLGetPBuffer);
      if (dispatchTableGlobal.CGLGetPBuffer==CGLGetPBuffer)
        dispatchTableGlobal.CGLGetPBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetPBuffer)
    {
      ret = dispatchTableGlobal.CGLGetPBuffer(ctx, pbuffer, face, level, screen);
      Driver("CGLGetPBuffer","(", ctx, ", ", pbuffer, ", ", face, ", ", boost::print::optional(level,Logging::pointers), ", ", boost::print::optional(screen,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLGetPBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetPBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum face, GLint level, GLint screen)
  {
    App("CGLSetPBuffer","(", ctx, ", ", pbuffer, ", ", toString(face), ", ", level, ", ", screen, ")");
    if (!dispatchTableGlobal.CGLSetPBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetPBuffer, "CGLSetPBuffer" );
      RegalAssert(dispatchTableGlobal.CGLSetPBuffer!=CGLSetPBuffer);
      if (dispatchTableGlobal.CGLSetPBuffer==CGLSetPBuffer)
        dispatchTableGlobal.CGLSetPBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetPBuffer)
    {
      ret = dispatchTableGlobal.CGLSetPBuffer(ctx, pbuffer, face, level, screen);
      Driver("CGLSetPBuffer","(", ctx, ", ", pbuffer, ", ", toString(face), ", ", level, ", ", screen, ")", " returned ", ret);
    }
    else
      Warning( "CGLSetPBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLTexImagePBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum source)
  {
    App("CGLTexImagePBuffer","(", ctx, ", ", pbuffer, ", ", toString(source), ")");
    if (!dispatchTableGlobal.CGLTexImagePBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLTexImagePBuffer, "CGLTexImagePBuffer" );
      RegalAssert(dispatchTableGlobal.CGLTexImagePBuffer!=CGLTexImagePBuffer);
      if (dispatchTableGlobal.CGLTexImagePBuffer==CGLTexImagePBuffer)
        dispatchTableGlobal.CGLTexImagePBuffer = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLTexImagePBuffer)
    {
      ret = dispatchTableGlobal.CGLTexImagePBuffer(ctx, pbuffer, source);
      Driver("CGLTexImagePBuffer","(", ctx, ", ", pbuffer, ", ", toString(source), ")", " returned ", ret);
    }
    else
      Warning( "CGLTexImagePBuffer not available." );
    return ret;
  }

  /* CGL_VERSION_1_2 */

  REGAL_DECL GLuint REGAL_CALL CGLGetContextRetainCount(CGLContextObj ctx)
  {
    App("CGLGetContextRetainCount","(", ctx, ")");
    if (!dispatchTableGlobal.CGLGetContextRetainCount)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetContextRetainCount, "CGLGetContextRetainCount" );
      RegalAssert(dispatchTableGlobal.CGLGetContextRetainCount!=CGLGetContextRetainCount);
      if (dispatchTableGlobal.CGLGetContextRetainCount==CGLGetContextRetainCount)
        dispatchTableGlobal.CGLGetContextRetainCount = NULL;
    }
    GLuint ret = 0;
    if (dispatchTableGlobal.CGLGetContextRetainCount)
    {
      ret = dispatchTableGlobal.CGLGetContextRetainCount(ctx);
      Driver("CGLGetContextRetainCount","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetContextRetainCount not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetGlobalOption(CGLGlobalOption pname, GLint *params)
  {
    App("CGLGetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLGetGlobalOption)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetGlobalOption, "CGLGetGlobalOption" );
      RegalAssert(dispatchTableGlobal.CGLGetGlobalOption!=CGLGetGlobalOption);
      if (dispatchTableGlobal.CGLGetGlobalOption==CGLGetGlobalOption)
        dispatchTableGlobal.CGLGetGlobalOption = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetGlobalOption)
    {
      ret = dispatchTableGlobal.CGLGetGlobalOption(pname, params);
      Driver("CGLGetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLGetGlobalOption not available." );
    return ret;
  }

  REGAL_DECL GLuint REGAL_CALL CGLGetPBufferRetainCount(CGLPBufferObj pbuffer)
  {
    App("CGLGetPBufferRetainCount","(", pbuffer, ")");
    if (!dispatchTableGlobal.CGLGetPBufferRetainCount)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetPBufferRetainCount, "CGLGetPBufferRetainCount" );
      RegalAssert(dispatchTableGlobal.CGLGetPBufferRetainCount!=CGLGetPBufferRetainCount);
      if (dispatchTableGlobal.CGLGetPBufferRetainCount==CGLGetPBufferRetainCount)
        dispatchTableGlobal.CGLGetPBufferRetainCount = NULL;
    }
    GLuint ret = 0;
    if (dispatchTableGlobal.CGLGetPBufferRetainCount)
    {
      ret = dispatchTableGlobal.CGLGetPBufferRetainCount(pbuffer);
      Driver("CGLGetPBufferRetainCount","(", pbuffer, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetPBufferRetainCount not available." );
    return ret;
  }

  REGAL_DECL CGLPixelFormatObj REGAL_CALL CGLGetPixelFormat(CGLContextObj ctx)
  {
    App("CGLGetPixelFormat","(", ctx, ")");
    if (!dispatchTableGlobal.CGLGetPixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetPixelFormat, "CGLGetPixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLGetPixelFormat!=CGLGetPixelFormat);
      if (dispatchTableGlobal.CGLGetPixelFormat==CGLGetPixelFormat)
        dispatchTableGlobal.CGLGetPixelFormat = NULL;
    }
    CGLPixelFormatObj ret = 0;
    if (dispatchTableGlobal.CGLGetPixelFormat)
    {
      ret = dispatchTableGlobal.CGLGetPixelFormat(ctx);
      Driver("CGLGetPixelFormat","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetPixelFormat not available." );
    return ret;
  }

  REGAL_DECL GLuint REGAL_CALL CGLGetPixelFormatRetainCount(CGLPixelFormatObj pix)
  {
    App("CGLGetPixelFormatRetainCount","(", pix, ")");
    if (!dispatchTableGlobal.CGLGetPixelFormatRetainCount)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetPixelFormatRetainCount, "CGLGetPixelFormatRetainCount" );
      RegalAssert(dispatchTableGlobal.CGLGetPixelFormatRetainCount!=CGLGetPixelFormatRetainCount);
      if (dispatchTableGlobal.CGLGetPixelFormatRetainCount==CGLGetPixelFormatRetainCount)
        dispatchTableGlobal.CGLGetPixelFormatRetainCount = NULL;
    }
    GLuint ret = 0;
    if (dispatchTableGlobal.CGLGetPixelFormatRetainCount)
    {
      ret = dispatchTableGlobal.CGLGetPixelFormatRetainCount(pix);
      Driver("CGLGetPixelFormatRetainCount","(", pix, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetPixelFormatRetainCount not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLLockContext(CGLContextObj ctx)
  {
    App("CGLLockContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLLockContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLLockContext, "CGLLockContext" );
      RegalAssert(dispatchTableGlobal.CGLLockContext!=CGLLockContext);
      if (dispatchTableGlobal.CGLLockContext==CGLLockContext)
        dispatchTableGlobal.CGLLockContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLLockContext)
    {
      ret = dispatchTableGlobal.CGLLockContext(ctx);
      Driver("CGLLockContext","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLLockContext not available." );
    return ret;
  }

  REGAL_DECL void REGAL_CALL CGLReleaseContext(CGLContextObj ctx)
  {
    App("CGLReleaseContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLReleaseContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLReleaseContext, "CGLReleaseContext" );
      RegalAssert(dispatchTableGlobal.CGLReleaseContext!=CGLReleaseContext);
      if (dispatchTableGlobal.CGLReleaseContext==CGLReleaseContext)
        dispatchTableGlobal.CGLReleaseContext = NULL;
    }
    if (dispatchTableGlobal.CGLReleaseContext)
    {
      dispatchTableGlobal.CGLReleaseContext(ctx);
      Driver("CGLReleaseContext","(", ctx, ")");
    }
    else
      Warning( "CGLReleaseContext not available." );
  }

  REGAL_DECL void REGAL_CALL CGLReleasePBuffer(CGLPBufferObj pbuffer)
  {
    App("CGLReleasePBuffer","(", pbuffer, ")");
    if (!dispatchTableGlobal.CGLReleasePBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLReleasePBuffer, "CGLReleasePBuffer" );
      RegalAssert(dispatchTableGlobal.CGLReleasePBuffer!=CGLReleasePBuffer);
      if (dispatchTableGlobal.CGLReleasePBuffer==CGLReleasePBuffer)
        dispatchTableGlobal.CGLReleasePBuffer = NULL;
    }
    if (dispatchTableGlobal.CGLReleasePBuffer)
    {
      dispatchTableGlobal.CGLReleasePBuffer(pbuffer);
      Driver("CGLReleasePBuffer","(", pbuffer, ")");
    }
    else
      Warning( "CGLReleasePBuffer not available." );
  }

  REGAL_DECL void REGAL_CALL CGLReleasePixelFormat(CGLPixelFormatObj pix)
  {
    App("CGLReleasePixelFormat","(", pix, ")");
    if (!dispatchTableGlobal.CGLReleasePixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLReleasePixelFormat, "CGLReleasePixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLReleasePixelFormat!=CGLReleasePixelFormat);
      if (dispatchTableGlobal.CGLReleasePixelFormat==CGLReleasePixelFormat)
        dispatchTableGlobal.CGLReleasePixelFormat = NULL;
    }
    if (dispatchTableGlobal.CGLReleasePixelFormat)
    {
      dispatchTableGlobal.CGLReleasePixelFormat(pix);
      Driver("CGLReleasePixelFormat","(", pix, ")");
    }
    else
      Warning( "CGLReleasePixelFormat not available." );
  }

  REGAL_DECL CGLContextObj REGAL_CALL CGLRetainContext(CGLContextObj ctx)
  {
    App("CGLRetainContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLRetainContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLRetainContext, "CGLRetainContext" );
      RegalAssert(dispatchTableGlobal.CGLRetainContext!=CGLRetainContext);
      if (dispatchTableGlobal.CGLRetainContext==CGLRetainContext)
        dispatchTableGlobal.CGLRetainContext = NULL;
    }
    CGLContextObj ret = 0;
    if (dispatchTableGlobal.CGLRetainContext)
    {
      ret = dispatchTableGlobal.CGLRetainContext(ctx);
      Driver("CGLRetainContext","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLRetainContext not available." );
    return ret;
  }

  REGAL_DECL CGLPBufferObj REGAL_CALL CGLRetainPBuffer(CGLPBufferObj pbuffer)
  {
    App("CGLRetainPBuffer","(", pbuffer, ")");
    if (!dispatchTableGlobal.CGLRetainPBuffer)
    {
      GetProcAddress( dispatchTableGlobal.CGLRetainPBuffer, "CGLRetainPBuffer" );
      RegalAssert(dispatchTableGlobal.CGLRetainPBuffer!=CGLRetainPBuffer);
      if (dispatchTableGlobal.CGLRetainPBuffer==CGLRetainPBuffer)
        dispatchTableGlobal.CGLRetainPBuffer = NULL;
    }
    CGLPBufferObj ret = 0;
    if (dispatchTableGlobal.CGLRetainPBuffer)
    {
      ret = dispatchTableGlobal.CGLRetainPBuffer(pbuffer);
      Driver("CGLRetainPBuffer","(", pbuffer, ")", " returned ", ret);
    }
    else
      Warning( "CGLRetainPBuffer not available." );
    return ret;
  }

  REGAL_DECL CGLPixelFormatObj REGAL_CALL CGLRetainPixelFormat(CGLPixelFormatObj pix)
  {
    App("CGLRetainPixelFormat","(", pix, ")");
    if (!dispatchTableGlobal.CGLRetainPixelFormat)
    {
      GetProcAddress( dispatchTableGlobal.CGLRetainPixelFormat, "CGLRetainPixelFormat" );
      RegalAssert(dispatchTableGlobal.CGLRetainPixelFormat!=CGLRetainPixelFormat);
      if (dispatchTableGlobal.CGLRetainPixelFormat==CGLRetainPixelFormat)
        dispatchTableGlobal.CGLRetainPixelFormat = NULL;
    }
    CGLPixelFormatObj ret = 0;
    if (dispatchTableGlobal.CGLRetainPixelFormat)
    {
      ret = dispatchTableGlobal.CGLRetainPixelFormat(pix);
      Driver("CGLRetainPixelFormat","(", pix, ")", " returned ", ret);
    }
    else
      Warning( "CGLRetainPixelFormat not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetGlobalOption(CGLGlobalOption pname, const GLint *params)
  {
    App("CGLSetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!dispatchTableGlobal.CGLSetGlobalOption)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetGlobalOption, "CGLSetGlobalOption" );
      RegalAssert(dispatchTableGlobal.CGLSetGlobalOption!=CGLSetGlobalOption);
      if (dispatchTableGlobal.CGLSetGlobalOption==CGLSetGlobalOption)
        dispatchTableGlobal.CGLSetGlobalOption = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetGlobalOption)
    {
      ret = dispatchTableGlobal.CGLSetGlobalOption(pname, params);
      Driver("CGLSetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "CGLSetGlobalOption not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLUnlockContext(CGLContextObj ctx)
  {
    App("CGLUnlockContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLUnlockContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLUnlockContext, "CGLUnlockContext" );
      RegalAssert(dispatchTableGlobal.CGLUnlockContext!=CGLUnlockContext);
      if (dispatchTableGlobal.CGLUnlockContext==CGLUnlockContext)
        dispatchTableGlobal.CGLUnlockContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLUnlockContext)
    {
      ret = dispatchTableGlobal.CGLUnlockContext(ctx);
      Driver("CGLUnlockContext","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLUnlockContext not available." );
    return ret;
  }

  /* CGL_VERSION_1_3 */

  REGAL_DECL CGLContextObj REGAL_CALL CGLGetCurrentContext(void)
  {
    App("CGLGetCurrentContext","()");
    if (!dispatchTableGlobal.CGLGetCurrentContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetCurrentContext, "CGLGetCurrentContext" );
      RegalAssert(dispatchTableGlobal.CGLGetCurrentContext!=CGLGetCurrentContext);
      if (dispatchTableGlobal.CGLGetCurrentContext==CGLGetCurrentContext)
        dispatchTableGlobal.CGLGetCurrentContext = NULL;
    }
    CGLContextObj ret = 0;
    if (dispatchTableGlobal.CGLGetCurrentContext)
    {
      ret = dispatchTableGlobal.CGLGetCurrentContext();
      Driver("CGLGetCurrentContext","()", " returned ", ret);
    }
    else
      Warning( "CGLGetCurrentContext not available." );
    return ret;
  }

  REGAL_DECL CGLShareGroupObj REGAL_CALL CGLGetShareGroup(CGLContextObj ctx)
  {
    App("CGLGetShareGroup","(", ctx, ")");
    if (!dispatchTableGlobal.CGLGetShareGroup)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetShareGroup, "CGLGetShareGroup" );
      RegalAssert(dispatchTableGlobal.CGLGetShareGroup!=CGLGetShareGroup);
      if (dispatchTableGlobal.CGLGetShareGroup==CGLGetShareGroup)
        dispatchTableGlobal.CGLGetShareGroup = NULL;
    }
    CGLShareGroupObj ret = 0;
    if (dispatchTableGlobal.CGLGetShareGroup)
    {
      ret = dispatchTableGlobal.CGLGetShareGroup(ctx);
      Driver("CGLGetShareGroup","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetShareGroup not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetSurface(CGLContextObj ctx, CGSConnectionID *conn, CGSWindowID *win, CGSSurfaceID *srf)
  {
    App("CGLGetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
    if (!dispatchTableGlobal.CGLGetSurface)
    {
      GetProcAddress( dispatchTableGlobal.CGLGetSurface, "CGLGetSurface" );
      RegalAssert(dispatchTableGlobal.CGLGetSurface!=CGLGetSurface);
      if (dispatchTableGlobal.CGLGetSurface==CGLGetSurface)
        dispatchTableGlobal.CGLGetSurface = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLGetSurface)
    {
      ret = dispatchTableGlobal.CGLGetSurface(ctx, conn, win, srf);
      Driver("CGLGetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")", " returned ", ret);
    }
    else
      Warning( "CGLGetSurface not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetCurrentContext(CGLContextObj ctx)
  {
    App("CGLSetCurrentContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLSetCurrentContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetCurrentContext, "CGLSetCurrentContext" );
      RegalAssert(dispatchTableGlobal.CGLSetCurrentContext!=CGLSetCurrentContext);
      if (dispatchTableGlobal.CGLSetCurrentContext==CGLSetCurrentContext)
        dispatchTableGlobal.CGLSetCurrentContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetCurrentContext)
    {
      ret = dispatchTableGlobal.CGLSetCurrentContext(ctx);
      Driver("CGLSetCurrentContext","(", ctx, ")", " returned ", ret);
      Init::makeCurrent(ctx);
    }
    else
      Warning( "CGLSetCurrentContext not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetSurface(CGLContextObj ctx, CGSConnectionID conn, CGSWindowID win, CGSSurfaceID srf)
  {
    App("CGLSetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
    if (!dispatchTableGlobal.CGLSetSurface)
    {
      GetProcAddress( dispatchTableGlobal.CGLSetSurface, "CGLSetSurface" );
      RegalAssert(dispatchTableGlobal.CGLSetSurface!=CGLSetSurface);
      if (dispatchTableGlobal.CGLSetSurface==CGLSetSurface)
        dispatchTableGlobal.CGLSetSurface = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLSetSurface)
    {
      ret = dispatchTableGlobal.CGLSetSurface(ctx, conn, win, srf);
      Driver("CGLSetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")", " returned ", ret);
    }
    else
      Warning( "CGLSetSurface not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLTexImageIOSurface2D(CGLContextObj ctx, GLenum target, GLenum internal_format, GLsizei width, GLsizei height, GLenum format, GLenum type, IOSurfaceRef ioSurface, GLuint plane)
  {
    App("CGLTexImageIOSurface2D","(", ctx, ", ", toString(target), ", ", toString(internal_format), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", ioSurface, ", ", plane, ")");
    if (!dispatchTableGlobal.CGLTexImageIOSurface2D)
    {
      GetProcAddress( dispatchTableGlobal.CGLTexImageIOSurface2D, "CGLTexImageIOSurface2D" );
      RegalAssert(dispatchTableGlobal.CGLTexImageIOSurface2D!=CGLTexImageIOSurface2D);
      if (dispatchTableGlobal.CGLTexImageIOSurface2D==CGLTexImageIOSurface2D)
        dispatchTableGlobal.CGLTexImageIOSurface2D = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLTexImageIOSurface2D)
    {
      ret = dispatchTableGlobal.CGLTexImageIOSurface2D(ctx, target, internal_format, width, height, format, type, ioSurface, plane);
      Driver("CGLTexImageIOSurface2D","(", ctx, ", ", toString(target), ", ", toString(internal_format), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", ioSurface, ")", " returned ", ret);
    }
    else
      Warning( "CGLTexImageIOSurface2D not available." );
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLUpdateContext(CGLContextObj ctx)
  {
    App("CGLUpdateContext","(", ctx, ")");
    if (!dispatchTableGlobal.CGLUpdateContext)
    {
      GetProcAddress( dispatchTableGlobal.CGLUpdateContext, "CGLUpdateContext" );
      RegalAssert(dispatchTableGlobal.CGLUpdateContext!=CGLUpdateContext);
      if (dispatchTableGlobal.CGLUpdateContext==CGLUpdateContext)
        dispatchTableGlobal.CGLUpdateContext = NULL;
    }
    CGLError ret = (CGLError) 0;
    if (dispatchTableGlobal.CGLUpdateContext)
    {
      ret = dispatchTableGlobal.CGLUpdateContext(ctx);
      Driver("CGLUpdateContext","(", ctx, ")", " returned ", ret);
    }
    else
      Warning( "CGLUpdateContext not available." );
    return ret;
  }

#endif /* REGAL_SYS_OSX */
#if REGAL_SYS_EGL

  /* EGL_ANGLE_query_surface_pointer */

  REGAL_DECL EGLBoolean REGAL_CALL eglQuerySurfacePointerANGLE(EGLDisplay dpy, EGLSurface surface, EGLint attribute, GLvoid **value)
  {
    App("eglQuerySurfacePointerANGLE","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglQuerySurfacePointerANGLE)
    {
      GetProcAddress( dispatchTableGlobal.eglQuerySurfacePointerANGLE, "eglQuerySurfacePointerANGLE" );
      RegalAssert(dispatchTableGlobal.eglQuerySurfacePointerANGLE!=eglQuerySurfacePointerANGLE);
      if (dispatchTableGlobal.eglQuerySurfacePointerANGLE==eglQuerySurfacePointerANGLE)
        dispatchTableGlobal.eglQuerySurfacePointerANGLE = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglQuerySurfacePointerANGLE)
    {
      ret = dispatchTableGlobal.eglQuerySurfacePointerANGLE(dpy, surface, attribute, value);
      Driver("eglQuerySurfacePointerANGLE","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")", " returned ", ret);
    }
    else
      Warning( "eglQuerySurfacePointerANGLE not available." );
    return ret;
  }

  /* EGL_KHR_fence_sync */

  REGAL_DECL EGLint REGAL_CALL eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags, EGLTimeKHR timeout)
  {
    App("eglClientWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglClientWaitSyncKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglClientWaitSyncKHR, "eglClientWaitSyncKHR" );
      RegalAssert(dispatchTableGlobal.eglClientWaitSyncKHR!=eglClientWaitSyncKHR);
      if (dispatchTableGlobal.eglClientWaitSyncKHR==eglClientWaitSyncKHR)
        dispatchTableGlobal.eglClientWaitSyncKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLint ret = 0;
    if (dispatchTableGlobal.eglClientWaitSyncKHR)
    {
      ret = dispatchTableGlobal.eglClientWaitSyncKHR(dpy, GLsync, flags, timeout);
      Driver("eglClientWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")", " returned ", ret);
    }
    else
      Warning( "eglClientWaitSyncKHR not available." );
    return ret;
  }

  REGAL_DECL EGLSyncKHR REGAL_CALL eglCreateSyncKHR(EGLDisplay dpy, EGLenum type, const EGLint *attrib_list)
  {
    App("eglCreateSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(type), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateSyncKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateSyncKHR, "eglCreateSyncKHR" );
      RegalAssert(dispatchTableGlobal.eglCreateSyncKHR!=eglCreateSyncKHR);
      if (dispatchTableGlobal.eglCreateSyncKHR==eglCreateSyncKHR)
        dispatchTableGlobal.eglCreateSyncKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSyncKHR ret = 0;
    if (dispatchTableGlobal.eglCreateSyncKHR)
    {
      ret = dispatchTableGlobal.eglCreateSyncKHR(dpy, type, attrib_list);
      Driver("eglCreateSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(type), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateSyncKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync)
  {
    App("eglDestroySyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglDestroySyncKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglDestroySyncKHR, "eglDestroySyncKHR" );
      RegalAssert(dispatchTableGlobal.eglDestroySyncKHR!=eglDestroySyncKHR);
      if (dispatchTableGlobal.eglDestroySyncKHR==eglDestroySyncKHR)
        dispatchTableGlobal.eglDestroySyncKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglDestroySyncKHR)
    {
      ret = dispatchTableGlobal.eglDestroySyncKHR(dpy, GLsync);
      Driver("eglDestroySyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglDestroySyncKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint attribute, EGLint *value)
  {
    App("eglGetSyncAttribKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetSyncAttribKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglGetSyncAttribKHR, "eglGetSyncAttribKHR" );
      RegalAssert(dispatchTableGlobal.eglGetSyncAttribKHR!=eglGetSyncAttribKHR);
      if (dispatchTableGlobal.eglGetSyncAttribKHR==eglGetSyncAttribKHR)
        dispatchTableGlobal.eglGetSyncAttribKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglGetSyncAttribKHR)
    {
      ret = dispatchTableGlobal.eglGetSyncAttribKHR(dpy, GLsync, attribute, value);
      Driver("eglGetSyncAttribKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")", " returned ", ret);
    }
    else
      Warning( "eglGetSyncAttribKHR not available." );
    return ret;
  }

  /* EGL_KHR_image_base */

  REGAL_DECL EGLImageKHR REGAL_CALL eglCreateImageKHR(EGLDisplay dpy, EGLContext ctx, EGLenum target, EGLClientBuffer buffer, const EGLint *attrib_list)
  {
    App("eglCreateImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", EGLenumToString(target), ", ", boost::print::optional(buffer,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateImageKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateImageKHR, "eglCreateImageKHR" );
      RegalAssert(dispatchTableGlobal.eglCreateImageKHR!=eglCreateImageKHR);
      if (dispatchTableGlobal.eglCreateImageKHR==eglCreateImageKHR)
        dispatchTableGlobal.eglCreateImageKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLImageKHR ret = 0;
    if (dispatchTableGlobal.eglCreateImageKHR)
    {
      ret = dispatchTableGlobal.eglCreateImageKHR(dpy, ctx, target, buffer, attrib_list);
      Driver("eglCreateImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", EGLenumToString(target), ", ", boost::print::optional(buffer,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateImageKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroyImageKHR(EGLDisplay dpy, EGLImageKHR image)
  {
    App("eglDestroyImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglDestroyImageKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglDestroyImageKHR, "eglDestroyImageKHR" );
      RegalAssert(dispatchTableGlobal.eglDestroyImageKHR!=eglDestroyImageKHR);
      if (dispatchTableGlobal.eglDestroyImageKHR==eglDestroyImageKHR)
        dispatchTableGlobal.eglDestroyImageKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglDestroyImageKHR)
    {
      ret = dispatchTableGlobal.eglDestroyImageKHR(dpy, image);
      Driver("eglDestroyImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglDestroyImageKHR not available." );
    return ret;
  }

  /* EGL_KHR_lock_surface */

  REGAL_DECL EGLBoolean REGAL_CALL eglLockSurfaceKHR(EGLDisplay display, EGLSurface surface, const EGLint *attrib_list)
  {
    App("eglLockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglLockSurfaceKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglLockSurfaceKHR, "eglLockSurfaceKHR" );
      RegalAssert(dispatchTableGlobal.eglLockSurfaceKHR!=eglLockSurfaceKHR);
      if (dispatchTableGlobal.eglLockSurfaceKHR==eglLockSurfaceKHR)
        dispatchTableGlobal.eglLockSurfaceKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglLockSurfaceKHR)
    {
      ret = dispatchTableGlobal.eglLockSurfaceKHR(display, surface, attrib_list);
      Driver("eglLockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attrib_list, ")", " returned ", ret);
    }
    else
      Warning( "eglLockSurfaceKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglUnlockSurfaceKHR(EGLDisplay display, EGLSurface surface)
  {
    App("eglUnlockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglUnlockSurfaceKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglUnlockSurfaceKHR, "eglUnlockSurfaceKHR" );
      RegalAssert(dispatchTableGlobal.eglUnlockSurfaceKHR!=eglUnlockSurfaceKHR);
      if (dispatchTableGlobal.eglUnlockSurfaceKHR==eglUnlockSurfaceKHR)
        dispatchTableGlobal.eglUnlockSurfaceKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglUnlockSurfaceKHR)
    {
      ret = dispatchTableGlobal.eglUnlockSurfaceKHR(display, surface);
      Driver("eglUnlockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglUnlockSurfaceKHR not available." );
    return ret;
  }

  /* EGL_KHR_stream_consumer_gltexture */

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerAcquireKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    App("eglStreamConsumerAcquireKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglStreamConsumerAcquireKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglStreamConsumerAcquireKHR, "eglStreamConsumerAcquireKHR" );
      RegalAssert(dispatchTableGlobal.eglStreamConsumerAcquireKHR!=eglStreamConsumerAcquireKHR);
      if (dispatchTableGlobal.eglStreamConsumerAcquireKHR==eglStreamConsumerAcquireKHR)
        dispatchTableGlobal.eglStreamConsumerAcquireKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglStreamConsumerAcquireKHR)
    {
      ret = dispatchTableGlobal.eglStreamConsumerAcquireKHR(dpy, stream);
      Driver("eglStreamConsumerAcquireKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglStreamConsumerAcquireKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerGLTextureExternalKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    App("eglStreamConsumerGLTextureExternalKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR, "eglStreamConsumerGLTextureExternalKHR" );
      RegalAssert(dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR!=eglStreamConsumerGLTextureExternalKHR);
      if (dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR==eglStreamConsumerGLTextureExternalKHR)
        dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR)
    {
      ret = dispatchTableGlobal.eglStreamConsumerGLTextureExternalKHR(dpy, stream);
      Driver("eglStreamConsumerGLTextureExternalKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglStreamConsumerGLTextureExternalKHR not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerReleaseKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    App("eglStreamConsumerReleaseKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglStreamConsumerReleaseKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglStreamConsumerReleaseKHR, "eglStreamConsumerReleaseKHR" );
      RegalAssert(dispatchTableGlobal.eglStreamConsumerReleaseKHR!=eglStreamConsumerReleaseKHR);
      if (dispatchTableGlobal.eglStreamConsumerReleaseKHR==eglStreamConsumerReleaseKHR)
        dispatchTableGlobal.eglStreamConsumerReleaseKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglStreamConsumerReleaseKHR)
    {
      ret = dispatchTableGlobal.eglStreamConsumerReleaseKHR(dpy, stream);
      Driver("eglStreamConsumerReleaseKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglStreamConsumerReleaseKHR not available." );
    return ret;
  }

  /* EGL_KHR_stream_cross_process_fd */

  REGAL_DECL EGLStreamKHR REGAL_CALL eglCreateStreamFromFileDescriptorKHR(EGLDisplay dpy, EGLNativeFileDescriptorKHR file_descriptor)
  {
    App("eglCreateStreamFromFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", file_descriptor, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR, "eglCreateStreamFromFileDescriptorKHR" );
      RegalAssert(dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR!=eglCreateStreamFromFileDescriptorKHR);
      if (dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR==eglCreateStreamFromFileDescriptorKHR)
        dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLStreamKHR ret = 0;
    if (dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR)
    {
      ret = dispatchTableGlobal.eglCreateStreamFromFileDescriptorKHR(dpy, file_descriptor);
      Driver("eglCreateStreamFromFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", file_descriptor, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateStreamFromFileDescriptorKHR not available." );
    return ret;
  }

  REGAL_DECL EGLNativeFileDescriptorKHR REGAL_CALL eglGetStreamFileDescriptorKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    App("eglGetStreamFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetStreamFileDescriptorKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglGetStreamFileDescriptorKHR, "eglGetStreamFileDescriptorKHR" );
      RegalAssert(dispatchTableGlobal.eglGetStreamFileDescriptorKHR!=eglGetStreamFileDescriptorKHR);
      if (dispatchTableGlobal.eglGetStreamFileDescriptorKHR==eglGetStreamFileDescriptorKHR)
        dispatchTableGlobal.eglGetStreamFileDescriptorKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLNativeFileDescriptorKHR ret = 0;
    if (dispatchTableGlobal.eglGetStreamFileDescriptorKHR)
    {
      ret = dispatchTableGlobal.eglGetStreamFileDescriptorKHR(dpy, stream);
      Driver("eglGetStreamFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglGetStreamFileDescriptorKHR not available." );
    return ret;
  }

  /* EGL_KHR_stream_producer_eglsurface */

  REGAL_DECL EGLSurface REGAL_CALL eglCreateStreamProducerSurfaceKHR(EGLDisplay dpy, EGLConfig config, EGLStreamKHR stream, const EGLint *attrib_list)
  {
    App("eglCreateStreamProducerSurfaceKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR, "eglCreateStreamProducerSurfaceKHR" );
      RegalAssert(dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR!=eglCreateStreamProducerSurfaceKHR);
      if (dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR==eglCreateStreamProducerSurfaceKHR)
        dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR)
    {
      ret = dispatchTableGlobal.eglCreateStreamProducerSurfaceKHR(dpy, config, stream, attrib_list);
      Driver("eglCreateStreamProducerSurfaceKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateStreamProducerSurfaceKHR not available." );
    return ret;
  }

  /* EGL_KHR_wait_sync */

  REGAL_DECL EGLint REGAL_CALL eglWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags)
  {
    App("eglWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglWaitSyncKHR)
    {
      GetProcAddress( dispatchTableGlobal.eglWaitSyncKHR, "eglWaitSyncKHR" );
      RegalAssert(dispatchTableGlobal.eglWaitSyncKHR!=eglWaitSyncKHR);
      if (dispatchTableGlobal.eglWaitSyncKHR==eglWaitSyncKHR)
        dispatchTableGlobal.eglWaitSyncKHR = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLint ret = 0;
    if (dispatchTableGlobal.eglWaitSyncKHR)
    {
      ret = dispatchTableGlobal.eglWaitSyncKHR(dpy, GLsync, flags);
      Driver("eglWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ")", " returned ", ret);
    }
    else
      Warning( "eglWaitSyncKHR not available." );
    return ret;
  }

  /* EGL_MESA_drm_image */

  REGAL_DECL EGLImageKHR REGAL_CALL eglCreateDRMImageMESA(EGLDisplay dpy, const EGLint *attrib_list)
  {
    App("eglCreateDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateDRMImageMESA)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateDRMImageMESA, "eglCreateDRMImageMESA" );
      RegalAssert(dispatchTableGlobal.eglCreateDRMImageMESA!=eglCreateDRMImageMESA);
      if (dispatchTableGlobal.eglCreateDRMImageMESA==eglCreateDRMImageMESA)
        dispatchTableGlobal.eglCreateDRMImageMESA = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLImageKHR ret = 0;
    if (dispatchTableGlobal.eglCreateDRMImageMESA)
    {
      ret = dispatchTableGlobal.eglCreateDRMImageMESA(dpy, attrib_list);
      Driver("eglCreateDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateDRMImageMESA not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglExportDRMImageMESA(EGLDisplay dpy, EGLImageKHR image, EGLint *name, EGLint *handle, EGLint *stride)
  {
    App("eglExportDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ", ", name, ", ", handle, ", ", stride, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglExportDRMImageMESA)
    {
      GetProcAddress( dispatchTableGlobal.eglExportDRMImageMESA, "eglExportDRMImageMESA" );
      RegalAssert(dispatchTableGlobal.eglExportDRMImageMESA!=eglExportDRMImageMESA);
      if (dispatchTableGlobal.eglExportDRMImageMESA==eglExportDRMImageMESA)
        dispatchTableGlobal.eglExportDRMImageMESA = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglExportDRMImageMESA)
    {
      ret = dispatchTableGlobal.eglExportDRMImageMESA(dpy, image, name, handle, stride);
      Driver("eglExportDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ", ", name, ", ", handle, ", ", stride, ")", " returned ", ret);
    }
    else
      Warning( "eglExportDRMImageMESA not available." );
    return ret;
  }

  /* EGL_NV_coverage_sample */

  REGAL_DECL void REGAL_CALL eglCoverageMaskNV(GLboolean mask)
  {
    App("eglCoverageMaskNV","(", toString(mask), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCoverageMaskNV)
    {
      GetProcAddress( dispatchTableGlobal.eglCoverageMaskNV, "eglCoverageMaskNV" );
      RegalAssert(dispatchTableGlobal.eglCoverageMaskNV!=eglCoverageMaskNV);
      if (dispatchTableGlobal.eglCoverageMaskNV==eglCoverageMaskNV)
        dispatchTableGlobal.eglCoverageMaskNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    if (dispatchTableGlobal.eglCoverageMaskNV)
    {
      dispatchTableGlobal.eglCoverageMaskNV(mask);
      Driver("eglCoverageMaskNV","(", toString(mask), ")");
    }
    else
      Warning( "eglCoverageMaskNV not available." );
  }

  REGAL_DECL void REGAL_CALL eglCoverageOperationNV(GLenum operation)
  {
    App("eglCoverageOperationNV","(", toString(operation), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCoverageOperationNV)
    {
      GetProcAddress( dispatchTableGlobal.eglCoverageOperationNV, "eglCoverageOperationNV" );
      RegalAssert(dispatchTableGlobal.eglCoverageOperationNV!=eglCoverageOperationNV);
      if (dispatchTableGlobal.eglCoverageOperationNV==eglCoverageOperationNV)
        dispatchTableGlobal.eglCoverageOperationNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    if (dispatchTableGlobal.eglCoverageOperationNV)
    {
      dispatchTableGlobal.eglCoverageOperationNV(operation);
      Driver("eglCoverageOperationNV","(", toString(operation), ")");
    }
    else
      Warning( "eglCoverageOperationNV not available." );
  }

  /* EGL_NV_post_sub_buffer */

  REGAL_DECL EGLBoolean REGAL_CALL eglPostSubBufferNV(EGLDisplay dpy, EGLSurface surface, EGLint x, EGLint y, EGLint width, EGLint height)
  {
    App("eglPostSubBufferNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", x, ", ", y, ", ", width, ", ", height, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglPostSubBufferNV)
    {
      GetProcAddress( dispatchTableGlobal.eglPostSubBufferNV, "eglPostSubBufferNV" );
      RegalAssert(dispatchTableGlobal.eglPostSubBufferNV!=eglPostSubBufferNV);
      if (dispatchTableGlobal.eglPostSubBufferNV==eglPostSubBufferNV)
        dispatchTableGlobal.eglPostSubBufferNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglPostSubBufferNV)
    {
      ret = dispatchTableGlobal.eglPostSubBufferNV(dpy, surface, x, y, width, height);
      Driver("eglPostSubBufferNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", x, ", ", y, ", ", width, ", ", height, ")", " returned ", ret);
    }
    else
      Warning( "eglPostSubBufferNV not available." );
    return ret;
  }

  /* EGL_NV_sync */

  REGAL_DECL EGLint REGAL_CALL eglClientWaitSyncNV(EGLSyncNV GLsync, EGLint flags, EGLTimeNV timeout)
  {
    App("eglClientWaitSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglClientWaitSyncNV)
    {
      GetProcAddress( dispatchTableGlobal.eglClientWaitSyncNV, "eglClientWaitSyncNV" );
      RegalAssert(dispatchTableGlobal.eglClientWaitSyncNV!=eglClientWaitSyncNV);
      if (dispatchTableGlobal.eglClientWaitSyncNV==eglClientWaitSyncNV)
        dispatchTableGlobal.eglClientWaitSyncNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLint ret = 0;
    if (dispatchTableGlobal.eglClientWaitSyncNV)
    {
      ret = dispatchTableGlobal.eglClientWaitSyncNV(GLsync, flags, timeout);
      Driver("eglClientWaitSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")", " returned ", ret);
    }
    else
      Warning( "eglClientWaitSyncNV not available." );
    return ret;
  }

  REGAL_DECL EGLSyncNV REGAL_CALL eglCreateFenceSyncNV(EGLDisplay dpy, EGLenum condition, const EGLint *attrib_list)
  {
    App("eglCreateFenceSyncNV","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(condition), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateFenceSyncNV)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateFenceSyncNV, "eglCreateFenceSyncNV" );
      RegalAssert(dispatchTableGlobal.eglCreateFenceSyncNV!=eglCreateFenceSyncNV);
      if (dispatchTableGlobal.eglCreateFenceSyncNV==eglCreateFenceSyncNV)
        dispatchTableGlobal.eglCreateFenceSyncNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSyncNV ret = 0;
    if (dispatchTableGlobal.eglCreateFenceSyncNV)
    {
      ret = dispatchTableGlobal.eglCreateFenceSyncNV(dpy, condition, attrib_list);
      Driver("eglCreateFenceSyncNV","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(condition), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateFenceSyncNV not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySyncNV(EGLSyncNV GLsync)
  {
    App("eglDestroySyncNV","(", boost::print::optional(GLsync,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglDestroySyncNV)
    {
      GetProcAddress( dispatchTableGlobal.eglDestroySyncNV, "eglDestroySyncNV" );
      RegalAssert(dispatchTableGlobal.eglDestroySyncNV!=eglDestroySyncNV);
      if (dispatchTableGlobal.eglDestroySyncNV==eglDestroySyncNV)
        dispatchTableGlobal.eglDestroySyncNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglDestroySyncNV)
    {
      ret = dispatchTableGlobal.eglDestroySyncNV(GLsync);
      Driver("eglDestroySyncNV","(", boost::print::optional(GLsync,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglDestroySyncNV not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglFenceNV(EGLSyncNV GLsync)
  {
    App("eglFenceNV","(", boost::print::optional(GLsync,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglFenceNV)
    {
      GetProcAddress( dispatchTableGlobal.eglFenceNV, "eglFenceNV" );
      RegalAssert(dispatchTableGlobal.eglFenceNV!=eglFenceNV);
      if (dispatchTableGlobal.eglFenceNV==eglFenceNV)
        dispatchTableGlobal.eglFenceNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglFenceNV)
    {
      ret = dispatchTableGlobal.eglFenceNV(GLsync);
      Driver("eglFenceNV","(", boost::print::optional(GLsync,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglFenceNV not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetSyncAttribNV(EGLSyncNV GLsync, EGLint attribute, EGLint *value)
  {
    App("eglGetSyncAttribNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetSyncAttribNV)
    {
      GetProcAddress( dispatchTableGlobal.eglGetSyncAttribNV, "eglGetSyncAttribNV" );
      RegalAssert(dispatchTableGlobal.eglGetSyncAttribNV!=eglGetSyncAttribNV);
      if (dispatchTableGlobal.eglGetSyncAttribNV==eglGetSyncAttribNV)
        dispatchTableGlobal.eglGetSyncAttribNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglGetSyncAttribNV)
    {
      ret = dispatchTableGlobal.eglGetSyncAttribNV(GLsync, attribute, value);
      Driver("eglGetSyncAttribNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")", " returned ", ret);
    }
    else
      Warning( "eglGetSyncAttribNV not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSignalSyncNV(EGLSyncNV GLsync, EGLenum mode)
  {
    App("eglSignalSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", EGLenumToString(mode), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglSignalSyncNV)
    {
      GetProcAddress( dispatchTableGlobal.eglSignalSyncNV, "eglSignalSyncNV" );
      RegalAssert(dispatchTableGlobal.eglSignalSyncNV!=eglSignalSyncNV);
      if (dispatchTableGlobal.eglSignalSyncNV==eglSignalSyncNV)
        dispatchTableGlobal.eglSignalSyncNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglSignalSyncNV)
    {
      ret = dispatchTableGlobal.eglSignalSyncNV(GLsync, mode);
      Driver("eglSignalSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", EGLenumToString(mode), ")", " returned ", ret);
    }
    else
      Warning( "eglSignalSyncNV not available." );
    return ret;
  }

  /* EGL_NV_system_time */

  REGAL_DECL EGLuint64NV REGAL_CALL eglGetSystemTimeFrequencyNV(void)
  {
    App("eglGetSystemTimeFrequencyNV","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetSystemTimeFrequencyNV)
    {
      GetProcAddress( dispatchTableGlobal.eglGetSystemTimeFrequencyNV, "eglGetSystemTimeFrequencyNV" );
      RegalAssert(dispatchTableGlobal.eglGetSystemTimeFrequencyNV!=eglGetSystemTimeFrequencyNV);
      if (dispatchTableGlobal.eglGetSystemTimeFrequencyNV==eglGetSystemTimeFrequencyNV)
        dispatchTableGlobal.eglGetSystemTimeFrequencyNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLuint64NV ret = 0;
    if (dispatchTableGlobal.eglGetSystemTimeFrequencyNV)
    {
      ret = dispatchTableGlobal.eglGetSystemTimeFrequencyNV();
      Driver("eglGetSystemTimeFrequencyNV","()", " returned ", ret);
    }
    else
      Warning( "eglGetSystemTimeFrequencyNV not available." );
    return ret;
  }

  REGAL_DECL EGLuint64NV REGAL_CALL eglGetSystemTimeNV(void)
  {
    App("eglGetSystemTimeNV","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetSystemTimeNV)
    {
      GetProcAddress( dispatchTableGlobal.eglGetSystemTimeNV, "eglGetSystemTimeNV" );
      RegalAssert(dispatchTableGlobal.eglGetSystemTimeNV!=eglGetSystemTimeNV);
      if (dispatchTableGlobal.eglGetSystemTimeNV==eglGetSystemTimeNV)
        dispatchTableGlobal.eglGetSystemTimeNV = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLuint64NV ret = 0;
    if (dispatchTableGlobal.eglGetSystemTimeNV)
    {
      ret = dispatchTableGlobal.eglGetSystemTimeNV();
      Driver("eglGetSystemTimeNV","()", " returned ", ret);
    }
    else
      Warning( "eglGetSystemTimeNV not available." );
    return ret;
  }

  /* EGL_VERSION_1_0 */

  REGAL_DECL EGLBoolean REGAL_CALL eglChooseConfig(EGLDisplay dpy, const EGLint *attrib_list, EGLConfig *configs, EGLint config_size, EGLint *num_config)
  {
    App("eglChooseConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ", ", configs, ", ", config_size, ", ", num_config, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglChooseConfig)
    {
      GetProcAddress( dispatchTableGlobal.eglChooseConfig, "eglChooseConfig" );
      RegalAssert(dispatchTableGlobal.eglChooseConfig!=eglChooseConfig);
      if (dispatchTableGlobal.eglChooseConfig==eglChooseConfig)
        dispatchTableGlobal.eglChooseConfig = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglChooseConfig)
    {
      ret = dispatchTableGlobal.eglChooseConfig(dpy, attrib_list, configs, config_size, num_config);
      Driver("eglChooseConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ", ", configs, ", ", config_size, ", ", num_config, ")", " returned ", ret);
    }
    else
      Warning( "eglChooseConfig not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglCopyBuffers(EGLDisplay dpy, EGLSurface surface, EGLNativePixmapType target)
  {
    App("eglCopyBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCopyBuffers)
    {
      GetProcAddress( dispatchTableGlobal.eglCopyBuffers, "eglCopyBuffers" );
      RegalAssert(dispatchTableGlobal.eglCopyBuffers!=eglCopyBuffers);
      if (dispatchTableGlobal.eglCopyBuffers==eglCopyBuffers)
        dispatchTableGlobal.eglCopyBuffers = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglCopyBuffers)
    {
      ret = dispatchTableGlobal.eglCopyBuffers(dpy, surface, target);
      Driver("eglCopyBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglCopyBuffers not available." );
    return ret;
  }

  REGAL_DECL EGLContext REGAL_CALL eglCreateContext(EGLDisplay dpy, EGLConfig config, EGLContext share_context, const EGLint *attrib_list)
  {
    App("eglCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(share_context,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateContext)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateContext, "eglCreateContext" );
      RegalAssert(dispatchTableGlobal.eglCreateContext!=eglCreateContext);
      if (dispatchTableGlobal.eglCreateContext==eglCreateContext)
        dispatchTableGlobal.eglCreateContext = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLContext ret = 0;
    if (dispatchTableGlobal.eglCreateContext)
    {
      ret = dispatchTableGlobal.eglCreateContext(dpy, config, share_context, attrib_list);
      Driver("eglCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(share_context,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateContext not available." );
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePbufferSurface(EGLDisplay dpy, EGLConfig config, const EGLint *attrib_list)
  {
    App("eglCreatePbufferSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreatePbufferSurface)
    {
      GetProcAddress( dispatchTableGlobal.eglCreatePbufferSurface, "eglCreatePbufferSurface" );
      RegalAssert(dispatchTableGlobal.eglCreatePbufferSurface!=eglCreatePbufferSurface);
      if (dispatchTableGlobal.eglCreatePbufferSurface==eglCreatePbufferSurface)
        dispatchTableGlobal.eglCreatePbufferSurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglCreatePbufferSurface)
    {
      ret = dispatchTableGlobal.eglCreatePbufferSurface(dpy, config, attrib_list);
      Driver("eglCreatePbufferSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreatePbufferSurface not available." );
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePixmapSurface(EGLDisplay dpy, EGLConfig config, EGLNativePixmapType pixmap, const EGLint *attrib_list)
  {
    App("eglCreatePixmapSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreatePixmapSurface)
    {
      GetProcAddress( dispatchTableGlobal.eglCreatePixmapSurface, "eglCreatePixmapSurface" );
      RegalAssert(dispatchTableGlobal.eglCreatePixmapSurface!=eglCreatePixmapSurface);
      if (dispatchTableGlobal.eglCreatePixmapSurface==eglCreatePixmapSurface)
        dispatchTableGlobal.eglCreatePixmapSurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglCreatePixmapSurface)
    {
      ret = dispatchTableGlobal.eglCreatePixmapSurface(dpy, config, pixmap, attrib_list);
      Driver("eglCreatePixmapSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreatePixmapSurface not available." );
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreateWindowSurface(EGLDisplay dpy, EGLConfig config, EGLNativeWindowType win, const EGLint *attrib_list)
  {
    App("eglCreateWindowSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreateWindowSurface)
    {
      GetProcAddress( dispatchTableGlobal.eglCreateWindowSurface, "eglCreateWindowSurface" );
      RegalAssert(dispatchTableGlobal.eglCreateWindowSurface!=eglCreateWindowSurface);
      if (dispatchTableGlobal.eglCreateWindowSurface==eglCreateWindowSurface)
        dispatchTableGlobal.eglCreateWindowSurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglCreateWindowSurface)
    {
      ret = dispatchTableGlobal.eglCreateWindowSurface(dpy, config, win, attrib_list);
      Driver("eglCreateWindowSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreateWindowSurface not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroyContext(EGLDisplay dpy, EGLContext ctx)
  {
    App("eglDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglDestroyContext)
    {
      GetProcAddress( dispatchTableGlobal.eglDestroyContext, "eglDestroyContext" );
      RegalAssert(dispatchTableGlobal.eglDestroyContext!=eglDestroyContext);
      if (dispatchTableGlobal.eglDestroyContext==eglDestroyContext)
        dispatchTableGlobal.eglDestroyContext = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglDestroyContext)
    {
      ret = dispatchTableGlobal.eglDestroyContext(dpy, ctx);
      Driver("eglDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
      Init::destroyContext(RegalSystemContext(ctx));
    }
    else
      Warning( "eglDestroyContext not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySurface(EGLDisplay dpy, EGLSurface surface)
  {
    App("eglDestroySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglDestroySurface)
    {
      GetProcAddress( dispatchTableGlobal.eglDestroySurface, "eglDestroySurface" );
      RegalAssert(dispatchTableGlobal.eglDestroySurface!=eglDestroySurface);
      if (dispatchTableGlobal.eglDestroySurface==eglDestroySurface)
        dispatchTableGlobal.eglDestroySurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglDestroySurface)
    {
      ret = dispatchTableGlobal.eglDestroySurface(dpy, surface);
      Driver("eglDestroySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglDestroySurface not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetConfigAttrib(EGLDisplay dpy, EGLConfig config, EGLint attribute, EGLint *value)
  {
    App("eglGetConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attribute, ", ", value, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetConfigAttrib)
    {
      GetProcAddress( dispatchTableGlobal.eglGetConfigAttrib, "eglGetConfigAttrib" );
      RegalAssert(dispatchTableGlobal.eglGetConfigAttrib!=eglGetConfigAttrib);
      if (dispatchTableGlobal.eglGetConfigAttrib==eglGetConfigAttrib)
        dispatchTableGlobal.eglGetConfigAttrib = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglGetConfigAttrib)
    {
      ret = dispatchTableGlobal.eglGetConfigAttrib(dpy, config, attribute, value);
      Driver("eglGetConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attribute, ", ", value, ")", " returned ", ret);
    }
    else
      Warning( "eglGetConfigAttrib not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetConfigs(EGLDisplay dpy, EGLConfig *configs, EGLint config_size, EGLint *num_config)
  {
    App("eglGetConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", configs, ", ", config_size, ", ", num_config, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetConfigs)
    {
      GetProcAddress( dispatchTableGlobal.eglGetConfigs, "eglGetConfigs" );
      RegalAssert(dispatchTableGlobal.eglGetConfigs!=eglGetConfigs);
      if (dispatchTableGlobal.eglGetConfigs==eglGetConfigs)
        dispatchTableGlobal.eglGetConfigs = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglGetConfigs)
    {
      ret = dispatchTableGlobal.eglGetConfigs(dpy, configs, config_size, num_config);
      Driver("eglGetConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", configs, ", ", config_size, ", ", num_config, ")", " returned ", ret);
    }
    else
      Warning( "eglGetConfigs not available." );
    return ret;
  }

  REGAL_DECL EGLContext REGAL_CALL eglGetCurrentContext(void)
  {
    App("eglGetCurrentContext","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetCurrentContext)
    {
      GetProcAddress( dispatchTableGlobal.eglGetCurrentContext, "eglGetCurrentContext" );
      RegalAssert(dispatchTableGlobal.eglGetCurrentContext!=eglGetCurrentContext);
      if (dispatchTableGlobal.eglGetCurrentContext==eglGetCurrentContext)
        dispatchTableGlobal.eglGetCurrentContext = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLContext ret = 0;
    if (dispatchTableGlobal.eglGetCurrentContext)
    {
      ret = dispatchTableGlobal.eglGetCurrentContext();
      Driver("eglGetCurrentContext","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglGetCurrentContext not available." );
    return ret;
  }

  REGAL_DECL EGLDisplay REGAL_CALL eglGetCurrentDisplay(void)
  {
    App("eglGetCurrentDisplay","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetCurrentDisplay)
    {
      GetProcAddress( dispatchTableGlobal.eglGetCurrentDisplay, "eglGetCurrentDisplay" );
      RegalAssert(dispatchTableGlobal.eglGetCurrentDisplay!=eglGetCurrentDisplay);
      if (dispatchTableGlobal.eglGetCurrentDisplay==eglGetCurrentDisplay)
        dispatchTableGlobal.eglGetCurrentDisplay = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLDisplay ret = 0;
    if (dispatchTableGlobal.eglGetCurrentDisplay)
    {
      ret = dispatchTableGlobal.eglGetCurrentDisplay();
      Driver("eglGetCurrentDisplay","()", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglGetCurrentDisplay not available." );
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglGetCurrentSurface(EGLint readdraw)
  {
    App("eglGetCurrentSurface","(", readdraw, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetCurrentSurface)
    {
      GetProcAddress( dispatchTableGlobal.eglGetCurrentSurface, "eglGetCurrentSurface" );
      RegalAssert(dispatchTableGlobal.eglGetCurrentSurface!=eglGetCurrentSurface);
      if (dispatchTableGlobal.eglGetCurrentSurface==eglGetCurrentSurface)
        dispatchTableGlobal.eglGetCurrentSurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglGetCurrentSurface)
    {
      ret = dispatchTableGlobal.eglGetCurrentSurface(readdraw);
      Driver("eglGetCurrentSurface","(", readdraw, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglGetCurrentSurface not available." );
    return ret;
  }

  REGAL_DECL EGLDisplay REGAL_CALL eglGetDisplay(EGLNativeDisplayType display_id)
  {
    App("eglGetDisplay","(", boost::print::optional(display_id,Logging::pointers), ")");
    Init::init();

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetDisplay)
    {
      GetProcAddress( dispatchTableGlobal.eglGetDisplay, "eglGetDisplay" );
      RegalAssert(dispatchTableGlobal.eglGetDisplay!=eglGetDisplay);
      if (dispatchTableGlobal.eglGetDisplay==eglGetDisplay)
        dispatchTableGlobal.eglGetDisplay = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLDisplay ret = 0;
    if (dispatchTableGlobal.eglGetDisplay)
    {
      ret = dispatchTableGlobal.eglGetDisplay(display_id);
      Driver("eglGetDisplay","(", boost::print::optional(display_id,Logging::pointers), ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglGetDisplay not available." );
    return ret;
  }

  REGAL_DECL EGLint REGAL_CALL eglGetError(void)
  {
    App("eglGetError","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetError)
    {
      GetProcAddress( dispatchTableGlobal.eglGetError, "eglGetError" );
      RegalAssert(dispatchTableGlobal.eglGetError!=eglGetError);
      if (dispatchTableGlobal.eglGetError==eglGetError)
        dispatchTableGlobal.eglGetError = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLint ret = 0;
    if (dispatchTableGlobal.eglGetError)
    {
      ret = dispatchTableGlobal.eglGetError();
      Driver("eglGetError","()", " returned ", ret);
    }
    else
      Warning( "eglGetError not available." );
    return ret;
  }

  REGAL_DECL __eglMustCastToProperFunctionPointerType REGAL_CALL eglGetProcAddress(const char *procname)
  {
    App("eglGetProcAddress","(", boost::print::quote(procname,'"'), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglGetProcAddress)
    {
      GetProcAddress( dispatchTableGlobal.eglGetProcAddress, "eglGetProcAddress" );
      RegalAssert(dispatchTableGlobal.eglGetProcAddress!=eglGetProcAddress);
      if (dispatchTableGlobal.eglGetProcAddress==eglGetProcAddress)
        dispatchTableGlobal.eglGetProcAddress = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    __eglMustCastToProperFunctionPointerType ret = 0;
    ret = Lookup::gl_Lookup<__eglMustCastToProperFunctionPointerType>(reinterpret_cast<const char *>(procname));
    if (ret)
      return ret;
    ret = Lookup::egl_Lookup<__eglMustCastToProperFunctionPointerType>(reinterpret_cast<const char *>(procname));
    if (ret)
      return ret;
    if (dispatchTableGlobal.eglGetProcAddress)
    {
      ret = dispatchTableGlobal.eglGetProcAddress(procname);
      Driver("eglGetProcAddress","(", boost::print::quote(procname,'"'), ")", " returned ", ret);
    }
    else
      Warning( "eglGetProcAddress not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglInitialize(EGLDisplay dpy, EGLint *major, EGLint *minor)
  {
    App("eglInitialize","(", boost::print::optional(dpy,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglInitialize)
    {
      GetProcAddress( dispatchTableGlobal.eglInitialize, "eglInitialize" );
      RegalAssert(dispatchTableGlobal.eglInitialize!=eglInitialize);
      if (dispatchTableGlobal.eglInitialize==eglInitialize)
        dispatchTableGlobal.eglInitialize = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglInitialize)
    {
      ret = dispatchTableGlobal.eglInitialize(dpy, major, minor);
      Driver("eglInitialize","(", boost::print::optional(dpy,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglInitialize not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglMakeCurrent(EGLDisplay dpy, EGLSurface draw, EGLSurface read, EGLContext ctx)
  {
    App("eglMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(draw,Logging::pointers), ", ", boost::print::optional(read,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglMakeCurrent)
    {
      GetProcAddress( dispatchTableGlobal.eglMakeCurrent, "eglMakeCurrent" );
      RegalAssert(dispatchTableGlobal.eglMakeCurrent!=eglMakeCurrent);
      if (dispatchTableGlobal.eglMakeCurrent==eglMakeCurrent)
        dispatchTableGlobal.eglMakeCurrent = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglMakeCurrent)
    {
      ret = dispatchTableGlobal.eglMakeCurrent(dpy, draw, read, ctx);
      Driver("eglMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(draw,Logging::pointers), ", ", boost::print::optional(read,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")", " returned ", ret);
      Init::makeCurrent(ctx);
    }
    else
      Warning( "eglMakeCurrent not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglQueryContext(EGLDisplay dpy, EGLContext ctx, EGLint attribute, EGLint *value)
  {
    App("eglQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", attribute, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglQueryContext)
    {
      GetProcAddress( dispatchTableGlobal.eglQueryContext, "eglQueryContext" );
      RegalAssert(dispatchTableGlobal.eglQueryContext!=eglQueryContext);
      if (dispatchTableGlobal.eglQueryContext==eglQueryContext)
        dispatchTableGlobal.eglQueryContext = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglQueryContext)
    {
      ret = dispatchTableGlobal.eglQueryContext(dpy, ctx, attribute, value);
      Driver("eglQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", attribute, ")", " returned ", ret);
    }
    else
      Warning( "eglQueryContext not available." );
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL eglQueryString(EGLDisplay dpy, EGLint name)
  {
    App("eglQueryString","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(name), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglQueryString)
    {
      GetProcAddress( dispatchTableGlobal.eglQueryString, "eglQueryString" );
      RegalAssert(dispatchTableGlobal.eglQueryString!=eglQueryString);
      if (dispatchTableGlobal.eglQueryString==eglQueryString)
        dispatchTableGlobal.eglQueryString = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    const char * ret = NULL;
    if (dispatchTableGlobal.eglQueryString)
    {
      ret = dispatchTableGlobal.eglQueryString(dpy, name);
      Driver("eglQueryString","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(name), ")", " returned ", boost::print::quote(ret,'"'));
    }
    else
      Warning( "eglQueryString not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglQuerySurface(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint *value)
  {
    App("eglQuerySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglQuerySurface)
    {
      GetProcAddress( dispatchTableGlobal.eglQuerySurface, "eglQuerySurface" );
      RegalAssert(dispatchTableGlobal.eglQuerySurface!=eglQuerySurface);
      if (dispatchTableGlobal.eglQuerySurface==eglQuerySurface)
        dispatchTableGlobal.eglQuerySurface = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglQuerySurface)
    {
      ret = dispatchTableGlobal.eglQuerySurface(dpy, surface, attribute, value);
      Driver("eglQuerySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ")", " returned ", ret);
    }
    else
      Warning( "eglQuerySurface not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSwapBuffers(EGLDisplay dpy, EGLSurface surface)
  {
    App("eglSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglSwapBuffers)
    {
      GetProcAddress( dispatchTableGlobal.eglSwapBuffers, "eglSwapBuffers" );
      RegalAssert(dispatchTableGlobal.eglSwapBuffers!=eglSwapBuffers);
      if (dispatchTableGlobal.eglSwapBuffers==eglSwapBuffers)
        dispatchTableGlobal.eglSwapBuffers = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->eglSwapBuffers(*_context);
    if (dispatchTableGlobal.eglSwapBuffers)
    {
      ret = dispatchTableGlobal.eglSwapBuffers(dpy, surface);
      Driver("eglSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglSwapBuffers not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglTerminate(EGLDisplay dpy)
  {
    App("eglTerminate","(", boost::print::optional(dpy,Logging::pointers), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglTerminate)
    {
      GetProcAddress( dispatchTableGlobal.eglTerminate, "eglTerminate" );
      RegalAssert(dispatchTableGlobal.eglTerminate!=eglTerminate);
      if (dispatchTableGlobal.eglTerminate==eglTerminate)
        dispatchTableGlobal.eglTerminate = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglTerminate)
    {
      ret = dispatchTableGlobal.eglTerminate(dpy);
      Driver("eglTerminate","(", boost::print::optional(dpy,Logging::pointers), ")", " returned ", ret);
    }
    else
      Warning( "eglTerminate not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitGL(void)
  {
    App("eglWaitGL","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglWaitGL)
    {
      GetProcAddress( dispatchTableGlobal.eglWaitGL, "eglWaitGL" );
      RegalAssert(dispatchTableGlobal.eglWaitGL!=eglWaitGL);
      if (dispatchTableGlobal.eglWaitGL==eglWaitGL)
        dispatchTableGlobal.eglWaitGL = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglWaitGL)
    {
      ret = dispatchTableGlobal.eglWaitGL();
      Driver("eglWaitGL","()", " returned ", ret);
    }
    else
      Warning( "eglWaitGL not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitNative(EGLint engine)
  {
    App("eglWaitNative","(", engine, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglWaitNative)
    {
      GetProcAddress( dispatchTableGlobal.eglWaitNative, "eglWaitNative" );
      RegalAssert(dispatchTableGlobal.eglWaitNative!=eglWaitNative);
      if (dispatchTableGlobal.eglWaitNative==eglWaitNative)
        dispatchTableGlobal.eglWaitNative = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglWaitNative)
    {
      ret = dispatchTableGlobal.eglWaitNative(engine);
      Driver("eglWaitNative","(", engine, ")", " returned ", ret);
    }
    else
      Warning( "eglWaitNative not available." );
    return ret;
  }

  /* EGL_VERSION_1_1 */

  REGAL_DECL EGLBoolean REGAL_CALL eglBindTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
  {
    App("eglBindTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglBindTexImage)
    {
      GetProcAddress( dispatchTableGlobal.eglBindTexImage, "eglBindTexImage" );
      RegalAssert(dispatchTableGlobal.eglBindTexImage!=eglBindTexImage);
      if (dispatchTableGlobal.eglBindTexImage==eglBindTexImage)
        dispatchTableGlobal.eglBindTexImage = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglBindTexImage)
    {
      ret = dispatchTableGlobal.eglBindTexImage(dpy, surface, buffer);
      Driver("eglBindTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")", " returned ", ret);
    }
    else
      Warning( "eglBindTexImage not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglReleaseTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
  {
    App("eglReleaseTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglReleaseTexImage)
    {
      GetProcAddress( dispatchTableGlobal.eglReleaseTexImage, "eglReleaseTexImage" );
      RegalAssert(dispatchTableGlobal.eglReleaseTexImage!=eglReleaseTexImage);
      if (dispatchTableGlobal.eglReleaseTexImage==eglReleaseTexImage)
        dispatchTableGlobal.eglReleaseTexImage = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglReleaseTexImage)
    {
      ret = dispatchTableGlobal.eglReleaseTexImage(dpy, surface, buffer);
      Driver("eglReleaseTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")", " returned ", ret);
    }
    else
      Warning( "eglReleaseTexImage not available." );
    return ret;
  }

  /* EGL_VERSION_1_2 */

  REGAL_DECL EGLBoolean REGAL_CALL eglBindAPI(EGLenum api)
  {
    App("eglBindAPI","(", EGLenumToString(api), ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglBindAPI)
    {
      GetProcAddress( dispatchTableGlobal.eglBindAPI, "eglBindAPI" );
      RegalAssert(dispatchTableGlobal.eglBindAPI!=eglBindAPI);
      if (dispatchTableGlobal.eglBindAPI==eglBindAPI)
        dispatchTableGlobal.eglBindAPI = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglBindAPI)
    {
      ret = dispatchTableGlobal.eglBindAPI(api);
      Driver("eglBindAPI","(", EGLenumToString(api), ")", " returned ", ret);
    }
    else
      Warning( "eglBindAPI not available." );
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePbufferFromClientBuffer(EGLDisplay dpy, EGLenum buftype, EGLClientBuffer buffer, EGLConfig config, const EGLint *attrib_list)
  {
    App("eglCreatePbufferFromClientBuffer","(", dpy, ", ", EGLenumToString(buftype), ", ", boost::print::optional(buffer,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglCreatePbufferFromClientBuffer)
    {
      GetProcAddress( dispatchTableGlobal.eglCreatePbufferFromClientBuffer, "eglCreatePbufferFromClientBuffer" );
      RegalAssert(dispatchTableGlobal.eglCreatePbufferFromClientBuffer!=eglCreatePbufferFromClientBuffer);
      if (dispatchTableGlobal.eglCreatePbufferFromClientBuffer==eglCreatePbufferFromClientBuffer)
        dispatchTableGlobal.eglCreatePbufferFromClientBuffer = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLSurface ret = 0;
    if (dispatchTableGlobal.eglCreatePbufferFromClientBuffer)
    {
      ret = dispatchTableGlobal.eglCreatePbufferFromClientBuffer(dpy, buftype, buffer, config, attrib_list);
      Driver("eglCreatePbufferFromClientBuffer","(", dpy, ", ", EGLenumToString(buftype), ", ", boost::print::optional(buffer,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")", " returned ", boost::print::optional(ret,Logging::pointers));
    }
    else
      Warning( "eglCreatePbufferFromClientBuffer not available." );
    return ret;
  }

  REGAL_DECL EGLenum REGAL_CALL eglQueryAPI(void)
  {
    App("eglQueryAPI","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglQueryAPI)
    {
      GetProcAddress( dispatchTableGlobal.eglQueryAPI, "eglQueryAPI" );
      RegalAssert(dispatchTableGlobal.eglQueryAPI!=eglQueryAPI);
      if (dispatchTableGlobal.eglQueryAPI==eglQueryAPI)
        dispatchTableGlobal.eglQueryAPI = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLenum ret = 0;
    if (dispatchTableGlobal.eglQueryAPI)
    {
      ret = dispatchTableGlobal.eglQueryAPI();
      Driver("eglQueryAPI","()", " returned ", EGLenumToString(ret));
    }
    else
      Warning( "eglQueryAPI not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglReleaseThread(void)
  {
    App("eglReleaseThread","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglReleaseThread)
    {
      GetProcAddress( dispatchTableGlobal.eglReleaseThread, "eglReleaseThread" );
      RegalAssert(dispatchTableGlobal.eglReleaseThread!=eglReleaseThread);
      if (dispatchTableGlobal.eglReleaseThread==eglReleaseThread)
        dispatchTableGlobal.eglReleaseThread = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglReleaseThread)
    {
      ret = dispatchTableGlobal.eglReleaseThread();
      Driver("eglReleaseThread","()", " returned ", ret);
    }
    else
      Warning( "eglReleaseThread not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSurfaceAttrib(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint value)
  {
    App("eglSurfaceAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglSurfaceAttrib)
    {
      GetProcAddress( dispatchTableGlobal.eglSurfaceAttrib, "eglSurfaceAttrib" );
      RegalAssert(dispatchTableGlobal.eglSurfaceAttrib!=eglSurfaceAttrib);
      if (dispatchTableGlobal.eglSurfaceAttrib==eglSurfaceAttrib)
        dispatchTableGlobal.eglSurfaceAttrib = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglSurfaceAttrib)
    {
      ret = dispatchTableGlobal.eglSurfaceAttrib(dpy, surface, attribute, value);
      Driver("eglSurfaceAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")", " returned ", ret);
    }
    else
      Warning( "eglSurfaceAttrib not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSwapInterval(EGLDisplay dpy, EGLint interval)
  {
    App("eglSwapInterval","(", boost::print::optional(dpy,Logging::pointers), ", ", interval, ")");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglSwapInterval)
    {
      GetProcAddress( dispatchTableGlobal.eglSwapInterval, "eglSwapInterval" );
      RegalAssert(dispatchTableGlobal.eglSwapInterval!=eglSwapInterval);
      if (dispatchTableGlobal.eglSwapInterval==eglSwapInterval)
        dispatchTableGlobal.eglSwapInterval = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglSwapInterval)
    {
      ret = dispatchTableGlobal.eglSwapInterval(dpy, interval);
      Driver("eglSwapInterval","(", boost::print::optional(dpy,Logging::pointers), ", ", interval, ")", " returned ", ret);
    }
    else
      Warning( "eglSwapInterval not available." );
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitClient(void)
  {
    App("eglWaitClient","()");

    #if !REGAL_STATIC_EGL
    if (!dispatchTableGlobal.eglWaitClient)
    {
      GetProcAddress( dispatchTableGlobal.eglWaitClient, "eglWaitClient" );
      RegalAssert(dispatchTableGlobal.eglWaitClient!=eglWaitClient);
      if (dispatchTableGlobal.eglWaitClient==eglWaitClient)
        dispatchTableGlobal.eglWaitClient = NULL;
    }
    #endif // !REGAL_STATIC_EGL

    EGLBoolean ret = 0;
    if (dispatchTableGlobal.eglWaitClient)
    {
      ret = dispatchTableGlobal.eglWaitClient();
      Driver("eglWaitClient","()", " returned ", ret);
    }
    else
      Warning( "eglWaitClient not available." );
    return ret;
  }

#endif /* REGAL_SYS_EGL */

}

REGAL_GLOBAL_END
